<?php
//لاتنسونا من صالح الدعاء وجزاكم الله خيرا
//أخي الكريم هذا الكود هو اول 130 ساعة بالكورس الي نهاية الدورة الفيدو رقم  231- اما باقي أكواد الدورة الثانية للتطوير النظام موجوده بالدورة ولابد ان تكتبها بنفسك لأهميتها وللإستفادة

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Delegate;
use App\Models\Admin;
use App\Models\Account;
use App\Models\Admin_panel_setting;
use App\Models\Sales_invoices;
use App\Models\Treasuries_transactions;
use App\Models\SalesReturn;
use App\Http\Requests\DelegatesRequestAdd;
use App\Http\Requests\DelegatesUpdateRequest;
use App\Models\Alerts_system_monitoring;
use App\Models\services_with_orders;


use Illuminate\Support\Facades\DB;

class DelegatesController extends Controller
{
    public function index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(16);
        }
        $com_code = auth()->user()->com_code;
        $data = get_cols_where_p(new Delegate(), array("*"), array("com_code" => $com_code), 'id', 'DESC', PC);
        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "delegate_code" => $info->delegate_code));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "delegate_code" => $info->delegate_code));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        return view('admin.delegates.index', ['data' => $data]);
    }
    public function create()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(17);
        }
        return view('admin.delegates.create');
    }
    public function store(DelegatesRequestAdd $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(17);
        }
        try {
            $com_code = auth()->user()->com_code;
            $delegates_parent_account_number = get_field_value(new Admin_panel_setting(), "delegate_parent_account_number", array('com_code' => $com_code));
            $delegates_parent_account_data = get_cols_where_row(new Account(), array("account_level", "account_nature"), array('com_code' => $com_code));
            if (empty($delegates_parent_account_data)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا يرجي تحديد الحساب الاب للمناديب بالشجرة المحاسبية من الضبط العام'])
                    ->withInput();
            }
            //check if not exsits for name

            $checkExists_name = get_cols_where_row(new Delegate(), array("id"), array('name' => $request->name, 'com_code' => $com_code));
            if (!empty($checkExists_name)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا اسم المندوب مسجل من قبل'])
                    ->withInput();
            }
            if ($request->percent_type == 2) {
                if ($request->percent_salaes_commission_kataei > 100) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا عمولة المندوب بالمبيعات قطاعي لايمكن ان تتخطي  100 %'])
                        ->withInput();
                }
                if ($request->percent_salaes_commission_nosjomla > 100) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا عمولة المندوب بالمبيعات نص جملة عروض لايمكن ان تتخطي  100 %'])
                        ->withInput();
                }
                if ($request->percent_salaes_commission_jomla > 100) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا عمولة المندوب بالمبيعات  الجملة لايمكن ان تتخطي  100 %'])
                        ->withInput();
                }
                if ($request->percent_collect_commission > 100) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا عمولة المندوب بتحصيل الاجل لايمكن ان تتخطي  100 %'])
                        ->withInput();
                }
            }
            DB::beginTransaction();
            //set delegate_code
            $row = get_cols_where_row_orderby(new Delegate(), array("delegate_code"), array("com_code" => $com_code), 'id', 'DESC');
            if (!empty($row)) {
                $data_insert['delegate_code'] = $row['delegate_code'] + 1;
            } else {
                $data_insert['delegate_code'] = 1;
            }
            //set account number نديله رقم حساب مالي بالشجرة المحاسبية
            $row = get_cols_where_row_orderby(new Account(), array("account_number"), array("com_code" => $com_code), 'id', 'DESC');
            if (!empty($row)) {
                $data_insert['account_number'] = $row['account_number'] + 1;
            } else {
                $data_insert['account_number'] = 1;
            }
            $data_insert['name'] = $request->name;
            $data_insert['address'] = $request->address;
            $data_insert['start_balance_status'] = $request->start_balance_status;
            if ($data_insert['start_balance_status'] == 1) {
                //credit
                $data_insert['start_balance'] = $request->start_balance * (-1);
            } elseif ($data_insert['start_balance_status'] == 2) {
                //debit
                $data_insert['start_balance'] = $request->start_balance;
                if ($data_insert['start_balance'] < 0) {
                    $data_insert['start_balance'] = $data_insert['start_balance'] * (-1);
                }
            } elseif ($data_insert['start_balance_status'] == 3) {
                //balanced
                $data_insert['start_balance'] = 0;
            } else {
                $data_insert['start_balance_status'] = 3;
                $data_insert['start_balance'] = 0;
            }
            $data_insert['start_balance']=todecimal($data_insert['start_balance']);
            $data_insert['percent_type'] = $request->percent_type;
            $data_insert['percent_salaes_commission_kataei'] = todecimal($request->percent_salaes_commission_kataei);
            $data_insert['percent_salaes_commission_nosjomla'] =todecimal($request->percent_salaes_commission_nosjomla) ;
            $data_insert['percent_salaes_commission_jomla'] =todecimal($request->percent_salaes_commission_jomla) ;
            $data_insert['percent_collect_commission'] = todecimal($request->percent_collect_commission);
            $data_insert['phones'] = $request->phones;
            $data_insert['current_balance'] = todecimal($data_insert['start_balance']);
            $data_insert['notes'] = $request->notes;
            $data_insert['active'] = $request->active;
            $data_insert['added_by'] = auth()->user()->id;
            $data_insert['created_at'] = date("Y-m-d H:i:s");
            $data_insert['date'] = date("Y-m-d");
            $data_insert['com_code'] = $com_code;
            $flagData = insert(new Delegate(), $data_insert, true);
            if ($flagData) {
                $is_active_alerts_system_monitoring = get_field_value(new Admin_panel_setting(), "is_active_alerts_system_monitoring", array("com_code" => auth()->user()->com_code));
                if ($is_active_alerts_system_monitoring == 1) {
                    /* start alerts_system_monitoring */
                    $data_monitoring_insert['alert_modules_id'] = 2;
                    $data_monitoring_insert['alert_movetype_id'] = 17;
                    $data_monitoring_insert['content'] = " اضافة حساب مندوب جديد باسم " . $request->name;
                    $data_monitoring_insert['foreign_key_table_td'] = $flagData['id'];
                    $data_monitoring_insert['account_number'] = $data_insert['account_number'];
                    $data_monitoring_insert['foreign_key_table_code'] = $data_insert['delegate_code'];
                    $data_monitoring_insert['account_type'] = 4;
                    $data_monitoring_insert['added_by'] = auth()->user()->id;
                    $data_monitoring_insert['com_code'] = auth()->user()->com_code;
                    $data_monitoring_insert['date'] = date("Y-m-d");
                    insert(new Alerts_system_monitoring(), $data_monitoring_insert, array("com_code" => auth()->user()->com_code));
                    /* End start alerts_system_monitoring */
                }

                //insert into accounts حنفتح ليه حساب مالي بالشجرة المحاسبية
                $data_insert_account['name'] = $request->name;
                $data_insert_account['start_balance_status'] = $request->start_balance_status;
                if ($data_insert_account['start_balance_status'] == 1) {
                    //credit
                    $data_insert_account['start_balance'] = $request->start_balance * (-1);
                } elseif ($data_insert_account['start_balance_status'] == 2) {
                    //debit
                    $data_insert_account['start_balance'] = $request->start_balance;
                    if ($data_insert_account['start_balance'] < 0) {
                        $data_insert_account['start_balance'] = $data_insert_account['start_balance'] * (-1);
                    }
                } elseif ($data_insert_account['start_balance_status'] == 3) {
                    //balanced
                    $data_insert_account['start_balance'] = 0;
                } else {
                    $data_insert_account['start_balance_status'] = 3;
                    $data_insert_account['start_balance'] = 0;
                }
                $data_insert_account['start_balance']=todecimal( $data_insert_account['start_balance']);
                $data_insert_account['current_balance'] = todecimal($data_insert_account['start_balance']);
                $data_insert_account['notes'] = $request->notes;
                $data_insert_account['account_level'] = $delegates_parent_account_data['account_level'] + 1;
                $data_insert_account['account_nature'] = $delegates_parent_account_data['account_nature'];
                //المناديب الاب
                $data_insert_account['parent_account_number'] = $delegates_parent_account_number;
                $data_insert_account['is_parent'] = 0;
                $data_insert_account['account_number'] = $data_insert['account_number'];
                $data_insert_account['account_type'] = 4;
                $data_insert_account['active'] = $request->active;
                $data_insert_account['added_by'] = auth()->user()->id;
                $data_insert_account['created_at'] = date("Y-m-d H:i:s");
                $data_insert_account['date'] = date("Y-m-d");
                $data_insert_account['com_code'] = $com_code;
                $data_insert_account['other_table_FK'] = $data_insert['delegate_code'];
                $flag = insert(new Account(), $data_insert_account);
            }
            DB::commit();
            return redirect()->route('admin.delegates.index')->with(['success' => 'لقد تم اضافة البيانات بنجاح']);
        } catch (\Exception $ex) {
            DB::rollBack();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }
    public function edit($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(18);
        }
        $com_code = auth()->user()->com_code;
        $data = get_cols_where_row(new Delegate(), array("*"), array("id" => $id, "com_code" => $com_code));
        return view('admin.delegates.edit', ['data' => $data]);
    }
    public function update($id, DelegatesUpdateRequest $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(18);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Delegate(), array("id", "account_number", "delegate_code"), array("id" => $id, "com_code" => $com_code));
            if (empty($data)) {
                return redirect()->route('admin.customers.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
            $checkExists = Delegate::where(['name' => $request->name, 'com_code' => $com_code])->where('id', '!=', $id)->first();
            if ($checkExists != null) {
                return redirect()->back()
                    ->with(['error' => 'عفوا اسم الحساب مسجل من قبل'])
                    ->withInput();
            }
            DB::beginTransaction();
            $data_to_update['name'] = $request->name;
            $data_to_update['phones'] = $request->phones;
            $data_to_update['address'] = $request->address;
            $data_to_update['percent_type'] = $request->percent_type;
            $data_to_update['percent_salaes_commission_kataei'] = $request->percent_salaes_commission_kataei;
            $data_to_update['percent_salaes_commission_nosjomla'] = $request->percent_salaes_commission_nosjomla;
            $data_to_update['percent_salaes_commission_jomla'] = $request->percent_salaes_commission_jomla;
            $data_to_update['percent_collect_commission'] = $request->percent_collect_commission;
            $data_to_update['notes'] = $request->notes;
            $data_to_update['active'] = $request->active;
            $data_to_update['updated_by'] = auth()->user()->id;
            $data_to_update['updated_at'] = date("Y-m-d H:i:s");
            $flag = update(new Delegate(), $data_to_update, array('id' => $id, 'com_code' => $com_code));
            if ($flag) {

                $data_to_update_account['name'] = $request->name;
                $data_to_update_account['updated_by'] = auth()->user()->id;
                $data_to_update_account['updated_at'] = date("Y-m-d H:i:s");
                $data_to_update_account['active'] = $request->active;
                $flag = update(new Account(), $data_to_update_account, array('account_number' => $data['account_number'], 'other_table_FK' => $data['delegate_code'], 'com_code' => $com_code, 'account_type' => 4));
                $is_active_alerts_system_monitoring = get_field_value(new Admin_panel_setting(), "is_active_alerts_system_monitoring", array("com_code" => auth()->user()->com_code));
                if ($is_active_alerts_system_monitoring == 1) {
                    /* start alerts_system_monitoring */
                    $data_monitoring_insert['alert_modules_id'] = 2;
                    $data_monitoring_insert['alert_movetype_id'] = 18;
                    $data_monitoring_insert['content'] = " تعديل حساب مندوب  باسم " . $data['name'];
                    if ($data['name'] != $data_to_update['name']) {
                        $data_monitoring_insert['content'] .= " الي " . $data_to_update['name'];
                    }
                    $data_monitoring_insert['foreign_key_table_td'] = $id;
                    $data_monitoring_insert['account_number'] = $data['account_number'];
                    $data_monitoring_insert['foreign_key_table_code'] = $data['delegate_code'];
                    $data_monitoring_insert['account_type'] = 4;
                    $data_monitoring_insert['added_by'] = auth()->user()->id;
                    $data_monitoring_insert['com_code'] = auth()->user()->com_code;
                    $data_monitoring_insert['date'] = date("Y-m-d");
                    insert(new Alerts_system_monitoring(), $data_monitoring_insert, array("com_code" => auth()->user()->com_code));
                    /* End start alerts_system_monitoring */
                }
            }
            DB::commit();
            return redirect()->route('admin.delegates.index')->with(['success' => 'لقد تم تحديث البيانات بنجاح']);
        } catch (\Exception $ex) {
            DB::rollBack();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }
    public function ajax_search(Request $request)
    {
        if ($request->ajax()) {

            $com_code = auth()->user()->com_code;
            $search_by_text = $request->search_by_text;
            $searchbyradio = $request->searchbyradio;
            $searchByBalanceStatus = $request->searchByBalanceStatus;
            $searchByactiveStatus = $request->searchByactiveStatus;
            $mirror['searchByBalanceStatus'] = $searchByBalanceStatus;

            if ($search_by_text != '') {
                if ($searchbyradio == 'delegate_code') {
                    $field1 = "delegate_code";
                    $operator1 = "=";
                    $value1 = $search_by_text;
                } elseif ($searchbyradio == 'account_number') {
                    $field1 = "account_number";
                    $operator1 = "=";
                    $value1 = $search_by_text;
                } else {
                    $field1 = "name";
                    $operator1 = "like";
                    $value1 = "%{$search_by_text}%";
                }
            } else {
                //true 
                $field1 = "id";
                $operator1 = ">";
                $value1 = 0;
            }

            if ($searchByBalanceStatus == "all") {
                $field2 = "id";
                $operator2 = ">";
                $value2 = 0;
            } else {
                if ($searchByBalanceStatus == 1) {
                    $field2 = "current_balance";
                    $operator2 = "<";
                    $value2 = 0;
                } elseif ($searchByBalanceStatus == 2) {
                    $field2 = "current_balance";
                    $operator2 = ">";
                    $value2 = 0;
                } else {
                    $field2 = "current_balance";
                    $operator2 = "=";
                    $value2 = 0;
                }
            }

            if ($searchByactiveStatus == "all") {
                $field3 = "id";
                $operator3 = ">";
                $value3 = 0;
            } else {

                $field3 = "active";
                $operator3 = "=";
                $value3 = $searchByactiveStatus;
            }




            $data = Delegate::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where(['com_code' => $com_code])->orderBy('id', 'DESC')->paginate(PC);
            if (!empty($data)) {
                foreach ($data as $info) {
                    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                    if ($info->updated_by > 0 and $info->updated_by != null) {
                        $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                    }
                    $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                    $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "delegate_code" => $info->delegate_code));
                    $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "delegate_code" => $info->delegate_code));
                    $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                    $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
                }
            }
            //General mirror 
            $mirror['credit_sum'] = Delegate::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where("current_balance", "<", 0)->where($field3, $operator3, $value3)->where(['com_code' => $com_code])->sum('current_balance');
            $mirror['debit_sum'] = Delegate::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where("current_balance", ">", 0)->where($field3, $operator3, $value3)->where(['com_code' => $com_code])->sum('current_balance');
            $mirror['net'] = $mirror['credit_sum'] + $mirror['debit_sum'];
            return view('admin.delegates.ajax_search', ['data' => $data, 'mirror' => $mirror]);
        }
    }


    public function print_search(Request $request)
    {
    

            $com_code = auth()->user()->com_code;
            $search_by_text = $request->search_by_text;
            $searchbyradio = $request->searchbyradio;
            $searchByBalanceStatus = $request->searchByBalanceStatus;
            $searchByactiveStatus = $request->searchByactiveStatus;
            $mirror['searchByBalanceStatus'] = $searchByBalanceStatus;

            if ($search_by_text != '') {
                if ($searchbyradio == 'delegate_code') {
                    $field1 = "delegate_code";
                    $operator1 = "=";
                    $value1 = $search_by_text;
                } elseif ($searchbyradio == 'account_number') {
                    $field1 = "account_number";
                    $operator1 = "=";
                    $value1 = $search_by_text;
                } else {
                    $field1 = "name";
                    $operator1 = "like";
                    $value1 = "%{$search_by_text}%";
                }
            } else {
                //true 
                $field1 = "id";
                $operator1 = ">";
                $value1 = 0;
            }

            if ($searchByBalanceStatus == "all") {
                $field2 = "id";
                $operator2 = ">";
                $value2 = 0;
            } else {
                if ($searchByBalanceStatus == 1) {
                    $field2 = "current_balance";
                    $operator2 = "<";
                    $value2 = 0;
                } elseif ($searchByBalanceStatus == 2) {
                    $field2 = "current_balance";
                    $operator2 = ">";
                    $value2 = 0;
                } else {
                    $field2 = "current_balance";
                    $operator2 = "=";
                    $value2 = 0;
                }
            }

            if ($searchByactiveStatus == "all") {
                $field3 = "id";
                $operator3 = ">";
                $value3 = 0;
            } else {

                $field3 = "active";
                $operator3 = "=";
                $value3 = $searchByactiveStatus;
            }




            $data = Delegate::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where(['com_code' => $com_code])->orderBy('id', 'DESC')->get();
            if (!empty($data)) {
                foreach ($data as $info) {
                    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                    if ($info->updated_by > 0 and $info->updated_by != null) {
                        $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                    }
                    $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                    $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "delegate_code" => $info->delegate_code));
                    $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "delegate_code" => $info->delegate_code));
                    $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                    $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
                }
            }
            //General mirror 
            $mirror['credit_sum'] = Delegate::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where("current_balance", "<", 0)->where($field3, $operator3, $value3)->where(['com_code' => $com_code])->sum('current_balance');
            $mirror['debit_sum'] = Delegate::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where("current_balance", ">", 0)->where($field3, $operator3, $value3)->where(['com_code' => $com_code])->sum('current_balance');
            $mirror['net'] = $mirror['credit_sum'] + $mirror['debit_sum'];
            $systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => $com_code));
            return view('admin.delegates.print_search', ['data' => $data, 'mirror' => $mirror,'systemData'=>$systemData]);
        
    }

    public function show(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $id = $request->id;
            $data = get_cols_where_row(new Delegate(), array("*"), array("id" => $id, "com_code" => $com_code));
            if (!empty($data)) {
                foreach ($data as $info) {
                    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                    if ($info->updated_by > 0 and $info->updated_by != null) {
                        $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');

                        $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                        $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "delegate_code" => $info->delegate_code));
                        $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "delegate_code" => $info->delegate_code));
                        $info->CounterUsed = $counter1 + $counter2 + $counter3;
                    }
                }
            }
            return view('admin.delegates.show', ['data' => $data]);
        }
    }



    public function delete($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(15);
        }

        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Delegate(), array("delegate_code", "account_number", "name"), array("id" => $id, "com_code" => $com_code));
            if (!empty($data)) {

                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $data['account_number']));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "delegate_code" => $data['delegate_code']));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "delegate_code" => $data['delegate_code']));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $data['account_number'], 'is_account_number' => 1));

                $CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
                if ($CounterUsed > 0) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا هذه الحساب تم استخدامه من قبل ومتاح فقط تعطيله']);
                }


                $flag = delete(new Delegate(), ["id" => $id, "com_code" => $com_code]);
                if ($flag) {
                    delete(new Account(), array('account_number' => $data['account_number'], 'other_table_FK' => $data['delegate_code'], 'com_code' => $com_code, 'account_type' => 4));
                    $is_active_alerts_system_monitoring = get_field_value(new Admin_panel_setting(), "is_active_alerts_system_monitoring", array("com_code" => auth()->user()->com_code));
                    if ($is_active_alerts_system_monitoring == 1) {
                        /* start alerts_system_monitoring */
                        $data_monitoring_insert['alert_modules_id'] = 2;
                        $data_monitoring_insert['alert_movetype_id'] = 19;
                        $data_monitoring_insert['content'] = " حذف حساب مندوب باسم " . $data['name'];
                        $data_monitoring_insert['foreign_key_table_td'] = $id;
                        $data_monitoring_insert['account_number'] = $data['account_number'];
                        $data_monitoring_insert['foreign_key_table_code'] = $data['delegate_code'];
                        $data_monitoring_insert['account_type'] = 4;
                        $data_monitoring_insert['added_by'] = auth()->user()->id;
                        $data_monitoring_insert['com_code'] = auth()->user()->com_code;
                        $data_monitoring_insert['date'] = date("Y-m-d");
                        insert(new Alerts_system_monitoring(), $data_monitoring_insert, array("com_code" => auth()->user()->com_code));
                        /* End start alerts_system_monitoring */
                    }




                    return redirect()->back()
                        ->with(['success' => '   تم حذف البيانات بنجاح']);
                } else {
                    return redirect()->back()
                        ->with(['error' => 'عفوا حدث خطأ ما']);
                }
            } else {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر الي الوصول للبيانات المطلوبة']);
            }
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }
}
