<?php

namespace App\Http\Controllers\Admin;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Admin;
use App\Models\Account;
use App\Models\Employee;
use App\Models\Job;
use App\Models\Shifts_typs;
use App\Models\Departements;
use App\Models\Admin_panel_setting;
use App\Models\Treasuries_transactions;
use App\Models\Month;
use App\Models\Employees_salaries;
use App\Models\Finance_calender;
use App\Models\Finance_cln_period;
use App\Models\Salaries_additional_types;
use App\Models\Salaries_discount_types;
use App\Models\Admins_Shifts;
use App\Models\Employees_salaries_actions;
use App\Models\Treasuries;
use App\Models\Mov_type;
use App\Models\Account_types;
use App\Models\Employees_attedance;
use Illuminate\Support\Facades\DB;
use App\Traits\GeneralTrait;



class Finance_Montes_Salaries extends Controller
{

    use GeneralTrait;

    public function index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(191);
        }
        $com_code = auth()->user()->com_code;
        $data = Finance_cln_period::select("*")->where(['com_code' => $com_code])->orderby('FINANCE_YR', 'DESC')->orderby('MONTH_ID', 'ASC')->paginate(12);
        if (!empty($data)) {
            foreach ($data as $info) {
                $info->name = Month::where('id', $info->MONTH_ID)->value('name');
                $info->name_en = Month::where('id', $info->MONTH_ID)->value('name_en');
            }
        }
        $other['finance_calenders'] = get_cols_where(new Finance_calender(), array("id", "FINANCE_YR"), array("com_code" => $com_code), 'FINANCE_YR', 'DESC');
        return view('admin.Finance_Montes_Salaries.index', ['data' => $data, 'other' => $other]);
    }
    public function Dashboard($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(192);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Finance_cln_period(), array("*"), array("id" => $id, "com_code" => $com_code));
            if (empty($data)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            if ($data['is_open'] == 0) {
                return redirect()->back()
                    ->with(['error' => 'عفوا لايمكن فتح تفاصيل رواتب شهر مالي بإنتظار الفتح ']);
            }
            $data['name'] = Month::where('id', $data['MONTH_ID'])->value('name');
            $data['name_en'] = Month::where('id', $data['MONTH_ID'])->value('name_en');
            $other['employees_salaries'] = get_cols_where_p(new Employees_salaries(), array("employee_code", "is_closed", "id"), array("com_code" => $com_code, "finance_cln_periods_id" => $id), 'id', 'ASC', PC);
            if (!empty($other['employees_salaries'])) {
                foreach ($other['employees_salaries'] as $info) {
                    $info->emp_name = get_field_value(new Employee(), "name", array("employee_code" => $info->employee_code, 'com_code' => $com_code));
                }
            }
            $other['all_employees_counter'] = get_count_where(new Employee(), array("com_code" => $com_code));
            $other['all_employees_counter_Active'] = get_count_where(new Employee(), array("com_code" => $com_code, 'active' => 1));
            $other['all_employees_counter_DisActive'] = get_count_where(new Employee(), array("com_code" => $com_code, 'active' => 0));
            $other['all_employees_salaries_counter'] = get_count_where(new Employees_salaries(), array("com_code" => $com_code, 'finance_cln_periods_id' => $id));
            $other['all_employees_salaries_counter_active'] = get_count_where(new Employees_salaries(), array("com_code" => $com_code, 'finance_cln_periods_id' => $id, 'active' => 1));
            $other['all_employees_salaries_counter_DisActive'] = get_count_where(new Employees_salaries(), array("com_code" => $com_code, 'finance_cln_periods_id' => $id, 'active' => 0));
            $other['employees'] = get_cols_where(new Employee(), array("id", "name", "employee_code"), array("com_code" => $com_code), 'employee_code', 'ASC');
            $other['departements'] = get_cols_where(new Departements(), array("id", "name"), array("com_code" => $com_code, 'active' => 1));
            $other['jobs'] = get_cols_where(new Job(), array("id", "name"), array("com_code" => $com_code, 'active' => 1));
            return view('admin.Finance_Montes_Salaries.Dashboard', ['data' => $data, 'other' => $other]);
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }
    public function get_employees_by_filters(Request $request)
    {
        if ($request->ajax()) {
            $departements_id_filter = $request->departements_id_filter;
            $jobs_id_filter = $request->jobs_id_filter;
            $active_filter = $request->active_filter;
            if ($departements_id_filter == 'all') {
                $field1 = "id";
                $operator1 = ">";
                $value1 = 0;
            } else {
                $field1 = "departements_id";
                $operator1 = "=";
                $value1 = $departements_id_filter;
            }
            if ($jobs_id_filter == 'all') {
                $field2 = "id";
                $operator2 = ">";
                $value2 = 0;
            } else {
                $field2 = "jobs_id";
                $operator2 = "=";
                $value2 = $jobs_id_filter;
            }
            if ($active_filter == 'all') {
                $field3 = "id";
                $operator3 = ">";
                $value3 = 0;
            } else {
                $field3 = "active";
                $operator3 = "=";
                $value3 = $active_filter;
            }
            $other['employees'] = Employee::select("id", "name")->where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->orderby('employee_code', 'ASC')->get();
            return view('admin.Finance_Montes_Salaries.get_employees_by_filters', ['other' => $other]);
        }
    }
    public function Add_employees_Salaries($Finance_Montes_id, Request $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(194);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Finance_cln_period(), array("*"), array("id" => $Finance_Montes_id, "com_code" => $com_code));
            if (empty($data)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            if ($data['is_open'] != 1) {
                return redirect()->back()
                    ->with(['error' => 'عفوا لايمكن اضافة رواتب   لهذا الشهر المالي حاليا   ']);
            }
            $Add_modal_employee_code = $request->Add_modal_employee_code;
            if (!empty($Add_modal_employee_code)) {
                foreach ($Add_modal_employee_code as $value) {
                    $EmployeeData = get_cols_where_row(new Employee(), array("*"), array("com_code" => $com_code, "id" => $value));
                    if (!empty($EmployeeData)) {
                        $dataInsert['employee_code'] = $EmployeeData['employee_code'];
                        $dataInsert['com_code'] = $com_code;
                        $dataInsert['finance_cln_periods_id'] = $Finance_Montes_id;
                        $CheckExstits = get_cols_where_row(new Employees_salaries(), array("id"), $dataInsert);
                        if (empty($CheckExstits)) {

                            $counter_employee_salaries = get_count_where(new Employees_salaries(), array("com_code" => $com_code, "employee_code" => $EmployeeData['employee_code']));
                            if ($counter_employee_salaries == 0) {
                                $dataInsert['last_salary_remain_blance'] = $EmployeeData['start_balance'];
                                $dataInsert['is_first_salary'] = 1;
                            }
                            $dataInsert['employee_code'] = $EmployeeData['employee_code'];
                            $dataInsert['departements_id'] = $EmployeeData['departements_id'];
                            $dataInsert['jobs_id'] = $EmployeeData['jobs_id'];
                            $dataInsert['active'] = $EmployeeData['active'];
                            $dataInsert['account_number'] = $EmployeeData['account_number'];
                            $dataInsert['Motivation_value'] = $EmployeeData['Motivation_value'] * (-1);
                            $dataInsert['allowances_value'] = $EmployeeData['allowances_value'] * (-1);
                            $dataInsert['social_insurance_value'] = $EmployeeData['social_insurance_value'];

                            if ($EmployeeData['salary'] > 0) {
                                $dataInsert['Basic_salary'] = $EmployeeData['salary'] * (-1);
                                $dataInsert['money_for_day'] = ceil($EmployeeData['salary'] / $data['number_of_days']) * (-1);
                            } else {
                                $dataInsert['Basic_salary'] = 0;
                                $dataInsert['money_for_day'] = 0;
                            }
                            $dataInsert['Month_days'] = $data['number_of_days'];
                            $dataInsert['created_at'] = date("Y-m-d H:i:s");
                            $dataInsert['added_by'] = auth()->user()->id;
                            $dataInsert['com_code'] = $com_code;
                            $dataInsert['date'] = date("Y-m-d");
                            insert(new Employees_salaries(), $dataInsert);
                        }
                    }
                }
            }
            return redirect()->route('admin.Finance_Montes_Salaries.Dashboard', $Finance_Montes_id)->with(['success' => 'لقد تم فتح الرواتب  بنجاح']);
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }
    public function ajax_search(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $employee_code = $request->employee_code;
            $departements_id = $request->departements_id;
            $jobs_id = $request->jobs_id;
            $active_filter = $request->active_filter;
            $finance_cln_periods_id = $request->finance_cln_periods_id;
            if ($employee_code == 'all') {
                $field1 = "id";
                $operator1 = ">";
                $value1 = 0;
            } else {
                $field1 = "employee_code";
                $operator1 = "=";
                $value1 = $employee_code;
            }
            if ($departements_id == 'all') {
                $field2 = "id";
                $operator2 = ">";
                $value2 = 0;
            } else {
                $field2 = "departements_id";
                $operator2 = "=";
                $value2 = $departements_id;
            }
            if ($jobs_id == 'all') {
                $field3 = "id";
                $operator3 = ">";
                $value3 = 0;
            } else {
                $field3 = "jobs_id";
                $operator3 = "=";
                $value3 = $jobs_id;
            }
            if ($active_filter == 'all') {
                $field4 = "id";
                $operator4 = ">";
                $value4 = 0;
            } else {
                $field4 = "active_filter";
                $operator4 = "=";
                $value4 = $active_filter;
            }
            $other['employees_salaries'] = Employees_salaries::select("*")->where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where('finance_cln_periods_id', '=', $finance_cln_periods_id)->where("com_code", "=", $com_code)->orderby("id", "DESC")->paginate(PC);
            if (!empty($other['employees_salaries'])) {
                foreach ($other['employees_salaries'] as $info) {
                    $info->emp_name = get_field_value(new Employee(), "name", array("employee_code" => $info->employee_code, 'com_code' => $com_code));
                }
            }
            $other['finance_cln_periods_id'] = $finance_cln_periods_id;
            return view('admin.Finance_Montes_Salaries.ajax_search', ['other' => $other]);
        }
    }
    public function salary_details($salaryid, Request $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(193);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Employees_salaries(), array("*"), array("id" => $salaryid, "com_code" => $com_code));
            if (empty($data)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            if ($data['is_closed'] == 1) {
                $data['closed_by_admin'] = Admin::where('id', $data['closed_by'])->value('name');
            } else {
                $this->recalculate_main_salary($salaryid);
                $data = get_cols_where_row(new Employees_salaries(), array("*"), array("id" => $salaryid, "com_code" => $com_code));

            }

            $other['Finance_cln_period_Data'] = get_cols_where_row(new Finance_cln_period(), array("*"), array("id" => $data['finance_cln_periods_id'], "com_code" => $com_code));
            if (empty($other['Finance_cln_period_Data'])) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            $data['counter_employee_salaries'] = get_count_where(new Employees_salaries(), array("com_code" => $com_code, "employee_code" => $data['employee_code']));
            $other['Finance_cln_period_Data']['name'] = Month::where('id', $other['Finance_cln_period_Data']['MONTH_ID'])->value('name');
            $other['Finance_cln_period_Data']['name_en'] = Month::where('id', $other['Finance_cln_period_Data']['MONTH_ID'])->value('name_en');
            $other['Employee_data'] = get_cols_where_row(new Employee(), array("*"), array("employee_code" => $data['employee_code'], "com_code" => $com_code));
            if (empty($other['Employee_data'])) {
                return redirect()->route('admin.employees.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
           

            $other['Employee_data']['Departement_name'] = Departements::where('id', $data['departements_id'])->value('name');
            $other['Employee_data']['Job_name'] = Job::where('id', $data['jobs_id'])->value('name');
            if ($other['Employee_data']['do_has_shift'] == 1) {
                $other['Employee_data']['shift_data'] = get_cols_where_row(new Shifts_typs(), array("type", "from_time", "to_time", "total_hours"), array("com_code" => $com_code, "id" => $other['Employee_data']['shifts_types_id']));
            }
            $other['employees_salaries_actions'] = get_cols_where(new Employees_salaries_actions(), array("*"), array("com_code" => $com_code, "employees_salaries_id" => $salaryid), 'id', 'ASC');
            if (!empty($other['employees_salaries_actions'])) {
                foreach ($other['employees_salaries_actions'] as $info) {

                    if ($info->action == 1) {
                        $info->action_name = get_field_value(new Salaries_additional_types(), "name", array("com_code" => $com_code, "id" => $info->action_fk));
                    } elseif ($info->action == 2) {
                        $info->action_name = get_field_value(new Salaries_discount_types(), "name", array("com_code" => $com_code, "id" => $info->action_fk));
                    } elseif ($info->action == 3) {
                        $info->action_name = "سلفة";
                    } elseif ($info->action == 4) {
                        $info->action_name = "رد سلفة";
                    } else {
                        $info->action_name = "لم يحدد";
                    }

                    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                    if ($info->updated_by > 0 and $info->updated_by != null) {
                        $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                    }
                    if ($info->is_dissmissial_collect_done == 1) {
                        $info->dissmissial_by_admin = Admin::where('id', $info->is_dissmissial_collect_done_by)->value('name');
                    }
                }
            }

            $other['total_addtion'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>1));
            $other['total_addtion_dissmissial_instant'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>1,'is_dissmissial_collect_done'=>1));
            $other['total_addtion_dissmissial_delayed'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>1,'is_dissmissial_collect_done'=>0));

            $other['total_discount'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>2));
            $other['total_discount_collected_instant'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>2,'is_dissmissial_collect_done'=>1));
            $other['total_discount_collected_delayed'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>2,'is_dissmissial_collect_done'=>0));
            $other['total_loan'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid, "is_dissmissial_collect_done" =>1,'action'=>3));
            $other['total_loan_return'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid, "is_dissmissial_collect_done" =>1,'action'=>4));
            $systemData = get_cols_where_row(new Admin_panel_setting(), array("where_pull_attendance_days"), array("com_code" => $com_code));

          


            return view("admin.Finance_Montes_Salaries.salary_details", ['data' => $data, 'other' => $other,'systemData'=>$systemData]);
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }
    public function ajax_load_edit_salary(Request $request)
    {
        if ($request->ajax()) {
            $data = get_cols_where_row(new Employees_salaries(), array("number_of_days_attendance", "id"), array("id" => $request->id, "com_code" => auth()->user()->com_code));
            return view('admin.Finance_Montes_Salaries.load_ajax_edit_salary_details', ['data' => $data]);
        }
    }
    public function do_edit_salary($id, Request $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(195);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Employees_salaries(), array("is_closed","money_for_day"), array("id" => $id, "com_code" => $com_code));
            if (empty($data)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            if ($data['is_closed'] == 1) {
                return redirect()->back()
                    ->with(['error' => 'عفوا لايمكن التعديل علي مفردات راتب مغلق ومؤرشف   ']);
            }
           echo  $data_to_update['number_of_days_attendance'] = $request->number_of_days_attendance_edit;
            $data_to_update['SalareyForDays'] = $request->number_of_days_attendance_edit*$data['money_for_day'];
            $data_to_update['updated_by'] = auth()->user()->id;
            $data_to_update['updated_at'] = date("Y-m-d H:i:s");
            update(new Employees_salaries(), $data_to_update, array("id" => $id, "com_code" => $com_code, 'is_closed' => 0));
            $this->recalculate_main_salary($id);
        
            return redirect()->back()
                ->with(['success' => 'تم تحديث البيانات بنجاح']);
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }
    public function load_action_add_move(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $action_add = $request->action_add;
            $data['action_add'] = $action_add;
            $checkExistsOpenShift = get_cols_where_row(new Admins_Shifts(), array("treasuries_id", "shift_code"), array("com_code" => $com_code, "admin_id" => auth()->user()->id, "is_finished" => 0));
            if (!empty($checkExistsOpenShift)) {
                $checkExistsOpenShift['treasuries_name'] = Treasuries::where('id', $checkExistsOpenShift['treasuries_id'])->value('name');
                //get Treasuries Balance
                $checkExistsOpenShift['treasuries_balance_now'] = get_sum_where(new Treasuries_transactions(), "money", array("com_code" => $com_code, "shift_code" => $checkExistsOpenShift['shift_code']));
            }
            return view('admin.Finance_Montes_Salaries.load_action_add_move', ['data' => $data, 'checkExistsOpenShift' => $checkExistsOpenShift]);
        }
    }
    public function load_usershiftDiv(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            //current user shift
            $checkExistsOpenShift = get_cols_where_row(new Admins_Shifts(), array("treasuries_id", "shift_code"), array("com_code" => $com_code, "admin_id" => auth()->user()->id, "is_finished" => 0));
            if (!empty($checkExistsOpenShift)) {
                $checkExistsOpenShift['treasuries_name'] = Treasuries::where('id', $checkExistsOpenShift['treasuries_id'])->value('name');
                //get Treasuries Balance
                $checkExistsOpenShift['treasuries_balance_now'] = get_sum_where(new Treasuries_transactions(), "money", array("com_code" => $com_code, "shift_code" => $checkExistsOpenShift['shift_code']));
            }
        }
        return view("admin.Finance_Montes_Salaries.load_usershiftDiv", ['checkExistsOpenShift' => $checkExistsOpenShift]);
    }

    public function do_add_action($salaryid, Request $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(196);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Employees_salaries(), array("*"), array("id" => $salaryid, "com_code" => $com_code));
            if (empty($data)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            if ($data['is_closed'] == 1) {
                return redirect()->back()
                    ->with(['error' => 'عفوا لايمكن اضافة حركات علي راتب مغلق ومؤرشف']);
            }
            $other['Finance_cln_period_Data'] = get_cols_where_row(new Finance_cln_period(), array("*"), array("id" => $data['finance_cln_periods_id'], "com_code" => $com_code));
            if (empty($other['Finance_cln_period_Data'])) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            if ($other['Finance_cln_period_Data']['is_open'] != 1) {
                return redirect()->back()
                    ->with(['error' => 'عفوا لايمكن اضافة حركات علي الشهر المالي للمرتب الحالي ']);
            }
            if ($request->is_dissmissial_collect_done == 1) {
                $checkExistsOpenShift = get_cols_where_row(new Admins_Shifts(), array("treasuries_id", "shift_code"), array("com_code" => $com_code, "admin_id" => auth()->user()->id, "is_finished" => 0));
                if (empty($checkExistsOpenShift)) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا لايوجد شفت خزنه مفتوح لكم حاليا !! ']);
                }
                if ($request->action_add == 1 or $request->action_add == 3) {
                    $checkExistsOpenShift['treasuries_balance_now'] = get_sum_where(new Treasuries_transactions(), "money", array("com_code" => $com_code, "shift_code" => $checkExistsOpenShift['shift_code']));
                    if ($checkExistsOpenShift['treasuries_balance_now'] < $request->money_value) {
                        return redirect()->back()
                            ->with(['error' => 'عفوا لايوجد رصيد كافي بخزنة الشفت الخاص بكم الان !! ']);
                    }
                }
                $treasury_data = get_cols_where_row(new Treasuries(), array("last_isal_collect", "last_isal_exhcange"), array("com_code" => $com_code, "id" => $request->treasuries_id));
                if (empty($treasury_data)) {
                    return redirect()->back()->with(['error' => "  عفوا بيانات الخزنة المختارة غير موجوده !!"])->withInput();
                }
            }
            DB::beginTransaction();
            $dataToIsert['employees_salaries_id'] = $salaryid;
            $dataToIsert['action'] = $request->action_add;
            if ($dataToIsert['action'] == 1) {
                $dataToIsert['action_fk'] = $request->additional_types_id;
            }
            if ($dataToIsert['action'] == 2) {
                $dataToIsert['action_fk'] = $request->discount_types_id;
            }
            if ($dataToIsert['action'] == 1) {
                $dataToIsert['money_for_account'] = $request->money_value * (-1);
            }
            if ($dataToIsert['action'] == 2) {
                $dataToIsert['money_for_account'] = $request->money_value;
            } elseif ($dataToIsert['action'] == 3) {
                $dataToIsert['money_for_account'] = $request->money_value;
            } else {
                $dataToIsert['money_for_account'] = $request->money_value * (-1);
            }
            $dataToIsert['money'] = $request->money_value;
            $dataToIsert['is_dissmissial_collect_done'] = $request->is_dissmissial_collect_done;
            if ($dataToIsert['is_dissmissial_collect_done'] == 1) {
                $dataToIsert['is_dissmissial_collect_done_by'] = auth()->user()->id;
                $dataToIsert['is_dissmissial_collect_done_at'] = date("Y-m-d H:i:s");
            }
            $dataToIsert['added_by'] = auth()->user()->id;
            $dataToIsert['date'] = date("Y-m-d");
            $dataToIsert['com_code'] = $com_code;
            $inserted_data_flag = insert(new Employees_salaries_actions(), $dataToIsert, true);
            if ($inserted_data_flag) {
                if ($request->is_dissmissial_collect_done == 1) {
                    if ($dataToIsert['action'] == 1) {
                        //حالة الاضافي وتم صرفه لحظيا
                        $com_code = auth()->user()->com_code;
                        $last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
                        if (!empty($last_record_treasuries_transactions_record)) {
                            $dataInsert['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
                        } else {
                            $dataInsert['auto_serial'] = 1;
                        }
                        $dataInsert['isal_number'] = $treasury_data['last_isal_exhcange'] + 1;
                        $dataInsert['shift_code'] = $checkExistsOpenShift['shift_code'];
                        //credit داين
                        $dataInsert['money'] = $request->money_value * (-1);
                        $dataInsert['the_foregin_key'] = $inserted_data_flag['id'];
                        $dataInsert['treasuries_id'] = $checkExistsOpenShift['treasuries_id'];
                        $dataInsert['mov_type'] = 29;
                        $dataInsert['move_date'] = date("Y-m-d");
                        $dataInsert['account_number'] = $data['account_number'];
                        $dataInsert['is_account'] = 1;
                        $dataInsert['is_approved'] = 1;
                        //debit مدين
                        $dataInsert['money_for_account'] = $request->money_value;
                        $addtion_type_name = get_field_value(new Salaries_additional_types(), "name", array("com_code" => $com_code, "id" => $request->additional_types_id));
                        $employee_name = get_field_value(new Employee(), "name", array("com_code" => $com_code, "employee_code" => $data['employee_code']));
                        $month_name = get_field_value(new Month(), "name", array("id" => $other['Finance_cln_period_Data']['MONTH_ID']));
                        $dataInsert['byan'] = "صرف اضافي لحظي  " . $addtion_type_name . " للموظف " . $employee_name . " " . "  بالشهر المالي" . " " . $month_name . "  لسنة" . "  " . $other['Finance_cln_period_Data']['FINANCE_YR'];
                        $dataInsert['created_at'] = date("Y-m-d H:i:s");
                        $dataInsert['added_by'] = auth()->user()->id;
                        $dataInsert['approved_datetime'] = date("Y-m-d H:i:s");
                        $dataInsert['approved_by'] = auth()->user()->id;
                        $dataInsert['com_code'] = $com_code;
                        $flagDataTreasuries_transactions = insert(new Treasuries_transactions(), $dataInsert, true);
                        if ($flagDataTreasuries_transactions) {
                            $dataUpdateTreasuries['last_isal_exhcange'] = $dataInsert['isal_number'];
                            update(new Treasuries(), $dataUpdateTreasuries, array("com_code" => $com_code, "id" => $checkExistsOpenShift['treasuries_id']));
                            $dataaToupdateParentAction['treasuries_transactions_id'] = $flagDataTreasuries_transactions['id'];
                            update(new Employees_salaries_actions(), $dataaToupdateParentAction, array("com_code" => $com_code, "id" => $inserted_data_flag['id']));
                        }
                    } elseif ($dataToIsert['action'] == 2) {
                        //حالة الخصم وتم تحصيله لحظيا
                        $com_code = auth()->user()->com_code;
                        $last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
                        if (!empty($last_record_treasuries_transactions_record)) {
                            $dataInsert['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
                        } else {
                            $dataInsert['auto_serial'] = 1;
                        }
                        $dataInsert['isal_number'] = $treasury_data['last_isal_collect'] + 1;
                        $dataInsert['shift_code'] = $checkExistsOpenShift['shift_code'];
                        //Debit  مدين
                        $dataInsert['money'] = $request->money_value;
                        $dataInsert['the_foregin_key'] = $inserted_data_flag['id'];
                        $dataInsert['treasuries_id'] = $checkExistsOpenShift['treasuries_id'];
                        $dataInsert['mov_type'] = 30;
                        $dataInsert['move_date'] = date("Y-m-d");
                        $dataInsert['account_number'] = $data['account_number'];
                        $dataInsert['is_account'] = 1;
                        $dataInsert['is_approved'] = 1;
                        //credit دائن
                        $dataInsert['money_for_account'] = $request->money_value * (-1);
                        $discount_types_name = get_field_value(new Salaries_discount_types(), "name", array("com_code" => $com_code, "id" => $request->discount_types_id));
                        $employee_name = get_field_value(new Employee(), "name", array("com_code" => $com_code, "employee_code" => $data['employee_code']));
                        $month_name = get_field_value(new Month(), "name", array("id" => $other['Finance_cln_period_Data']['MONTH_ID']));
                        $dataInsert['byan'] = "تحصيل خصم لحظي  " . $discount_types_name . " للموظف " . $employee_name . " " . "  بالشهر المالي" . " " . $month_name . "  لسنة" . "  " . $other['Finance_cln_period_Data']['FINANCE_YR'];
                        $dataInsert['created_at'] = date("Y-m-d H:i:s");
                        $dataInsert['added_by'] = auth()->user()->id;
                        $dataInsert['approved_datetime'] = date("Y-m-d H:i:s");
                        $dataInsert['approved_by'] = auth()->user()->id;
                        $dataInsert['com_code'] = $com_code;
                        $flagDataTreasuries_transactions = insert(new Treasuries_transactions(), $dataInsert, true);
                        if ($flagDataTreasuries_transactions) {
                            $dataUpdateTreasuries['last_isal_collect'] = $dataInsert['isal_number'];
                            update(new Treasuries(), $dataUpdateTreasuries, array("com_code" => $com_code, "id" => $checkExistsOpenShift['treasuries_id']));
                            $dataaToupdateParentAction['treasuries_transactions_id'] = $flagDataTreasuries_transactions['id'];
                            update(new Employees_salaries_actions(), $dataaToupdateParentAction, array("com_code" => $com_code, "id" => $inserted_data_flag['id']));
                        }
                    } elseif ($dataToIsert['action'] == 3) {
                        //حالة السلفة وتم صرفه لحظيا
                        $com_code = auth()->user()->com_code;
                        $last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
                        if (!empty($last_record_treasuries_transactions_record)) {
                            $dataInsert['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
                        } else {
                            $dataInsert['auto_serial'] = 1;
                        }
                        $dataInsert['isal_number'] = $treasury_data['last_isal_exhcange'] + 1;
                        $dataInsert['shift_code'] = $checkExistsOpenShift['shift_code'];
                        //credit داين
                        $dataInsert['money'] = $request->money_value * (-1);
                        $dataInsert['the_foregin_key'] = $inserted_data_flag['id'];
                        $dataInsert['treasuries_id'] = $checkExistsOpenShift['treasuries_id'];
                        $dataInsert['mov_type'] = 31;
                        $dataInsert['move_date'] = date("Y-m-d");
                        $dataInsert['account_number'] = $data['account_number'];
                        $dataInsert['is_account'] = 1;
                        $dataInsert['is_approved'] = 1;
                        //debit مدين
                        $dataInsert['money_for_account'] = $request->money_value;
                        $employee_name = get_field_value(new Employee(), "name", array("com_code" => $com_code, "employee_code" => $data['employee_code']));
                        $month_name = get_field_value(new Month(), "name", array("id" => $other['Finance_cln_period_Data']['MONTH_ID']));
                        $dataInsert['byan'] = "صرف سلفة   للموظف " . $employee_name . " " . "  بالشهر المالي" . " " . $month_name . "  لسنة" . "  " . $other['Finance_cln_period_Data']['FINANCE_YR'];
                        $dataInsert['created_at'] = date("Y-m-d H:i:s");
                        $dataInsert['added_by'] = auth()->user()->id;
                        $dataInsert['approved_datetime'] = date("Y-m-d H:i:s");
                        $dataInsert['approved_by'] = auth()->user()->id;
                        $dataInsert['com_code'] = $com_code;
                        $flagDataTreasuries_transactions = insert(new Treasuries_transactions(), $dataInsert, true);
                        if ($flagDataTreasuries_transactions) {
                            $dataUpdateTreasuries['last_isal_exhcange'] = $dataInsert['isal_number'];
                            update(new Treasuries(), $dataUpdateTreasuries, array("com_code" => $com_code, "id" => $checkExistsOpenShift['treasuries_id']));
                            $dataaToupdateParentAction['treasuries_transactions_id'] = $flagDataTreasuries_transactions['id'];
                            update(new Employees_salaries_actions(), $dataaToupdateParentAction, array("com_code" => $com_code, "id" => $inserted_data_flag['id']));
                        }
                    } elseif ($dataToIsert['action'] == 4) {
                        //حالة الخصم وتم تحصيله لحظيا
                        $com_code = auth()->user()->com_code;
                        $last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
                        if (!empty($last_record_treasuries_transactions_record)) {
                            $dataInsert['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
                        } else {
                            $dataInsert['auto_serial'] = 1;
                        }
                        $dataInsert['isal_number'] = $treasury_data['last_isal_collect'] + 1;
                        $dataInsert['shift_code'] = $checkExistsOpenShift['shift_code'];
                        //Debit  مدين
                        $dataInsert['money'] = $request->money_value;
                        $dataInsert['the_foregin_key'] = $inserted_data_flag['id'];
                        $dataInsert['treasuries_id'] = $checkExistsOpenShift['treasuries_id'];
                        $dataInsert['mov_type'] = 32;
                        $dataInsert['move_date'] = date("Y-m-d");
                        $dataInsert['account_number'] = $data['account_number'];
                        $dataInsert['is_account'] = 1;
                        $dataInsert['is_approved'] = 1;
                        //credit دائن
                        $dataInsert['money_for_account'] = $request->money_value * (-1);
                        $employee_name = get_field_value(new Employee(), "name", array("com_code" => $com_code, "employee_code" => $data['employee_code']));
                        $month_name = get_field_value(new Month(), "name", array("id" => $other['Finance_cln_period_Data']['MONTH_ID']));
                        $dataInsert['byan'] = "تحصيل رد سلفة   للموظف " . $employee_name . " " . "  بالشهر المالي" . " " . $month_name . "  لسنة" . "  " . $other['Finance_cln_period_Data']['FINANCE_YR'];
                        $dataInsert['created_at'] = date("Y-m-d H:i:s");
                        $dataInsert['added_by'] = auth()->user()->id;
                        $dataInsert['approved_datetime'] = date("Y-m-d H:i:s");
                        $dataInsert['approved_by'] = auth()->user()->id;
                        $dataInsert['com_code'] = $com_code;
                        $flagDataTreasuries_transactions = insert(new Treasuries_transactions(), $dataInsert, true);
                        if ($flagDataTreasuries_transactions) {
                            $dataUpdateTreasuries['last_isal_collect'] = $dataInsert['isal_number'];
                            update(new Treasuries(), $dataUpdateTreasuries, array("com_code" => $com_code, "id" => $checkExistsOpenShift['treasuries_id']));
                            $dataaToupdateParentAction['treasuries_transactions_id'] = $flagDataTreasuries_transactions['id'];
                            update(new Employees_salaries_actions(), $dataaToupdateParentAction, array("com_code" => $com_code, "id" => $inserted_data_flag['id']));
                        }
                    } else {
                        //othing now
                    }
                }
            }
            DB::commit();
            $this->recalculate_main_salary($salaryid);
            return redirect()->back()
                ->with(['success' => 'تم اضافة الحركة بنجاح']);
        } catch (\Exception $ex) {
            DB::rollback();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }


    public function do_Edit_action($action_id, Request $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(198);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data_action = get_cols_where_row(new Employees_salaries_actions(), array("*"), array("id" => $action_id, "com_code" => $com_code));
            if (empty($data_action)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            if ($data_action['is_dissmissial_collect_done'] == 1) {
                return redirect()->back()
                    ->with(['error' => 'عفوا لايمكن التعديل علي حركة تم التعامل معها مالياً']);
            }

            $salaryid = $data_action['employees_salaries_id'];
            $data = get_cols_where_row(new Employees_salaries(), array("*"), array("id" => $salaryid, "com_code" => $com_code));
            if (empty($data)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            if ($data['is_closed'] == 1) {
                return redirect()->back()
                    ->with(['error' => 'عفوا لايمكن اضافة حركات علي راتب مغلق ومؤرشف']);
            }
            $other['Finance_cln_period_Data'] = get_cols_where_row(new Finance_cln_period(), array("*"), array("id" => $data['finance_cln_periods_id'], "com_code" => $com_code));
            if (empty($other['Finance_cln_period_Data'])) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            if ($other['Finance_cln_period_Data']['is_open'] != 1) {
                return redirect()->back()
                    ->with(['error' => 'عفوا لايمكن اضافة حركات علي الشهر المالي للمرتب الحالي ']);
            }



            if ($request->is_dissmissial_collect_done == 1) {
                $checkExistsOpenShift = get_cols_where_row(new Admins_Shifts(), array("treasuries_id", "shift_code"), array("com_code" => $com_code, "admin_id" => auth()->user()->id, "is_finished" => 0));
                if (empty($checkExistsOpenShift)) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا لايوجد شفت خزنه مفتوح لكم حاليا !! ']);
                }
                if ($request->action_add == 1 or $request->action_add == 3) {
                    $checkExistsOpenShift['treasuries_balance_now'] = get_sum_where(new Treasuries_transactions(), "money", array("com_code" => $com_code, "shift_code" => $checkExistsOpenShift['shift_code']));
                    if ($checkExistsOpenShift['treasuries_balance_now'] < $request->money_value) {
                        return redirect()->back()
                            ->with(['error' => 'عفوا لايوجد رصيد كافي بخزنة الشفت الخاص بكم الان !! ']);
                    }
                }
                $treasury_data = get_cols_where_row(new Treasuries(), array("last_isal_collect", "last_isal_exhcange"), array("com_code" => $com_code, "id" => $request->treasuries_id));
                if (empty($treasury_data)) {
                    return redirect()->back()->with(['error' => "  عفوا بيانات الخزنة المختارة غير موجوده !!"])->withInput();
                }
            }
            DB::beginTransaction();
            $dataToUpdate['action'] = $request->action_add;
            if ($dataToUpdate['action'] == 1) {
                $dataToUpdate['action_fk'] = $request->additional_types_id;
            }
            if ($dataToUpdate['action'] == 2) {
                $dataToUpdate['action_fk'] = $request->discount_types_id;
            }

            if ($dataToUpdate['action'] == 1) {
                $dataToUpdate['money_for_account'] = $request->money_value * (-1);
            }
            if ($dataToUpdate['action'] == 2) {
                $dataToUpdate['money_for_account'] = $request->money_value;
            } elseif ($dataToUpdate['action'] == 3) {
                $dataToUpdate['money_for_account'] = $request->money_value;
            } else {
                $dataToUpdate['money_for_account'] = $request->money_value * (-1);
            }

            $dataToUpdate['money'] = $request->money_value;
            $dataToUpdate['is_dissmissial_collect_done'] = $request->is_dissmissial_collect_done;
            if ($dataToUpdate['is_dissmissial_collect_done'] == 1) {
                $dataToUpdate['is_dissmissial_collect_done_by'] = auth()->user()->id;
                $dataToUpdate['is_dissmissial_collect_done_at'] = date("Y-m-d H:i:s");
            }
            $dataToUpdate['updated_by'] = auth()->user()->id;
            $update_data_flag = update(new Employees_salaries_actions(), $dataToUpdate, array("id" => $action_id, "com_code" => $com_code, 'is_dissmissial_collect_done' => 0));
            if ($update_data_flag) {
                if ($request->is_dissmissial_collect_done == 1) {
                    if ($dataToUpdate['action'] == 1) {
                        //حالة الاضافي وتم صرفه لحظيا
                        $com_code = auth()->user()->com_code;
                        $last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
                        if (!empty($last_record_treasuries_transactions_record)) {
                            $dataInsert['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
                        } else {
                            $dataInsert['auto_serial'] = 1;
                        }
                        $dataInsert['isal_number'] = $treasury_data['last_isal_exhcange'] + 1;
                        $dataInsert['shift_code'] = $checkExistsOpenShift['shift_code'];
                        //credit داين
                        $dataInsert['money'] = $request->money_value * (-1);
                        $dataInsert['the_foregin_key'] = $action_id;
                        $dataInsert['treasuries_id'] = $checkExistsOpenShift['treasuries_id'];
                        $dataInsert['mov_type'] = 29;
                        $dataInsert['move_date'] = date("Y-m-d");
                        $dataInsert['account_number'] = $data['account_number'];
                        $dataInsert['is_account'] = 1;
                        $dataInsert['is_approved'] = 1;
                        //debit مدين
                        $dataInsert['money_for_account'] = $request->money_value;
                        $addtion_type_name = get_field_value(new Salaries_additional_types(), "name", array("com_code" => $com_code, "id" => $request->additional_types_id));
                        $employee_name = get_field_value(new Employee(), "name", array("com_code" => $com_code, "employee_code" => $data['employee_code']));
                        $month_name = get_field_value(new Month(), "name", array("id" => $other['Finance_cln_period_Data']['MONTH_ID']));
                        $dataInsert['byan'] = "صرف اضافي لحظي  " . $addtion_type_name . " للموظف " . $employee_name . " " . "  بالشهر المالي" . " " . $month_name . "  لسنة" . "  " . $other['Finance_cln_period_Data']['FINANCE_YR'];
                        $dataInsert['created_at'] = date("Y-m-d H:i:s");
                        $dataInsert['added_by'] = auth()->user()->id;
                        $dataInsert['approved_datetime'] = date("Y-m-d H:i:s");
                        $dataInsert['approved_by'] = auth()->user()->id;
                        $dataInsert['com_code'] = $com_code;
                        $flagDataTreasuries_transactions = insert(new Treasuries_transactions(), $dataInsert, true);
                        if ($flagDataTreasuries_transactions) {
                            $dataUpdateTreasuries['last_isal_exhcange'] = $dataInsert['isal_number'];
                            update(new Treasuries(), $dataUpdateTreasuries, array("com_code" => $com_code, "id" => $checkExistsOpenShift['treasuries_id']));
                            $dataaToupdateParentAction['treasuries_transactions_id'] = $flagDataTreasuries_transactions['id'];
                            update(new Employees_salaries_actions(), $dataaToupdateParentAction, array("com_code" => $com_code, "id" => $action_id));
                        }
                    } elseif ($dataToUpdate['action'] == 2) {
                        //حالة الخصم وتم تحصيله لحظيا
                        $com_code = auth()->user()->com_code;
                        $last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
                        if (!empty($last_record_treasuries_transactions_record)) {
                            $dataInsert['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
                        } else {
                            $dataInsert['auto_serial'] = 1;
                        }
                        $dataInsert['isal_number'] = $treasury_data['last_isal_collect'] + 1;
                        $dataInsert['shift_code'] = $checkExistsOpenShift['shift_code'];
                        //Debit  مدين
                        $dataInsert['money'] = $request->money_value;
                        $dataInsert['the_foregin_key'] = $action_id;
                        $dataInsert['treasuries_id'] = $checkExistsOpenShift['treasuries_id'];
                        $dataInsert['mov_type'] = 30;
                        $dataInsert['move_date'] = date("Y-m-d");
                        $dataInsert['account_number'] = $data['account_number'];
                        $dataInsert['is_account'] = 1;
                        $dataInsert['is_approved'] = 1;
                        //credit دائن
                        $dataInsert['money_for_account'] = $request->money_value * (-1);
                        $discount_types_name = get_field_value(new Salaries_discount_types(), "name", array("com_code" => $com_code, "id" => $request->discount_types_id));
                        $employee_name = get_field_value(new Employee(), "name", array("com_code" => $com_code, "employee_code" => $data['employee_code']));
                        $month_name = get_field_value(new Month(), "name", array("id" => $other['Finance_cln_period_Data']['MONTH_ID']));
                        $dataInsert['byan'] = "تحصيل خصم لحظي  " . $discount_types_name . " للموظف " . $employee_name . " " . "  بالشهر المالي" . " " . $month_name . "  لسنة" . "  " . $other['Finance_cln_period_Data']['FINANCE_YR'];
                        $dataInsert['created_at'] = date("Y-m-d H:i:s");
                        $dataInsert['added_by'] = auth()->user()->id;
                        $dataInsert['approved_datetime'] = date("Y-m-d H:i:s");
                        $dataInsert['approved_by'] = auth()->user()->id;
                        $dataInsert['com_code'] = $com_code;
                        $flagDataTreasuries_transactions = insert(new Treasuries_transactions(), $dataInsert, true);
                        if ($flagDataTreasuries_transactions) {
                            $dataUpdateTreasuries['last_isal_collect'] = $dataInsert['isal_number'];
                            update(new Treasuries(), $dataUpdateTreasuries, array("com_code" => $com_code, "id" => $checkExistsOpenShift['treasuries_id']));
                            $dataaToupdateParentAction['treasuries_transactions_id'] = $flagDataTreasuries_transactions['id'];
                            update(new Employees_salaries_actions(), $dataaToupdateParentAction, array("com_code" => $com_code, "id" => $action_id));
                        }
                    } elseif ($dataToUpdate['action'] == 3) {
                        //حالة السلفة وتم صرفه لحظيا
                        $com_code = auth()->user()->com_code;
                        $last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
                        if (!empty($last_record_treasuries_transactions_record)) {
                            $dataInsert['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
                        } else {
                            $dataInsert['auto_serial'] = 1;
                        }
                        $dataInsert['isal_number'] = $treasury_data['last_isal_exhcange'] + 1;
                        $dataInsert['shift_code'] = $checkExistsOpenShift['shift_code'];
                        //credit داين
                        $dataInsert['money'] = $request->money_value * (-1);
                        $dataInsert['the_foregin_key'] = $action_id;
                        $dataInsert['treasuries_id'] = $checkExistsOpenShift['treasuries_id'];
                        $dataInsert['mov_type'] = 31;
                        $dataInsert['move_date'] = date("Y-m-d");
                        $dataInsert['account_number'] = $data['account_number'];
                        $dataInsert['is_account'] = 1;
                        $dataInsert['is_approved'] = 1;
                        //debit مدين
                        $dataInsert['money_for_account'] = $request->money_value;
                        $employee_name = get_field_value(new Employee(), "name", array("com_code" => $com_code, "employee_code" => $data['employee_code']));
                        $month_name = get_field_value(new Month(), "name", array("id" => $other['Finance_cln_period_Data']['MONTH_ID']));
                        $dataInsert['byan'] = "صرف سلفة   للموظف " . $employee_name . " " . "  بالشهر المالي" . " " . $month_name . "  لسنة" . "  " . $other['Finance_cln_period_Data']['FINANCE_YR'];
                        $dataInsert['created_at'] = date("Y-m-d H:i:s");
                        $dataInsert['added_by'] = auth()->user()->id;
                        $dataInsert['approved_datetime'] = date("Y-m-d H:i:s");
                        $dataInsert['approved_by'] = auth()->user()->id;
                        $dataInsert['com_code'] = $com_code;
                        $flagDataTreasuries_transactions = insert(new Treasuries_transactions(), $dataInsert, true);
                        if ($flagDataTreasuries_transactions) {
                            $dataUpdateTreasuries['last_isal_exhcange'] = $dataInsert['isal_number'];
                            update(new Treasuries(), $dataUpdateTreasuries, array("com_code" => $com_code, "id" => $checkExistsOpenShift['treasuries_id']));
                            $dataaToupdateParentAction['treasuries_transactions_id'] = $flagDataTreasuries_transactions['id'];
                            update(new Employees_salaries_actions(), $dataaToupdateParentAction, array("com_code" => $com_code, "id" => $action_id));
                        }
                    } elseif ($dataToUpdate['action'] == 4) {
                        //حالة الخصم وتم تحصيله لحظيا
                        $com_code = auth()->user()->com_code;
                        $last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
                        if (!empty($last_record_treasuries_transactions_record)) {
                            $dataInsert['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
                        } else {
                            $dataInsert['auto_serial'] = 1;
                        }
                        $dataInsert['isal_number'] = $treasury_data['last_isal_collect'] + 1;
                        $dataInsert['shift_code'] = $checkExistsOpenShift['shift_code'];
                        //Debit  مدين
                        $dataInsert['money'] = $request->money_value;
                        $dataInsert['the_foregin_key'] = $action_id;
                        $dataInsert['treasuries_id'] = $checkExistsOpenShift['treasuries_id'];
                        $dataInsert['mov_type'] = 32;
                        $dataInsert['move_date'] = date("Y-m-d");
                        $dataInsert['account_number'] = $data['account_number'];
                        $dataInsert['is_account'] = 1;
                        $dataInsert['is_approved'] = 1;
                        //credit دائن
                        $dataInsert['money_for_account'] = $request->money_value * (-1);
                        $employee_name = get_field_value(new Employee(), "name", array("com_code" => $com_code, "employee_code" => $data['employee_code']));
                        $month_name = get_field_value(new Month(), "name", array("id" => $other['Finance_cln_period_Data']['MONTH_ID']));
                        $dataInsert['byan'] = "تحصيل رد سلفة   للموظف " . $employee_name . " " . "  بالشهر المالي" . " " . $month_name . "  لسنة" . "  " . $other['Finance_cln_period_Data']['FINANCE_YR'];
                        $dataInsert['created_at'] = date("Y-m-d H:i:s");
                        $dataInsert['added_by'] = auth()->user()->id;
                        $dataInsert['approved_datetime'] = date("Y-m-d H:i:s");
                        $dataInsert['approved_by'] = auth()->user()->id;
                        $dataInsert['com_code'] = $com_code;
                        $flagDataTreasuries_transactions = insert(new Treasuries_transactions(), $dataInsert, true);
                        if ($flagDataTreasuries_transactions) {
                            $dataUpdateTreasuries['last_isal_collect'] = $dataInsert['isal_number'];
                            update(new Treasuries(), $dataUpdateTreasuries, array("com_code" => $com_code, "id" => $checkExistsOpenShift['treasuries_id']));
                            $dataaToupdateParentAction['treasuries_transactions_id'] = $flagDataTreasuries_transactions['id'];
                            update(new Employees_salaries_actions(), $dataaToupdateParentAction, array("com_code" => $com_code, "id" => $action_id));
                        }
                    } else {
                        //othing now
                    }
                }
            }
            DB::commit();
            $this->recalculate_main_salary($salaryid);
            return redirect()->back()
                ->with(['success' => 'تم تحديث الحركة بنجاح']);
        } catch (\Exception $ex) {
            DB::rollback();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }




    public function printsaleswina4_exch($id, $size)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(208);
        }
        $com_code = auth()->user()->com_code;
        $data = get_cols_where_row(new Treasuries_transactions(), array("*"), array("com_code" => $com_code, "id" => $id));
        if (empty($data)) {
            return redirect()->back()->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة']);
        }
        if ($data['is_approved'] == 0) {
            return redirect()->back()->with(['error' => 'عفوا لايمكن طباعه ايصال غير معتمد']);
        }

        $data['approved_by_admin'] = Admin::where('id', $data['approved_by'])->value('name');
        $data['treasuries_name'] = Treasuries::where('id', $data['treasuries_id'])->value('name');
        $data['mov_type_name'] = Mov_type::where('id', $data['mov_type'])->value('name');
        if ($data['is_account'] == 1) {
            $data['account_type'] = Account::where(["account_number" => $data['account_number'], "com_code" => $com_code])->value("account_type");
            $data['account_type_name'] = Account_types::where(["id" => $data['account_type']])->value("name");
            $data['account_name'] = Account::where(["account_number" => $data['account_number'], "com_code" => $com_code])->value("name");
        } else {
            $data['account_name'] = "لايوجد";
            $data['account_type_name'] = "لايوجد";
        }
        $data['printed_by'] = auth()->user()->name;
        $systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => $com_code));

        if ($size == "A4") {
            return view('admin.Finance_Montes_Salaries.printsaleswina4_exch', ['data' => $data, 'systemData' => $systemData]);
        } else {
            return view('admin.Finance_Montes_Salaries.printsaleswina6_exch', ['data' => $data, 'systemData' => $systemData]);
        }
    }
    public function printsaleswina4_coll($id, $size)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(207);
        }
        $com_code = auth()->user()->com_code;
        $data = get_cols_where_row(new Treasuries_transactions(), array("*"), array("com_code" => $com_code, "id" => $id));
        if (empty($data)) {
            return redirect()->back()->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة']);
        }
        if ($data['is_approved'] == 0) {
            return redirect()->back()->with(['error' => 'عفوا لايمكن طباعه ايصال غير معتمد']);
        }

        $data['approved_by_admin'] = Admin::where('id', $data['approved_by'])->value('name');
        $data['treasuries_name'] = Treasuries::where('id', $data['treasuries_id'])->value('name');
        $data['mov_type_name'] = Mov_type::where('id', $data['mov_type'])->value('name');
        if ($data['is_account'] == 1) {
            $data['account_type'] = Account::where(["account_number" => $data['account_number'], "com_code" => $com_code])->value("account_type");
            $data['account_type_name'] = Account_types::where(["id" => $data['account_type']])->value("name");
            $data['account_name'] = Account::where(["account_number" => $data['account_number'], "com_code" => $com_code])->value("name");
        } else {
            $data['account_name'] = "لايوجد";
            $data['account_type_name'] = "لايوجد";
        }
        $data['printed_by'] = auth()->user()->name;
        $systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => $com_code));

        if ($size == "A4") {
            return view('admin.Finance_Montes_Salaries.printsaleswina4_coll', ['data' => $data, 'systemData' => $systemData]);
        } else {
            return view('admin.Finance_Montes_Salaries.printsaleswina6_coll', ['data' => $data, 'systemData' => $systemData]);
        }
    }


    public function delete_action($action_id, Request $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(196);
        }
        try {
            $com_code = auth()->user()->com_code;

            $data_action = get_cols_where_row(new Employees_salaries_actions(), array("*"), array("id" => $action_id, "com_code" => $com_code));
            if (empty($data_action)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            if ($data_action['is_dissmissial_collect_done'] == 1) {
                return redirect()->back()
                    ->with(['error' => 'عفوا لايمكن حذف الحركة الان !!']);
            }

            $data_Employees_salaries = get_cols_where_row(new Employees_salaries(), array("*"), array("id" => $data_action['employees_salaries_id'], "com_code" => $com_code));
            if (empty($data_Employees_salaries)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            if ($data_Employees_salaries['is_closed'] == 1) {
                return redirect()->back()
                    ->with(['error' => 'عفوا لايمكن اضافة حركات علي راتب مغلق ومؤرشف']);
            }


            $other['Finance_cln_period_Data'] = get_cols_where_row(new Finance_cln_period(), array("*"), array("id" => $data_Employees_salaries['finance_cln_periods_id'], "com_code" => $com_code));
            if (empty($other['Finance_cln_period_Data'])) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            if ($other['Finance_cln_period_Data']['is_open'] != 1) {
                return redirect()->back()
                    ->with(['error' => 'عفوا لايمكن اضافة حركات علي الشهر المالي للمرتب الحالي ']);
            }
            delete(new Employees_salaries_actions(), array("id" => $action_id, "com_code" => $com_code, 'is_dissmissial_collect_done' => 0));
            $this->recalculate_main_salary($data_action['employees_salaries_id']);
            
            return redirect()->back()
                ->with(['success' => 'تم حذف الحركة بنجاح']);
        } catch (\Exception $ex) {

            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }
    public function load_add_action_modal(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $id = $request->id;
            $data = get_cols_where_row(new Employees_salaries(), array("*"), array("id" => $id, "com_code" => $com_code));
            $other['additional_types'] = get_cols_where(new Salaries_additional_types(), array("id", "name"), array("active" => 1, 'com_code' => $com_code));
            $other['discount_types'] = get_cols_where(new Salaries_discount_types(), array("id", "name"), array("active" => 1, 'com_code' => $com_code));

            return view('admin.Finance_Montes_Salaries.load_add_Action_modal_content', ['data' => $data, 'other' => $other]);
        }
    }


    public function load_edit_action_modal(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $action_id = $request->id;
            $other['additional_types'] = get_cols_where(new Salaries_additional_types(), array("id", "name"), array("active" => 1, 'com_code' => $com_code));
            $other['discount_types'] = get_cols_where(new Salaries_discount_types(), array("id", "name"), array("active" => 1, 'com_code' => $com_code));
            $data_action = get_cols_where_row(new Employees_salaries_actions(), array("*"), array("id" => $action_id, "com_code" => $com_code, 'is_dissmissial_collect_done' => 0));

            $checkExistsOpenShift = get_cols_where_row(new Admins_Shifts(), array("treasuries_id", "shift_code"), array("com_code" => $com_code, "admin_id" => auth()->user()->id, "is_finished" => 0));
            if (!empty($checkExistsOpenShift)) {
                $checkExistsOpenShift['treasuries_name'] = Treasuries::where('id', $checkExistsOpenShift['treasuries_id'])->value('name');
                //get Treasuries Balance
                $checkExistsOpenShift['treasuries_balance_now'] = get_sum_where(new Treasuries_transactions(), "money", array("com_code" => $com_code, "shift_code" => $checkExistsOpenShift['shift_code']));
            }

            return view('admin.Finance_Montes_Salaries.load_edit_Action_modal_content', ['data' => $data_action, 'other' => $other, 'checkExistsOpenShift' => $checkExistsOpenShift]);
        }
    }

    
    public function load_close_salary(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $id = $request->id;
            $data = get_cols_where_row(new Employees_salaries(), array("*"), array("id" => $id, "com_code" => $com_code,'is_closed'=>0));
            $checkExistsOpenShift=""; 
            if(!empty(  $data)){
            $checkExistsOpenShift = get_cols_where_row(new Admins_Shifts(), array("treasuries_id", "shift_code"), array("com_code" => $com_code, "admin_id" => auth()->user()->id, "is_finished" => 0));
            if (!empty($checkExistsOpenShift)) {
                $checkExistsOpenShift['treasuries_name'] = Treasuries::where('id', $checkExistsOpenShift['treasuries_id'])->value('name');
                //get Treasuries Balance
                $checkExistsOpenShift['treasuries_balance_now'] = get_sum_where(new Treasuries_transactions(), "money", array("com_code" => $com_code, "shift_code" => $checkExistsOpenShift['shift_code']));
            }
          }
            return view('admin.Finance_Montes_Salaries.load_close_salary', ['data' => $data, 'checkExistsOpenShift' => $checkExistsOpenShift]);
        }
    }


    public function do_close_salary($id, Request $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(209	);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Employees_salaries(), array("is_closed","final_the_net_befor_close","account_number","employee_code","finance_cln_periods_id"), array("id" => $id, "com_code" => $com_code));
            if (empty($data)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            if ($data['is_closed'] == 1) {
                return redirect()->back()
                    ->with(['error' => 'عفوا لايمكن اعادة ارشفة راتب مغلق ومؤرشف   ']);
            }

            $other['Finance_cln_period_Data'] = get_cols_where_row(new Finance_cln_period(), array("*"), array("id" => $data['finance_cln_periods_id'], "com_code" => $com_code, 'is_open' => 1));
      if (empty($other['Finance_cln_period_Data'])) {
                return redirect()->back()
                    ->with(['error' => 'عفوا لايمكن  ارشفة راتب بشهر مالي مؤرشف    ']);
            }
     $current_salary_close_state=$request->current_salary_close_state;
    $current_salary_close_action=$request->current_salary_close_action;
    if($current_salary_close_action==1){

   if( $current_salary_close_state==1){
   //credit دائن وله 
  

   $checkExistsOpenShift = get_cols_where_row(new Admins_Shifts(), array("treasuries_id", "shift_code"), array("com_code" => $com_code, "admin_id" => auth()->user()->id, "is_finished" => 0));
   if(empty($checkExistsOpenShift)){
    return redirect()->back()->with(['error' => "  عفوا لايوجد شفت خزنة مفتوح حاليا !!"]);

   }
   

$treasury_data = get_cols_where_row(new Treasuries(), array("last_isal_collect", "last_isal_exhcange"), array("com_code" => $com_code, "id" => $request->treasuries_id));
if (empty($treasury_data)) {
    return redirect()->back()->with(['error' => "  عفوا بيانات الخزنة المختارة غير موجوده !!"]);
}
$money=$data['final_the_net_befor_close'];
if($money<0){  $money=$money*(-1);}
$dataInsert['money_for_account'] = $money;
   $com_code = auth()->user()->com_code;
   $last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
   if (!empty($last_record_treasuries_transactions_record)) {
       $dataInsert['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
   } else {
       $dataInsert['auto_serial'] = 1;
   }
   $dataInsert['isal_number'] = $treasury_data['last_isal_exhcange'] + 1;
   $dataInsert['shift_code'] = $checkExistsOpenShift['shift_code'];
   //credit داين
   $dataInsert['money'] = $money * (-1);
   $dataInsert['the_foregin_key'] = $id;
   $dataInsert['treasuries_id'] = $checkExistsOpenShift['treasuries_id'];
   $dataInsert['mov_type'] = 33;
   $dataInsert['move_date'] = date("Y-m-d");
   $dataInsert['account_number'] = $data['account_number'];
   $dataInsert['is_account'] = 1;
   $dataInsert['is_approved'] = 1;
   //debit مدين

   $employee_name = get_field_value(new Employee(), "name", array("com_code" => $com_code, "employee_code" => $data['employee_code']));
   $month_name = get_field_value(new Month(), "name", array("id" => $other['Finance_cln_period_Data']['MONTH_ID']));
   $dataInsert['byan'] = "اغلاق وارشفة وصرف راتب   للموظف " . $employee_name . " " . "  بالشهر المالي" . " " . $month_name . "  لسنة" . "  " . $other['Finance_cln_period_Data']['FINANCE_YR'];
   $dataInsert['created_at'] = date("Y-m-d H:i:s");
   $dataInsert['added_by'] = auth()->user()->id;
   $dataInsert['approved_datetime'] = date("Y-m-d H:i:s");
   $dataInsert['approved_by'] = auth()->user()->id;
   $dataInsert['com_code'] = $com_code;
   $flagDataTreasuries_transactions = insert(new Treasuries_transactions(), $dataInsert, true);
   if ($flagDataTreasuries_transactions) {
       $dataUpdateTreasuries['last_isal_exhcange'] = $dataInsert['isal_number'];
       update(new Treasuries(), $dataUpdateTreasuries, array("com_code" => $com_code, "id" => $checkExistsOpenShift['treasuries_id']));
       $dataaToupdateParentAction['treasuries_transactions_id'] = $flagDataTreasuries_transactions['id'];
       $dataaToupdateParentAction['is_dissmissial_done']=1;
       $dataaToupdateParentAction['final_the_net']=0;
       $dataaToupdateParentAction['is_closed']=1;
       $dataaToupdateParentAction['closed_by']=auth()->user()->id;
       $dataaToupdateParentAction['closed_at']=date("Y-m-d H:i:s");
      $flag= update(new Employees_salaries(), $dataaToupdateParentAction, array("com_code" => $com_code, "id" => $id));
      if($flag){
        $dataaToupdateAttendance['is_closed']=1;
        $dataaToupdateAttendance['closed_by']=auth()->user()->id;
        $dataaToupdateAttendance['closed_at']=date("Y-m-d H:i:s");
     update(new Employees_attedance(), $dataaToupdateAttendance, array("com_code" => $com_code, "employee_code" => $data['employee_code'],'finance_cln_periods_id'=>$data['finance_cln_periods_id']));

      }
   
    }

   return redirect()->back()
   ->with(['success' => 'تم اغلاق وارشفة الراتب بنجاح  ']);






   }else   if( $current_salary_close_state==2){
//مدين  debit
   
 
    $checkExistsOpenShift = get_cols_where_row(new Admins_Shifts(), array("treasuries_id", "shift_code"), array("com_code" => $com_code, "admin_id" => auth()->user()->id, "is_finished" => 0));
    if(empty($checkExistsOpenShift)){
     return redirect()->back()->with(['error' => "  عفوا لايوجد شفت خزنة مفتوح حاليا !!"]);
 
    }
    
 
 $treasury_data = get_cols_where_row(new Treasuries(), array("last_isal_collect", "last_isal_exhcange"), array("com_code" => $com_code, "id" => $request->treasuries_id));
 if (empty($treasury_data)) {
     return redirect()->back()->with(['error' => "  عفوا بيانات الخزنة المختارة غير موجوده !!"]);
 }
 $money=$data['final_the_net_befor_close'];
 if($money<0){  $money=$money*(-1);}
 $dataInsert['money_for_account'] = $money*(-1);
    $com_code = auth()->user()->com_code;
    $last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
    if (!empty($last_record_treasuries_transactions_record)) {
        $dataInsert['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
    } else {
        $dataInsert['auto_serial'] = 1;
    }
    $dataInsert['isal_number'] = $treasury_data['last_isal_collect'] + 1;
    $dataInsert['shift_code'] = $checkExistsOpenShift['shift_code'];
    //مدين
    $dataInsert['money'] = $money ;
    $dataInsert['the_foregin_key'] = $id;
    $dataInsert['treasuries_id'] = $checkExistsOpenShift['treasuries_id'];
    $dataInsert['mov_type'] = 33;
    $dataInsert['move_date'] = date("Y-m-d");
    $dataInsert['account_number'] = $data['account_number'];
    $dataInsert['is_account'] = 1;
    $dataInsert['is_approved'] = 1;
    //دائن
 
    $employee_name = get_field_value(new Employee(), "name", array("com_code" => $com_code, "employee_code" => $data['employee_code']));
    $month_name = get_field_value(new Month(), "name", array("id" => $other['Finance_cln_period_Data']['MONTH_ID']));
    $dataInsert['byan'] = "اغلاق وارشفة وتحصيل مستحق براتب   للموظف " . $employee_name . " " . "  بالشهر المالي" . " " . $month_name . "  لسنة" . "  " . $other['Finance_cln_period_Data']['FINANCE_YR'];
    $dataInsert['created_at'] = date("Y-m-d H:i:s");
    $dataInsert['added_by'] = auth()->user()->id;
    $dataInsert['approved_datetime'] = date("Y-m-d H:i:s");
    $dataInsert['approved_by'] = auth()->user()->id;
    $dataInsert['com_code'] = $com_code;
    $flagDataTreasuries_transactions = insert(new Treasuries_transactions(), $dataInsert, true);
    if ($flagDataTreasuries_transactions) {
        $dataUpdateTreasuries['last_isal_collect'] = $dataInsert['isal_number'];
        update(new Treasuries(), $dataUpdateTreasuries, array("com_code" => $com_code, "id" => $checkExistsOpenShift['treasuries_id']));
        $dataaToupdateParentAction['treasuries_transactions_id'] = $flagDataTreasuries_transactions['id'];
        $dataaToupdateParentAction['is_dissmissial_done']=1;
        $dataaToupdateParentAction['final_the_net']=0;
        $dataaToupdateParentAction['is_closed']=1;
        $dataaToupdateParentAction['closed_by']=auth()->user()->id;
        $dataaToupdateParentAction['closed_at']=date("Y-m-d H:i:s");
        $flag =update(new Employees_salaries(), $dataaToupdateParentAction, array("com_code" => $com_code, "id" => $id));
        if($flag){
            $dataaToupdateAttendance['is_closed']=1;
            $dataaToupdateAttendance['closed_by']=auth()->user()->id;
            $dataaToupdateAttendance['closed_at']=date("Y-m-d H:i:s");
         update(new Employees_attedance(), $dataaToupdateAttendance, array("com_code" => $com_code, "employee_code" => $data['employee_code'],'finance_cln_periods_id'=>$data['finance_cln_periods_id']));
    
          }
  
  
    }
 
    return redirect()->back()
    ->with(['success' => 'تم اغلاق وارشفة الراتب بنجاح  ']);
 
 
 
 
 
 
    }
    else{
        $dataToUpdate['final_the_net']=$data['final_the_net_befor_close'];
        $dataToUpdate['is_closed']=1;
        $dataToUpdate['closed_by']=auth()->user()->id;
        $dataToUpdate['closed_at']=date("Y-m-d H:i:s");
        $flag=update(new Employees_salaries(),$dataToUpdate,array("id" => $id, "com_code" => $com_code,'is_closed'=>0));
        if($flag){
            $dataaToupdateAttendance['is_closed']=1;
            $dataaToupdateAttendance['closed_by']=auth()->user()->id;
            $dataaToupdateAttendance['closed_at']=date("Y-m-d H:i:s");
         update(new Employees_attedance(), $dataaToupdateAttendance, array("com_code" => $com_code, "employee_code" => $data['employee_code'],'finance_cln_periods_id'=>$data['finance_cln_periods_id']));
        }
       
        return redirect()->back()
        ->with(['success' => 'تم اغلاق وارشفة الراتب بنجاح  ']);
    }







    }else{
$dataToUpdate['final_the_net']=$data['final_the_net_befor_close'];
$dataToUpdate['is_closed']=1;
$dataToUpdate['closed_by']=auth()->user()->id;
$dataToUpdate['closed_at']=date("Y-m-d H:i:s");
$flag=update(new Employees_salaries(),$dataToUpdate,array("id" => $id, "com_code" => $com_code,'is_closed'=>0));
if($flag){
    $dataaToupdateAttendance['is_closed']=1;
    $dataaToupdateAttendance['closed_by']=auth()->user()->id;
    $dataaToupdateAttendance['closed_at']=date("Y-m-d H:i:s");
 update(new Employees_attedance(), $dataaToupdateAttendance, array("com_code" => $com_code, "employee_code" => $data['employee_code'],'finance_cln_periods_id'=>$data['finance_cln_periods_id']));
}

return redirect()->back()
->with(['success' => 'تم اغلاق وارشفة الراتب بنجاح  ']);



    }


                

        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }

    public function print_salary_details($salaryid, Request $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(231);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Employees_salaries(), array("*"), array("id" => $salaryid, "com_code" => $com_code));
            if (empty($data)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            if ($data['is_closed'] == 1) {
                $data['closed_by_admin'] = Admin::where('id', $data['closed_by'])->value('name');
            } else {
                $this->recalculate_main_salary($salaryid);
                $data = get_cols_where_row(new Employees_salaries(), array("*"), array("id" => $salaryid, "com_code" => $com_code));

            }

            $other['Finance_cln_period_Data'] = get_cols_where_row(new Finance_cln_period(), array("*"), array("id" => $data['finance_cln_periods_id'], "com_code" => $com_code));
            if (empty($other['Finance_cln_period_Data'])) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر للوصول للبيانات المطلوبة']);
            }
            $data['counter_employee_salaries'] = get_count_where(new Employees_salaries(), array("com_code" => $com_code, "employee_code" => $data['employee_code']));
            $other['Finance_cln_period_Data']['name'] = Month::where('id', $other['Finance_cln_period_Data']['MONTH_ID'])->value('name');
            $other['Finance_cln_period_Data']['name_en'] = Month::where('id', $other['Finance_cln_period_Data']['MONTH_ID'])->value('name_en');
            $other['Employee_data'] = get_cols_where_row(new Employee(), array("*"), array("employee_code" => $data['employee_code'], "com_code" => $com_code));
            if (empty($other['Employee_data'])) {
                return redirect()->route('admin.employees.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
           

            $other['Employee_data']['Departement_name'] = Departements::where('id', $data['departements_id'])->value('name');
            $other['Employee_data']['Job_name'] = Job::where('id', $data['jobs_id'])->value('name');
         
      

            $other['total_addtion'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>1));
            $other['total_addtion_dissmissial_instant'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>1,'is_dissmissial_collect_done'=>1));
            $other['total_addtion_dissmissial_delayed'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>1,'is_dissmissial_collect_done'=>0));

            $other['total_discount'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>2));
            $other['total_discount_collected_instant'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>2,'is_dissmissial_collect_done'=>1));
            $other['total_discount_collected_delayed'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid,'action'=>2,'is_dissmissial_collect_done'=>0));
            $other['total_loan'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid, "is_dissmissial_collect_done" =>1,'action'=>3));
            $other['total_loan_return'] = get_sum_where(new Employees_salaries_actions(), "money", array("com_code" => $com_code, "employees_salaries_id" => $salaryid, "is_dissmissial_collect_done" =>1,'action'=>4));

            return view("admin.Finance_Montes_Salaries.print_salary", ['data' => $data, 'other' => $other]);
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ;
        }
    }

}
