<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class Admin_panel_settings_Request extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'system_name' => 'required',
            'address' => 'required',
            'phone' => 'required',
            'customer_parent_account_number' => 'required',
            'suppliers_parent_account_number' => 'required',
            'delegate_parent_account_number' => 'required',
            'employees_parent_account_number' => 'required',
            'production_lines_parent_account' => 'required',
            'Batches_setting_type' => 'required|sometimes',
            'sales_tax_value' => 'required',
            'sales_item_type_main'=> 'required',
            'after_days_agel_customer_remember'=> 'required',
            'item_quantity_alert_in'=> 'required',
            'is_active_alerts_system_monitoring'=> 'required',
            'is_active_for_auto_daily_tree'=> 'required',
            'search_for_item_in_sales_invoice'=> 'required',
            'make_auto_add_after_enter_barcode'=> 'required',
            'settingForDecimalPoint'=> 'required',
        ];
    }

    public function messages()
    {
        return [
            'system_name.required' => 'اسم الشركة مطلوب',
            'address.required' => 'عنوان الشركة مطلوب',
            'phone.required' => 'هاتف الشركة مطلوب',
            'sales_tax_value.required' => '  نسبة ضريبه القيمة المضافة لفواتير المبيعات',
            'sales_item_type_main.required' => ' نوع البيع الاساسي بالفواتير مطلوب ',
            'customer_parent_account_number.required' => ' رقم الحساب المالي للعملاء الاب مطلوب',
            'suppliers_parent_account_number.required' => ' رقم الحساب المالي للموردين الاب مطلوب',
            'delegate_parent_account_number.required' => ' رقم الحساب المالي للمناديب الاب مطلوب',
            'employees_parent_account_number.required' => ' رقم الحساب المالي للموظفين الاب مطلوب',
            'production_lines_parent_account.required' => ' رقم الحساب المالي لخطوط الانتاج الاب مطلوب',
            'after_days_agel_customer_remember.required' => ' تنبيه بنقص كميات الاصناف عند وصولها لكمية حد الطلب',
            'item_quantity_alert_in.required' => ' بعد كم يوم يتم التذكير بالآجل المستحق علي العملاء من اخر عملية تحصيل ',
            'is_active_alerts_system_monitoring.required'=>'هل موديول مراقبة النظام مفعل',
            'is_active_for_auto_daily_tree.required'=>'هل موديول مراقبة اليوميات التلقائية للشجرة مفعل',
            'search_for_item_in_sales_invoice.required'=>'طريقة البحث عن الصنف بفاتورة المبيعات',
            'make_auto_add_after_enter_barcode.required'=>'هل يتم اضافة الصنف مباشرة بعد قراءة الباركود	',
            'settingForDecimalPoint.required'=>'ه  تقريب الارقام  الي كم علامة عشرية بالنظام 	',


        ];
    }
}
