@extends('layouts.admin')
@section('title')
شئون الموظفين
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
الرواتب
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.Finance_Montes_Salaries.index') }}"> الرواتب للشهر المالي </a>
@endsection
@section('contentheaderactive')
عرض مفردات المرتب
@endsection
@section('content')

<div class="row">
   <div class="col-12">
      <div class="card">
         <div class="card-header">
            <h3 class="card-title card_title_center"> عرض بيانات مفردات مرتب بالشهر المالي (   {{ $other['Finance_cln_period_Data']['name'] }}  ) لسنة {{ $other['Finance_cln_period_Data']['FINANCE_YR'] }}</h3>
         </div>
         <!-- /.card-header -->
         <div class="card-body">
            <input type="hidden" id="token_search" value="{{csrf_token() }}">
            <input type="hidden" id="ajax_load_edit_salary" value="{{ route('admin.Finance_Montes_Salaries.ajax_load_edit_salary') }}">
            <input type="hidden" id="ajax_load_action_add_move" value="{{ route('admin.Finance_Montes_Salaries.load_action_add_move') }}">
            <input type="hidden" id="ajax_load_usershiftDiv" value="{{ route('admin.Finance_Montes_Salaries.load_usershiftDiv') }}">
            <input type="hidden" id="ajax_load_add_action_modal" value="{{ route('admin.Finance_Montes_Salaries.load_add_action_modal') }}">
            <input type="hidden" id="ajax_load_edit_action_modal" value="{{ route('admin.Finance_Montes_Salaries.load_edit_action_modal') }}">
            <input type="hidden" id="ajax_load_close_salary_modal" value="{{ route('admin.Finance_Montes_Salaries.load_close_salary') }}">

            
   <!-- /.card -->
   <div class="card card-primary card-outline">
      <div class="card-header">
        <h3 class="card-title text-right" style="width: 100%;
        text-align: right !important;">
          <i class="fas fa-edit"></i>
       مفردات المرتب  
    للموظف 
       {{  $other['Employee_data']['name'] }} (  كود رقم   {{  $other['Employee_data']['employee_code'] }} ) 

        </h3>
      </div>
      <div class="card-body">
      
        <ul class="nav nav-tabs" id="custom-content-below-tab" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="salary_data" data-toggle="pill" href="#custom-content-below-salary" role="tab" aria-controls="custom-content-below-salary" aria-selected="true"> الراتب</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="employee_data" data-toggle="pill" href="#custom-content-below-employee" role="tab" aria-controls="custom-content-below-employee" aria-selected="false"> البيانات الاساسية للموظف</a>
          </li>

          
        </ul>
        <div class="tab-content" id="custom-content-below-tabContent">
          <div class="tab-pane fade show active" id="custom-content-below-salary" role="tabpanel" aria-labelledby="salary_data">

       
            @if (@isset($data) && !@empty($data))
       
           
            <table id="example2" class="table table-bordered table-hover">
               <tr>
                  <td colspan="2" style="text-align: center; font-weight: bold;">  تفاصيل مفردات المرتب 
                     @if($data['is_closed']==0)
                     @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(209))
                     <button id="load_close_salary_btn" class="btn btn-danger btn-sm" data-id={{ $data['id'] }}>اغلاق وارشفة الراتب  </button>
                      @endif

                     @endif

                     @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(213))
                     <a target="_blank" href="{{ route('admin.Finance_Montes_Salaries.print_salary_details',$data['id']) }}" class="btn btn-primary btn-sm" data-id={{ $data['id'] }}> طباعة مفردات المرتب </button>
                      @endif
                  </td>
               </tr>
               <tr>
                  <td style="width:40%;"><label> الرصيد المرحل من الشهر السابق</label></td>
                  <td style="color: black !important" @if($data['last_salary_remain_blance'] >0) class="bg-danger" @elseif($data['last_salary_remain_blance'] <0) class="bg-success"   @else @endif>
                
                     @if($data['last_salary_remain_blance'] >0)
                     مدين ب ({{ $data['last_salary_remain_blance']*1 }}) جنيه  
                     @elseif ($data['last_salary_remain_blance'] <0)
                     دائن ب ({{ $data['last_salary_remain_blance']*1*(-1) }})   جنيه
                     @else
                     متزن
                     @endif
                     @if( $data['is_first_salary']==1)
                     <span style="color: black;">  ( ملاحظة : هذا اول راتب للموظف ) 
                     @if($data['last_salary_remain_blance']!=0)
                     <br>
                       وتم اضافة رصيد اول المدة للموظف هنا
                     @endif
                     
                     </span>
                     @endif
                  </td>
               </tr>
               <tr>
                  <td ><label> المرتب الاساسي للموظف بالشهر المالي</label></td>
                  <td>
                  @if($data['Basic_salary']<0) {{ $data['Basic_salary']*1*(-1) }} @else {{ $data['Basic_salary']*1 }} @endif   
                 
                  </td>
               </tr>
               <tr>
                  <td ><label> عدد ايام  الشهر المالي</label></td>
                  <td>
                     {{ $other['Finance_cln_period_Data']['number_of_days']*1 }}
                  </td>
               </tr>
               <tr>
                  <td ><label> عدد ايام  الحضور الفعلية للموظف</label></td>
                  <td>
                     {{ $data['number_of_days_attendance']*1 }}
                     @if($data['is_closed']==0)
                     @if(($systemData['where_pull_attendance_days']==2 or  $other['Employee_data']['is_has_attendance'] ==0 ) and  (auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(195)))
        <button id="load_edit_salary_btn" class="btn btn-success btn-sm" data-id={{ $data['id'] }}>تعديل  </button>
                     @endif


                     @endif
                  </td>
               </tr>
               <tr>
                  <td ><label> اجر اليوم الواحد للموظف</label></td>
                  <td>

                     @if($data['money_for_day']<0) {{ $data['money_for_day']*1*(-1) }} @else {{ $data['money_for_day']*1 }} @endif   

                  </td>
               </tr>
               <tr >
                  <td ><label> المرتب المستحق طبقا لأيام الحضور</label></td>
                  <td class="bg-success">
                     @if($data['SalareyForDays']<0) {{ $data['SalareyForDays']*1*(-1) }} @else {{ $data['SalareyForDays']*1 }} @endif   
                     
                  </td>
               </tr>
               <tr >
                  <td ><label>قيمة الحافز الثابت للموظف</label></td>
                  <td class="bg-success">
                     @if($data['Motivation_value']<0) {{ $data['Motivation_value']*1*(-1) }} @else {{ $data['Motivation_value']*1 }} @endif   
                     
                  </td>
               </tr>
               <tr>
                  <td ><label>قيمة البدل الثابت للموظف</label></td>
                  <td class="bg-success">
                     @if($data['allowances_value']<0) {{ $data['allowances_value']*1*(-1) }} @else {{ $data['allowances_value']*1 }} @endif   
                     
                  </td>
               </tr>
            
               <tr>
                  <td ><label>اجمالي الاضافي علي المرتب</label></td>
                  <td  class="bg-success">
            {{ $other['total_addtion']*1 }} 
                  </td>
               </tr>
               <tr>
                  <td ><label>   اجمالي رد السلف الشهرية المصروفة </label></td>
                  <td class="bg-success">
                     @if($other['total_loan_return']<0) {{ $other['total_loan_return']*1*(-1) }} @else {{ $other['total_loan_return']*1 }} @endif   
                     
                  </td>
               </tr>

               @if($other['total_discount_collected_instant'] >0)
               <tr>
                  <td ><label>   اجمالي الخصم المحصل لحظياً خلال الشهر  </label></td>
                  <td class="bg-success">
                    {{ $other['total_discount_collected_instant']*1 }}  
                     
                  </td>
               </tr>

               @endif
               <tr>
                  <td ><label>اجمالي الخصم علي المرتب</label></td>
                  <td  class="bg-danger">
            {{  $other['total_discount']*1 }}
         

                  </td>
               </tr>
               <tr>
                  <td ><label>خصم التأمين الاجتماعي الشهري   </label></td>
                  <td class="bg-danger">
                     @if($data['social_insurance_value']<0) {{ $data['social_insurance_value']*1*(-1) }} @else {{ $data['social_insurance_value']*1 }} @endif   
                     
                  </td>
               </tr>
           
               <tr>
                  <td ><label>   اجمالي السلف الشهرية المصروفة </label></td>
                  <td class="bg-danger">
                     @if($other['total_loan']<0) {{ $other['total_loan']*1*(-1) }} @else {{ $other['total_loan']*1 }} @endif   
                     
                  </td>
               </tr>
           

               @if($other['total_addtion_dissmissial_instant'] >0)
               <tr>
                  <td ><label>   اجمالي الاضافي المصروف لحظياً خلال الشهر  </label></td>
                  <td class="bg-danger">
                    {{ $other['total_addtion_dissmissial_instant']*1 }}  
                     
                  </td>
               </tr>

               @endif

               <tr>
                  <td ><label>صافي المرتب لهذا الشهر المالي</label></td>
                  <td >

                     @if($data['final_the_net_befor_close'] >0)
                     مدين ب ({{ $data['final_the_net_befor_close']*1 }}) جنيه  
                     @elseif ($data['final_the_net_befor_close'] <0)
                     دائن ب ({{ $data['final_the_net_befor_close']*1*(-1) }})   جنيه
                     @else
                     متزن
                     @endif
                  </td>
               </tr>
               <tr>
                  <td ><label>حالة اغلاق وأرشفة المرتب </label></td>
                  <td>
                     @if($data['is_closed']==1)
                     تم اغلاق وأرشفة المرتب
                     <br>    وحالة المرتب بعد الاغلاق
                     @if($data['final_the_net'] >0)
                     مدين ب ({{ $data['final_the_net']*1 }}) جنيه  
                     @elseif ($data['final_the_net'] <0)
                     دائن ب ({{ $data['final_the_net']*1*(-1) }})   جنيه
                     @else
                     متزن
                     @endif
                   @php 
                     $dt=new DateTime($data['closed_at']);
                     $date=$dt->format("Y-m-d");
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($data['closed_at']));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                     @endphp <br>
                    بواسطة {{ $data['closed_by_admin'] }}
                     {{ $date }} <br>
                     {{ $time }}
                     {{ $newDateTimeType }}  <br>
                 

                     @else
                     مازال مفتوح
                     @endif

                  </td>
               </tr>
            </table>
            <br>
    <h3 style="font-weight: bold" class="card-title card_title_center"> تفاضيل الحركة علي المرتب 
      @if($data['is_closed']==0)
      @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(196))
<button data-id="{{ $data['id'] }}" class="btn btn-success btn-sm"  id="load_add_actionbtn" >اضافة حركة  </button>
      @endif
      @endif
   
   
   </h3>


<div class="clearfix"></div>
   @if (@isset($other['employees_salaries_actions']) && !@empty($other['employees_salaries_actions']) and count($other['employees_salaries_actions']) >0)
   @php
   $i=1;   
   @endphp
   <table id="example2" class="table table-bordered table-hover">
      <thead class="custom_thead">
         <th>مسلسل</th>
         <th> الحركة </th>
         <th>نوع الحركة </th>
         <th>قيمة الحركة </th>
         <th>حالة الاجراء </th>
         <th> تاريخ الاضافة</th>
         <th> تاريخ التحديث</th>
         <th></th>
      </thead>
      <tbody>
         @foreach ($other['employees_salaries_actions'] as $info )
         <tr>
            <td>{{ $i }}</td>
            <td>
@if($info->action==1) اضافي @elseif($info->action==2) خصم @elseif($info->action==3) سلفة @elseif($info->action==4) رد سلفة @else  لم يحدد @endif

            </td>
            <td>{{ $info->action_name  }}</td>
            <td>{{ $info->money*1  }}</td>
            <td>
               @if($info->action==1)

               @if($info->is_dissmissial_collect_done==1)
               تم الصرف لحظياً
               <br>
               @php
               $dt=new DateTime($info->is_dissmissial_collect_done_at);
               $date=$dt->format("Y-m-d");
               $time=$dt->format("h:i");
               $newDateTime=date("A",strtotime($info->is_dissmissial_collect_done_at));
               $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
               @endphp
               {{ $date }} <br>
               {{ $time }}
               {{ $newDateTimeType }}  <br>
               بواسطة 
               {{ $info->dissmissial_by_admin}}
               <br>
             
               @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(207))
               <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.Finance_Montes_Salaries.printsaleswina4_exch',[$info->treasuries_transactions_id,'A4']) }}" class="btn btn-primary btn-xs"> WA4</a>
               <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.Finance_Montes_Salaries.printsaleswina4_exch',[$info->treasuries_transactions_id,'A6']) }}" class="btn btn-warning btn-xs"> WA6</a>              
         
               @endif
        

               @else
               يضاف للراتب
               @endif



               @elseif($info->action==2)


               @if($info->is_dissmissial_collect_done==1)
               تم التحصيل لحظياً
               <br>
               @php
               $dt=new DateTime($info->is_dissmissial_collect_done_at);
               $date=$dt->format("Y-m-d");
               $time=$dt->format("h:i");
               $newDateTime=date("A",strtotime($info->is_dissmissial_collect_done_at));
               $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
               @endphp
               {{ $date }} <br>
               {{ $time }}
               {{ $newDateTimeType }}  <br>
               بواسطة 
               {{ $info->dissmissial_by_admin}}
               <br>
             
               @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(207))
               <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.Finance_Montes_Salaries.printsaleswina4_coll',[$info->treasuries_transactions_id,'A4']) }}" class="btn btn-primary btn-xs"> WA4</a>
               <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.Finance_Montes_Salaries.printsaleswina4_coll',[$info->treasuries_transactions_id,'A6']) }}" class="btn btn-warning btn-xs"> WA6</a>              
         
               @endif



               @else
               يخصم بالراتب
               @endif



               @elseif($info->action==3)

               @if($info->is_dissmissial_collect_done==1)
               تم الصرف لحظياً
               <br>
               @php
               $dt=new DateTime($info->is_dissmissial_collect_done_at);
               $date=$dt->format("Y-m-d");
               $time=$dt->format("h:i");
               $newDateTime=date("A",strtotime($info->is_dissmissial_collect_done_at));
               $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
               @endphp
               {{ $date }} <br>
               {{ $time }}
               {{ $newDateTimeType }}  <br>
               بواسطة 
               {{ $info->dissmissial_by_admin}}
               <br>
             
               @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(207))
               <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.Finance_Montes_Salaries.printsaleswina4_exch',[$info->treasuries_transactions_id,'A4']) }}" class="btn btn-primary btn-xs"> WA4</a>
               <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.Finance_Montes_Salaries.printsaleswina4_exch',[$info->treasuries_transactions_id,'A6']) }}" class="btn btn-warning btn-xs"> WA6</a>              
         
               @endif
               @else
              لم يتم الصرف
               @endif

               @elseif($info->action==4)
               @if($info->is_dissmissial_collect_done==1)
               تم التحصيل لحظياً
               <br>
               @php
               $dt=new DateTime($info->is_dissmissial_collect_done_at);
               $date=$dt->format("Y-m-d");
               $time=$dt->format("h:i");
               $newDateTime=date("A",strtotime($info->is_dissmissial_collect_done_at));
               $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
               @endphp
               {{ $date }} <br>
               {{ $time }}
               {{ $newDateTimeType }}  <br>
               بواسطة 
               {{ $info->dissmissial_by_admin}}
               <br>
             
               @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(207))
               <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.Finance_Montes_Salaries.printsaleswina4_coll',[$info->treasuries_transactions_id,'A4']) }}" class="btn btn-primary btn-xs"> WA4</a>
               <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.Finance_Montes_Salaries.printsaleswina4_coll',[$info->treasuries_transactions_id,'A6']) }}" class="btn btn-warning btn-xs"> WA6</a>              
         
               @endif



               @else
              لم يتم التحصيل
               @endif

               @else
  
       لم يؤخذ اجراء
               @endif



            </td>
            <td > 
               @php
               $dt=new DateTime($info->created_at);
               $date=$dt->format("Y-m-d");
               $time=$dt->format("h:i");
               $newDateTime=date("A",strtotime($info->created_at));
               $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
               @endphp
               {{ $date }} <br>
               {{ $time }}
               {{ $newDateTimeType }}  <br>
               بواسطة 
               {{ $info->added_by_admin}}
            </td>
            <td > 
               @if($info->updated_by>0 and $info->updated_by!=null )
               @php
               $dt=new DateTime($info->updated_at);
               $date=$dt->format("Y-m-d");
               $time=$dt->format("h:i");
               $newDateTime=date("A",strtotime($info->updated_at));
               $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
               @endphp
               {{ $date }}  <br>
               {{ $time }}
               {{ $newDateTimeType }}  <br>
               بواسطة 
               {{ $data['updated_by_admin'] }}
               @else
               لايوجد تحديث
               @endif
            </td>
            <td>
               @if($data['is_closed']==0)
               @if($info->is_dissmissial_collect_done==0)
               
               @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(205)) 
               <button data-id="{{ $info->id }}" class="btn btn-sm load_edit_action are_you_shur  btn-primary">تعديل</button>   
               @endif
              
               @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(206)) 
               <a href="{{ route('admin.Finance_Montes_Salaries.delete_action',$info->id) }}" class="btn btn-sm are_you_sure  btn-danger">حذف</a>   
               @endif

               @endif
               @endif

          
            </td>
         </tr>
         @php
         $i++; 
         @endphp
         @endforeach
      </tbody>
   </table>
   <br>
 
   @else
   <div class="alert alert-danger">
      عفوا لاتوجد حركات مضافة لعرضها !!
   </div>
   @endif






            @else
            <div class="alert alert-danger">
               عفوا لاتوجد بيانات لعرضها !!
            </div>
            @endif


         </div>
          <div class="tab-pane fade" id="custom-content-below-employee" role="tabpanel" aria-labelledby="employee_data">
            <table id="example2" class="table table-bordered table-hover">
               <tr>
                  <td colspan="3"  style="text-align: center;">
                     <label>اسم الموظف </label> <br>
                     {{  $other['Employee_data']['name'] }} (  كود رقم   {{  $other['Employee_data']['employee_code'] }} ) 
                  </td>
               </tr>
               <tr>
                  <td style="width: 30%"> 
                     <label>  رقم الحساب المالي للموظف</label>
                     <br>{{ $other['Employee_data']['account_number']*1 }}
                  </td>
                  <td>
                     <label> رصيد أول المدة للموظف</label> <br>
                     @if($other['Employee_data']['start_balance'] >0)
                     مدين ب ({{ $other['Employee_data']['start_balance']*1 }}) جنيه  
                     @elseif ($other['Employee_data']['start_balance'] <0)
                     دائن ب ({{ $other['Employee_data']['start_balance']*1*(-1) }})   جنيه
                     @else
                     متزن
                     @endif
                  </td>
                  <td>
                     <label> الادارة التابع لها الموظف لحظة المرتب</label> <br>
                     {{ $other['Employee_data']['Departement_name'] }}
                  </td>
               </tr>
               <tr>
                  <td>
                     <label> وظيفة الموظف لحظة المرتب</label> <br>
                     {{ $other['Employee_data']['Job_name'] }}
                  </td>
                  <td>
                     <label> هل يمتلك شفت ثابت</label> <br>
                     @if($other['Employee_data']['do_has_shift']==1) نعم @else لايمتلك @endif
                     @if($other['Employee_data']['do_has_shift']==1)
                     @if($other['Employee_data']['shift_data']['type']==1) صباحي @elseif ($other['Employee_data']['shift_data']['type']==2) مسائي @else
                     يوم كامل @endif
                     <br>
                     من
                     @php
                     $dt=new DateTime($other['Employee_data']['shift_data']['from_time']);
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($other['Employee_data']['shift_data']['from_time']));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء');
                     @endphp
                     {{ $time }}
                     {{ $newDateTimeType }}
                     الي
                     @php
                     $dt=new DateTime($other['Employee_data']['shift_data']['to_time']);
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($other['Employee_data']['shift_data']['to_time']));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء');
                     @endphp
                     {{ $time }} <br>
                     {{ $newDateTimeType }}
                     عدد
                     {{ $other['Employee_data']['shift_data']['total_hours']*1 }} ساعات
                     @else
                     <br>
                     {{ $other['Employee_data']['total_hours']*1 }} ساعات عمل
                     @endif
                  </td>
                  <td>
                     <label> هل يمتلك تأمين اجتماعي </label> <br>
                     @if($other['Employee_data']['does_has_social_insurance']==1) نعم
                     <br>
                     رقم التأمين {{ $other['Employee_data']['social_insurance_number'] }} <br>
                     قيمة التأمين الشهري {{ $other['Employee_data']['social_insurance_value']*1 }}
                     @else لايمتلك
                     @endif
                  </td>
               </tr>
               <tr>
                  <td>
                     <label> هل يمتلك حافز شهري </label><br>
                     @if($other['Employee_data']['do_has_Motivation']==1) نعم
                     <br>
                     قيمة الحافز الشهري {{ $other['Employee_data']['Motivation_value']*1 }} <br>
                     @else لايمتلك
                     @endif
                  </td>
                  <td>
                     <label> هل يمتلك بدل شهري </label><br>
                     @if($other['Employee_data']['does_has_allowances']==1) نعم
                     <br>
                     قيمة البدل الشهري {{ $other['Employee_data']['allowances_value'] *1 }} <br>
                     @else لايمتلك
                     @endif
                  </td>
                  <td> 
                     <label>قيمة المرتب الشهري</label>
                     <br>{{ $other['Employee_data']['salary']*1 }}
                  </td>
               </tr>
               <tr>
                  <td> 
                     <label> عنوان الموظف</label>
                     <br>{{ $other['Employee_data']['address'] }}
                  </td>
                  <td> 
                     <label> هاتف الموظف </label> <br>
                     <br>{{ $other['Employee_data']['phones'] }}
                  </td>
                  <td >
                     <label> حالة التفعيل</label> <br>
                     @if($other['Employee_data']['active']==1) نعم @else لا @endif
                  </td>
               </tr>
               <tr>
                  <td > 
                     <label>تاريخ الاضافة </label><br>
                     @php
                     $dt=new DateTime($other['Employee_data']['created_at']);
                     $date=$dt->format("Y-m-d");
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($other['Employee_data']['created_at']));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                     @endphp
                     {{ $date }} <br>
                     {{ $time }}
                     {{ $newDateTimeType }} 
                  </td>
                  <td colspan="2"> <label>الملاحظات</label> <br>
                     {{ $other['Employee_data']['notes'] }}
                  </td>
               </tr>
               <tr>
               </tr>
            </table>
          
            </div>
        
     
        </div>
       
      </div>
      <!-- /.card -->
    </div>
    <!-- /.card -->





            
            
     
         </div>
      </div>
   </div>
</div>

<div class="modal fade " id="EditSalariesModal">
   <div class="modal-dialog modal-xl">
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title"> التعديل علي مفردات المرتب   </h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
               <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body" id="EditSalariesModalBody" style="background-color:white">
          

         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">Close</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
<div class="modal fade " id="closeSalariesModal">
   <div class="modal-dialog modal-xl">
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title"> اغلاق وارشفة الراتب  </h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
               <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body" id="closeSalariesModalBody" style="background-color:white">
          

         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">Close</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>

<div class="modal fade " id="AddNewActionForSalary">
   <div class="modal-dialog modal-xl">
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title"> اضافة حركات للراتب  </h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
               <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body" id="AddNewActionForSalaryBody" style="background-color:white">
     



         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">Close</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
<div class="modal fade " id="edit_action_modal">
   <div class="modal-dialog modal-xl">
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title"> تعديل حركة  علي الراتب  </h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
               <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body" id="edit_action_modalBody" style="background-color:white">
       


         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">Close</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>

@endsection

@section('script')
<script src="{{ asset('assets/admin/js/Finance_Montes_Salaries.js') }}"></script>
<script src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection