@extends('layouts.admin')
@section('title')
الحسابات
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
السنوات المالية
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.finance_calenders.index') }}"> السنوات المالية </a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">بيانات السنوات المالية </h3>
      <input type="hidden" id="token_search" value="{{csrf_token() }}">
      <input type="hidden" id="ajax_search_url" value="{{ route('admin.finance_calenders.ajax_search') }}">
      @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(185))
      <a href="{{ route('admin.finance_calenders.create') }}" class="btn btn-sm btn-success">اضافة جديد</a>
      @endif
   </div>
   <!-- /.card-header -->
   <div class="card-body">

      <div class="clearfix"></div>
      <div id="ajax_responce_serarchDiv" class="col-md-12">
         @if (@isset($data) && !@empty($data) && count($data)>0)
         <table id="example2" class="table table-bordered table-hover">
            <thead class="custom_thead">
               <th> كود السنة</th>
               <th> وصف السنة</th>
               <th> تاريخ البداية</th>
               <th> تاريخ النهاية</th>
               <th>  الشهر المفتوح</th>
               <th> الاضافة بواسطة</th>
               <th> التحديث بواسطة</th>
               <th></th>
            </thead>
            <tbody>
               @foreach ( $data as $info )
               <tr @if($info->is_open==1)  class="bg_custom_success" @elseif ($info->is_open==2) class="bg-danger" @else class="bg-white" @endif>
                  <td> {{ $info->FINANCE_YR }} </td>
                  <td> {{ $info->FINANCE_YR_DESC }} </td>
                  <td> {{ $info->start_date }} </td>
                  <td> {{ $info->end_date }} </td>
                  <td> 
                     @if(!@empty($info->Currnet_open_month))
                   {{ $info->Currnet_open_month['name'] }}

                     @else
                     لايوجد
                     @endif
                  </td>
                  <td > 
                     @php
                     $dt=new DateTime($info->created_at);
                     $date=$dt->format("Y-m-d");
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($info->created_at));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                     @endphp
                     {{ $date }} <br>
                     {{ $time }}
                     {{ $newDateTimeType }}  <br>
                     بواسطة 
                     {{ $info->added_by_admin}}
                  </td>
                  <td > 
                     @if($info->updated_by>0 and $info->updated_by!=null )
                     @php
                     $dt=new DateTime($info->updated_at);
                     $date=$dt->format("Y-m-d");
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($info->updated_at));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                     @endphp
                     {{ $date }}  <br>
                     {{ $time }}
                     {{ $newDateTimeType }}  <br>
                     بواسطة 
                     {{ $data['updated_by_admin'] }}
                     @else
                     لايوجد تحديث
                     @endif
                  </td>
             
                  <td>
                     @if($info->is_open==0)
                     @if($CheckDataOpenCounter==0)
                     @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(188))
                     <a href="{{ route('admin.finance_calenders.do_open',$info->id) }}" class="btn btn-warning are_you_sure btn-sm">فتح الان</a>
                     @endif
                     @endif
                     @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(186))
                     <a href="{{ route('admin.finance_calenders.edit',$info->id) }}" class="btn btn-success btn-sm">تعديل</a>
                     @endif
                     @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(187))
                     <a href="{{ route('admin.finance_calenders.delete',$info->id) }}" class="btn are_you_sure  btn-danger btn-sm">حذف</a>
                     @endif
                    @elseif($info->is_open==1)
                    سنة مالية مفتوحه
                     @else
                   سنة مالية مؤرشفة
                     @endif
                     <button class="btn btn-sm btn-primary show_year_monthes" data-id="{{ $info->id }}">عرض الشهور</button>

                  </td>
               </tr>
               @endforeach
            </tbody>
         </table>
         <br>
         {{ $data->links() }}
         @else
         <div class="alert alert-danger">
            عفوا لاتوجد بيانات لعرضها !!
         </div>
         @endif
      </div>
   </div>
</div>
</div>

<div class="modal fade " id="show_year_monthesModal" >
   <div class="modal-dialog modal-xl">
     <div class="modal-content bg-info">
       <div class="modal-header">
         <h4 class="modal-title">عرض الشهور  للسنة المالية</h4>
         <button type="button" class="close" data-dismiss="modal" aria-label="Close">
           <span aria-hidden="true">&times;</span></button>
       </div>
       <div class="modal-body" id="show_year_monthesModalBody">
  
       </div>
       <div class="modal-footer justify-content-between">
         <button type="button" class="btn btn-outline-light" data-dismiss="modal">Close</button>
         <button type="button" class="btn btn-outline-light">Save changes</button>
       </div>
     </div>
     <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
 </div>


@endsection
@section("script")
<script>
   $(document).ready(function(){
      $(document).on('click','.show_year_monthes',function(){
    var id=$(this).data('id');
    jQuery.ajax({
   url:'{{ route('admin.finance_calenders.show_year_monthes') }}',
   type:'post',
   'dataType':'html',
   cache:false,
   data:{ "_token":'{{ csrf_token() }}','id':id },
   success:function(data){
   $("#show_year_monthesModalBody").html(data);
   $("#show_year_monthesModal").modal("show");
   },
   error:function(){
   
   }
   
    });
   
   
      });
      $(document).on('click','#do_close_month_now',function(){
var res=confirm("هل أنت متاكد لن تستطيع فتح الشهر المالي مرة أخري");
if(res){
   var res2=confirm("?هل أنت متاكد لن تستطيع فتح الشهر المالي مرة أخري");
  if(res2){
   return true;
  }else{
   return false;
}

}else{
   return false;
}
      });
      
   });
   
   
</script>




@endsection