@extends('layouts.admin')
@section('title')
مرتجع المشتريات
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
حركات مخزنية
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.suppliers_orders.index') }}">  مرتجع المشتريات </a>
@endsection
@section('contentheaderactive')
عرض التفاصيل
@endsection
@section('content')
@section('content')
<div class="row">
   <div class="col-12">
      <div class="card">
         <div class="card-header">
            <h3 class="card-title card_title_center">تفاصيل فاتورة مرتجع مشتريات بأصل فاتورة الشراء  </h3>
         </div>
         <!-- /.card-header -->
         <div class="card-body">
            <div id="ajax_responce_serarchDivparentpill">
               @if (@isset($data) && !@empty($data))
               <table id="example2" class="table table-bordered table-hover">
                  <tr>
                     <td class="width30"> كود الفاتورة الالي</td>
                     <td > {{ $data['auto_serial'] }}</td>
                  </tr>
                  <tr>
                     <td class="width30">   كود الفاتورة بأصل فاتورة المشتريات </td>
                     <td > {{ $data['DOC_NO'] }}</td>
                  </tr>
                  <tr>
                     <td class="width30">   تاريخ الفاتورة </td>
                     <td > {{ $data['order_date'] }}</td>
                  </tr>
                  <tr>
                     <td class="width30">  اسم المورد </td>
                     <td > {{ $data['supplier_name'] }}</td>
                  </tr>
                  <tr>
                     <td class="width30"> نوع الفاتورة</td>
                     <td > @if($data['pill_type']==1) كاش  @else اجل@endif</td>
                  </tr>
                  <tr>
                     <td class="width30">   مخزن الصرف  للفاتورة </td>
                     <td > {{ $data['store_name'] }}</td>
                  </tr>
                  <tr>
                     <td class="width30">  اسم المورد </td>
                     <td > {{ $data['supplier_name'] }}</td>
                  </tr>
                  <tr>
                     <td class="width30">   اجمالي الاصناف </td>
                     <td > {{ $data['total_cost_items']*(1) }}</td>
                  </tr>
                  @if ($data['discount_type']!=null)
                  <tr>
                     <td class="width30">   الخصم علي الفاتورة </td>
                     <td> 
                        @if ($data['discount_type']==1)
                        خصم نسبة ( {{ $data['discount_percent']*1 }} ) وقيمتها ( {{ $data["discount_value"]*1 }} )
                        @else
                        خصم يدوي وقيمته( {{ $data["discount_value"]*1 }} )
                        @endif
                     </td>
                  </tr>
                  @else
                  <tr>
                     <td class="width30">   الخصم علي الفاتورة </td>
                     <td > لايوجد</td>
                  </tr>
                  @endif
                  <tr>
                     <td class="width30">   اجمالي الفاتورة بعد الخصم </td>
                     <td > {{ $data['total_after_discount']*(1) }}</td>
                  </tr>

                  <tr>
                     <td class="width30">    نسبة القيمة المضافة </td>
                     <td > 
                        @if($data['tax_percent']>0)
                        لايوجد
                        @else
                        بنسبة ({{ $data["tax_percent"]*1 }}) %  وقيمتها ( {{ $data['tax_value']*1 }} )
                        @endif
                     </td>
                  </tr>
                  <tr>
                     <td class="width30">       حالة الفاتورة </td>
                     <td > @if($data['is_approved']==1)  مغلق ومؤرشف @else مفتوحة  @endif</td>
                  </tr>
                  <tr>
                     <td class="width30">  تاريخ  الاضافة</td>
                     <td > 
                        @php
                        $dt=new DateTime($data['created_at']);
                        $date=$dt->format("Y-m-d");
                        $time=$dt->format("h:i");
                        $newDateTime=date("A",strtotime($time));
                        $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                        @endphp
                        {{ $date }}
                        {{ $time }}
                        {{ $newDateTimeType }}
                        بواسطة 
                        {{ $data['added_by_admin'] }}
                     </td>
                  </tr>
                  <tr>
                     <td class="width30">  تاريخ اخر تحديث</td>
                     <td > 
                        @if($data['updated_by']>0 and $data['updated_by']!=null )
                        @php
                        $dt=new DateTime($data['updated_at']);
                        $date=$dt->format("Y-m-d");
                        $time=$dt->format("h:i");
                        $newDateTime=date("A",strtotime($time));
                        $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                        @endphp
                        {{ $date }}
                        {{ $time }}
                        {{ $newDateTimeType }}
                        بواسطة 
                        {{ $data['updated_by_admin'] }}
                        @else
                        لايوجد تحديث
                        @endif
                      
                     </td>
                  </tr>
                  @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(74)) 
                  <tr>
                     <td colspan="2">
                        <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.suppliers_orders_return_original.printsaleswina4',[$data['id'],'A4']) }}" class="btn btn-primary btn-xs"> WA4</a>
                          <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.suppliers_orders_return_original.printsaleswina4',[$data['id'],'A6']) }}" class="btn btn-warning btn-xs"> WA6</a>
                        
                     </td>
                  </tr>
                  @endif
               </table>
            </div>
            <!--  treasuries_delivery   -->
            <div class="card-header">
               <h3 class="card-title card_title_center">
                  الاصناف المضافة للفاتورة
                  @if($data['is_approved']==0)
                  <button type="button" class="btn btn-info" id="load_modal_add_detailsBtn">
                  اضافة صنف للفاتورة
                  </button>
                  @endif
               </h3>
           
            </div>
            <div >
               @if (@isset($details) && !@empty($details) && count($details)>0)
               @php
               $i=1;   
               @endphp
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>مسلسل</th>
                     <th>الصنف </th>
                     <th> الوحده</th>
                     <th> الكمية</th>
                     <th> السعر</th>
                     <th> الاجمالي</th>
              
                  </thead>
                  <tbody>
                     @foreach ($details as $info )
                     <tr>
                        <td>{{ $i }}</td>
                        <td>{{ $info->item_card_name }}
                           @if($info->item_card_type==2)
                           <br>
                           تاريخ انتاج  {{ $info->production_date }} <br>
                           تاريخ انتهاء  {{ $info->expire_date }} <br>
                           @endif
                        </td>
                        <td>{{ $info->uom_name }}</td>
                        <td>{{ $info->deliverd_quantity*(1) }}</td>
                        <td>{{ $info->unit_price*(1) }}</td>
                        <td>{{ $info->total_price*(1) }}</td>
                       
                     </tr>
                     @php
                     $i++; 
                     @endphp
                     @endforeach
                  </tbody>
               </table>
               @else
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               @endif
            </div>
            <!--  End treasuries_delivery   -->
            @else
            <div class="alert alert-danger">
               عفوا لاتوجد بيانات لعرضها !!
            </div>
            @endif
         </div>
      </div>
   </div>
</div>

@endsection
