@extends('layouts.admin')
@section('title')
تعديل الضبط العام
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
الضبط
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.adminPanelSetting.index') }}"> الضبط </a>
@endsection
@section('contentheaderactive')
تعديل
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">تعديل بيانات الضبط العام</h3>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      @if (@isset($data) && !@empty($data))
      <form action="{{ route('admin.adminPanelSetting.update') }}" method="post" enctype="multipart/form-data">
         @csrf
         <div class="row">
            <div class="col-md-4">
               <div class="form-group">
                  <label>اسم الشركة</label>
                  <input name="system_name" id="system_name" class="form-control" value="{{ $data['system_name'] }}" placeholder="ادخل اسم الشركة" oninvalid="setCustomValidity('من فضلك ادخل هذا الحقل')" onchange="try{setCustomValidity('')}catch(e){}" >
                  @error('system_name')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>عنوان الشركة</label>
                  <input name="address" id="address" class="form-control" value="{{ $data['address'] }}" placeholder="ادخل اسم الشركة" oninvalid="setCustomValidity('من فضلك ادخل هذا الحقل')" onchange="try{setCustomValidity('')}catch(e){}"  >
                  @error('address')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror  
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>هاتف الشركة</label>
                  <input name="phone" id="phone" class="form-control" value="{{ $data['phone'] }}" placeholder="ادخل اسم الشركة" oninvalid="setCustomValidity('من فضلك ادخل هذا الحقل')" onchange="try{setCustomValidity('')}catch(e){}" >
                  @error('phone')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror   
               </div>
            </div>
            <div class="col-md-4  "> 
               <div class="form-group">
               <label>نسبة ضريبة القيمة المضافة لفواتير المبيعات %  </label>
               <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="sales_tax_value" id="sales_tax_value" class="form-control"  value="{{ old('sales_tax_value',$data['sales_tax_value']*1) }}" placeholder="ادخل النسبة " >
               @error('sales_tax_value')
               <span class="text-danger">{{ $message }}</span>
               @enderror
               </div>
               </div>
               <div class="col-md-4  "> 
                  <div class="form-group">
                  <label>بعد كم يوم يتم التذكير بالآجل المستحق علي العملاء من اخر عملية تحصيل  </label>
                  <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="after_days_agel_customer_remember" id="after_days_agel_customer_remember" class="form-control"  value="{{ old('after_days_agel_customer_remember',$data['after_days_agel_customer_remember']*1) }}"  >
                  @error('after_days_agel_customer_remember')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
                  </div>
                  </div>
                  <div class="col-md-4  "> 
                     <div class="form-group">
                     <label>تنبيه بنقص كميات الاصناف عند وصولها لكمية حد الطلب بوحدة الاب  </label>
                     <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="item_quantity_alert_in" id="item_quantity_alert_in" class="form-control"  value="{{ old('item_quantity_alert_in',$data['item_quantity_alert_in']*1) }}"  >
                     @error('item_quantity_alert_in')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                     </div>
                     </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>    الحساب الاب للعملاء بالشجرة المحاسبية</label>
                  <select name="customer_parent_account_number" id="customer_parent_account_number" class="form-control select2">
                     <option value="">اختر الحساب </option>
                     @if (@isset($parent_accounts) && !@empty($parent_accounts))
                     @foreach ($parent_accounts as $info )
                     <option @if(old('customer_parent_account_number',$data['customer_parent_account_number'])==$info->account_number) selected="selected" @endif value="{{ $info->account_number }}"> {{ $info->name }} </option>
                     @endforeach
                     @endif
                  </select>
                  @error('customer_parent_account_number')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>    الحساب الاب للموردين بالشجرة المحاسبية</label>
                  <select name="suppliers_parent_account_number" id="suppliers_parent_account_number" class="form-control select2 ">
                     <option value="">اختر الحساب </option>
                     @if (@isset($parent_accounts) && !@empty($parent_accounts))
                     @foreach ($parent_accounts as $info )
                     <option @if(old('suppliers_parent_account_number',$data['suppliers_parent_account_number'])==$info->account_number) selected="selected" @endif value="{{ $info->account_number }}"> {{ $info->name }} </option>
                     @endforeach
                     @endif
                  </select>
                  @error('suppliers_parent_account_number')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>    الحساب الاب للمناديب بالشجرة المحاسبية</label>
                  <select name="delegate_parent_account_number" id="delegate_parent_account_number" class="form-control select2 ">
                     <option value="">اختر الحساب </option>
                     @if (@isset($parent_accounts) && !@empty($parent_accounts))
                     @foreach ($parent_accounts as $info )
                     <option  @if(old('delegate_parent_account_number',$data['delegate_parent_account_number'])==$info->account_number) selected="selected" @endif  value="{{ $info->account_number }}"> {{ $info->name }} </option>
                     @endforeach
                     @endif
                  </select>
                  @error('delegate_parent_account_number')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>    الحساب الاب للموظفين بالشجرة المحاسبية</label>
                  <select name="employees_parent_account_number" id="employees_parent_account_number" class="form-control select2">
                     <option value="">اختر الحساب </option>
                     @if (@isset($parent_accounts) && !@empty($parent_accounts))
                     @foreach ($parent_accounts as $info )
                     <option  @if(old('employees_parent_account_number',$data['employees_parent_account_number'])==$info->account_number) selected="selected" @endif  value="{{ $info->account_number }}"> {{ $info->name }} </option>
                     @endforeach
                     @endif
                  </select>
                  @error('employees_parent_account_number')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>    الحساب الاب لخطوط الانتاج بالشجرة المحاسبية</label>
                  <select name="production_lines_parent_account" id="production_lines_parent_account" class="form-control select2">
                     <option value="">اختر الحساب </option>
                     @if (@isset($parent_accounts) && !@empty($parent_accounts))
                     @foreach ($parent_accounts as $info )
                     <option  @if(old('production_lines_parent_account',$data['production_lines_parent_account'])==$info->account_number) selected="selected" @endif  value="{{ $info->account_number }}"> {{ $info->name }} </option>
                     @endforeach
                     @endif
                  </select>
                  @error('production_lines_parent_account')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

            @if ($data['is_set_Batches_setting']==0)
          
            <div class="col-md-4">
               <div class="form-group">
                  <label>    نوع آلية عمل الباتشات بالنظام</label>
                  <select name="Batches_setting_type" id="Batches_setting_type" class="form-control  ">
                     <option value="">اختر النوع </option>
                     <option value="1">  يعمل بنظام تعدد الباتشات للصنف طبقا لاختلاف سعر الشراء وتواريخ الانتاج والانتهاء </option>
                     <option value="2">    لايعمل بنظام الباتشات - فقط كمية لكل صنف</option>
             
                  </select>
                  @error('Batches_setting_type')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>


            @endif

            <div class="col-md-4">
               <div class="form-group">
                  <label>   نوع البيع الاساسي بالنظام</label>
                  <select name="sales_item_type_main" id="sales_item_type_main" class="form-control  ">
                     <option   @if(old('sales_item_type_main',$data['sales_item_type_main'])==1) selected="selected" @endif value="1">  قطاعي</option>
                     <option  @if(old('sales_item_type_main',$data['sales_item_type_main'])==2) selected="selected" @endif value="2">  نص جملة عروض</option>
                     <option  @if(old('sales_item_type_main',$data['sales_item_type_main'])==3) selected="selected" @endif value="3">   جملة</option>

                  </select>
                  @error('sales_item_type_main')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>


            <div class="col-md-4">
               <div class="form-group">
                  <label>        وحدة البيع الاساسية بالفواتير</label>
                  <select name="default_unit" id="default_unit" class="form-control  ">
                     <option   @if(old('default_unit',$data['default_unit'])==1) selected="selected" @endif value="1">  بيع تلقائي بالوحدة الاساسية للصنف</option>
                     <option  @if(old('default_unit',$data['default_unit'])==2) selected="selected" @endif value="2">  بيع تلقائي بأقل وحدة تجزئة للصنف </option>
                  </select>
                  @error('default_unit')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>   طريقة البحث عن الصنف بفاتورة المبيعات</label>
                  <select name="search_for_item_in_sales_invoice" id="search_for_item_in_sales_invoice" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option {{  old('search_for_item_in_sales_invoice',$data['search_for_item_in_sales_invoice'])==1 ? 'selected' : ''}}  value="1"> بحث بقارئ الباركود</option>
                     <option {{  old('search_for_item_in_sales_invoice',$data['search_for_item_in_sales_invoice'])==2 ? 'selected' : ''}}   value="2"> بحث يدوي بالاسم</option>
                  </select>
                  @error('search_for_item_in_sales_invoice')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>   هل يتم اضافة الصنف  بالمبيعات مباشرة بعد قراءه الباركود</label>
                  <select name="make_auto_add_after_enter_barcode" id="make_auto_add_after_enter_barcode" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option {{  old('make_auto_add_after_enter_barcode',$data['make_auto_add_after_enter_barcode'])==1 ? 'selected' : ''}}  value="1"> نعم</option>
                     <option {{  old('make_auto_add_after_enter_barcode',$data['make_auto_add_after_enter_barcode'])==2 ? 'selected' : ''}}   value="2">لا</option>
                  </select>
                  @error('make_auto_add_after_enter_barcode')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>   هل موديول مراقبة النظام مفعل</label>
                  <select name="is_active_alerts_system_monitoring" id="is_active_alerts_system_monitoring" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option {{  old('is_active_alerts_system_monitoring',$data['is_active_alerts_system_monitoring'])==1 ? 'selected' : ''}}  value="1"> نعم</option>
                     <option {{  old('is_active_alerts_system_monitoring',$data['is_active_alerts_system_monitoring'])==0 ? 'selected' : ''}}   value="0"> لا</option>
                  </select>
                  @error('is_active_alerts_system_monitoring')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>   هل موديول اليومات التلقائية للشجرة مفعل</label>
                  <select name="is_active_for_auto_daily_tree" id="is_active_for_auto_daily_tree" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option {{  old('is_active_for_auto_daily_tree',$data['is_active_for_auto_daily_tree'])==1 ? 'selected' : ''}}  value="1"> نعم</option>
                     <option {{  old('is_active_for_auto_daily_tree',$data['is_active_for_auto_daily_tree'])==0 ? 'selected' : ''}}   value="0"> لا</option>
                  </select>
                  @error('is_active_for_auto_daily_tree')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>      طريقة تحديث سعر تكلفة الشراء للصنف</label>
                  <select name="item_last_priceCost" id="item_last_priceCost" class="form-control  ">
                     <option   @if(old('item_last_priceCost',$data['item_last_priceCost'])==1) selected="selected" @endif value="1">  يحدث من اخر سعر شراء</option>
                     <option  @if(old('item_last_priceCost',$data['item_last_priceCost'])==2) selected="selected" @endif value="2">  يحدث من متوسط تكلفة الشراء</option>
                  </select>
                  @error('item_last_priceCost')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>       تقريب الارقام في التعاملات المالية الي كم علامة عشرية بالنظام </label>
                  <select name="settingForDecimalPoint" id="settingForDecimalPoint" class="form-control  ">
                     <option   @if(old('settingForDecimalPoint',$data['settingForDecimalPoint'])==0) selected="selected" @endif value="0">لايوجد ارقام بعد العلامة  </option>
                     <option  @if(old('settingForDecimalPoint',$data['settingForDecimalPoint'])==1) selected="selected" @endif value="1"> 1</option>
                     <option  @if(old('settingForDecimalPoint',$data['settingForDecimalPoint'])==2) selected="selected" @endif value="2"> 2</option>
                     <option  @if(old('settingForDecimalPoint',$data['settingForDecimalPoint'])==3) selected="selected" @endif value="3"> 3</option>
                     <option  @if(old('settingForDecimalPoint',$data['settingForDecimalPoint'])==4) selected="selected" @endif value="4"> 4</option>
                     <option  @if(old('settingForDecimalPoint',$data['settingForDecimalPoint'])==5) selected="selected" @endif value="5"> 5</option>


                  </select>
                  @error('settingForDecimalPoint')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>       من اين يتم سحب حضور الموظفين</label>
                  <select name="where_pull_attendance_days" id="where_pull_attendance_days" class="form-control  ">
                     <option   @if(old('where_pull_attendance_days',$data['where_pull_attendance_days'])==1) selected="selected" @endif value="1">  من سجل الحضور</option>
                     <option  @if(old('where_pull_attendance_days',$data['where_pull_attendance_days'])==2) selected="selected" @endif value="2">  يدوي بالراتب</option>
                  </select>
                  @error('where_pull_attendance_days')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-8">
               <div class="form-group">
                  <label>رسالة تنبية اعلي الشاشة </label>
                  <input name="general_alert" id="general_alert" class="form-control" value="{{ $data['general_alert'] }}" placeholder="ادخل اسم الشركة" oninvalid="setCustomValidity('من فضلك ادخل هذا الحقل')" onchange="try{setCustomValidity('')}catch(e){}" >
               </div>
            </div>
            <div class="col-md-12">
               <div class="form-group"  >
                  <label>شعار الشركة</label>
                  <div class="image">
                     <img class="custom_img" src="{{ asset('assets/admin/uploads').'/'.$data['photo'] }}"  alt="لوجو الشركة">       
                     <button type="button" class="btn btn-sm btn-danger" id="update_image">تغير الصورة</button>
                     <button type="button" class="btn btn-sm btn-danger" style="display: none;" id="cancel_update_image"> الغاء</button>
                  </div>
               </div>
               <div id="oldimage">
               </div>
            </div>
            <div class="col-md-12">
               <div class="form-group text-center">
                  <button type="submit" class="btn btn-primary btn-sm">حفظ التعديلات</button>
               </div>
            </div>
         </div>
      </form>
      @else
      <div class="alert alert-danger">
         عفوا لاتوجد بيانات لعرضها !!
      </div>
      @endif
   </div>
</div>
@endsection
@section("script")
<script  src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script  src="{{ asset('assets/admin/js/collect_transaction.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection