@extends('layouts.admin')
@section('title')
مراقبة النظام
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
الأرشيف
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.uoms.index') }}">  حركة النظام </a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">مراقبة سجل  حركة النظام     </h3>
      <input type="hidden" id="token_search" value="{{csrf_token() }}">
      <input type="hidden" id="ajax_search_url" value="{{ route('admin.system_monitoring.ajax_search') }}">
      <input type="hidden" id="ajax_do_mark" value="{{ route('admin.system_monitoring.ajax_do_mark') }}">

   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <div class="row">
         
         <div class="col-md-3">
            <div class="form-group">
               <label> بحث بالاقسام</label>
               <select name="alert_modules_search" id="alert_modules_search" class="form-control select2">
                  <option value="all">بحث بكل الخزن</option>
                  @if (@isset($other['alert_modules']) && !@empty($other['alert_modules']))
                  @foreach ($other['alert_modules'] as $info )
                  <option value="{{ $info->id }}"> {{ $info->name }} </option>
                  @endforeach
                  @endif
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> بحث بالحركات</label>
               <select name="alert_movetype_search" id="alert_movetype_search" class="form-control select2">
                  <option value="all">بحث بكل الخزن</option>
                  @if (@isset($other['alert_movetype']) && !@empty($other['alert_movetype']))
                  @foreach ($other['alert_movetype'] as $info )
                  <option value="{{ $info->id }}"> {{ $info->name }} </option>
                  @endforeach
                  @endif
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> بحث بالحسابات المالية</label>
               <select name="account_number_search" id="account_number_search" class="form-control select2 ">
                  <option value="all"> بحث بالكل</option>
                  @if (@isset($other['accounts']) && !@empty($other['accounts']))
                  @foreach ($other['accounts'] as $info )
                  <option 
                     value="{{ $info->account_number }}"> {{ $info->name }} ({{
                        $info->account_type_name }}) {{ $info->account_number }} 
                     </option>
                  @endforeach
                  @endif
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> بحث بالخزن</label>
               <select name="treasuries_search" id="treasuries_search" class="form-control select2">
                  <option value="all">بحث بكل الخزن</option>
                  @if (@isset($other['treasuries']) && !@empty($other['treasuries']))
                  @foreach ($other['treasuries'] as $info )
                  <option value="{{ $info->id }}"> {{ $info->name }} </option>
                  @endforeach
                  @endif
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> بحث بالمخازن</label>
               <select name="store_search" id="store_search" class="form-control select2">
                  <option value="all">بحث بكل المخازن</option>
                  @if (@isset($other['stores']) && !@empty($other['stores']))
                  @foreach ($other['stores'] as $info )
                  <option value="{{ $info->id }}"> {{ $info->name }} </option>
                  @endforeach
                  @endif
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> بحث بالاصناف</label>
               <select name="item_search" id="item_search" class="form-control select2">
                  <option value="all">بحث بكل الاصناف</option>
                  @if (@isset($other['items']) && !@empty($other['items']))
                  @foreach ($other['items'] as $info )
                  <option value="{{ $info->item_code }}"> {{ $info->name }} ({{ $info->item_code }}) </option>
                  @endforeach
                  @endif
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> بحث بالمستخدمين</label>
               <select name="admins_search" id="admins_search" class="form-control select2">
                  <option value="all">بحث بكل الخزن</option>
                  @if (@isset($other['admins']) && !@empty($other['admins']))
                  @foreach ($other['admins'] as $info )
                  <option value="{{ $info->id }}"> {{ $info->name }} </option>
                  @endforeach
                  @endif
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>    هل مميز </label>
               <select name="is_mark_search" id="is_mark_search" class="form-control">
                  <option value="all"> بحث بالكل</option>
                  <option  value="1">  نعم</option>
                  <option value="0">  لا</option>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <label>    بحث برقم الشفت</label>
            <input type="text" id="shift_code_search"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" class="form-control"> <br>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> من تاريخ حركة</label>
               <input name="from_date_search" id="from_date_search" class="form-control" type="date" value="">
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> الي تاريخ حركة </label>
               <input name="to_date_search" id="to_date_search" class="form-control" type="date" value="">
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
        
            <button style="margin-top: 31px;" class="btn btn-primary btn-sm"> طباعة البحث</button>
            </div>
         </div>

         <div class="clearfix"></div>
         <div class="col-md-12">
            <div id="ajax_responce_serarchDiv">
               @if (@isset($data) && !@empty($data) && count($data)>0)
               @php
               $i=1;   
               @endphp
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>مسلسل</th>
                     <th>القسم </th>
                     <th>  نوع الحركة</th>
                     <th style="width: 30%;">البيان</th>
                     <th>هل مميز</th>
                     <th> تاريخ الحركة</th>
                     <th></th>
                  </thead>
                  <tbody>
                     @foreach ($data as $info )
                     <tr >
                        <td>{{ $info->id}}</td>
                        <td>{{ $info->alert_modules_name }}</td>
                        <td>{{ $info->alert_movetype_name }}</td>
                        <td>{{ $info->content }}</td>
                        <td @if($info->is_marked==1) class="bg-danger"  @endif>@if($info->is_marked==1) نعم  @else  لا @endif</td>

                        <td > 
                           @php
                           $dt=new DateTime($info->created_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($info->created_at));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           @endphp
                           {{ $date }} <br>
                           {{ $time }}
                           {{ $newDateTimeType }}  <br>
                           بواسطة 
                           {{ $info->added_by_admin}}
                        </td>
                    
                        
                        <td>
                      
                           @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(215)) 
                           @if($info->is_marked==0)
                           <button data-id="{{ $info->id }}" class="btn btn-sm do_mark  btn-danger">تمييز</button>   
                         @else
                         <button data-id="{{ $info->id }}" class="btn btn-sm do_mark  btn-info"> لاتمييز</button>   
                         @endif

                           @endif
                        </td>
                     </tr>
                     @php
                     $i++; 
                     @endphp
                     @endforeach
                  </tbody>
               </table>
               <br>
               {{ $data->links() }}
               @else
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               @endif
            </div>
         </div>
      </div>
   </div>
</div>
@endsection
@section("script")
<script src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script src="{{ asset('assets/admin/js/alerts_system_monitoring.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection