@extends('layouts.admin')
@section('title')
شاشة تحصيل النقدية
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
الحسابات
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.collect_transaction.index') }}"> شاشه تحصيل النقدية </a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center"> بيانات حركة تحصيل النقدية بالنظام</h3>
      <input type="hidden" id="token_search" value="{{csrf_token() }}">
      <input type="hidden" id="ajax_url_get_account_blance"
         value="{{route('admin.collect_transaction.get_account_blance')}}">
      <input type="hidden" id="ajax_url_ajax_search" value="{{route('admin.collect_transaction.ajax_search')}}">
   </div>
   <!-- /.card-header -->

   @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(29) or
   check_permission_sub_menue_actions(30))

   
  
    
   <div class="card-body">
      @if(!@empty($checkExistsOpenShift))
      <button class="btn btn-warning   btn-sm" data-toggle="collapse" href="#collapseExampleSearch" style="    background-color: brown;color: white;border-color:brown;margin: 3px;" role="button" aria-expanded="false" aria-controls="collapseExampleSearch">
         اضافة حركة تحصيل جديدة
                </button>
      <form action="{{ route('admin.collect_transaction.store') }}" method="post" class="custom_form collapse" id="collapseExampleSearch">
         <div class="   row" >
            @csrf
            <div class="col-md-4 > 
               <div class=" form-group">
               <label>تاريخ الحركة </label>
               <input type="date" name="move_date" id="move_date" class="form-control" value="@php echo date('Y-m-d') @endphp">
               @error('move_date')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label> الحسابات المالية</label>
                  <select name="account_number" id="account_number" class="form-control select2 ">
                     <option value="">اختر الحساب المالي المحصل منه</option>
                     @if (@isset($accounts) && !@empty($accounts))
                     @foreach ($accounts as $info )
                     <option data-type="{{ $info->account_type }}" @if(old('account_number')==$info->account_number)
                        selected="selected" @endif value="{{ $info->account_number }}"> {{ $info->name }} ({{
                        $info->account_type_name }}) </option>
                     @endforeach
                     @endif
                  </select>
                  @error('account_number')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4" id="account_numberStatusDiv" style="display: none;">
            </div>
            <div class="col-md-4" id="get_account_blancesDiv" style="display: none;">
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label> نوع الحركة</label>
                  <select name="mov_type" id="mov_type" class="form-control  ">
                     <option value="">اختر نوع الحركة</option>
                     @if (@isset($mov_type) && !@empty($mov_type))
                     @foreach ($mov_type as $info )
                     <option @if(old('mov_type')==$info->id) selected="selected" @endif value="{{ $info->id }}"> {{
                        $info->name }} </option>
                     @endforeach
                     @endif
                  </select>
                  @error('mov_type')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label> بيانات الخزن</label>
                  <select name="treasuries_id" id="treasuries_id" class="form-control ">
                     <option value="{{ $checkExistsOpenShift['treasuries_id'] }}"> {{
                        $checkExistsOpenShift['treasuries_name'] }} </option>
                  </select>
                  @error('treasuries_id')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4 > 
               <div class=" form-group">
               <label> الرصيد المتاح بالخزنة </label>
               <input readonly name="treasuries_balance" id="treasuries_balance" class="form-control"
                  value="{{ $checkExistsOpenShift['treasuries_balance_now']*1 }}">
               @error('treasuries_balance')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
            <div class="col-md-4 > 
               <div class=" form-group">
               <label>قيمة المبلغ المحصل </label>
               <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="money" id="money"
                  class="form-control" value="{{ old('money') }}">
               @error('money')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
            <div class="col-md-8">
               <div class="form-group">
                  <label> البيان</label>
                  <textarea name="byan" id="byan" class="form-control" rows="4"
                     cols="10"> {{ old("byan","تحصيل نظير ") }} </textarea>
                  @error('byan')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-12">
               <div class="form-group text-center">
                  <button id="do_collect_now_btn" type="submit" class="btn btn-success btn-sm"> تحصيل الان</button>
               </div>
            </div>
         </div>
   </div>
   </form>
   @else
   <div class="alert alert-warning" style="color:brown !important">
      تنبيه لايوجد شفت مفتوح لك لكي تتمكن من التحصيل
   </div>
   @endif

   @endif

   <div class="clearfix"></div>
   <form action="{{ route('admin.collect_transaction.print_search') }}" method="post" target="_blank">
      @csrf
   <div class="row" style="padding: 15px;">
      <div class="col-md-3">
         <input checked type="radio" name="searchbyradio" id="searchbyradio" value="auto_serial"> بالكود
         <input type="radio" name="searchbyradio" id="searchbyradio" value="isal_number"> الايصال
         <input type="radio" name="searchbyradio" id="searchbyradio" value="shift_code"> شفت
         <input style="margin-top: 6px !important;" type="text" name="search_by_text" id="search_by_text" placeholder="" class="form-control">
         <br>
      </div>
      <div class="col-md-3">
         <div class="form-group">
            <label> بحث بالحسابات المالية</label>
            <select name="account_number" id="account_number_search" class="form-control select2 ">
               <option value="all"> بحث بالكل</option>
               @if (@isset($accounts_search) && !@empty($accounts_search))
               @foreach ($accounts_search as $info )
               <option data-type="{{ $info->account_type }}" @if(old('account_number')==$info->account_number)
                  selected="selected" @endif value="{{ $info->account_number }}"> {{ $info->name }} ({{
                  $info->account_type_name }}) {{ $info->account_number }} </option>
               @endforeach
               @endif
            </select>
         </div>
      </div>
      <div class="col-md-3">
         <div class="form-group">
            <label> بحث بالحركات المالية</label>
            <select name="mov_type" id="mov_type_search" class="form-control  ">
               <option value="all"> بحث بالكل</option>
               @if (@isset($mov_type) && !@empty($mov_type))
               @foreach ($mov_type as $info )
               <option @if(old('mov_type')==$info->id) selected="selected" @endif value="{{ $info->id }}"> {{
                  $info->name }} </option>
               @endforeach
               @endif
            </select>
         </div>
      </div>
      <div class="col-md-3">
         <div class="form-group">
            <label> بحث بالخزن</label>
            <select name="treasuries" id="treasuries_search" class="form-control select2">
               <option value="all">بحث بكل الخزن</option>
               @if (@isset($treasuries) && !@empty($treasuries))
               @foreach ($treasuries as $info )
               <option value="{{ $info->id }}"> {{ $info->name }} </option>
               @endforeach
               @endif
            </select>
         </div>
      </div>
      <div class="col-md-3">
         <div class="form-group">
            <label> بحث بالمستخدمين</label>
            <select name="admins" id="admins_search" class="form-control select2">
               <option value="all">بحث بكل الخزن</option>
               @if (@isset($admins) && !@empty($admins))
               @foreach ($admins as $info )
               <option value="{{ $info->id }}"> {{ $info->name }} </option>
               @endforeach
               @endif
            </select>
         </div>
      </div>
    
 
      <div class="col-md-3">
         <div class="form-group">
            <label> من تاريخ حركة</label>
            <input name="from_date" id="from_date_search" class="form-control" type="date" value="">
         </div>
      </div>
      <div class="col-md-3">
         <div class="form-group">
            <label> الي تاريخ حركة </label>
            <input name="to_date" id="to_date_search" class="form-control" type="date" value="">
         </div>
      </div>
      <div class="col-md-2">
         <div class="form-group text-rigth">
          <button class="btn btn-sm btn-info" style="margin-top: 33px;" type="submit">طباعة البحث</button>
         </div>
      </div>
    
      <div class="clearfix"></div>
   </div>
   </form>
   <div id="ajax_responce_serarchDiv">
      @if (@isset($data) && !@empty($data) && count($data)>0)
      <table id="example2" class="table table-bordered table-hover">
         <thead class="custom_thead">
            <th>كود الي</th>
            <th> رقم الايصال</th>
            <th> الخزنة</th>
            <th> المبلغ</th>
            <th> الحركة</th>
            <th> الحساب المالي</th>
            <th> البيان</th>
            <th> المستخدم</th>
            <th></th>
         </thead>
         <tbody>
            @foreach ($data as $info )
            <tr>
               <td>{{ $info->auto_serial }}</td>
               <td>{{ $info->isal_number }}</td>
               <td>{{ $info->treasuries_name }} <br>
                  شفت ({{ $info->shift_code }})
               </td>
               <td>{{ $info->money*(1) }}</td>
               <td>{{ $info->mov_type_name }}</td>
               <td>{{ $info->account_name }} <br>
                  ({{ $info->account_type_name }})
               </td>
               <td>{{ $info->byan }}</td>
               <td>
                  @php
                  $dt=new DateTime($info->created_at);
                  $date=$dt->format("Y-m-d");
                  $time=$dt->format("h:i");
                  $newDateTime=date("A",strtotime($info->created_at));
                  $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء');
                  @endphp
                  {{ $date }} <br>
                  {{ $time }}
                  {{ $newDateTimeType }} <br>
                  بواسطة
                  {{ $info->added_by_admin}}
               </td>
               <td>
                  @if($info->is_approved==1)
                  @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(34))
                  <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.collect_transaction.printsaleswina4',[$info->id,'A4']) }}" class="btn btn-primary btn-xs"> WA4</a>
                  <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.collect_transaction.printsaleswina4',[$info->id,'A6']) }}" class="btn btn-warning btn-xs"> WA6</a>              
            
                  @endif
                  @endif
               </td>
            </tr>
            @endforeach
         </tbody>
      </table>
      <br>
      {{ $data->links() }}
      @else
      <div class="alert alert-danger">
         عفوا لاتوجد بيانات لعرضها !!
      </div>
      @endif
   </div>
</div>
@endsection
@section("script")
<script src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script src="{{ asset('assets/admin/js/collect_transaction.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection