@extends('layouts.admin')
@section('title')
شئون الموظفين
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
الموظفين  
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.employees.index') }}">    الموظفين </a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">بيانات   الموظفين  </h3>
      <input type="hidden" id="token_search" value="{{csrf_token() }}">
      <input type="hidden" id="ajax_search_url" value="{{ route('admin.employees.ajax_search') }}">
      @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(181)) 
      <a href="{{ route('admin.employees.create') }}" class="btn btn-sm btn-success" >اضافة جديد</a>
       @endif
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <div class="row">
         <div class="col-md-4">
            <input  type="radio" checked name="searchbyradio" id="searchbyradio" value="employee_code"> برقم الموظف
            <input  type="radio"  name="searchbyradio" id="searchbyradio" value="account_number"> برقم الحساب
            <input  type="radio" name="searchbyradio" id="searchbyradio" value="name"> بالاسم
            <input autofocus style="margin-top: 6px !important;" type="text" id="search_by_text" placeholder=" اسم  - رقم الحساب  - كود العميل" class="form-control"> <br>
         </div>

         <div class="col-md-4">
            <div class="form-group">
               <label>   بحث بالادارات</label>
               <select name="departements_id_search" id="departements_id_search" class="form-control select2 ">
                  <option value="all">بحث بالكل </option>
                  @if (@isset($other['departements']) && !@empty($other['departements']))
                  @foreach ($other['departements'] as $info )
                  <option  value="{{ $info->id }}"> {{ $info->name }} </option>
                  @endforeach
                  @endif
               </select>
            
            </div>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>       بحث بالوظائف</label>
               <select name="jobs_id_search" id="jobs_id_search" class="form-control select2">
                  <option value="all">بحث بالكل </option>
                  @if (@isset($other['jobs']) && !@empty($other['jobs']))
                  @foreach ($other['jobs'] as $info )
                  <option  value="{{ $info->id }}"> {{ $info->name }} </option>
                  @endforeach
                  @endif
               </select>
            
            </div>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>   هل يمتلك شفت ثابت</label>
               <select name="do_has_shift_search" id="do_has_shift_search" class="form-control select2">
                  <option value="all"> بحث بالكل</option>
                  <option    value="1"> نعم</option>
                  <option   value="0"> لا</option>
               </select>
             
            </div>
         </div>
         <div class="col-md-4" >
            <div class="form-group">
               <label>       أنواع الشفتات</label>
               <select name="shifts_types_id_search" id="shifts_types_id_search" class="form-control select2 ">
                  <option value="all"> بحث بالكل</option>
                  @if (@isset($other['shifts_types']) && !@empty($other['shifts_types']))
                  @foreach ($other['shifts_types'] as $info )
                  <option value="{{ $info->id }}"> 
                     
                     @if($info->type==1) صباحي @elseif ($info->type==2) مسائي @else يوم كامل @endif
                     من
                     @php
                     $dt=new DateTime($info->from_time);
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($info->from_time));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                     @endphp
                    
                     {{ $time }}
                     {{ $newDateTimeType }}  
                     الي
                     @php
                     $dt=new DateTime($info->to_time);
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($info->to_time));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                     @endphp
                    
                     {{ $time }}
                     {{ $newDateTimeType }}  
                  عدد
                  {{ $info->total_hours*1  }} ساعات
                  
                  
                  
                  
                  </option>
                  @endforeach
                  @endif
               </select>
           
            </div>
         </div>



         <div class="col-md-4">
            <div class="form-group">
               <label>   هل يمتلك  تأمين اجتماعي</label>
               <select name="does_has_social_insurance_search" id="does_has_social_insurance_search" class="form-control select2">
                  <option value="all"> بحث بالكل</option>
                  <option    value="1"> نعم</option>
                  <option   value="0"> لا</option>
               </select>
             
            </div>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>   هل يمتلك حافز شهري</label>
               <select name="do_has_Motivation_search" id="do_has_Motivation_search" class="form-control select2">
                  <option value="all"> بحث بالكل</option>
                  <option    value="1"> نعم</option>
                  <option   value="0"> لا</option>
               </select>
             
            </div>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>   هل يمتلك بدل شهري</label>
               <select name="does_has_allowances_search" id="does_has_allowances_search" class="form-control select2">
                  <option value="all"> بحث بالكل</option>
                  <option    value="1"> نعم</option>
                  <option   value="0"> لا</option>
               </select>
             
            </div>
         </div>
        
         <div class="col-md-4">
            <div class="form-group">
               <label>  بحث بحالة التفعيل</label>
               <select name="searchByactiveStatus" id="searchByactiveStatus" class="form-control">
                  <option   value="all"> بحث بالكل</option>
                  <option   value="1"> مفعل</option>
                  <option  value="0"> معطل</option>
               </select>
            </div>
         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label>  بحث بحالة الرصيد</label>
               <select name="searchByBalanceStatus" id="searchByBalanceStatus" class="form-control">
                  <option   value="all"> بحث بالكل</option>
                  <option   value="1"> دائن</option>
                  <option  value="2"> مدين</option>
                  <option    value="3"> متزن</option>
               </select>
            </div>
         </div>
         <div class="col-md-4 "  >
            <div class="form-group">
               <label>      من  تاريخ اضافة </label>
               <input name="from_date_search" id="from_date_search" class="form-control" type="date" value=""    >
            </div>
         </div>
         <div class="col-md-4 " >
            <div class="form-group">
               <label>     الي تاريخ اضافة  </label>
               <input name="to_date_search" id="to_date_search" class="form-control" type="date" value=""    >
            </div>
         </div>

      </div>
      <div class="clearfix"></div>
      <div id="ajax_responce_serarchDiv" class="col-md-12">
         @if (@isset($data) && !@empty($data) && count($data)>0)
         <table id="example2" class="table table-bordered table-hover">
            <thead class="custom_thead">
               <th>  الكود </th>
               <th>الاسم </th>
               <th>  القسم </th>
               <th>  الوظيفة </th>
               <th> رقم الهاتف </th>

               <th> التفعيل</th>
               <th></th>
            </thead>
            <tbody>
               @foreach ($data as $info )
               <tr>
                  <td>{{ $info->employee_code }}</td>
                  <td>{{ $info->name }}</td>
               
                  <td>{{ $info->Departement_name }}</td>
                  <td>{{ $info->Job_name }}</td>
                  <td>{{ $info->phone }}</td>

                  <td>@if($info->active==1) مفعل @else معطل @endif</td>
                  <td>
                     @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(182)) 
                     <a href="{{ route('admin.employees.edit',$info->id) }}" class="btn btn-sm  btn-primary">تعديل</a>   
                     @endif
                     @if(  $info->CounterUsed==0)
                     @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(183)) 
                     <a href="{{ route('admin.employees.delete',$info->id) }}" class="btn btn-sm are_you_sure  btn-danger">حذف</a>   
                     @endif
                     @endif
                     <a href="{{ route('admin.employees.show',$info->id) }}" class="btn btn-sm   btn-info">التفاصيل</a>   

                  </td>
               </tr>
               @endforeach
            </tbody>
         </table>
         <br>
         {{ $data->links() }}
         @else
         <div class="alert alert-danger">
            عفوا لاتوجد بيانات لعرضها !!
         </div>
         @endif
      </div>
   </div>
</div>
</div>
@endsection
@section("script")
<script src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script src="{{ asset('assets/admin/js/employees.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection