@extends('layouts.admin')
@section('title')
شئون الموظفين
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
حضور الموظفين  
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.employees_attedance.index') }}">    سجلات الحضور </a>
@endsection
@section('contentheaderactive')
اضافة
@endsection
@section('content')
<div class="row">
   <div class="col-12">
      <div class="card">
         <div class="card-header">
            <h3 class="card-title card_title_center"> اضافة سجلات حضور للموظفين </h3>
         </div>
         <!-- /.card-header -->
         <div class="card-body">
            <form action="{{ route('admin.employees_attedance.store') }}" method="post" >
               @csrf
               <div class="form-group">
                  <label>         الشهور المالية</label>
                  <select name="finance_cln_periods_id" id="finance_cln_periods_id" class="form-control select2">
                     <option value="">  اختر الشهر المالي المفتوح</option>
                     @if (@isset( $other['finance_cln_periods']) && !@empty( $other['finance_cln_periods']))
                     @foreach ( $other['finance_cln_periods'] as $info )
                     <option @if(old('finance_cln_periods_id')==$info->id) selected="selected" @endif  selected="selected" value="{{ $info->id }}"> شهر {{ $info->name }} لسنة {{ $info->FINANCE_YR }} </option>
                     @endforeach
                     @endif
                  </select>
                  @error('finance_cln_periods_id')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
               <div class="form-group">
                  <label>          لموظفين</label>
                  <select name="employee_code" id="employee_code" class="form-control select2">
                     <option value="">  اختر   الموظف</option>
                     @if (@isset( $other['employees']) && !@empty( $other['employees']))
                     @foreach ( $other['employees'] as $info )
                     <option @if(old('employee_code')==$info->employee_code) selected="selected" @endif  value="{{ $info->employee_code }}">  {{ $info->name }}  </option>
                     @endforeach
                     @endif
                  </select>
                  @error('employee_code')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
               <div class="form-group">
                  <label>   تاريخ الحضور</label>
                  <input type="date" value="@php echo date("Y-m-d"); @endphp" class="form-control" name="attendace_date" id="attendace_date">
                  @error('attendace_date')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
               <div class="form-group text-center">
                  <button type="submit" class="btn btn-primary btn-sm"> اضافة</button>
                  <a href="{{ route('admin.employees_attedance.index') }}" class="btn btn-sm btn-danger">الغاء</a>    
               </div>
            </form>
         </div>
      </div>
   </div>
</div>
</div>
@endsection
@section("script")
<script src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>

<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection