@extends('layouts.admin')
@section('title')
ضبط الاصناف
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
الاصناف
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.itemcard.index') }}">  الاصناف </a>
@endsection
@section('contentheaderactive')
عرض التفاصيل
@endsection
@section('content')
<div class="card">
<div class="card-header">
   <h3 class="card-title card_title_center">  عرض بيانات صنف</h3>
   @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(59)) 
   <a href="{{ route('admin.itemcard.create') }}" class="btn btn-sm btn-success" >اضافة جديد</a>
   @endif
</div>
<!-- /.card-header -->
<div class="card-body">
   @if (@isset($data) && !@empty($data))
   <div class="row">
      <table id="example2" class="table table-bordered table-hover">
         <tr>
            <td colspan="4" style="text-align: center">
               <label>كود الصنف الثابت الالي من النظام</label>
              ( {{ $data['item_code'] }} ) 
               <input type="hidden" id="token_search" value="{{csrf_token() }}">
               <input type="hidden" id="ajax_search_movements" value="{{ route('admin.itemcard.ajax_search_movements') }}">
               <input type="hidden" id="ajax_showUpdateParentUom" value="{{ route('admin.itemcard.showUpdateParentUom') }}">
               <input type="hidden" id="ajax_show_update_retail_uom" value="{{ route('admin.itemcard.show_update_retail_uom') }}">

            </td>
         </tr>
         <tr>
            <td>
               <label>باركود الصنف</label> <br>
               {{ $data['barcode'] }}
               <a target="_blank" href="{{ route('admin.itemcard.generate_barcode',$data['id']) }}" class="btn btn-sm   btn-success">باركود <i class="fa fa-print"></i></a>   

                   
            </td>
            <td>
               <label>اسم الصنف</label> <br>
               {{ $data['name'] }}
            </td>
            <td>
               <label>نوع الصنف</label> <br>
               @if($data['item_type']==1) مخزني  @elseif($data['item_type']==2) استهلاكي بصلاحية   @elseif($data['item_type']==3) عهدة @else غير محدد @endif
            </td>
            <td>
               <label>فئة الصنف</label> <br>
               {{ $data['inv_itemcard_categories_name'] }}
            </td>
         </tr>

         <tr>
            <td >
               كمية الصنف الحالية (  {{ $data['All_QUENTITY']*1  }} {{ $data['Uom_name']  }})
               (مايوزاي   {{ $qunatity_lable }})
            </td>
         
            <td>
               <label> هل للصنف سعر ثابت</label> 
              ( @if($data['has_fixced_price']==1) نعم  @else  لا @endif ) 
            </td>
            <td >
               <label>  حالة التفعيل</label>
             ( @if($data['active']==1) نعم  @else  لا @endif )   
            </td>
            <td    >
               <label>   هل للصنف وحدة تجزئة ابن</label> 
              (@if($data['does_has_retailunit']==1) نعم  @else  لا @endif) 
               </td> 
         </tr>
         <tr>
            <td colspan="4">
               <h3 style="text-align: center; font-size: 16px; font-weight: bold;"> تسعير الصنف مع الوحدات</h3>
               @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(229))  
               <button   class="btn btn-sm btn-info " data-toggle="modal" data-target="#showAddretailModal"> اضافة وحدة تجزئة </button>
              @endif
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>اسم الوحدة</th>
                     <th> النوع</th>
                     <th> معامل التحويل للأب</th>
                     <th>سعر القطاعي</th>
                     <th> سعر النص جملة عروض</th>
                     <th>  سعر الجملة</th>
                     <th>  سعر التكلفة</th>
                     <th></th>
                  </thead>
                  <tbody>
               <tr>
                 <td>  {{ $data['Uom_name'] }}  </td> 
                 <td>  أب كبري </td> 
                 <td> 1</td>
                 <td> {{ $data['price']*1 }}</td>
                 <td> {{ $data['nos_gomla_price']*1 }}</td>
                 <td> {{ $data['gomla_price']*1 }}</td>
                 <td> {{ $data['cost_price']*1 }}</td>

                 <td>
                  @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(60))  
                  <button id="showUpdateParentUom" data-id="{{ $data['id'] }}" class="btn btn-sm btn-success"> تعديل </button>
                 @endif
               </td>
               </tr>
               @if (@isset($inv_itemcard_retails_uoms) && !@empty($inv_itemcard_retails_uoms) && count($inv_itemcard_retails_uoms) >0)
               @foreach ($inv_itemcard_retails_uoms as $info )
               <tr>
                  <td>  {{ $info->retail_uom_name }}  </td> 
                  <td>   تجزئة </td> 
                  <td> كل {{ $data['Uom_name'] }} يحتوي {{ $info->retail_uom_quntToParent*1 }} {{ $info->retail_uom_name }} </td>
                  <td> {{ $info->price_retail*1 }}</td>
                  <td> {{ $info->nos_gomla_price_retail*1 }}</td>
                  <td> {{ $info->gomla_price_retail*1 }}</td>
                  <td> {{ $info->cost_price_retail*1 }}</td>
 
                  <td>
                     @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(231))  
                     <button  data-id="{{ $info->id}}"  data-itemid="{{ $data['id'] }}" class="btn btn-sm btn-success show_update_retail_uom"> تعديل </button>
                     @endif
                     @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(230))  
                     <a href="{{ route('admin.itemcard.deleteRetailUom',$info->id) }}" class="btn btn-sm btn-danger are_you_sure">حذف</a>
                     @endif
                  </td>
                </tr>
              @endforeach
              @endif

                  </tbody>
               </table>


            </td>
         </tr>

    
      
     <tr>
      <td >  الصنف الاب</td>
      <td colspan="4" >
         {{ $data['parent_item_name'] }}
      </td>
     </tr>
         <tr>
            <td >لوجو  الصنف</td>
            <td colspan="4" >
               <div class="image">
                  <img class="custom_img" src="{{ asset('assets/admin/uploads').'/'.$data['photo'] }}"  alt="لوجو الشركة">       
               </div>
            </td>
         </tr>
         <tr>
            <td >  تاريخ اخر تحديث</td>
            <td colspan="3"> 
               @if($data['updated_by']>0 and $data['updated_by']!=null )
               @php
               $dt=new DateTime($data['updated_at']);
               $date=$dt->format("Y-m-d");
               $time=$dt->format("h:i");
               $newDateTime=date("A",strtotime($time));
               $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
               @endphp
               {{ $date }}
               {{ $time }}
               {{ $newDateTimeType }}
               بواسطة 
               {{ $data['updated_by_admin'] }}
               @else
               لايوجد تحديث
               @endif
               @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(60)) 
               <a href="{{ route('admin.itemcard.edit',$data['id']) }}" class="btn btn-sm btn-success">تعديل</a>
               @endif
            </td>
         </tr>
      </table>
   </div>
   <hr style="border:1px solid #3c8dbc;">
   <h3 class="customh3"> سجل الحركة علي الصنف  (  كارت الصنف )</h3>
   <div class="row">
      <div class="col-md-4">
         <div class="form-group">
            <label>  بحث بالمخازن </label>
            <select name="store_id_move_search" id="store_id_move_search" class="form-control select2">
               <option value="all">بحث بالكل </option>
               @if (@isset($stores) && !@empty($stores))
               @foreach ($stores as $info )
               <option value="{{ $info->id }}"> {{ $info->name }} </option>
               @endforeach
               @endif
            </select>
         </div>
      </div>
      <div class="col-md-4">
         <div class="form-group">
            <label>  بحث بقسم الحركة </label>
            <select name="movements_categoriesMoveSearch" id="movements_categoriesMoveSearch" class="form-control select2">
               <option value="all">بحث بالكل </option>
               @if (@isset($inv_itemcard_movements_categories) && !@empty($inv_itemcard_movements_categories))
               @foreach ($inv_itemcard_movements_categories as $info )
               <option value="{{ $info->id }}"> {{ $info->name }} </option>
               @endforeach
               @endif
            </select>
         </div>
      </div>
      <div class="col-md-4">
         <div class="form-group">
            <label>  بحث بنوع الحركة </label>
            <select name="movements_typesMoveSearch" id="movements_typesMoveSearch" class="form-control select2">
               <option value="all">بحث بالكل </option>
               @if (@isset($inv_itemcard_movements_types) && !@empty($inv_itemcard_movements_types))
               @foreach ($inv_itemcard_movements_types as $info )
               <option value="{{ $info->id }}"> {{ $info->type }} </option>
               @endforeach
               @endif
            </select>
         </div>
      </div>
      <div class="col-md-4">
         <div class="form-group">
            <label>      بحث من تاريخ حركة</label>
            <input name="from_date_moveSearch" id="from_date_moveSearch" class="form-control" type="date" value=""    >
         </div>
      </div>
      <div class="col-md-4">
         <div class="form-group">
            <label>     بحث الي تاريخ حركة </label>
            <input name="to_date_moveSearch" id="to_date_moveSearch" class="form-control" type="date" value=""    >
         </div>
      </div>
      <div class="col-md-4">
         <div class="form-group">
            <label>  بحث  بالترتيب </label>
            <select name="moveDateorderType" id="moveDateorderType" class="form-control select2">
               <option value="DESC">بحث ترتيب تنازلي </option>
               <option value="ASC">بحث ترتيب تصاعدي </option>
            </select>
         </div>
      </div>
      <div class="clearfix"></div>
      <div class="col-md-12 text-center" id="ajaxSearchMovementsDiv">
         <button class="btn btn-sm btn-danger" id="ShowMovementsBtn">عرض سجل الحركة </button>
      </div>
      @else
      <div class="alert alert-danger">
         عفوا لاتوجد بيانات لعرضها !!
      </div>
      @endif
   </div>
</div>
<div class="modal fade " id="showUpdateParentUomModal">
   <div class="modal-dialog modal-xl" >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title">تعديل سعر الوحدة الكبري للصنف</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body" id="showUpdateParentUomModalBody" style="background-color: white !important; color:black;">
         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
<div class="modal fade " id="show_update_retail_uomModal">
   <div class="modal-dialog modal-xl" >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title">تعديل سعر وحدة تجزئة للصنف</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body" id="show_update_retail_uomModalBody" style="background-color: white !important; color:black;">
         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
<div class="modal fade " id="showAddretailModal">
   <div class="modal-dialog modal-xl" >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title">اضافة وحدات تجزئة للصنف</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body"  style="background-color: white !important; color:black;">
            <form action="{{ route('admin.itemcard.DoAddRetailUom',$data['id']) }}" method="post" >
               @csrf
            <div class="row">
               <div class="col-md-6">
                  <div class="form-group">
                     <label>   وحدة القياس التجزئة</label>
                     <select name="RetailUomAdd" id="RetailUomAdd" class="form-control select2">
                        <option value="">اختر الوحدة بالترتيب الاكبر ثم الاصغر</option>
                        @if (@isset($inv_uoms) && !@empty($inv_uoms))
                        @foreach ($inv_uoms as $info )
                        <option @if($info->counterExsists >0) disabled @endif value="{{ $info->id }}"> {{ $info->name }} @if($info->counterExsists >0) - وتمت اضافتها للصنف    @endif </option>
                        @endforeach
                        @endif
                     </select>
                     @error('uom_id')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-6  "  > 
                  <div class="form-group">
                     <input type="hidden" id="last_retail_uom_quntToParent" value="{{ $last_retail_uom_quntToParent }}">
                  <label> معامل التحويل بالنسبة للوحدة الاب ({{ $data['Uom_name']  }})   </label>
                  <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="retail_uom_quntToParentAdd" id="retail_uom_quntToParentAdd" class="form-control"  value="" placeholder="ادخل السعر " >
                  @error('nos_gomla_price')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
                  </div>
                  </div>
               <div class="col-md-6  "> 
                  <div class="form-group">
                  <label>سعر القطاعي   </label>
                  <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="price_retail" id="priceAdd" class="form-control"  value="" placeholder="ادخل السعر " >
              
                  </div>
                  </div>
                  <div class="col-md-6  "  > 
                  <div class="form-group">
                  <label>سعر النص جملة عروض    </label>
                  <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="nos_gomla_price_retail" id="nos_gomla_priceAdd" class="form-control"  value="" placeholder="ادخل السعر " >
                  @error('nos_gomla_price')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
                  </div>
                  </div>
                  <div class="col-md-6  " > 
                  <div class="form-group">
                  <label>سعر  جملة    </label>
                  <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="gomla_price_retail" id="gomla_priceAdd" class="form-control"  value="" placeholder="ادخل السعر " >
               
                  </div>
                  </div>
                  <div class="col-md-6  "  > 
                  <div class="form-group">
                  <label>سعر  تكلفة الشراء   </label>
                  <input readonly oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="cost_price_retail" id="cost_priceAdd" class="form-control"  value="0" placeholder="ادخل السعر " >
            
                  </div>
                  </div>
            <div class="col-md-12"> <hr>
               <div class="form-group text-center">
                  <button   type="submit" class="btn btn-sm btn-danger" id="DoAddRetailUom">اضف الوحدة</button>
               </div>
            </div>
            </div>
            </form>


         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>

@endsection
@section("script")
<script src="{{ asset('assets/admin/js/inv_itemcard.js') }}"></script>
<script  src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection