@extends('layouts.admin')
@section('title')
حركات مخزنية
@endsection
@section('contentheader')
ارصدة الاصناف
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.itemcardBalance.index') }}">  الأرصدة </a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">   مرآة كميات الاصناف بالمخازن</h3>
      <input type="hidden" id="token_post" value="{{csrf_token() }}">
      <input type="hidden" id="ajax_url_ajax_search" value="{{ route('admin.itemcardBalance.ajax_search') }}">
      <input type="hidden" id="ajax_get_items_by_category" value="{{ route('admin.itemcardBalance.get_items_by_category') }}">
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(111)) 
      <form method="post" target="_blank" action="{{ route('admin.itemcardBalance.printsaleswina4') }}" >
      @csrf
      @endif
      <div class="row">
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث بفئة الصنف</label>
               <select name="inv_itemcard_categories_id_search" id="inv_itemcard_categories_id_search" class="form-control select2">
                  <option value="all"> بحث بالكل</option>
                  @if (@isset($inv_itemcard_categories) && !@empty($inv_itemcard_categories))
                  @foreach ($inv_itemcard_categories as $info )
                  <option value="{{ $info->id }}"> {{ $info->name }} </option>
                  @endforeach
                  @endif
               </select>
           
            </div>
         </div>
         <div class="col-md-3" id="ajax_responce_serarch_itemDiv">
            <div class="form-group">
               <label>    بيانات الاصناف</label>
               <select  id="item_code_search" name="item_code" class="form-control select2" style="width: 100%;">
                  <option value="all"> بحث بكل الاصناف بمخازن صلاحياتي</option>
                  @if (@isset($itemCardsSearch) && !@empty($itemCardsSearch))
                  @foreach ($itemCardsSearch as $info )
                  <option data-item_type="{{ $info->item_type }}"  
                     value="{{ $info->item_code }}"> {{ $info->name }} 
                  </option>
                  @endforeach
                  @endif
               </select>
            </div>
         </div>
         <div class="col-md-3" >
            <div class="form-group">
               <label>    بيانات المخازن بصلاحياتي</label>
               <select name="store_id" id="store_id_search" class="form-control ">
                  <option value="all">  بحث بكل مخازن صلاحياتي  </option>
                  @if (@isset($storesSearch) && !@empty($storesSearch))
                  @foreach ($storesSearch as $info )
                  <option value="{{ $info->store_id }}"> {{ $info->name }} </option>
                  @endforeach
                  @endif
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  حالة الباتشات </label>
               <select name="BatchStatus" id="BatchStatusSerach" class="form-control">
                  <option value="all"> عرض كل الباتشات</option>
                  <option  value="1"> الباتشات التي بها كمية فقط</option>
                  <option  value="2"> الباتشات   الفارغة</option>
               </select>
               @error('active')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  أنواع الباتشات </label>
               <select name="BatchTypeSerach" id="BatchTypeSerach" class="form-control">
                  <option value="all"> عرض كل الانواع</option>
                  <option  value="1"> الباتشات الاستهلاكية بتاريخ انتاج  </option>
                  <option  value="2"> الباتشات   الغير استهلاكية</option>
               </select>
               @error('active')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث بحالة الكمية </label>
               <select name="BatchquantitystatusSerach" id="BatchquantitystatusSerach" class="form-control">
                  <option value="all"> عرض كل الكميات</option>
                  <option  value="1"> اكبر من او يساوي    </option>
                  <option  value="2">اصغر من او يساوي</option>
                  <option  value="3"> يساوي</option>
               </select>
               @error('active')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
         </div>
         <div class="col-md-3" id="BatchquantitySerachDiv" >
            <div class="form-group"> 
               <label>   بحث بالكمية </label>
               <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="BatchquantitySerach" id="BatchquantitySerach" class="form-control"  value=""  >
               @error('active')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
         </div>
         <div class="col-md-3"  >
            <div class="form-group"> 
               <label>   بحث بالباتش </label>
               <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="BatchSerialSearch" id="BatchSerialSearch" class="form-control"  value=""  >
               @error('BatchSerialSearch')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
         </div>
        
   </div>
   @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(111)) 

   <div class="col-md-12 text-center"> 
<button style="margin-button: 5px;" type="submit" class="btn btn-sm btn-danger">طباعة البحث</button>
   </div>
</form>
   @endif
         <div class="clearfix"></div>
         <div id="ajax_responce_serarchDiv" class="col-md-12">
            @if (@isset($allitemscardData) && !@empty($allitemscardData))
            @php
            $i=1;   
            @endphp
            <table id="example2" class="table table-bordered table-hover">
               <thead class="custom_thead">
                  <th style="width:10%;">كود  </th>
                  <th style="width:20%;">الاسم </th>
                  <th style="width:70%;"> الكميات بالمخازن</th>
               </thead>
               <tbody>
                  @foreach ($allitemscardData as $info )
                  <tr>
                     <td>{{ $info->item_code }}</td>
                     <td>{{ $info->name }}</td>
                     <td>
                    كل الكمية بكل المخازن (  {{ $info->All_QUENTITY*1 }} {{ $info->Uom_name }}  ) <br>
                        كل الكمية  بالمخازن من صلاحياتي (  {{ $info->allQunatityInmyStores*1 }} {{ $info->Uom_name }}  )
                        مايوزاي {{ $info->qunatity_lable }} <br>بإجمالي تكلفة  {{  $info->cost_batches*1 }} جنيه
                        
                        <br>
                        <br>
                        <h3 style="text-align: center; font-size:15px; color:brown;">تفاصيل كميات الصنف بالمخازن</h3>
                        @if ( !@empty($info->allBathces) and count($info->allBathces)>0)
                        <table id="example2" class="table table-bordered table-hover">
                           <thead class="bg-info" >
                              <th style="width:20%;">رقم الباتش  </th>
                              <th style="width:20%;">المخزن </th>
                              <th style="width:60%;">  الكمية</th>
                           </thead>
                           <tbody>
                              @foreach ($info->allBathces as $Det )
                              <tr>
                                 <td @if($Det->quantity==0) class="bg-danger"  @endif>{{ $Det->auto_serial }}</td>
                                 <td>{{ $Det->store_name }}</td>
                                 <td >
                                    عدد ( {{ $Det->quantity*1 }} ) {{ $info->Uom_name }}  بإجمالي تكلفة  ( {{ $Det->total_cost_price*1 }} جنيه ) <br>
                                    بسعر  ( {{ $Det->unit_cost_price*(1) }} جنيه ) لوحدة {{ $info->Uom_name }} 
                                    @if($info->does_has_retailunit==1)
                                    <br> 
                                    @if($info->item_type==2)
                                    تاريخ انتاج ( {{ $Det->production_date }} ) <br>
                                    تاريخ انتهاء ( {{ $Det->expired_date }} ) <br>
                                    @endif
                                    <span style="color: brown;"> مايوزاي  </span>
                                  
                                    {{ $Det->qunatity_lable }}
                                        @endif
                                 </td>
                              </tr>
                              @endforeach
                           </tbody>
                        </table>
                        @else
                        <h3 style="text-align: center; font-size:13px; color:brown;">   لاتوجد باتشات لهذا الصنف</h3>
                        @endif
                     </td>
                  </tr>
                  @php
                  $i++; 
                  @endphp
                  @endforeach
               </tbody>
            </table>
            <br>
            {{ $allitemscardData->links() }}
            @else
            <div class="alert alert-danger">
               عفوا لاتوجد بيانات لعرضها !!
            </div>
            @endif
         </div>
      </div>
   </div>
</div>
@endsection
@section('script')
<script src="{{ asset('assets/admin/js/itemcardBalance.js') }}"></script>
<script  src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection