<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Admin;
use App\Models\Employee;
use App\Models\Employees_attedance;
use App\Models\Finance_cln_period;
use App\Models\Month;
use App\Models\Employees_salaries;
use App\Models\Employees_salaries_actions;
use App\Traits\GeneralTrait;

use App\Http\Requests\Employees_attedanceRequest;

class Employees_attedanceController extends Controller
{
    use GeneralTrait;
    public function index(){
        if(auth()->user()->is_master_admin==0){
            check_permission_sub_menue_actions_redirect(210);
            }  
    try{
    $com_code=auth()->user()->com_code;
    $data=get_cols_where_p(new Employees_attedance(),array("*"),array("com_code"=>$com_code),'id','DESC',PC);
    if (!empty($data)) {
    foreach ($data as $info) {
    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
    $info->employee_name = Employee::where('employee_code', $info->employee_code)->value('name');
    if ($info->updated_by > 0 and $info->updated_by != null) {
    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
    }
   $info->finance_cln_periods_data=get_cols_where_row(new Finance_cln_period(),array("id","FINANCE_YR","MONTH_ID"),array("com_code"=>$com_code,"id"=>$info->finance_cln_periods_id));       
if(!empty($info->finance_cln_periods_data)){
    $info->finance_cln_periods_data['name'] = Month::where('id', $info->finance_cln_periods_data['MONTH_ID'])->value('name');

}
    
    }
    }
    $other['finance_cln_periods'] =get_cols_where(new Finance_cln_period(),array("id","FINANCE_YR","MONTH_ID"),array("com_code"=>$com_code,"is_open"=>1));       
    if (!empty($other['finance_cln_periods'])) {
        foreach ($other['finance_cln_periods']as $info) {
            $info->name = Month::where('id', $info->MONTH_ID)->value('name');
        }
    }
    $other['employees'] =get_cols_where(new Employee(),array("employee_code","name"),array("com_code"=>$com_code));       



    return view('admin.employees_attedance.index',['data'=>$data,'other'=>$other]);
    }catch(\Exception $ex){
    return redirect()->back()->with(['error'=>'عفوا حدث خطأ ما']);
    }
    }


    public function create(){
        if(auth()->user()->is_master_admin==0){
            check_permission_sub_menue_actions_redirect(211);
            }  
  $com_code = auth()->user()->com_code;       
    $other['finance_cln_periods'] =get_cols_where(new Finance_cln_period(),array("id","FINANCE_YR","MONTH_ID"),array("com_code"=>$com_code,"is_open"=>1));       
    if (!empty($other['finance_cln_periods'])) {
        foreach ($other['finance_cln_periods']as $info) {
            $info->name = Month::where('id', $info->MONTH_ID)->value('name');
        }
    }
    $other['employees'] =get_cols_where(new Employee(),array("employee_code","name"),array("com_code"=>$com_code));       

  
    return view('admin.employees_attedance.create',['other'=>$other]);
    }
    public function store(Employees_attedanceRequest $request)
    {
        if(auth()->user()->is_master_admin==0){
            check_permission_sub_menue_actions_redirect(211);
            }
    try {
    $com_code = auth()->user()->com_code;
    //check if not exsits
$finance_cln_periods_data=get_cols_where_row(new Finance_cln_period(),array("is_open"),array("com_code"=>$com_code,"id"=>$request->finance_cln_periods_id));
if(empty($finance_cln_periods_data)){
    return redirect()->back()
    ->with(['error' => 'عفوا غير قادر للوصول للشهر المالي المحدد'])
    ->withInput();
}
if($finance_cln_periods_data['is_open']!=1){
    return redirect()->back()
    ->with(['error' => 'عفوا لايمكن اضافة سجلات حضور الا علي شهر مالي مازال مفتوح'])
    ->withInput();   
}

    $checkExists =get_cols_where_row(new Employees_attedance(),array("id"),array('finance_cln_periods_id' => $request->finance_cln_periods_id,'employee_code'=>$request->employee_code,'attendace_date'=>$request->attendace_date, 'com_code' => $com_code));
    if(!empty(  $checkExists )){
        return redirect()->back()
        ->with(['error' => 'عفوا سجل الحضور مضاف من قبل بهذا التاريخ بالشهر المحدد'])
        ->withInput();   
    }
    if($request->attendace_date > date("Y-m-d")){
        return redirect()->back()
        ->with(['error' => 'عفوا لايمكن ادخال تاريخ اكبر من تاريخ اليوم'])
        ->withInput();   
    }

    $data['finance_cln_periods_id'] = $request->finance_cln_periods_id;
    $data['employee_code'] = $request->employee_code;
    $data['attendace_date'] = $request->attendace_date;
    $data['date'] = date("Y-m-d");
    $data['created_at'] = date("Y-m-d H:i:s");
    $data['added_by'] = auth()->user()->id;
    $data['com_code'] = $com_code;
    $flag=insert(new Employees_attedance(),$data);
    if($flag){
        $open_employees_salaries=get_cols_where_row(new Employees_salaries(),array("*"),array("com_code"=>$com_code,'employee_code'=>$request->employee_code,'is_closed'=>0));
        if(!empty( $open_employees_salaries)){
$this->recalculate_main_salary($open_employees_salaries['id']);

        }

    }
    return redirect()->route('admin.employees_attedance.index')->with(['success' => 'لقد تم اضافة البيانات بنجاح']);
   
    } catch (\Exception $ex) {
    return redirect()->back()
    ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
    ->withInput();
    }
    }
    
    public function delete($id)
    {
        if(auth()->user()->is_master_admin==0){
            check_permission_sub_menue_actions_redirect(212);
            }
    try {
        $com_code = auth()->user()->com_code;
    $data = get_cols_where_row(new Employees_attedance(),array("*"),array("com_code"=>$com_code,'id'=>$id,'is_closed'=>0));

    if(empty($data)){
        return redirect()->back()
        ->with(['error' => 'عفوا غير قادر للوصول للبيانات']); 
    }
    $finance_cln_periods_data=get_cols_where_row(new Finance_cln_period(),array("is_open"),array("com_code"=>$com_code,"id"=>   $data['finance_cln_periods_id']));
if(empty($finance_cln_periods_data)){
    return redirect()->back()
    ->with(['error' => 'عفوا غير قادر للوصول للشهر المالي المحدد'])
    ;
}
if($finance_cln_periods_data['is_open']!=1){
    return redirect()->back()
    ->with(['error' => 'عفوا لايمكن حذف البيانات الان'])
    ;   
}
    
    $flag = delete(new Employees_attedance(),array("com_code"=>$com_code,'id'=>$id));
    if ($flag) {
        
            $open_employees_salaries=get_cols_where_row(new Employees_salaries(),array("*"),array("com_code"=>$com_code,'employee_code'=>$data['employee_code'],'is_closed'=>0));
            if(!empty( $open_employees_salaries)){
    $this->recalculate_main_salary($open_employees_salaries['id']);
    
            }
    
      
    return redirect()->back()
    ->with(['success' => '   تم حذف البيانات بنجاح']);
    } else {
    return redirect()->back()
    ->with(['error' => 'عفوا حدث خطأ ما']);
    }
    
    } catch (\Exception $ex) {
    return redirect()->back()
    ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
    }
    }
    public function ajax_search(Request $request){
        if($request->ajax()){
       $com_code = auth()->user()->com_code;   
        $finance_cln_periods_id=$request->finance_cln_periods_id;
        $employee_code=$request->employee_code;
        $from_date=$request->from_date;
        $to_date=$request->to_date;
  
        if($finance_cln_periods_id=='all'){
        $field1="id";
        $operator1=">";
        $value1=0;
        }else{
        $field1="finance_cln_periods_id";
        $operator1="=";
        $value1=$finance_cln_periods_id;
        }

        if($employee_code=='all'){
            $field2="id";
            $operator2=">";
            $value2=0;
            }else{
            $field2="employee_code";
            $operator2="=";
            $value2=$employee_code;
            }
            if(empty($from_date)){
                $field3="id";
                $operator3=">";
                $value3=0;
                }else{
                $field3="attendace_date";
                $operator3=">=";
                $value3=$from_date;
                }
                if(empty($to_date)){
                    $field4="id";
                    $operator4=">";
                    $value4=0;
                    }else{
                    $field4="attendace_date";
                    $operator4="<=";
                    $value4=$to_date;
                    }
        $data=Employees_attedance::where($field1,$operator1, $value1)->where($field2,$operator2,$value2)->where($field3,$operator3,$value3)->where($field4,$operator4,$value4)->orderBy('id','DESC')->paginate(PC);
        if (!empty($data)) {
            foreach ($data as $info) {
            $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
            $info->employee_name = Employee::where('employee_code', $info->employee_code)->value('name');
            if ($info->updated_by > 0 and $info->updated_by != null) {
            $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
            }
           $info->finance_cln_periods_data=get_cols_where_row(new Finance_cln_period(),array("id","FINANCE_YR","MONTH_ID"),array("com_code"=>$com_code,"id"=>$info->finance_cln_periods_id));       
        if(!empty($info->finance_cln_periods_data)){
            $info->finance_cln_periods_data['name'] = Month::where('id', $info->finance_cln_periods_data['MONTH_ID'])->value('name');
        
        }
            
            }
            }
        return view('admin.employees_attedance.ajax_search',['data'=>$data]);
        }
        }
     
      
}
