<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Admin;
use App\Models\Sales_matrial_types;
use App\Models\Customer;
use App\Models\Inv_itemCard;
use App\Models\Inv_itemcard_batches;
use App\Models\Inv_uom;
use App\Models\Store;
use App\Models\Treasuries_transactions;
use App\Models\Treasuries;
use App\Models\Admins_Shifts;
use App\Models\Delegate;
use App\Models\SalesReturn;
use App\Models\Sales_invoices_details;
use App\Models\SalesReturnDetails;
use App\Models\Inv_itemcard_movements;
use App\Models\Account;
use App\Models\Supplier;
use App\Models\Suppliers_with_orders;
use App\Models\inv_itemcard_retails_uoms;
use App\Models\Admin_panel_setting;
use App\Models\Sales_invoices;
use App\Models\services_with_orders;
use App\Models\Admins_stores;
use Illuminate\Support\Facades\DB;

class SalesReturnWithOriginalInvoice extends Controller
{
    public function index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(235);
        }
        $com_code = auth()->user()->com_code;
        $data = get_cols_where_p(new SalesReturn(), array("*"), array("com_code" => $com_code, 'return_type' => 1), "id", "DESC", PC);
        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                $info->Sales_matrial_types_name = get_field_value(new Sales_matrial_types(), "name", array("com_code" => $com_code, "id" => $info->sales_matrial_types));
                if ($info->is_has_customer == 1) {
                    $info->customer_name = get_field_value(new Customer(), "name", array("com_code" => $com_code, "customer_code" => $info->customer_code));
                } else {
                    $info->customer_name = "بدون عميل";
                }
            }
        }
        $delegates = get_cols_where(new Delegate(), array("delegate_code", "name"), array("com_code" => $com_code, "active" => 1));
        $customers = get_cols_where(new Customer(), array("customer_code", "name"), array("com_code" => $com_code, "active" => 1));
        $Sales_matrial_types = get_cols_where(new Sales_matrial_types(), array("id", "name"), array("com_code" => $com_code, "active" => 1));
        $adminPanelSettings = get_cols_where_row(new Admin_panel_setting(), array("default_unit", "settingForDecimalPoint"), array("com_code" => $com_code));
        $user_shift = get_user_shift(new Admins_Shifts(), new Treasuries(), new Treasuries_transactions());

        return view("admin.SalesReturnWithOriginalInvoice.index", ['data' => $data, 'delegates' => $delegates, 'customers' => $customers, 'Sales_matrial_types' => $Sales_matrial_types, 'adminPanelSettings' => $adminPanelSettings,'user_shift'=>$user_shift]);
    }
    public function searchforcustomer(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $searchtext = $request->searchtext;
            if ($searchtext != "") {
                $customers = Customer::where('name', 'like', "%{$searchtext}%")->orWhere('customer_code', '=', $searchtext)->orderby('id', 'asc')->limit(10)->get();
                if (!empty($customers)) {
                    foreach ($customers as $info) {
                        $info->SalesInvoicesCounter = get_count_where(new Sales_invoices(), array("customer_code" => $info->customer_code, 'com_code' => $com_code));
                    }
                }
            } else {
                $customers = array();
            }
            return view('admin.SalesReturnWithOriginalInvoice.get_searchforcustomer_result', ['customers' => $customers]);
        }
    }
    public  function get_CustomerSalesInvoicesList(Request $request)
    {
        if ($request->ajax()) {
            $customer_code = $request->customer_code;
            $com_code = auth()->user()->com_code;
            $CustomerSalesInvoicesList = get_cols_where(new Sales_invoices(), array("id", "auto_serial", "invoice_date"), array("com_code" => $com_code, "customer_code" => $customer_code));
            return view('admin.SalesReturnWithOriginalInvoice.get_CustomerSalesInvoicesList', ['CustomerSalesInvoicesList' => $CustomerSalesInvoicesList]);
        }
    }
    public function do_load_salesInvoiceOriginal(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $invoice_data = get_cols_where_row(new Sales_invoices(), array("*"), array("com_code" => $com_code, "auto_serial" => $request->auto_serial, 'is_approved' => 1));
            if (!empty($invoice_data)) {
                $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1, 'admin_id' => auth()->user()->id), 'store_id', 'ASC');
                if (!empty($stores)) {
                    foreach ($stores as $info) {
                        $info->name = Store::where('id', $info->store_id)->value('name');
                    }
                }
                $user_shift = get_user_shift(new Admins_Shifts(), new Treasuries(), new Treasuries_transactions());
                $delegates = get_cols_where(new Delegate(), array("delegate_code", "name"), array("com_code" => $com_code, "active" => 1));
                $customers = get_cols_where(new Customer(), array("customer_code", "name"), array("com_code" => $com_code, "customer_code" => $invoice_data['customer_code']));
                $Sales_matrial_types = get_cols_where(new Sales_matrial_types(), array("id", "name"), array("com_code" => $com_code, "active" => 1));
                $sales_invoices_details = get_cols_where(new Sales_invoices_details(), array("*"), array("com_code" => $com_code, "sales_invoices_auto_serial" => $request->auto_serial));
                if (!empty($sales_invoices_details)) {
                    foreach ($sales_invoices_details  as $info) {
                        $info->store_name = get_field_value(new Store(), "name", array("com_code" => $com_code, "id" => $info->store_id));
                        $info->item_name = get_field_value(new Inv_itemCard(), "name", array("com_code" => $com_code, "item_code" => $info->item_code));
                        $info->returned_quantity_befor = get_sum_where(new SalesReturnDetails(), 'quantity', array("com_code" => $com_code, "sales_invoices_details_id" => $info->id, 'return_type' => 1));
                        $info->allowed_return_balance = todecimal($info->quantity -  $info->returned_quantity_befor, 5);
                        $info->uom_name = get_field_value(new Inv_uom(), "name", array("id" => $info->uom_id));
                        $info->sup_total_row = todecimal($info->allowed_return_balance * $info->unit_price);
                    }
                }
                $adminPanelSettings = get_cols_where_row(new Admin_panel_setting(), array("search_for_item_in_sales_invoice", "make_auto_add_after_enter_barcode"), array("com_code" => $com_code));
                return view("admin.SalesReturnWithOriginalInvoice.load_salesInvoiceOriginal", ['stores' => $stores, 'user_shift' =>
                $user_shift, 'delegates' => $delegates, 'customers' => $customers, 'Sales_matrial_types' => $Sales_matrial_types, 'invoice_data' => $invoice_data, 'sales_invoices_details' => $sales_invoices_details, 'adminPanelSettings' => $adminPanelSettings]);
            }
        }
    }
    public function DoApproveInvoiceFinally(Request $request)
    {
    try {
            $com_code = auth()->user()->com_code;
            $Sales_invoice_data = get_cols_where_row(new Sales_invoices(), array("*"), array("com_code" => $com_code, "id" => $request->original_invoice_id_for_return, 'is_approved' => 1));
            if (empty($Sales_invoice_data)) {
                return redirect()->route('admin.SalesReturnWithOriginalInvoice.index')->with(['error' => 'عفوا غير قادر للوصول لبيانات فاتورة المبيعات الاصل']);
            }

            //استقبال الحقول
            $original_invoice_id_for_return = $request->original_invoice_id_for_return;
            $sales_invoices_details_id = $request->sales_invoices_details_id;
            $uom_id = $request->uom_id;
            $stores = $request->stores;
            $item_code = $request->item_code;
            $isparentuom = $request->isparentuom;
            $returned_quantity_befor = $request->returned_quantity_befor;
            $allowed_return_balance = $request->allowed_return_balance;
            $returned_quantity_now = $request->returned_quantity_now;
            $unit_price = $request->unit_price;
            $production_date = $request->production_date;
            $batch_auto_serial = $request->batch_auto_serial;
            $expire_date = $request->expire_date;
            $sup_total_row = $request->sup_total_row;
            $sales_item_type=$request->sales_item_type;
            $BasicQunatity = $request->BasicQunatity;
            $is_normal_orOther=$request->is_normal_orOther;
            if (count($sales_invoices_details_id) == 0) {
                return redirect()->back()->with(['error' => 'عفوا لاتوجد تفاصيل مضافة ']);
            }

            /*  التحقق من الكميات والارصده المتاحه */
            $errolable = " \n ";
            $erroCounter = 0;

            for ($i = 0; $i < count($sales_invoices_details_id); $i++) {

                $item_card_name = Inv_itemCard::where('item_code', $item_code[$i])->value('name');
                $returned_quantity_befor = get_sum_where(new SalesReturnDetails(), 'quantity', array("com_code" => $com_code, "sales_invoices_details_id" => $sales_invoices_details_id[$i], 'return_type' => 1));
                $allowed_return_balance = todecimal($BasicQunatity[$i] -   $returned_quantity_befor, 5);
                $uom_name = get_field_value(new Inv_uom(), "name", array("id" => $uom_id[$i]));

                if (todecimal($returned_quantity_now[$i], 5) > $allowed_return_balance) {
                    $erroCounter++;
                    $errolable .= " الكمية المرتجعه الان للصنف  " . $item_card_name . " غير مسموح بها حيث ان المتاح ارجاعه هو " . ($allowed_return_balance * 1) . " " . $uom_name . " \n";
                }
            }

            if ($erroCounter > 0) {
                return redirect()->route('admin.SalesReturnWithOriginalInvoice.index')->with(['error' => $errolable]);
            }


            DB::beginTransaction();

            //حنعمل اضافة للفاتورة اول مرة 
            $last_auto_serial_Date = get_cols_where_row_orderby(new SalesReturn(), array("auto_serial"), array("com_code" => $com_code, 'return_type' => 1), 'id', 'DESC');
            if (!empty($last_auto_serial_Date)) {
                $data_insert['auto_serial'] = $last_auto_serial_Date['auto_serial'] + 1;
            } else {
                $data_insert['auto_serial'] = 1;
            }
            $data_insert['invoice_date'] = date("Y-m-d");
            $data_insert['return_type'] = 1;
            $data_insert['is_has_customer'] = $Sales_invoice_data['is_has_customer'];
            $data_insert['parent_sales_auto_serial'] = $Sales_invoice_data['auto_serial'];
            if ($Sales_invoice_data['is_has_customer'] == 1) {
                $data_insert['customer_code'] = $Sales_invoice_data['customer_code'];
                $customerData = get_cols_where_row(new Customer(), "account_number", array("com_code" => $com_code, "customer_code" => $Sales_invoice_data['customer_code']));
                $data_insert['account_number'] = $customerData['account_number'];
                $data_insert['pill_type'] = $request->pill_type;
            } else {
                $data_insert['customer_code'] = null;
                $data_insert['is_has_customer'] = 0;
                $data_insert['pill_type'] = 1;
            }
      
            $data_insert['return_type'] = 1;
            $data_insert['delegate_code'] = $Sales_invoice_data['delegate_code'];
            $data_insert['sales_matrial_types'] = $Sales_invoice_data['sales_matrial_types'];
            $data_insert['total_cost_items'] = todecimal($request->total_cost_items);
            $data_insert['tax_percent'] = todecimal($request->tax_percent);
            $data_insert['tax_value'] = todecimal($request->tax_value);
            $data_insert['total_after_discount'] = todecimal($request->total_after_discount);
            $data_insert['discount_type'] = $request->discount_type;
            $data_insert['discount_percent'] = todecimal($request->discount_percent);
            $data_insert['discount_value'] = todecimal($request->discount_value);
            $data_insert['total_cost'] = todecimal($request->total_cost);
            $data_insert['what_paid'] = todecimal($request->total_cost);
            $data_insert['what_remain'] = todecimal($request->what_remain);
            if ($Sales_invoice_data['is_has_customer'] == 1 and $Sales_invoice_data['customer_code'] != "") {
                $data_insert['money_for_account'] = todecimal($request->total_cost);
            } else {
                $data_insert['money_for_account'] = 0;
            }

            $data_insert['added_by'] = auth()->user()->id;
            $data_insert['created_at'] = date("Y-m-d H:i:s");
            $data_insert['date'] = date("Y-m-d");
            $data_insert['com_code'] = $com_code;
            $parentSalesReturnInvoice = insert(new SalesReturn(), $data_insert, true);
            if (!empty($parentSalesReturnInvoice)) {
                for ($i = 0; $i < count($sales_invoices_details_id); $i++) {
                    if($returned_quantity_now[$i]==0) continue;
               $datainsert_items['sales_invoices_auto_serial'] =   $data_insert['auto_serial'] ; 
                    $datainsert_items['sales_invoices_return_id'] = $parentSalesReturnInvoice['id'];
                    $datainsert_items['sales_invoices_details_id'] = $sales_invoices_details_id[$i];
                    $datainsert_items['store_id'] = $stores[$i];
                    $datainsert_items['invoice_date'] = date("Y-m-d");
                    $datainsert_items['sales_item_type'] = $sales_item_type[$i];
                    $datainsert_items['item_code'] =$item_code[$i];
                    $datainsert_items['uom_id'] = $uom_id[$i];
                    $datainsert_items['batch_auto_serial'] = $batch_auto_serial[$i];
                    $datainsert_items['unit_cost_price']=todecimal($unit_price[$i]);
                    $datainsert_items['quantity'] = todecimal($returned_quantity_now[$i],5);
                    $datainsert_items['unit_price'] = todecimal($unit_price[$i]);
                    $datainsert_items['is_normal_orOther'] = $is_normal_orOther[$i];
                    $datainsert_items['total_price'] = todecimal($sup_total_row[$i]);
                    $datainsert_items['isparentuom'] = $isparentuom[$i];
                    if($datainsert_items['isparentuom']==1){
                        $datainsert_items['quantityByParentUom']=  $datainsert_items['quantity'] ;
                     }else{
                        $retail_uom_quntToParent=get_field_value(new inv_itemcard_retails_uoms(),"retail_uom_quntToParent",array("item_code" =>$datainsert_items['item_code'], "com_code" => $com_code,"retail_uom_id"=> $datainsert_items['uom_id']));
                      $datainsert_items['quantityByParentUom'] = todecimal($datainsert_items['quantity'] / $retail_uom_quntToParent,5);
    
                    }
                    $datainsert_items['production_date'] =$production_date[$i];
                    $datainsert_items['expire_date'] =$expire_date[$i];
                    $datainsert_items['return_type']=1;
                    $datainsert_items['added_by'] = auth()->user()->id;
                    $datainsert_items['created_at'] = date("Y-m-d H:i:s");
                    $datainsert_items['date'] = date("Y-m-d");
                    $datainsert_items['com_code'] = $com_code;
                    $flag_datainsert_items  = insert(new SalesReturnDetails(), $datainsert_items, true);
                    if (!empty($flag_datainsert_items )) { 
//رد الكمية الي الباتش 
//كمية الصنف بكل المخازن قبل الحركة
$quantityBeforMove = get_sum_where(
    new Inv_itemcard_batches(),
    "quantity",
    array(
    "item_code" => $item_code[$i],
    "com_code" => $com_code
    )
    );
    //get Quantity Befor any Action  حنجيب كيمة الصنف  بالمخزن المحدد معه   الحالي قبل الحركة
    $quantityBeforMoveCurrntStore = get_sum_where(
    new Inv_itemcard_batches(),
    "quantity",
    array(
    "item_code" => $item_code[$i], "com_code" => $com_code,
    'store_id' => $stores[$i]
    )
    );
    $itemCard_Data = get_cols_where_row(new Inv_itemCard(), array("uom_id", "does_has_retailunit"), array("com_code" => $com_code, "item_code" =>  $item_code[$i]));
    $batch_data=get_cols_where_row(new Inv_itemcard_batches(),array("*"),array("com_code"=>$com_code,"auto_serial"=>$datainsert_items['batch_auto_serial']));
    //هنا حنرد ونزود الكمية لحظيا الي باتش الصنف
    //update current Batch تحديث علي الباتش القديمة
    //حنشوف لو في باتش موجوده مطابقة لمواصافات سعر الصنف 
    if(!empty($batch_data) and !empty($itemCard_Data)){
    if($isparentuom[$i]==1){
    //حنرد بشكل مباشر لانه بنفس وحده الباتش الاب
    $dataUpdateOldBatch['quantity'] = todecimal($batch_data['quantity'] + todecimal($returned_quantity_now[$i],5),5);
    }else{
    //مرجع بالوحده الابن التجزئة فلازم تحولها الي الاب قبل ردها للمخزن انتبه !!
    $itemCard_Data['retail_uom_quntToParent']=get_field_value(new inv_itemcard_retails_uoms(),"retail_uom_quntToParent",array("item_code" => $item_code[$i], "com_code" => $com_code,"retail_uom_id"=>$uom_id[$i]));
    
    $item_quantityByParentUom=todecimal(todecimal($returned_quantity_now[$i],5)/$itemCard_Data['retail_uom_quntToParent'],5);
    $dataUpdateOldBatch['quantity'] = todecimal($batch_data['quantity'] + $item_quantityByParentUom,5);
    }
    $dataUpdateOldBatch['total_cost_price'] =todecimal($batch_data['unit_cost_price'] * $dataUpdateOldBatch['quantity']);
    $dataUpdateOldBatch["updated_at"] = date("Y-m-d H:i:s");
    $dataUpdateOldBatch["updated_by"] = auth()->user()->id;
    $flag = update(new Inv_itemcard_batches(), $dataUpdateOldBatch, array("id" => $batch_data['id'], "com_code" => $com_code));
    
    
    if ($flag) {
    $quantityAfterMove = get_sum_where(
    new Inv_itemcard_batches(),
    "quantity",
    array(
    "item_code" => $item_code[$i],
    "com_code" => $com_code
    )
    );
    //get Quantity Befor any Action  حنجيب كيمة الصنف  بالمخزن المحدد معه   الحالي بعد الحركة
    $quantityAfterMoveCurrentStore = get_sum_where(
    new Inv_itemcard_batches(),
    "quantity",
    array("item_code" =>$item_code[$i], "com_code" => $com_code, 'store_id' => $stores[$i])
    );
    //التاثير في حركة كارت الصنف
    $dataInsert_inv_itemcard_movements['inv_itemcard_movements_categories'] = 2;
    $dataInsert_inv_itemcard_movements['items_movements_types'] = 26;
    $dataInsert_inv_itemcard_movements['item_code'] =$item_code[$i];
    //كود الفاتورة الاب
    $dataInsert_inv_itemcard_movements['FK_table'] =$parentSalesReturnInvoice['auto_serial'];
    //كود صف الابن بتفاصيل الفاتورة
    $dataInsert_inv_itemcard_movements['FK_table_details'] = $flag_datainsert_items['id'];
    if ($parentSalesReturnInvoice['is_has_customer'] == 1) {
    $customerName = get_field_value(new Customer(), "name", array("com_code" => $com_code, "customer_code" => $parentSalesReturnInvoice['customer_code']));
    } else {
    $customerName = " طياري لايوجد";
    }
    $MainUomName = get_field_value(new Inv_uom(), "name", array("com_code" => $com_code, "id" => $itemCard_Data['uom_id']));

    $dataInsert_inv_itemcard_movements['byan'] = "نظير مرتجع مبيعات بأصل الفاتورة  للعميل " . " " . $customerName . " فاتورة رقم" . " " . $parentSalesReturnInvoice['auto_serial'];
    //كمية الصنف بكل المخازن قبل الحركة
    $dataInsert_inv_itemcard_movements['quantity_befor_movement'] = "عدد " . " " . ($quantityBeforMove * 1) . " " . $MainUomName;
    // كمية الصنف بكل المخازن بعد  الحركة
    $dataInsert_inv_itemcard_movements['quantity_after_move'] = "عدد " . " " . ($quantityAfterMove * 1) . " " . $MainUomName;
    //كمية الصنف  المخزن الحالي قبل الحركة
    $dataInsert_inv_itemcard_movements['quantity_befor_move_store'] = "عدد " . " " . ($quantityBeforMoveCurrntStore * 1) . " " . $MainUomName;
    // كمية الصنف بالمخزن الحالي بعد الحركة الحركة
    $dataInsert_inv_itemcard_movements['quantity_after_move_store'] = "عدد " . " " . ($quantityAfterMoveCurrentStore * 1) . " " . $MainUomName;
    $dataInsert_inv_itemcard_movements["store_id"] =$stores[$i];
    $dataInsert_inv_itemcard_movements["created_at"] = date("Y-m-d H:i:s");
    $dataInsert_inv_itemcard_movements["added_by"] = auth()->user()->id;
    $dataInsert_inv_itemcard_movements["date"] = date("Y-m-d");
    $dataInsert_inv_itemcard_movements["com_code"] = $com_code;
    $flag = insert(new Inv_itemcard_movements(), $dataInsert_inv_itemcard_movements);
    if ($flag) {
    //update itemcard Quantity mirror  تحديث المرآه الرئيسية للصنف
    do_update_itemCardQuantity(
    new Inv_itemCard(),
    $item_code[$i],
    new Inv_itemcard_batches(),
    $itemCard_Data['does_has_retailunit']
    );
 
    }




    }
    
}



                    }

      

$dataUpdateParent['money_for_account'] = todecimal($parentSalesReturnInvoice['total_cost'])*(-1);
$dataUpdateParent['is_approved'] = 1;
$dataUpdateParent['approved_by'] = auth()->user()->com_code;
$dataUpdateParent['updated_at'] = date("Y-m-d H:i:s");
$dataUpdateParent['updated_by'] = auth()->user()->com_code;
$dataUpdateParent['what_paid'] = todecimal($request->what_paid);
$dataUpdateParent['what_remain'] = todecimal($request->what_remain);
if ($parentSalesReturnInvoice['is_has_customer'] == 1) {
$customerData = get_cols_where_row(new Customer(), "account_number", array("com_code" => $com_code, "customer_code" => $parentSalesReturnInvoice['customer_code']));
$dataUpdateParent['account_number'] = $customerData['account_number'];
}
$flag = update(new SalesReturn(), $dataUpdateParent, array("com_code" => $com_code, "auto_serial" => $parentSalesReturnInvoice['auto_serial'],'return_type'=>1));
if ($flag) {
if ($dataUpdateParent['what_paid']> 0) {
$user_shift = get_user_shift(new Admins_Shifts(), new Treasuries(), new Treasuries_transactions());
$treasury_date = get_cols_where_row(new Treasuries(), array("last_isal_exhcange"), array("com_code" => $com_code, "id" => $user_shift['treasuries_id']));
$last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
if (!empty($last_record_treasuries_transactions_record)) {
$dataInsert_treasuries_transactions['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
} else {
$dataInsert_treasuries_transactions['auto_serial'] = 1;
}
$dataInsert_treasuries_transactions['isal_number'] = $treasury_date['last_isal_exhcange'] + 1;
$dataInsert_treasuries_transactions['shift_code'] = $user_shift['shift_code'];
//Credit دائن
$dataInsert_treasuries_transactions['money'] = todecimal($dataUpdateParent['what_paid'])*(-1);
$dataInsert_treasuries_transactions['treasuries_id'] = $user_shift['treasuries_id'];
$dataInsert_treasuries_transactions['mov_type'] = 6;
$dataInsert_treasuries_transactions['move_date'] = date("Y-m-d");
if ($parentSalesReturnInvoice['is_has_customer'] == 1) {
$dataInsert_treasuries_transactions['account_number'] = $customerData["account_number"];
$dataInsert_treasuries_transactions['is_account'] = 1;
}
$dataInsert_treasuries_transactions['is_approved'] = 1;
$dataInsert_treasuries_transactions['the_foregin_key'] = $request->auto_serial;
//debit دائن
if ($parentSalesReturnInvoice['is_has_customer'] == 1) {
$dataInsert_treasuries_transactions['money_for_account'] = todecimal($dataUpdateParent['what_paid']) ;
}
$dataInsert_treasuries_transactions['byan'] = "صرف نظير فاتورة مرتجع مبيعات بالاصل  رقم" . $parentSalesReturnInvoice['auto_serial'];
$dataInsert_treasuries_transactions['created_at'] = date("Y-m-d H:i:s");
$dataInsert_treasuries_transactions['added_by'] = auth()->user()->id;
$dataInsert_treasuries_transactions['com_code'] = $com_code;
$flag = insert(new Treasuries_transactions(), $dataInsert_treasuries_transactions);
if ($flag) {
//update Treasuries last_isal_exhcange
$dataUpdateTreasuries['last_isal_exhcange'] = $dataInsert_treasuries_transactions['isal_number'];
update(new Treasuries(), $dataUpdateTreasuries, array("com_code" => $com_code, "id" => $user_shift['treasuries_id']));
}
}
if ($parentSalesReturnInvoice['is_has_customer'] == 1) {
//Affect on Customer Finanical Account Balance
refresh_account_blance_customer($customerData["account_number"], new Account(), new Customer(), new Treasuries_transactions(), new Sales_invoices(),new SalesReturn(),new services_with_orders(), false);
}

}


                }

                DB::commit();
                
                if($request->submit=='app_print'){
                    return redirect()->route('admin.SalesReturnWithOriginalInvoice.printsaleswina4',[ $parentSalesReturnInvoice['id'],'A6']);

                }else{
                    return redirect()->route('admin.SalesReturnWithOriginalInvoice.index')->with(['success' => 'تم اضافة واعتماد الفاتورة بنجاح']);
                }
    
            
            }
       } catch (\Exception $ex) {
            DB::rollBack();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }

    public function printsaleswina4($id,$size){
        $com_code = auth()->user()->com_code;
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(127);
            }
        $invoice_data = get_cols_where_row(new SalesReturn(), array("*"), array("com_code" => $com_code, "id" => $id,'return_type'=>1));
        if(empty($invoice_data)){
        return redirect()->back()->with(['error'=>'عفوا غير قادر علي الوصول الي البيانات المطلوبة']);
        }
        if($invoice_data['is_approved']==0){
            if (auth()->user()->is_master_admin == 0) {
                check_permission_sub_menue_actions_redirect(225);
                }
        }
    
        $invoice_data['customer_name']=get_field_value(new Customer(),'name',array("com_code"=>$com_code,"customer_code"=>$invoice_data['customer_code']));
        $invoice_data['customer_phones']=get_field_value(new Customer(),'phones',array("com_code"=>$com_code,"customer_code"=>$invoice_data['customer_code']));
        $systemData=get_cols_where_row(new Admin_panel_setting(),array("system_name","phone","address","photo"),array("com_code"=>$com_code));
        
        $sales_invoices_details =  SalesReturnDetails::select('*')
      ->join('inv_itemcard', 'inv_itemcard.item_code', '=', 'sales_invoices_return_details.item_code')
      ->where("sales_invoices_return_details.com_code","=",$com_code)->where("sales_invoices_return_details.sales_invoices_auto_serial","=",$invoice_data['auto_serial'])->
       where('return_type','=',1)
      ->orderby('inv_itemcard.name','ASC')->get();
        if (!empty($sales_invoices_details)) {
        foreach ($sales_invoices_details  as $info) {
        $info->store_name = get_field_value(new Store(), "name", array("com_code" => $com_code, "id" => $info->store_id));
        $info->item_name = get_field_value(new Inv_itemCard(), "name", array("com_code" => $com_code, "item_code" => $info->item_code));
        $info->uom_name = get_field_value(new Inv_uom(), "name", array("com_code" => $com_code, "id" => $info->uom_id));
        }
        }
        if($size=="A4"){
            return view('admin.SalesReturnWithOriginalInvoice.printsaleswina4',['data'=>$invoice_data,'systemData'=>$systemData,'sales_invoices_details'=>$sales_invoices_details]);
        }else{
            return view('admin.SalesReturnWithOriginalInvoice.printsaleswina6',['data'=>$invoice_data,'systemData'=>$systemData,'sales_invoices_details'=>$sales_invoices_details]);
        
        }
        }
        public function load_invoice_details_modal(Request $request)
{
if ($request->ajax()) {
$com_code = auth()->user()->com_code;
$customers="";
$invoice_data = get_cols_where_row(new SalesReturn(), array("*"), array("com_code" => $com_code, "auto_serial" => $request->auto_serial,'return_type'=>1));
$delegates = get_cols_where(new Delegate(), array("delegate_code", "name"), array("com_code" => $com_code, "delegate_code" => $invoice_data['delegate_code']));
if ($invoice_data['is_has_customer'] == 1) {
$customers = get_cols_where(new Customer(), array("customer_code", "name"), array("com_code" => $com_code, "customer_code" => $invoice_data['customer_code']));
}

$Sales_matrial_types = get_cols_where(new Sales_matrial_types(), array("id", "name"), array("com_code" => $com_code, "id" => $invoice_data['sales_matrial_types']));
$sales_invoices_details = get_cols_where(new SalesReturnDetails(), array("*"), array("com_code" => $com_code, "sales_invoices_auto_serial" => $request->auto_serial,'return_type'=>1));
if (!empty($sales_invoices_details)) {
foreach ($sales_invoices_details  as $info) {
$info->store_name = get_field_value(new Store(), "name", array("com_code" => $com_code, "id" => $info->store_id));
$info->item_name = get_field_value(new Inv_itemCard(), "name", array("com_code" => $com_code, "item_code" => $info->item_code));
$info->uom_name = get_field_value(new Inv_uom(), "name", array("com_code" => $com_code, "id" => $info->uom_id));
}
}
return view("admin.SalesReturnWithOriginalInvoice.load_invoice_details_modal", ['delegates' => $delegates, 'customers' => $customers, 'Sales_matrial_types' => $Sales_matrial_types, 'invoice_data' => $invoice_data, 'sales_invoices_details' => $sales_invoices_details]);
}
}
public function ajax_search(Request $request)
{
if ($request->ajax()) {
$com_code=auth()->user()->com_code;
$customer_code = $request->customer_code;
$delegates_code = $request->delegates_code;
$Sales_matrial_types = $request->Sales_matrial_types;
$pill_type = $request->pill_type;
$discount_type = $request->discount_type;
$is_approved = $request->is_approved;
$invoice_date_from = $request->invoice_date_from;
$invoice_date_to = $request->invoice_date_to;
$searchbyradio = $request->searchbyradio;
$search_by_text = $request->search_by_text;
if ($customer_code == 'all') {
//دائما  true
$field1 = "id";
$operator1 = ">";
$value1 = 0;
} elseif ($customer_code == "without") {
$field1 = "customer_code";
$operator1 = "=";
$value1 = null;
} else {
$field1 = "customer_code";
$operator1 = "=";
$value1 = $customer_code;
}
if ($discount_type == 'all') {
//دائما  true
$field2 = "id";
$operator2 = ">";
$value2 = 0;
} elseif ($discount_type == "without") {
$field2 = "discount_type";
$operator2 = "=";
$value2 = null;
} else {
$field2 = "discount_type";
$operator2 = "=";
$value2 = $discount_type;
}
if ($delegates_code == 'all') {
//دائما  true
$field3 = "id";
$operator3 = ">";
$value3 = 0;
}  else {
$field3 = "delegate_code";
$operator3 = "=";
$value3 = $delegates_code;
}
if ($Sales_matrial_types == 'all') {
//دائما  true
$field4 = "id";
$operator4 = ">";
$value4 = 0;
}  else {
$field4 = "Sales_matrial_types";
$operator4 = "=";
$value4 = $Sales_matrial_types;
}
if ($pill_type == 'all') {
//دائما  true
$field5 = "id";
$operator5 = ">";
$value5 = 0;
}  else {
$field5 = "pill_type";
$operator5 = "=";
$value5 = $pill_type;
}
if ($is_approved == 'all') {
//دائما  true
$field6 = "id";
$operator6 = ">";
$value6 = 0;
}  else {
$field6 = "is_approved";
$operator6 = "=";
$value6 = $is_approved;
}
if ($invoice_date_from == '') {
//دائما  true
$field7 = "id";
$operator7 = ">";
$value7 = 0;
} else {
$field7 = "invoice_date";
$operator7 = ">=";
$value7 = $invoice_date_from;
}
if ($invoice_date_to == '') {
//دائما  true
$field8 = "id";
$operator8 = ">";
$value8 = 0;
} else {
$field8 = "invoice_date";
$operator8 = "<=";
$value8 = $invoice_date_to;
}
if ($search_by_text != '') {
if ($searchbyradio == 'auto_serial') {
$field9 = "auto_serial";
$operator9 = "=";
$value9 = $search_by_text;
} elseif ($searchbyradio == 'customer_code') {
$field9 = "customer_code";
$operator9 = "=";
$value9 = $search_by_text;
}
else {
$field9 = "account_number";
$operator9 = "=";
$value9 = $search_by_text;
}
} else {
//true 
$field9 = "id";
$operator9 = ">";
$value9 = 0;
}
$data = SalesReturn::where($field1, $operator1, $value1)->
where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where
($field4, $operator4, $value4)->
where($field5, $operator5, $value5)->
where($field6, $operator6, $value6)
->
where($field7, $operator7, $value7)
->
where($field8, $operator8, $value8)->
where($field9, $operator9, $value9)->where("return_type", "=", 1)->
orderBy('id', 'DESC')->paginate(PC);
if (!empty($data)) {
foreach ($data as $info) {
$info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
$info->Sales_matrial_types_name = get_field_value(new Sales_matrial_types(), "name", array("com_code" => $com_code, "id" => $info->sales_matrial_types));
if ($info->is_has_customer == 1) {
$info->customer_name = get_field_value(new Customer(), "name", array("com_code" => $com_code, "customer_code" => $info->customer_code));
} else {
$info->customer_name = "بدون عميل";
}
}
}
return view('admin.SalesReturnWithOriginalInvoice.ajax_search', ['data' => $data]);
}
}
public function print_search(Request $request)
{

$com_code=auth()->user()->com_code;
$customer_code = $request->customer_code_search;
$delegates_code = $request->delegates_code_search;
$Sales_matrial_types = $request->Sales_matrial_types_search;
$pill_type = $request->pill_type_search;
$discount_type = $request->discount_type_search;
$is_approved = $request->is_approved_search;
$invoice_date_from = $request->invoice_date_from;
$invoice_date_to = $request->invoice_date_to;
$searchbyradio = $request->searchbyradio;
$search_by_text = $request->search_by_text;
if ($customer_code == 'all') {
//دائما  true
$field1 = "id";
$operator1 = ">";
$value1 = 0;
} elseif ($customer_code == "without") {
$field1 = "customer_code";
$operator1 = "=";
$value1 = null;
} else {
$field1 = "customer_code";
$operator1 = "=";
$value1 = $customer_code;
}
if ($discount_type == 'all') {
//دائما  true
$field2 = "id";
$operator2 = ">";
$value2 = 0;
} elseif ($discount_type == "without") {
$field2 = "discount_type";
$operator2 = "=";
$value2 = null;
} else {
$field2 = "discount_type";
$operator2 = "=";
$value2 = $discount_type;
}
if ($delegates_code == 'all') {
//دائما  true
$field3 = "id";
$operator3 = ">";
$value3 = 0;
}  else {
$field3 = "delegate_code";
$operator3 = "=";
$value3 = $delegates_code;
}
if ($Sales_matrial_types == 'all') {
//دائما  true
$field4 = "id";
$operator4 = ">";
$value4 = 0;
}  else {
$field4 = "Sales_matrial_types";
$operator4 = "=";
$value4 = $Sales_matrial_types;
}
if ($pill_type == 'all') {
//دائما  true
$field5 = "id";
$operator5 = ">";
$value5 = 0;
}  else {
$field5 = "pill_type";
$operator5 = "=";
$value5 = $pill_type;
}
if ($is_approved == 'all') {
//دائما  true
$field6 = "id";
$operator6 = ">";
$value6 = 0;
}  else {
$field6 = "is_approved";
$operator6 = "=";
$value6 = $is_approved;
}
if ($invoice_date_from == '') {
//دائما  true
$field7 = "id";
$operator7 = ">";
$value7 = 0;
} else {
$field7 = "invoice_date";
$operator7 = ">=";
$value7 = $invoice_date_from;
}
if ($invoice_date_to == '') {
//دائما  true
$field8 = "id";
$operator8 = ">";
$value8 = 0;
} else {
$field8 = "invoice_date";
$operator8 = "<=";
$value8 = $invoice_date_to;
}
if ($search_by_text != '') {
if ($searchbyradio == 'auto_serial') {
$field9 = "auto_serial";
$operator9 = "=";
$value9 = $search_by_text;
} elseif ($searchbyradio == 'customer_code') {
$field9 = "customer_code";
$operator9 = "=";
$value9 = $search_by_text;
}
else {
$field9 = "account_number";
$operator9 = "=";
$value9 = $search_by_text;
}
} else {
//true 
$field9 = "id";
$operator9 = ">";
$value9 = 0;
}
$data = SalesReturn::where($field1, $operator1, $value1)->
where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where
($field4, $operator4, $value4)->
where($field5, $operator5, $value5)->
where($field6, $operator6, $value6)
->
where($field7, $operator7, $value7)
->
where($field8, $operator8, $value8)->
where($field9, $operator9, $value9)->where("return_type", "=", 1)->
orderBy('id', 'DESC')->get();
$total_sum=0;
$total_whatpaid_sum=0;
$total_whatremai_sum=0;
if (!empty($data)) {
foreach ($data as $info) {
$info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
$info->Sales_matrial_types_name = get_field_value(new Sales_matrial_types(), "name", array("com_code" => $com_code, "id" => $info->sales_matrial_types));
if ($info->is_has_customer == 1) {
$info->customer_name = get_field_value(new Customer(), "name", array("com_code" => $com_code, "customer_code" => $info->customer_code));
} else {
$info->customer_name = "بدون عميل";
}
$total_sum+=$info->total_cost;
$total_whatpaid_sum+=$info->what_paid;
$total_whatremai_sum+=$info->what_remain;
}
$systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => $com_code));

return view('admin.SalesReturnWithOriginalInvoice.print_search', ['data' => $data,'systemData'=>$systemData,'total_sum'=>$total_sum,'total_whatpaid_sum'=>$total_whatpaid_sum,'total_whatremai_sum'=>$total_whatremai_sum]);
}
}

}
