<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Admin;
use App\Models\Suppliers_with_orders;
use App\Models\Suppliers_with_orders_details;
use App\Models\Inv_itemCard;
use App\Models\Inv_uom;
use App\Models\Store;
use App\Models\Admins_Shifts;
use App\Models\Admins_stores;
use App\Models\Treasuries;
use App\Models\Treasuries_transactions;
use App\Models\Inv_itemcard_movements;
use App\Models\Account;
use App\Models\Supplier;
use App\Models\Admin_panel_setting;
use App\Models\Inv_itemcard_batches;
use App\Models\Inv_itemcard_retails_uoms;
use App\Models\services_with_orders;
use Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class Suppliers_with_orders_return_original_invoice extends Controller
{
   public function index()
   {
      if (auth()->user()->is_master_admin == 0) {
        // check_permission_sub_menue_actions_redirect(72);
      }
      $com_code = auth()->user()->com_code;
      $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1,'admin_id'=>auth()->user()->id), 'store_id', 'ASC');

      $data = get_cols_where_whereIN_p(new Suppliers_with_orders(), array("*"), array("com_code" => $com_code, 'order_type' => 2),"store_id",$stores, 'id', 'DESC', PC);
      if (!empty($data)) {
         foreach ($data as $info) {
            $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
            $info->supplier_name = Supplier::where('suuplier_code', $info->suuplier_code)->value('name');
            $info->store_name = Store::where('id', $info->store_id)->value('name');
            if ($info->updated_by > 0 and $info->updated_by != null) {
               $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
            }
         }
      }
      $suupliers = get_cols_where(new Supplier(), array('suuplier_code', 'name'), array('com_code' => $com_code), 'id', 'DESC');
      if(!empty($stores)){
         foreach($stores as $info){
             $info->name = Store::where('id', $info->store_id)->value('name');
         }
     }
           return view('admin.Suppliers_with_orders_return_original_invoice.index', ['data' => $data, 'suupliers' => $suupliers, 'stores' => $stores]);
   }
   function create()
   {
      if (auth()->user()->is_master_admin == 0) {
       //  check_permission_sub_menue_actions_redirect(73);
      }
      $com_code = auth()->user()->com_code;
      $suppliers = get_cols_where(new Supplier(), array('suuplier_code', 'name'), array('com_code' => $com_code), 'id', 'DESC');
      $dmin_panel_settings = Admin_panel_setting::select("settingForDecimalPoint")->where(['com_code' => auth()->user()->com_code])->first();

      return view('admin.Suppliers_with_orders_return_original_invoice.create', ['suppliers' => $suppliers,'dmin_panel_settings'=>$dmin_panel_settings]);
   }
   public  function get_supplierBurchasesInvoicesList(Request $request)
   {
      if ($request->ajax()) {
         $suppliers_code = $request->suppliers_code;
         $com_code = auth()->user()->com_code;
         $supplierBurchasesInvoicesList = get_cols_where(new Suppliers_with_orders(), array("id", "auto_serial", "order_date"), array("com_code" => $com_code, "suuplier_code" => $suppliers_code, "is_approved" => 1, 'order_type' => 1));
         return view('admin.Suppliers_with_orders_return_original_invoice.get_supplierBurchasesInvoicesList', ['supplierBurchasesInvoicesList' => $supplierBurchasesInvoicesList]);
      }
   }
   public function get_SuppliersBurchasesInvoiceDetails(Request $request)
   {
      if ($request->ajax()) {
         $auto_serial = $request->auto_serial;
         $com_code = auth()->user()->com_code;
         $data = get_cols_where_row(new Suppliers_with_orders(), array("*"), array("auto_serial" => $auto_serial, "com_code" => $com_code, 'order_type' => 1, 'is_approved' => 1));
         if (!empty($data)) {
            $data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
            $data['supplier_name'] = Supplier::where('suuplier_code', $data['suuplier_code'])->value('name');
            $data['store_name'] = Store::where('id', $data['store_id'])->value('name');
            if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
               $data['updated_by_admin'] = Admin::where('id', $data['updated_by'])->value('name');
            }
            $items_details = get_cols_where(new Suppliers_with_orders_details(), array("*"), array('suppliers_with_orders_auto_serial' => $data['auto_serial'], 'order_type' => 1, 'com_code' => $com_code), 'id', 'DESC');
            if (!empty($items_details)) {
               foreach ($items_details as $info) {
                  $info->item_card_name = Inv_itemCard::where('item_code', $info->item_code)->value('name');
                  $info->returned_quantity_befor = get_sum_where(new Suppliers_with_orders_details, 'deliverd_quantity', array("com_code" => $com_code, "suppliers_with_orders_details_id" => $info->id, 'order_type' => 2));
                  $info->allowed_return_balance = $info->deliverd_quantity -  $info->returned_quantity_befor;
                  $info->uom_name = get_field_value(new Inv_uom(), "name", array("id" => $info->uom_id));
                  $info->batch_data = get_cols_where_row(new Inv_itemcard_batches(), array("quantity"), array("auto_serial" => $info->batch_auto_serial, 'item_code' => $info->item_code, 'com_code' => $com_code));
                  if ($info->isparentuom == 0) {
                    
                     $retail_uom_quntToParent = Inv_itemcard_retails_uoms::where(['item_code'=>$info->item_code,'com_code'=>$com_code,'retail_uom_id'=>$info->uom_id])->value('retail_uom_quntToParent');
                   
                     $info->batch_quantity = todecimal($info->batch_data['quantity'] * $retail_uom_quntToParent,5);
                  } else {
                     $info->batch_quantity = $info->batch_data['quantity'];
                  }



                  $data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
                  if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
                     $data['updated_by_admin'] = Admin::where('id', $data['updated_by'])->value('name');
                  }
               }
            }
            $itemsCounter = get_sum_where(new Suppliers_with_orders_details(), 'deliverd_quantity', array('suppliers_with_orders_auto_serial' => $data['auto_serial'], 'order_type' => 1, 'com_code' => $com_code));
            if ($data['tax_value'] > 0) {
               $item_tax_value = $data['tax_value'] / $itemsCounter;
            } else {
               $item_tax_value = 0;
            }
            if ($data['discount_value'] > 0) {
               $item_discount_value = $data['discount_value'] / $itemsCounter;
            } else {
               $item_discount_value = 0;
            }
            return view("admin.Suppliers_with_orders_return_original_invoice.get_SuppliersBurchasesInvoiceDetails", ['data' => $data, 'items_details' => $items_details, 'item_tax_value' => $item_tax_value, 'item_discount_value' => $item_discount_value]);
         } else {
            return view("admin.Suppliers_with_orders_return_original_invoice.get_SuppliersBurchasesInvoiceDetails", ['data' => $data]);
         }
      }
   }
   public function do_approve(Request $request)
   {
      if (auth()->user()->is_master_admin == 0) {
       //  check_permission_sub_menue_actions_redirect(73);
      }
      try {
         //اتستقبال الفاتورة الاصل
         $com_code = auth()->user()->com_code;
         $original_invoice_id_for_return = $request->original_invoice_id_for_return;
         $orignial_invoice_data = get_cols_where_row(new Suppliers_with_orders(), array("id", "suuplier_code", "store_id", "account_number"), array('com_code' => $com_code, 'id' => $original_invoice_id_for_return, 'order_type' => 1, 'is_approved' => 1));
         if (empty($orignial_invoice_data)) {
            return redirect()->back()->with(['error' => 'عفوا غير قادر علي الوصول الي بيانات  فاتورة المشتريات الاصل']);
         }
         //استقبال الحقول
         $suppliers_with_orders_details_id = $request->suppliers_with_orders_details_id;
         $uom_id = $request->uom_id;
         $item_code = $request->item_code;
         $isparentuom = $request->isparentuom;
         $returned_quantity_befor = $request->returned_quantity_befor;
         $allowed_return_balance = $request->allowed_return_balance;
         $returned_quantity_now = $request->returned_quantity_now;
         $unit_price = $request->unit_price;
         $production_date = $request->production_date;
         $batch_auto_serial = $request->batch_auto_serial;
         $expire_date = $request->expire_date;
         $item_card_type = $request->item_card_type;
         $batch_quantity = $request->batch_quantity;
         $sup_total_row = $request->sup_total_row;
         $total_items = $request->total_items;
         $tax_percent = $request->tax_percent;
         $tax_value = $request->tax_value;
         $total_after_discount = $request->total_after_discount;
         $discount_value = $request->discount_value;
         $total_cost = $request->total_cost;
         $what_paid = $request->what_paid;
         $what_remain = $request->what_remain;
         $BasicQunatity = $request->BasicQunatity;
         if (count($suppliers_with_orders_details_id) == 0) {
            return redirect()->back()->with(['error' => 'عفوا لاتوجد تفاصيل مضافة ']);
         }

         /*  التحقق من الكميات والارصده المتاحه */
         $errolable = " \n ";
         $erroCounter = 0;

         for ($i = 0; $i < count($suppliers_with_orders_details_id); $i++) {

            $item_card_name = Inv_itemCard::where('item_code', $item_code[$i])->value('name');
            $returned_quantity_befor = get_sum_where(new Suppliers_with_orders_details, 'deliverd_quantity', array("com_code" => $com_code, "suppliers_with_orders_details_id" => $suppliers_with_orders_details_id[$i], 'order_type' => 2));
            $allowed_return_balance = todecimal($BasicQunatity[$i] -   $returned_quantity_befor,5);
            $uom_name = get_field_value(new Inv_uom(), "name", array("id" => $uom_id[$i]));
            $batch_data = get_cols_where_row(new Inv_itemcard_batches(), array("quantity"), array("auto_serial" => $batch_auto_serial[$i], 'item_code' => $item_code[$i], 'com_code' => $com_code));
            if ($isparentuom[$i] == 0) {

               $retail_uom_quntToParent = Inv_itemcard_retails_uoms::where(['item_code'=>$item_code[$i],'com_code'=>$com_code,'retail_uom_id'=>$uom_id[$i]])->value('retail_uom_quntToParent');
               $batch_quantity = $batch_data['quantity'] * $retail_uom_quntToParent;
          
          
            } else {
               $batch_quantity = $batch_data['quantity'];
            }
            if (todecimal($returned_quantity_now[$i],5) > $allowed_return_balance) {
               $erroCounter++;
               $errolable .= " الكمية المرتجعه الان للصنف  " . $item_card_name . " غير مسموح بها حيث ان المتاح ارجاعه هو " . ($allowed_return_balance * 1) . " " . $uom_name . " \n";
            }
            if (todecimal($returned_quantity_now[$i],5) > todecimal($batch_quantity)) {
               $erroCounter++;
               $errolable .= " الكمية المرتجعه الان للصنف  " . $item_card_name . "  لايوجد رصيد لها حيث ان المتاح ارجاعه بالباتش  هو " . ($batch_quantity * 1) . " " . $uom_name . " \n";
            }
         }

         if ($erroCounter > 0) {
            return redirect()->route('admin.suppliers_orders_return_original.index')->with(['error' => $errolable]);
         }




         /*   ادخال الفاتورة الاب */
         $supplierData = get_cols_where_row(new Supplier(), array("account_number"), array("suuplier_code" =>  $orignial_invoice_data['suuplier_code'], "com_code" => $com_code));
         if (empty($supplierData)) {
            return redirect()->back()
               ->with(['error' => 'عفوا   غير قادر علي الوصول الي بيانات المورد المحدد']);
         }
         //DB::beginTransaction();
         $row = get_cols_where_row_orderby(new Suppliers_with_orders(), array("auto_serial"), array("com_code" => $com_code, 'order_type' => 2), 'id', 'DESC');
         if (!empty($row)) {
            $data_insertParent['auto_serial'] = $row['auto_serial'] + 1;
         } else {
            $data_insertParent['auto_serial'] = 1;
         }
         $data_insertParent['original_invoice_id_for_return'] = $original_invoice_id_for_return;
         $data_insertParent['order_date'] = date("Y-m-d");
         $data_insertParent['order_type'] = 2;
         $data_insertParent['suuplier_code'] = $orignial_invoice_data['suuplier_code'];
         $data_insertParent['pill_type'] = $request->pill_type;
         $data_insertParent['store_id'] = $orignial_invoice_data['store_id'];
         $data_insertParent['discount_value'] = $discount_value;
         $data_insertParent['tax_percent'] = $tax_percent;
         $data_insertParent['total_cost_items'] = $total_items;
         $data_insertParent['tax_value'] = $tax_value;
         $data_insertParent['total_after_discount'] = $total_after_discount;
         $data_insertParent['total_cost'] = $total_cost;
         $data_insertParent['money_for_account'] = $total_cost;
         $data_insertParent['account_number'] = $orignial_invoice_data['account_number'];
         $data_insertParent['what_paid'] = $what_paid;
         $data_insertParent['what_remain'] = $what_remain;
         $data_insertParent['is_approved'] = 1;
         $data_insertParent['approved_by'] = auth()->user()->id;
         $data_insertParent['added_by'] = auth()->user()->id;
         $data_insertParent['created_at'] = date("Y-m-d H:i:s");
         $data_insertParent['com_code'] = $com_code;
         $ٌparentInvoiceInsertedData = insert(new Suppliers_with_orders(), $data_insertParent, true);
         if (!empty($ٌparentInvoiceInsertedData)) {
            /*  الخطوة الرابعه ادخال التفاصيل */
            for ($i = 0; $i < count($suppliers_with_orders_details_id); $i++) {
               if ($returned_quantity_now[$i] == 0) {
                  continue;
               }
               $data_insert['suppliers_with_orders_auto_serial'] =   $data_insertParent['auto_serial'];
               $data_insert['suppliers_with_orders_details_id'] =  $suppliers_with_orders_details_id[$i];
               $data_insert['order_type'] = 2;
               $data_insert['suppliers_with_order_id'] = $ٌparentInvoiceInsertedData['id'];
               $data_insert['item_code'] = $item_code[$i];
               $data_insert['deliverd_quantity'] = todecimal($returned_quantity_now[$i],5);
               $data_insert['unit_price'] = $unit_price[$i];
               $data_insert['uom_id'] = $uom_id[$i];
               $data_insert['isparentuom'] = $isparentuom[$i];
               if($data_insert['isparentuom']==1){
                  $data_insert['quantityByParentUom']=  $data_insert['deliverd_quantity'] ;
               }else{
                  $retail_uom_quntToParent=get_field_value(new inv_itemcard_retails_uoms(),"retail_uom_quntToParent",array("item_code" =>$data_insert['item_code'], "com_code" => $com_code,"retail_uom_id"=> $data_insert['uom_id']));
                $data_insert['quantityByParentUom'] = todecimal($data_insert['deliverd_quantity'] / $retail_uom_quntToParent,5);

              }
               $data_insert['production_date'] = $production_date[$i];
               $data_insert['expire_date'] = $expire_date[$i];
               $data_insert['batch_auto_serial'] = $batch_auto_serial[$i];
               $data_insert['item_card_type'] = $item_card_type[$i];
               $data_insert['total_price'] = $sup_total_row[$i];
               $data_insert['order_date'] = $data_insertParent['order_date'];
               $data_insert['added_by'] = auth()->user()->id;
               $data_insert['created_at'] = date("Y-m-d H:i:s");
               $data_insert['com_code'] = $com_code;
               //الخطوة الخامسة
               $flag_datainsert_items = insert(new Suppliers_with_orders_details(), $data_insert, true);
               $batch_data = get_cols_where_row(new Inv_itemcard_batches(), array("quantity", "unit_cost_price", "id", "production_date", "expired_date"), array("com_code" => $com_code, "auto_serial" => $data_insert['batch_auto_serial'], 'store_id' => $data_insertParent['store_id'], 'item_code' =>  $data_insert['item_code']));
               $itemCard_Data = get_cols_where_row(new Inv_itemCard(), array("uom_id", "does_has_retailunit", "item_type"), array("com_code" => $com_code, "item_code" => $data_insert['item_code']));
               if (!empty($flag_datainsert_items) and !empty($batch_data) and !empty($itemCard_Data)) {
                  $MainUomName = get_field_value(new Inv_uom(), "name", array("com_code" => $com_code, "id" => $itemCard_Data['uom_id']));
                  //خصم الكمية من الباتش 
                  //كمية الصنف بكل المخازن قبل الحركة
                  $quantityBeforMove = get_sum_where(
                     new Inv_itemcard_batches(),
                     "quantity",
                     array(
                        "item_code" => $data_insert['item_code'],
                        "com_code" => $com_code
                     )
                  );
                  //get Quantity Befor any Action  حنجيب كيمة الصنف  بالمخزن المحدد معه   الحالي قبل الحركة
                  $quantityBeforMoveCurrntStore = get_sum_where(
                     new Inv_itemcard_batches(),
                     "quantity",
                     array(
                        "item_code" => $data_insert['item_code'], "com_code" => $com_code,
                        'store_id' => $data_insertParent['store_id']
                     )
                  );
                  //هنا حخصم الكمية لحظيا من باتش الصنف
                  //update current Batch تحديث علي الباتش القديمة
                  if ($data_insert['isparentuom'] == 1) {
                     //حخصم بشكل مباشر لانه بنفس وحده الباتش الاب
                     $dataUpdateOldBatch['quantity'] = todecimal($batch_data['quantity'] - $data_insert['deliverd_quantity'],5);
                  } else {
                     //مرجع بالوحده الابن التجزئة فلازم تحولها الي الاب قبل الخصم انتبه !!
                     $itemCard_Data['retail_uom_quntToParent'] = Inv_itemcard_retails_uoms::where(['item_code'=>$data_insert['item_code'],'com_code'=>$com_code,'retail_uom_id'=>$data_insert['uom_id'] ])->value('retail_uom_quntToParent');

                     $item_quantityByParentUom = todecimal($data_insert['deliverd_quantity'] / $itemCard_Data['retail_uom_quntToParent'],5);
                    
                     $dataUpdateOldBatch['quantity'] = todecimal($batch_data['quantity'] - $item_quantityByParentUom,5);
                  }
                  $dataUpdateOldBatch['total_cost_price'] = $batch_data['unit_cost_price'] * $dataUpdateOldBatch['quantity'];
                  $dataUpdateOldBatch["updated_at"] = date("Y-m-d H:i:s");
                  $dataUpdateOldBatch["updated_by"] = auth()->user()->id;
                  $flag = update(new Inv_itemcard_batches(), $dataUpdateOldBatch, array("id" => $batch_data['id'], "com_code" => $com_code));
                  if ($flag) {
                     $quantityAfterMove = get_sum_where(
                        new Inv_itemcard_batches(),
                        "quantity",
                        array(
                           "item_code" => $data_insert['item_code'],
                           "com_code" => $com_code
                        )
                     );
                     //get Quantity Befor any Action  حنجيب كيمة الصنف  بالمخزن المحدد معه   الحالي بعد الحركة
                     $quantityAfterMoveCurrentStore = get_sum_where(
                        new Inv_itemcard_batches(),
                        "quantity",
                        array("item_code" => $data_insert['item_code'], "com_code" => $com_code, 'store_id' => $data_insertParent['store_id'])
                     );
                     //التاثير في حركة كارت الصنف
                     $dataInsert_inv_itemcard_movements['inv_itemcard_movements_categories'] = 3;
                     $dataInsert_inv_itemcard_movements['items_movements_types'] = 2;
                     $dataInsert_inv_itemcard_movements['item_code'] = $data_insert['item_code'];
                     //كود الفاتورة الاب
                     $dataInsert_inv_itemcard_movements['FK_table'] = $data_insertParent['auto_serial'];
                     //كود صف الابن بتفاصيل الفاتورة
                     $dataInsert_inv_itemcard_movements['FK_table_details'] = $flag_datainsert_items['id'];
                     $SupplierName = get_field_value(new Supplier(), "name", array("com_code" => $com_code, "suuplier_code" => $orignial_invoice_data['suuplier_code']));
                     $dataInsert_inv_itemcard_movements['byan'] = " نظير مرتجع مشتريات بأصل  الفاتورة الي المورد" . " " . $SupplierName . " فاتورة مرتجع رقم" . " " . $data_insertParent['auto_serial'];
                     //كمية الصنف بكل المخازن قبل الحركة
                     $dataInsert_inv_itemcard_movements['quantity_befor_movement'] = "عدد " . " " . ($quantityBeforMove * 1) . " " . $MainUomName;
                     // كمية الصنف بكل المخازن بعد  الحركة
                     $dataInsert_inv_itemcard_movements['quantity_after_move'] = "عدد " . " " . ($quantityAfterMove * 1) . " " . $MainUomName;
                     //كمية الصنف  المخزن الحالي قبل الحركة
                     $dataInsert_inv_itemcard_movements['quantity_befor_move_store'] = "عدد " . " " . ($quantityBeforMoveCurrntStore * 1) . " " . $MainUomName;
                     // كمية الصنف بالمخزن الحالي بعد الحركة الحركة
                     $dataInsert_inv_itemcard_movements['quantity_after_move_store'] = "عدد " . " " . ($quantityAfterMoveCurrentStore * 1) . " " . $MainUomName;
                     $dataInsert_inv_itemcard_movements["store_id"] = $data_insertParent['store_id'];
                     $dataInsert_inv_itemcard_movements["created_at"] = date("Y-m-d H:i:s");
                     $dataInsert_inv_itemcard_movements["added_by"] = auth()->user()->id;
                     $dataInsert_inv_itemcard_movements["date"] = date("Y-m-d");
                     $dataInsert_inv_itemcard_movements["com_code"] = $com_code;
                     $flag = insert(new Inv_itemcard_movements(), $dataInsert_inv_itemcard_movements);
                     if ($flag) {
                        //update itemcard Quantity mirror  تحديث المرآه الرئيسية للصنف
                        do_update_itemCardQuantity(
                           new Inv_itemCard(),
                           $data_insert['item_code'],
                           new Inv_itemcard_batches(),
                           $itemCard_Data['does_has_retailunit']
                        );
                     }
                  }

                  //thaird  check for what paid 
                  if ($request['what_paid'] > 0) {
                     if ($request['what_paid'] > $request['total_cost']) {
                        return redirect()->route("admin.suppliers_orders_return_original.index")->with(['error' => "عفوا يجب ان لايكون المبلغ المدفوع اكبر من اجمالي الفاتورة      !!"]);
                     }
                     //check for user shift
                     $user_shift = get_user_shift(new Admins_Shifts(), new Treasuries(), new Treasuries_transactions());
                     //chehck if is empty
                     if (empty($user_shift)) {
                        return redirect()->route("admin.suppliers_orders_return_original.index")->with(['error' => " عفوا لاتملتك الان شفت خزنة مفتوح لكي تتمكن من اتمام عمليه الصرف"]);
                     }
                  }
               }
            }

            if ($data_insertParent['what_paid'] > 0) {
               //first get isal number with treasuries 
               $treasury_date = get_cols_where_row(new Treasuries(), array("last_isal_collect"), array("com_code" => $com_code, "id" => $user_shift['treasuries_id']));
               if (empty($treasury_date)) {
                  return redirect()->route("admin.suppliers_orders_return_original.index")->with(['error' => " عفوا غير قادر علي الوصول الي بيانات الخزنة المطلوبة"]);
               }
               $last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
               if (!empty($last_record_treasuries_transactions_record)) {
                  $dataInsert_treasuries_transactions['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
               } else {
                  $dataInsert_treasuries_transactions['auto_serial'] = 1;
               }
               $dataInsert_treasuries_transactions['isal_number'] = $treasury_date['last_isal_collect'] + 1;
               $dataInsert_treasuries_transactions['shift_code'] = $user_shift['shift_code'];
               // مدين
               $dataInsert_treasuries_transactions['money'] = $data_insertParent['what_paid'];
               $dataInsert_treasuries_transactions['treasuries_id'] = $user_shift['treasuries_id'];
               $dataInsert_treasuries_transactions['mov_type'] = 10;
               $dataInsert_treasuries_transactions['move_date'] = date("Y-m-d");
               $dataInsert_treasuries_transactions['account_number'] = $data_insertParent["account_number"];
               $dataInsert_treasuries_transactions['is_account'] = 1;
               $dataInsert_treasuries_transactions['is_approved'] = 1;
               $dataInsert_treasuries_transactions['the_foregin_key'] = $data_insertParent["auto_serial"];
               //debit مدين
               $dataInsert_treasuries_transactions['money_for_account'] = $data_insertParent['what_paid'] * (-1);
               $dataInsert_treasuries_transactions['byan'] = "تحصيل نظير فاتورة مرتجع مشتريات بأصل  فاتورة  رقم" . " " . $data_insertParent['auto_serial'];
               $dataInsert_treasuries_transactions['created_at'] = date("Y-m-d H:i:s");
               $dataInsert_treasuries_transactions['added_by'] = auth()->user()->id;
               $dataInsert_treasuries_transactions['com_code'] = $com_code;
               $flag = insert(new Treasuries_transactions(), $dataInsert_treasuries_transactions);
               if ($flag) {
                  //update Treasuries last_isal_collect
                  $dataUpdateTreasuries['last_isal_collect'] = $dataInsert_treasuries_transactions['isal_number'];
                  update(new Treasuries(), $dataUpdateTreasuries, array("com_code" => $com_code, "id" => $user_shift['treasuries_id']));
               }
            }
            refresh_account_blance_supplier($data_insertParent['account_number'], new Account(), new Supplier(), new Treasuries_transactions(), new Suppliers_with_orders(), new services_with_orders(), false);

           DB::commit();
            return redirect()->route('admin.suppliers_orders_return_original.index')->with(['success' => 'تم اضافة واعتماد الفاتورة بنجاح']);
         }
      } catch (\Exception $ex) {
        DB::rollBack();
         return redirect()->route('admin.suppliers_orders_return_original.index')->with(['error' => 'عفوا حدث خطا  ' . $ex->getMessage()]);
      }
   }
   public function load_usershiftDiv(Request $request)
   {
      if ($request->ajax()) {
         $com_code = auth()->user()->com_code;
         //current user shift
         $user_shift = get_user_shift(new Admins_Shifts(), new Treasuries(), new Treasuries_transactions());
      }
      return view("admin.suppliers_with_orders.load_usershiftDiv", ['user_shift' => $user_shift]);
   }

   
   public function ajax_search(Request $request)
   {
       if ($request->ajax()) {
           $search_by_text = $request->search_by_text;
           $suuplier_code = $request->suuplier_code;
           $store_id = $request->store_id;
           $order_date_form = $request->order_date_form;
           $order_date_to = $request->order_date_to;
           $searchbyradio = $request->searchbyradio;
           if ($suuplier_code == 'all') {
               //دائما  true
               $field1 = "id";
               $operator1 = ">";
               $value1 = 0;
           } else {
               $field1 = "suuplier_code";
               $operator1 = "=";
               $value1 = $suuplier_code;
           }
           if ($store_id == 'all') {
               //دائما  true
               $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => auth()->user()->com_code, 'active' => 1,'admin_id'=>auth()->user()->id), 'store_id', 'ASC');
               $whereIN=array();
           } else {
               $field2 = "store_id";
               $operator2 = "=";
               $value2 = $store_id;
           }
           if ($order_date_form == '') {
               //دائما  true
               $field3 = "id";
               $operator3 = ">";
               $value3 = 0;
           } else {
               $field3 = "order_date";
               $operator3 = ">=";
               $value3 = $order_date_form;
           }
           if ($order_date_to == '') {
               //دائما  true
               $field4 = "id";
               $operator4 = ">";
               $value4 = 0;
           } else {
               $field4 = "order_date";
               $operator4 = "<=";
               $value4 = $order_date_to;
           }
           if ($search_by_text != '') {
               if ($searchbyradio == 'auto_serial') {
                   $field5 = "auto_serial";
                   $operator5 = "=";
                   $value5 = $search_by_text;
               } else {
                   $field5 = "auto_serial";
                   $operator5 = "=";
                   $value5 = $search_by_text;
               }
           } else {
               //true 
               $field5 = "id";
               $operator5 = ">";
               $value5 = 0;
           }
           if(isset(  $whereIN )){
            $data = Suppliers_with_orders::where($field1, $operator1, $value1)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where('order_type', '=', 2)->whereIN('store_id',$stores)->orderBy('id', 'DESC')->paginate(PC);
         }else{
            $data = Suppliers_with_orders::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where('order_type', '=', 2)->orderBy('id', 'DESC')->paginate(PC);
 
         }
           if (!empty($data)) {
               foreach ($data as $info) {
                   $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                   $info->supplier_name = Supplier::where('suuplier_code', $info->suuplier_code)->value('name');
                   $info->store_name = Store::where('id', $info->store_id)->value('name');
                   if ($info->updated_by > 0 and $info->updated_by != null) {
                       $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                   }
               }
           }
           return view('admin.Suppliers_with_orders_return_original_invoice.ajax_search', ['data' => $data]);
       }
   }

public function show($id)
{
try {
$com_code = auth()->user()->com_code;
$data = get_cols_where_row(new Suppliers_with_orders(), array("*"), array("id" => $id, "com_code" => $com_code, 'order_type' => 2));
if (empty($data)) {
return redirect()->route('admin.suppliers_orders_return_original.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
}
$data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
$data['supplier_name'] = Supplier::where('suuplier_code', $data['suuplier_code'])->value('name');
$data['store_name'] = Store::where('id', $data['store_id'])->value('name');
if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
$data['updated_by_admin'] = Admin::where('id', $data['updated_by'])->value('name');
}
$details = get_cols_where(new Suppliers_with_orders_details(), array("*"), array('suppliers_with_orders_auto_serial' => $data['auto_serial'], 'order_type' => 2, 'com_code' => $com_code), 'id', 'DESC');
if (!empty($details)) {
foreach ($details as $info) {
$info->item_card_name = Inv_itemCard::where('item_code', $info->item_code)->value('name');
$info->uom_name = get_field_value(new Inv_uom(), "name", array("id" => $info->uom_id));
$data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
$data['updated_by_admin'] = Admin::where('id', $data['updated_by'])->value('name');
}
}
}
return view("admin.Suppliers_with_orders_return_original_invoice.show", ['data' => $data, 'details' => $details]);
} catch (\Exception $ex) {
return redirect()->back()
->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
}
}
public function reload_itemsdetials(Request $request)
{
if ($request->ajax()) {
$com_code = auth()->user()->com_code;
$auto_serial = $request->autoserailparent;
$data = get_cols_where_row(new Suppliers_with_orders(), array("is_approved","id"), array("auto_serial" => $auto_serial, "com_code" => $com_code, 'order_type' => 3));
if (!empty($data)) {
$details = get_cols_where(new Suppliers_with_orders_details(), array("*"), array('suppliers_with_orders_auto_serial' => $auto_serial, 'order_type' => 3, 'com_code' => $com_code), 'id', 'DESC');
if (!empty($details)) {
foreach ($details as $info) {
$info->item_card_name = Inv_itemCard::where('item_code', $info->item_code)->value('name');
$info->uom_name = get_field_value(new Inv_uom(), "name", array("id" => $info->uom_id));
$data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
$data['updated_by_admin'] = Admin::where('id', $data['updated_by'])->value('name');
}
}
}
}
return view("admin.suppliers_orders_general_return.reload_itemsdetials", ['data' => $data, 'details' => $details]);
}
}


public function printsaleswina4($id,$size){

   try {
   $com_code = auth()->user()->com_code;
   $invoice_data = get_cols_where_row(new Suppliers_with_orders(), array("*"), array("id" => $id, "com_code" => $com_code, 'order_type' => 2));
   if (empty($invoice_data)) {
   return redirect()->route('admin.suppliers_orders_return_original.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
   }
   $invoice_data['added_by_admin'] = Admin::where('id', $invoice_data['added_by'])->value('name');
   $invoice_data['supplier_name'] = Supplier::where('suuplier_code', $invoice_data['suuplier_code'])->value('name');
   $invoice_data['supplier_phone'] = Supplier::where('suuplier_code', $invoice_data['suuplier_code'])->value('phones');
   $invoice_data['store_name'] = Store::where('id', $invoice_data['store_id'])->value('name');
   $invoices_details =Suppliers_with_orders_details::select("*")->join('inv_itemcard', 'inv_itemcard.item_code', '=', 'suppliers_with_orders_details.item_code')->
   where("suppliers_with_orders_details.com_code","=",$com_code)->where('suppliers_with_orders_details.suppliers_with_orders_auto_serial','=',$invoice_data['auto_serial'])->
   where('suppliers_with_orders_details.order_type','=',2)->orderby('inv_itemcard.name','ASC')->get();
  
   
   if (!empty($invoices_details)) {
   foreach ($invoices_details as $info) {
   $info->item_card_name = Inv_itemCard::where('item_code', $info->item_code)->value('name');
   $info->uom_name = get_field_value(new Inv_uom(), "name", array("id" => $info->uom_id));
   }
   }
   $systemData=get_cols_where_row(new Admin_panel_setting(),array("system_name","phone","address","photo"),array("com_code"=>$com_code));
   
   if($size=="A4"){
       return view('admin.Suppliers_with_orders_return_original_invoice.printsaleswina4',['data'=>$invoice_data,'systemData'=>$systemData,'sales_invoices_details'=>$invoices_details]);
   }else{
       return view('admin.Suppliers_with_orders_return_original_invoice.printsaleswina6',['data'=>$invoice_data,'systemData'=>$systemData,'sales_invoices_details'=>$invoices_details]);
   
   }
   } catch (\Exception $ex) {
   return redirect()->back()
   ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
   }
   }
   public function print_search(Request $request)
   {
     
           $search_by_text = $request->search_by_text;
           $suuplier_code = $request->suuplier_code;
           $store_id = $request->store_id;
           $order_date_form = $request->order_date_form;
           $order_date_to = $request->order_date_to;
           $searchbyradio = $request->searchbyradio;
           if ($suuplier_code == 'all') {
               //دائما  true
               $field1 = "id";
               $operator1 = ">";
               $value1 = 0;
           } else {
               $field1 = "suuplier_code";
               $operator1 = "=";
               $value1 = $suuplier_code;
           }
           if ($store_id == 'all') {
               //دائما  true
               $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => auth()->user()->com_code, 'active' => 1,'admin_id'=>auth()->user()->id), 'store_id', 'ASC');
               $whereIN=array();
           } else {
               $field2 = "store_id";
               $operator2 = "=";
               $value2 = $store_id;
           }
           if ($order_date_form == '') {
               //دائما  true
               $field3 = "id";
               $operator3 = ">";
               $value3 = 0;
           } else {
               $field3 = "order_date";
               $operator3 = ">=";
               $value3 = $order_date_form;
           }
           if ($order_date_to == '') {
               //دائما  true
               $field4 = "id";
               $operator4 = ">";
               $value4 = 0;
           } else {
               $field4 = "order_date";
               $operator4 = "<=";
               $value4 = $order_date_to;
           }
           if ($search_by_text != '') {
               if ($searchbyradio == 'auto_serial') {
                   $field5 = "auto_serial";
                   $operator5 = "=";
                   $value5 = $search_by_text;
               } else {
                   $field5 = "auto_serial";
                   $operator5 = "=";
                   $value5 = $search_by_text;
               }
           } else {
               //true 
               $field5 = "id";
               $operator5 = ">";
               $value5 = 0;
           }
           if(isset(  $whereIN )){
            $data = Suppliers_with_orders::where($field1, $operator1, $value1)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where('order_type', '=', 2)->whereIN('store_id',$stores)->orderBy('id', 'DESC')->get();
         }else{
            $data = Suppliers_with_orders::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where('order_type', '=', 2)->orderBy('id', 'DESC')->get();
 
         }
         $total_sum=0;
           if (!empty($data)) {
               foreach ($data as $info) {
                   $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                   $info->supplier_name = Supplier::where('suuplier_code', $info->suuplier_code)->value('name');
                   $info->store_name = Store::where('id', $info->store_id)->value('name');
                   if ($info->updated_by > 0 and $info->updated_by != null) {
                       $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                   }
                   $total_sum+=$info->total_cost;
               }
           }
           $systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => auth()->user()->com_code));
           return view('admin.Suppliers_with_orders_return_original_invoice.print_search', ['data' => $data,'systemData'=>$systemData,'total_sum'=>$total_sum]);
    
   }

}
