<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class EmployeeUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'name' => 'required',
            'departements_id' => 'required',
            'jobs_id' => 'required',
            'do_has_shift' => 'required',
            'shifts_types_id' => 'required_if:do_has_shift,1',
            'total_hours' => 'required_if:do_has_shift,0',
            'does_has_social_insurance' => 'required',
            'social_insurance_number' => 'required_if:does_has_social_insurance,1',
            'social_insurance_value' => 'required_if:does_has_social_insurance,1',
            'do_has_Motivation' => 'required',
            'Motivation_value' => 'required_if:do_has_Motivation,1',
            'does_has_allowances' => 'required',
            'allowances_value' => 'required_if:does_has_allowances,1',
            'salary' => 'required',
            'active' => 'required',
            'is_has_attendance'=> 'required',

        ];
    }

    public function messages()
    {
        return [
            'name.required' => 'اسم الموظف مطلوب',
            'departements_id.required' => 'ادارة الموظف مطلوب',
            'jobs_id.required' => 'وظيفة الموظف مطلوب',
            'do_has_shift.required' => ' هل يمتلك شفت ثابت مطلوب',
            'shifts_types_id.required_if' => ' اختر شفت الموظف مطلوب',
            'total_hours.required_if' => ' عدد ساعات شفت الموظف مطلوب  ',
            'does_has_social_insurance.required' => 'هل للموظف تأمين اجتماعي   مطلوب',
            'social_insurance_number.required_if' => '  رقم التأمين الاجتماعي   مطلوب',
            'social_insurance_value.required_if' => '  قيمة التأمين الاجتماعي   مطلوب',
            'do_has_Motivation.required' => 'هل للموظف  حافز شهري ثابت   مطلوب',
            'Motivation_value.required_if' => '  قيمة الحافز للموظف    مطلوب',
            'does_has_allowances.required' => 'هل للموظف  بدل  شهري ثابت   مطلوب',
            'allowances_value.required_if' => '  قيمة البدل للموظف    مطلوب',
            'salary.required' => '      راتب الموظف مطلوب',
            'active.required' => '   حالة تفعيل الموظف مطلوب',
            'is_has_attendance.required' => '   هل له سجل حضور يومي',

        ];
    }
}
