<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;



use App\Models\Admin;
use App\Models\ac_trn_codes;
use App\Models\Ac_yearly_trn;
use App\Models\Ac_yearly_trn_det;
use App\Models\Alert_modules;
use App\Models\Alert_movetype;
use App\Models\Treasuries;
use App\Models\Store;
use App\Models\Account;
use App\Models\Account_types;
use App\Models\Finance_calender;
use App\Models\Finance_cln_period;
use App\Models\Month;
use App\Models\Alerts_system_monitoring;

class Ac_assistant_ledgerController extends Controller
{

    public function index()
    {



        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(263);
        }
        $com_code = auth()->user()->com_code;

        $other['Finance_calender'] = get_cols_where(new Finance_calender(), array("FINANCE_YR", "FINANCE_YR_DESC", "start_date", "end_date", "is_open"), array('com_code' => $com_code), 'FINANCE_YR', 'DESC');
        $other['current_year'] = get_cols_where_row(new Finance_calender(),  array("FINANCE_YR", "FINANCE_YR_DESC", "start_date", "end_date"), array("is_open" => 1, 'com_code' => $com_code));

        $other['accounts'] = get_cols_where(new Account(), array("id", "name", 'account_number', 'account_type'), array("com_code" => $com_code, 'is_parent' => 0), 'id', 'ASC');
        if (!empty($other['accounts'])) {
            foreach ($other['accounts'] as $info) {
                $info->account_type_name = Account_types::where(["id" => $info->account_type])->value("name");
            }
        }
        return view('admin.ac_assistant_ledger.index', ['other' => $other]);
    }
    public function ajax_search(Request $request)
    {
        dd($request->all());
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $FINANCE_YR = $request->FINANCE_YR;
            $date_from = $request->date_from;
            $date_to = $request->date_to;
            $ACCOUNT_NUMBER_from = $request->ACCOUNT_NUMBER_from;
            $ACCOUNT_NUMBER_to = $request->ACCOUNT_NUMBER_to;
            $all_acc = $request->all_acc;

            if ($all_acc == 1) {
                //كل الحسابات
                $data = get_cols_where_row(new Account(), array("name", "account_number", "account_type"), array("com_code" => $com_code, "is_parent" => 0), 'account_number', 'ASC');
            } else {
                //عرض حسابات محددة
                $data = Account::select("name", "account_number", "account_type")->where("com_code", "=", "$com_code")->where("is_parent", "=", "0")->where("account_number", ">=", "ACCOUNT_NUMBER_from")->where("account_number", "<=", "ACCOUNT_NUMBER_to")->orderby("account_number", "ASC")->get();
            }
            if (!empty($data)) {
                foreach ($data as $info) {
                    $info->account_name = get_field_value(new Account(), ("name"), array("com_code" => $com_code, "account_number" => $info->account_number));
                    // رصيد اول المدة 
                    $info->awel_elmoda = Ac_yearly_trn_det::where("com_code", "=", "$com_code")->where("account_number", "=", "$info->account_number")->where("FINANCE_YR", "=", "$info->FINANCE_YR")->where("date", "<", "$date_from")->where("is_deleted", "=", 0)->sum("VALUE");
                    //  خلال المدة 
                    $info->sum_in_period = Ac_yearly_trn_det::where("com_code", "=", "$com_code")->where("account_number", "=", "$info->account_number")->where("FINANCE_YR", "=", "$info->FINANCE_YR")->where("date", ">=", "$date_from")->where("date", "<=", "$date_to")->where("is_deleted", "=", 0)->sum("VALUE");
                    $info->total_credit = Ac_yearly_trn_det::where("com_code", "=", "$com_code")->where("account_number", "=", "$info->account_number")->where("FINANCE_YR", "=", "$info->FINANCE_YR")->where("date", ">=", "$date_from")->where("date", "<=", "$date_to")->where("VALUE", "<", "0")->where("is_deleted", "=", 0)->sum("VALUE");
                    $info->total_debit = Ac_yearly_trn_det::where("com_code", "=", "$com_code")->where("account_number", "=", "$info->account_number")->where("FINANCE_YR", "=", "$info->FINANCE_YR")->where("date", ">=", "$date_from")->where("date", "<=", "$date_to")->where("VALUE", ">", "0")->where("is_deleted", "=", 0)->sum("VALUE");
                    //تفاصيل الفترة
                    $info->Ac_yearly_trn_det = Ac_yearly_trn_det::select("*")->where("com_code", "=", "$com_code")->where("account_number", "=", "$info->account_number")->where("FINANCE_YR", "=", "$info->FINANCE_YR")->where("date", ">=", "$date_from")->where("date", "<=", "$date_to")->where("is_deleted", "=", 0)->get();
                    if (!empty($data)) {
                        foreach ($info->Ac_yearly_trn_det as $info) {
                            $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                            $info->ac_trn_codes_name = ac_trn_codes::where('id', $info->ac_trn_codes_code)->value('name');
                            $info->MONTH_ID = get_field_value(new Finance_cln_period(), "MONTH_ID", array("id" => $info->finance_cln_periods_id, "com_code" => $com_code));
                            $info->MONTH_Name = get_field_value(new Month(), "name", array("id" => $info->MONTH_ID));
                        }
                    }
                }
            }
            dd($data);
            return view('admin.ac_assistant_ledger.ajax_search', ['data' => $data]);
        }
    }
}
