<?php
//لاتنسونا من صالح الدعاء وجزاكم الله خيرا
//أخي الكريم هذا الكود هو اول 130 ساعة بالكورس الي نهاية الدورة الفيدو رقم  231- اما باقي أكواد الدورة الثانية للتطوير النظام موجوده بالدورة ولابد ان تكتبها بنفسك لأهميتها وللإستفادة

namespace App\Http\Controllers\Admin;

use App\Models\Account;
use App\Models\Account_types;
use App\Models\Admin;
use App\Models\Customer;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Requests\AccountsRequest;
use App\Http\Requests\AccountsRequestUpdate;
use App\Models\Treasuries_transactions;
use App\Models\services_with_orders;
use App\Models\Admin_panel_setting;
use Illuminate\Support\Facades\DB;
use App\Models\Alerts_system_monitoring;
class AccountsController extends Controller
{
    public function index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(8);
        }
        $com_code = auth()->user()->com_code;
        $data = get_cols_where_p(new Account(), array("*"), array("com_code" => $com_code), 'id', 'DESC', PC);
        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $info->account_types_name = Account_types::where('id', $info->account_type)->value('name');
                $info->relatediternalaccounts = Account_types::where('id', $info->account_type)->value('relatediternalaccounts');
               if($info->relatediternalaccounts==0){
               $counterUsed1=get_count_where(new Treasuries_transactions(),array("com_code"=>$com_code,"account_number"=>$info->account_number));
               $counterUsed2=get_count_where(new services_with_orders(),array("com_code"=>$com_code,"account_number"=>$info->account_number));
            
               $info->counterUsed= $counterUsed1+ $counterUsed2;
            }
                if ($info->is_parent == 0) {
                    $info->parent_account_name = Account::where('account_number', $info->parent_account_number)->value('name');
                } else {
                    $info->parent_account_name = "لايوجد";
                }



            }
        }
        $account_types = get_cols_where(new Account_types(), array("id", "name"), array("active" => 1), 'id', 'ASC');
        return view('admin.accounts.index', ['data' => $data, 'account_types' => $account_types]);
    }
    public function create()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(9);
        }
        $com_code = auth()->user()->com_code;
        $account_types = get_cols_where(new Account_types(), array("id", "name"), array("active" => 1, "relatediternalaccounts" => 0), 'id', 'ASC');
        $parent_accounts = get_cols_where(new Account(), array("account_number", "name"), array("is_parent" => 1, "com_code" => $com_code), 'id', 'ASC');
         $html_tree= $this->draw_tree();
      
        return view('admin.accounts.create', ['account_types' => $account_types, 'parent_accounts' => $parent_accounts,'html_tree'=> $html_tree]);
    }
    public function store(AccountsRequest $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(9);
        }
        try {
            $com_code = auth()->user()->com_code;
            //check if not exsits for name
            $checkExists_name = get_cols_where_row(new Account(), array("id"), array('name' => $request->name, 'com_code' => $com_code));
            if (!empty($checkExists_name)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا اسم الحساب مسجل من قبل'])
                    ->withInput();
            }
            DB::beginTransaction();
            //set account number

            //parent_data
            $parent_data = get_cols_where_row(new Account(), array("account_level","account_nature"), array("com_code" => $com_code,'account_number'=>$request->parent_account_number));
            $row = get_cols_where_row_orderby(new Account(), array("account_number"), array("com_code" => $com_code), 'id', 'DESC');
            if (!empty($row)) {
                $data_insert['account_number'] = $row['account_number'] + 1;
            } else {
                $data_insert['account_number'] = 1;
            }
            $data_insert['account_level'] =$parent_data['account_level']+1 ;
            $data_insert['account_nature'] =$parent_data['account_nature'];
            $data_insert['name'] = $request->name;
            $data_insert['account_type'] = $request->account_type;
            if( $data_insert['account_type'] ==1){
                $data_insert['is_parent'] = 1;
            }else{
                $data_insert['is_parent'] = 0;   
            }
           
            $data_insert['start_balance_status']=$request->start_balance_status;
            $data_insert['parent_account_number'] = $request->parent_account_number;

            if($data_insert['is_parent']==1){
                $data_insert['start_balance_status'] = 3;
                $data_insert['start_balance'] = 0;
             $data_insert['current_balance'] =0;
            }else{
                if ($data_insert['start_balance_status'] == 1) {
                    //credit
                    $data_insert['start_balance'] =$request->start_balance * (-1);
                } elseif ($data_insert['start_balance_status'] == 2) {
                    //debit
                    $data_insert['start_balance'] = $request->start_balance;
                    if ($data_insert['start_balance'] < 0) {
                        $data_insert['start_balance'] = $data_insert['start_balance'] * (-1);
                    }
                } elseif ($data_insert['start_balance_status'] == 3) {
                    //balanced
                    $data_insert['start_balance'] = 0;
                } else {
                    $data_insert['start_balance_status'] = 3;
                    $data_insert['start_balance'] = 0;
                }


                $data_insert['current_balance'] = todecimal($data_insert['start_balance']);
            }

           $data_insert['start_balance'] = todecimal($data_insert['start_balance']);
            $data_insert['notes'] = $request->notes;
            $data_insert['active'] = $request->active;
            $data_insert['added_by'] = auth()->user()->id;
            $data_insert['created_at'] = date("Y-m-d H:i:s");
            $data_insert['date'] = date("Y-m-d");
            $data_insert['com_code'] = $com_code;
        
               $flagData=insert(new Account(),$data_insert,true);

            $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
if($is_active_alerts_system_monitoring==1){
/* start alerts_system_monitoring */
$data_monitoring_insert['alert_modules_id']=2;
$data_monitoring_insert['alert_movetype_id']=11;
$data_monitoring_insert['content']=" اضافة حساب مالي جديد باسم ".$request->name;
$data_monitoring_insert['foreign_key_table_td']=$flagData['id'];
$data_monitoring_insert['account_number']=$data_insert['account_number'];
$data_monitoring_insert['account_type']=$data_insert['account_type'] ;
$data_monitoring_insert['added_by']=auth()->user()->id;
$data_monitoring_insert['com_code']=auth()->user()->com_code;
$data_monitoring_insert['date']=date("Y-m-d");
insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
/* End start alerts_system_monitoring */
 }



            DB::commit();
            return redirect()->route('admin.accounts.create')->with(['success' => 'لقد تم اضافة البيانات بنجاح']);
        } catch (\Exception $ex) {
            DB::rollBack();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }
    public function edit($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(10);
        }
        $com_code = auth()->user()->com_code;
        $data = get_cols_where_row(new Account(), array("*"), array("id" => $id, "com_code" => $com_code));
        if (empty($data)) {
            return redirect()->route('admin.accounts.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
        }
  if($data['account_number'] <5){
    return redirect()->route('admin.accounts.index')->with(['error' => 'عفوا لايمكن التعديل علي حساب الاباء للشجرة المحاسبية  !!']);
}

        $relatediternalaccounts = Account_types::where('id', $data['account_type'])->value('relatediternalaccounts');
        if ($relatediternalaccounts == 1) {
            return redirect()->route('admin.accounts.index')->with(['error' => 'عفوا لايمكن تحديث هذا الحساب الي من شاشته الخاصه حسب نوعه']);
        }
        $account_types = get_cols_where(new Account_types(), array("id", "name"), array("active" => 1,'relatediternalaccounts'=>0), 'id', 'ASC');
        $parent_accounts = get_cols_where(new Account(), array("account_number", "name"), array("is_parent" => 1, "com_code" => $com_code), 'id', 'ASC');
        $html_tree= $this->draw_tree();

     
        return view('admin.accounts.edit', ['account_types' => $account_types, 'parent_accounts' => $parent_accounts, 'data' => $data,'html_tree'=>$html_tree]);
    }
    public function update($id, AccountsRequestUpdate $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(10);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Account(), array("id", "account_number", "other_table_FK", "account_type","name","active"), array("id" => $id, "com_code" => $com_code));
            if (empty($data)) {
                return redirect()->route('admin.accounts.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
            $relatediternalaccounts = Account_types::where('id', $data['account_type'])->value('relatediternalaccounts');
            if ($relatediternalaccounts == 1) {
                return redirect()->route('admin.accounts.index')->with(['error' => 'عفوا لايمكن تحديث هذا الحساب الي من شاشته الخاصه حسب نوعه']);
            }
            $checkExists = Account::where(['name' => $request->name, 'com_code' => $com_code])->where('id', '!=', $id)->first();
            if ($checkExists != null) {
                return redirect()->back()
                    ->with(['error' => 'عفوا اسم الحساب مسجل من قبل'])
                    ->withInput();
            }
            DB::beginTransaction();
            $data_to_update['name'] = $request->name;
            $data_to_update['account_type'] = $request->account_type;
            if($data_to_update['account_type']==1){
                $data_to_update['is_parent'] = 1;
            }else{
                $data_to_update['is_parent'] = 0;  
            }
        
          
                $data_to_update['parent_account_number'] = $request->parent_account_number;
           
            $data_to_update['active'] = $request->active;
            $data_to_update['updated_by'] = auth()->user()->id;
            $data_to_update['updated_at'] = date("Y-m-d H:i:s");
            $flag =  update(new Account(), $data_to_update, array('id' => $id, 'com_code' => $com_code));
            $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
if($is_active_alerts_system_monitoring==1){
         /* start alerts_system_monitoring */
         $data_monitoring_insert['alert_modules_id']=2;
         $data_monitoring_insert['alert_movetype_id']=12;
         $data_monitoring_insert['content']=" تعديل حساب مالي  باسم ".$data['name'];
         if($data['name']!=$data_to_update['name']){
             $data_monitoring_insert['content'].=" الي ".$data_to_update['name'];  
         }
         if($data['active']!=$data_to_update['active']){
         if($data['active']==1){
             $oldactive="مفعل ";
         }else{
             $oldactive="معطل "; 
         }
         if($data_to_update['active']==1){
             $newactive="مفعل ";
         }else{
             $newactive="معطل "; 
         }
         $data_monitoring_insert['content'].=" وتغير حالتة من ".$oldactive." الي ".$newactive;
         
         }
         
         $data_monitoring_insert['foreign_key_table_td']=$id;
         $data_monitoring_insert['account_number']=$data['account_number'];
         $data_monitoring_insert['account_type']=$data['account_type'] ;
         $data_monitoring_insert['added_by']=auth()->user()->id;
         $data_monitoring_insert['com_code']=auth()->user()->com_code;
         $data_monitoring_insert['date']=date("Y-m-d");
         insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
         /* End start alerts_system_monitoring */
 }

        DB::commit(); 
         
            return redirect()->route('admin.accounts.edit',$id)->with(['success' => 'لقد تم تحديث البيانات بنجاح']);
        } catch (\Exception $ex) {
          DB::rollBack();  
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }
    public function delete($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(11);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Account(), array("name","account_number","account_type"), array("id" => $id, "com_code" => $com_code));
            if (!empty($data)) {
                if($data['account_number'] <5){
                    return redirect()->route('admin.accounts.index')->with(['error' => 'عفوا لايمكن حذف علي حساب الاباء للشجرة المحاسبية  !!']);
                }

                $relatediternalaccounts = Account_types::where('id', $data['account_type'])->value('relatediternalaccounts');
                if ($relatediternalaccounts == 1) {
                    return redirect()->route('admin.accounts.index')->with(['error' => 'عفوا لايمكن حذف هذا الحساب الي من شاشته الخاصه حسب نوعه']);
                }
                $counterUsed1=get_count_where(new Treasuries_transactions(),array("com_code"=>$com_code,"account_number"=>$data['account_number']));
                $counterUsed2=get_count_where(new services_with_orders(),array("com_code"=>$com_code,"account_number"=>$data['account_number']));
             
                $counterUsed= $counterUsed1+ $counterUsed2;              
                if ($counterUsed >0) {
                    return redirect()->route('admin.accounts.index')->with(['error' => 'عفواهذا الحساب تم من قبل استخدامه ومتاح فقط تعطيله']);
                }

                $flag = delete(new Account(), array("id" => $id, "com_code" => $com_code));
                if ($flag) {
                    $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
if($is_active_alerts_system_monitoring==1){
/* start alerts_system_monitoring */
$data_monitoring_insert['alert_modules_id']=2;
$data_monitoring_insert['alert_movetype_id']=13;
$data_monitoring_insert['content']=" حذف حساب مالي  باسم ".$data['name'];
$data_monitoring_insert['foreign_key_table_td']=$id;
$data_monitoring_insert['account_number']=$data['account_number'];
$data_monitoring_insert['account_type']=$data['account_type'] ;
$data_monitoring_insert['added_by']=auth()->user()->id;
$data_monitoring_insert['com_code']=auth()->user()->com_code;
$data_monitoring_insert['date']=date("Y-m-d");
insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
/* End start alerts_system_monitoring */
 }




                    return redirect()->back()
                        ->with(['success' => '   تم حذف البيانات بنجاح']);
                } else {
                    return redirect()->back()
                        ->with(['error' => 'عفوا حدث خطأ ما']);
                }
            } else {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر الي الوصول للبيانات المطلوبة']);
            }
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }
    public function ajax_search(Request $request)
    {
        if ($request->ajax()) {
            $com_code=auth()->user()->com_code;
            $search_by_text = $request->search_by_text;
            $is_parent = $request->is_parent;
            $account_type = $request->account_type;
            $active_search = $request->active_search;
            $searchbyradio = $request->searchbyradio;
            if ($is_parent == 'all') {
                $field1 = "id";
                $operator1 = ">";
                $value1 = 0;
            } else {
                $field1 = "is_parent";
                $operator1 = "=";
                $value1 = $is_parent;
            }
            if ($account_type == 'all') {
                $field2 = "id";
                $operator2 = ">";
                $value2 = 0;
            } else {
                $field2 = "account_type";
                $operator2 = "=";
                $value2 = $account_type;
            }
            if ($search_by_text != '') {
                if ($searchbyradio == 'account_number') {
                    $field3 = "account_number";
                    $operator3 = "=";
                    $value3 = $search_by_text;
                } else {
                    $field3 = "name";
                    $operator3 = "like";
                    $value3 = "%{$search_by_text}%";
                }
            } else {
                //true 
                $field3 = "id";
                $operator3 = ">";
                $value3 = 0;
            }
            if ($active_search == 'all') {
                $field4 = "id";
                $operator4 = ">";
                $value4 = 0;
            } else {
                $field4 = "active";
                $operator4 = "=";
                $value4 = $active_search;
            }
            $data = Account::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->orderBy('id', 'DESC')->paginate(PC);
            if (!empty($data)) {
                foreach ($data as $info) {
                    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                    if ($info->updated_by > 0 and $info->updated_by != null) {
                        $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                    }
                    $info->account_types_name = Account_types::where('id', $info->account_type)->value('name');
                    $info->relatediternalaccounts = Account_types::where('id', $info->account_type)->value('relatediternalaccounts');
                   if($info->relatediternalaccounts==0){
                   $counterUsed1=get_count_where(new Treasuries_transactions(),array("com_code"=>$com_code,"account_number"=>$info->account_number));
                   $counterUsed2=get_count_where(new services_with_orders(),array("com_code"=>$com_code,"account_number"=>$info->account_number));
                
                   $info->counterUsed= $counterUsed1+ $counterUsed2;

                }
                    if ($info->is_parent == 0) {
                        $info->parent_account_name = Account::where('account_number', $info->parent_account_number)->value('name');
                    } else {
                        $info->parent_account_name = "لايوجد";
                    }
    
    
    
                }
            }
            return view('admin.accounts.ajax_search', ['data' => $data]);
        }
    } 

    function draw_tree()
    {
    $com_code=auth()->user()->com_code;
    $html="";
    $first_level = get_cols_where(new Account(), array('id','name','account_level','account_number') , array('com_code'=>$com_code,'account_level'=>1),'id','ASC');
    if (!empty($first_level))
    {
    foreach($first_level as $first)
    {
    $html.="
    <li>
       <a href='".route('admin.accounts.edit',$first->id)."'>".$first->name."</a>";
       $secound_level = get_cols_where(new Account(), array('id','name','account_level','account_number') , array('parent_account_number'=>$first->account_number,'com_code'=>$com_code,'account_level'=>2),'id','ASC');
       if (!empty($secound_level))
       {
       $html.="
       <ul  dir='ltr'>
          ";
          foreach($secound_level as $secound)
          {
          $html.="
          <li>
             <a  href='".route('admin.accounts.edit',$secound->id)."'>".$secound->name."</a>";
             $third_level = get_cols_where(new Account(), array('id','name','account_level','account_number') , array('parent_account_number'=>$secound->account_number,'com_code'=>$com_code,'account_level'=>3),'id','ASC');
             if (!empty($third_level))
             {
             $html.="
             <ul  dir='ltr'>
                ";
                foreach($third_level as $third)
                {
                $html.="
                <li>
                   <a  href='".route('admin.accounts.edit',$third->id)."'>".$third->name."</a>";
                   $fourth_level =  get_cols_where(new Account(),  array('id','name','account_level','account_number') , array('parent_account_number'=>$third->account_number,'com_code'=>$com_code,'account_level'=>4),'id','ASC');
                   if (!empty($fourth_level))
                   {
                   $html.="
                   <ul  dir='ltr'>
                      ";
                      foreach($fourth_level as $fourth)
                      {
                      $html.="
                      <li>
                         <a  href='".route('admin.accounts.edit',$fourth->id)."'>".$fourth->name."</a>";
                         $five_level =  get_cols_where(new Account(), array('id','name','account_level','account_number') , array('parent_account_number'=>$fourth->account_number,'com_code'=>$com_code,'account_level'=>5),'id','ASC');
                         if (!empty($five_level))
                         {
                         $html.="
                         <ul  dir='ltr'>
                            ";
                            foreach($five_level as $five)
                            {
                            $html.="
                            <li>
                               <a  href='".route('admin.accounts.edit',$five->id)."'>".$five->name."</a>";
                               $six_level =get_cols_where(new Account(), array('id','name','account_level','account_number') , array('parent_account_number'=>$five->account_number,'com_code'=>$com_code,'account_level'=>6),'id','ASC');
                               if (!empty($six_level))
                               {
                               $html.="
                               <ul  dir='ltr'>
                                  ";
                                  foreach($six_level as $six)
                                  {   
                                  $html.="
                                  <li><a  href='".route('admin.accounts.edit',$six->id)."'>".$six->name."</a>";
                                     $html.="
                                  </li>
                                  ";
                                  }
                                  $html.="
                               </ul>
                               ";
                               }
                               $html.="
                            </li>
                            ";
                            }
                            $html.="
                         </ul>
                         ";
                         }
                         $html.="
                      </li>
                      ";
                      }
                      $html.="
                   </ul>
                   ";
                   }
                   $html.="
                </li>
                ";
                }
                $html.="
             </ul>
             ";
             }
             $html.="
          </li>
          ";
          }
          $html.="
       </ul>
       ";
       }
       $html.="
    </li>
    ";
    }
    }
    return $html;
    }
    
    public function print_search(Request $request)
    {
    
            $com_code=auth()->user()->com_code;
            $search_by_text = $request->search_by_text;
            $is_parent = $request->is_parent;
            $account_type = $request->account_type;
            $active_search = $request->active_search;
            $searchbyradio = $request->searchbyradio;
            $other['total_debit']=0;
            $other['total_credit']=0; 
            if ($is_parent == 'all') {
                $field1 = "id";
                $operator1 = ">";
                $value1 = 0;
            } else {
                $field1 = "is_parent";
                $operator1 = "=";
                $value1 = $is_parent;
            }
            if ($account_type == 'all') {
                $field2 = "id";
                $operator2 = ">";
                $value2 = 0;
            } else {
                $field2 = "account_type";
                $operator2 = "=";
                $value2 = $account_type;
            }
            if ($search_by_text != '') {
                if ($searchbyradio == 'account_number') {
                    $field3 = "account_number";
                    $operator3 = "=";
                    $value3 = $search_by_text;
                } else {
                    $field3 = "name";
                    $operator3 = "like";
                    $value3 = "%{$search_by_text}%";
                }
            } else {
                //true 
                $field3 = "id";
                $operator3 = ">";
                $value3 = 0;
            }
            if ($active_search == 'all') {
                $field4 = "id";
                $operator4 = ">";
                $value4 = 0;
            } else {
                $field4 = "active";
                $operator4 = "=";
                $value4 = $active_search;
            }
            $data = Account::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->orderBy('id', 'DESC')->get();
            if (!empty($data)) {
                foreach ($data as $info) {
                    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                    if ($info->updated_by > 0 and $info->updated_by != null) {
                        $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                    }
                    $info->account_types_name = Account_types::where('id', $info->account_type)->value('name');
               
                    if ($info->is_parent == 0) {
                        $info->parent_account_name = Account::where('account_number', $info->parent_account_number)->value('name');
                    } else {
                        $info->parent_account_name = "لايوجد";
                    }
    
            if($info->current_balance>=0){
                $other['total_debit']+=$info->current_balance;
              
            }else{
                $other['total_credit']+=$info->current_balance;   
            }
    
                }
            }
            $systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => $com_code));
            $other['the_net']=  $other['total_debit']+ $other['total_credit'];
            return view('admin.accounts.print_search', ['data' => $data,'systemData'=>$systemData,'other'=>$other]);
        
    } 

}
