<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Account;
use Illuminate\Http\Request;
use App\Models\Admin;
use App\Models\Alerts_system_monitoring;
use App\Models\Alert_modules;
use App\Models\Alert_movetype;
use App\Models\Store;
use App\Models\Treasuries;
use App\Models\Account_types;
use App\Models\Inv_itemCard;

class Alerts_system_monitoringController extends Controller
{
    public function index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(50);
        }
        $com_code = auth()->user()->com_code;
        $data = get_cols_where_p(new Alerts_system_monitoring, array("*"), array("com_code" => $com_code), "id", "DESC", PC);
        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                $info->alert_modules_name = Alert_modules::where('id', $info->alert_modules_id)->value('name');
                $info->alert_movetype_name = Alert_movetype::where('id', $info->alert_movetype_id)->value('name');
            }
        }
        $other['alert_modules'] = get_cols_where(new Alert_modules(), array("id", "name"), array("active" => 1), 'id', 'ASC');
        $other['alert_movetype'] = get_cols_where(new Alert_movetype(), array("id", "name"), array("active" => 1), 'id', 'ASC');
        $other['treasuries'] = get_cols_where(new Treasuries(), array("id", "name"), array("com_code" => $com_code), 'id', 'ASC');
        $other['stores'] = get_cols_where(new Store(), array("id", "name"), array("com_code" => $com_code), 'id', 'ASC');
        $other['accounts'] = get_cols_where(new Account(), array("id", "name", 'account_number', 'account_type'), array("com_code" => $com_code, 'is_parent' => 0), 'id', 'ASC');
        if (!empty($other['accounts'])) {
            foreach ($other['accounts'] as $info) {
                $info->account_type_name = Account_types::where(["id" => $info->account_type])->value("name");
            }
        }
        $other['items'] = get_cols_where(new Inv_itemCard(), array("id", "name", "item_code"), array("com_code" => $com_code), 'id', 'ASC');
        $other['admins'] = get_cols_where(new Admin(), array("id", "name"), array("com_code" => $com_code), 'id', 'ASC');
        return view('admin.alerts_system_monitoring.index', ['data' => $data, 'other' => $other]);
    }


    public function ajax_search(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $account_number = $request->account_number;
            $item = $request->item;
            $treasuries = $request->treasuries;
            $admins = $request->admins;
            $from_date = $request->from_date;
            $to_date = $request->to_date;
            $alert_modules = $request->alert_modules;
            $alert_movetype = $request->alert_movetype;
            $store = $request->store;
            $is_mark = $request->is_mark;
            $shift_code = $request->shift_code;

            if ($account_number == 'all') {
                //دائما  true
                $field1 = "id";
                $operator1 = ">";
                $value1 = 0;
            } else {
                $field1 = "account_number";
                $operator1 = "=";
                $value1 = $account_number;
            }
            if ($item == 'all') {
                //دائما  true
                $field2 = "id";
                $operator2 = ">";
                $value2 = 0;
            } else {
                $field2 = "item_code";
                $operator2 = "=";
                $value2 = $item;
            }
            if ($treasuries == 'all') {
                //دائما  true
                $field3 = "id";
                $operator3 = ">";
                $value3 = 0;
            } else {
                $field3 = "treasuries_id";
                $operator3 = "=";
                $value3 = $treasuries;
            }
            if ($admins == 'all') {
                //دائما  true
                $field4 = "id";
                $operator4 = ">";
                $value4 = 0;
            } else {
                $field4 = "added_by";
                $operator4 = "=";
                $value4 = $admins;
            }
            if ($from_date == '') {
                //دائما  true
                $field5 = "id";
                $operator5 = ">";
                $value5 = 0;
            } else {
                $field5 = "date";
                $operator5 = ">=";
                $value5 = $from_date;
            }
            if ($to_date == '') {
                //دائما  true
                $field6 = "id";
                $operator6 = ">";
                $value6 = 0;
            } else {
                $field6 = "date";
                $operator6 = "<=";
                $value6 = $to_date;
            }


            if ($alert_modules == 'all') {
                //دائما  true
                $field7 = "id";
                $operator7 = ">";
                $value7 = 0;
            } else {
                $field7 = "alert_modules_id";
                $operator7 = "=";
                $value7 = $alert_modules;
            }


            if ($alert_movetype == 'all') {
                //دائما  true
                $field8 = "id";
                $operator8 = ">";
                $value8 = 0;
            } else {
                $field8 = "alert_movetype_id";
                $operator8 = "=";
                $value8 = $alert_movetype;
            }

            if ($store == 'all') {
                //دائما  true
                $field9 = "id";
                $operator9 = ">";
                $value9 = 0;
            } else {
                $field9 = "store_id";
                $operator9 = "=";
                $value9 = $store;
            }
            if ($is_mark == 'all') {
                //دائما  true
                $field10 = "id";
                $operator10 = ">";
                $value10 = 0;
            } else {
                $field10 = "is_marked";
                $operator10 = "=";
                $value10 = $is_mark;
            }

            if ($shift_code == 'all') {
                //دائما  true
                $field11 = "id";
                $operator11 = ">";
                $value11 = 0;
            } else {
                $field11 = "shift_code";
                $operator11 = "=";
                $value11 = $shift_code;
            }

            $data = Alerts_system_monitoring::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where($field6, $operator6, $value6)->where($field7, $operator7, $value7)->where($field8, $operator8, $value8)->where($field9, $operator9, $value9)->where($field10, $operator10, $value10)->where($field11, $operator11, $value11)
                ->where("com_code", "=", $com_code)->orderBy('id', 'DESC')->paginate(PC);
            if (!empty($data)) {
                foreach ($data as $info) {
                    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                    $info->alert_modules_name = Alert_modules::where('id', $info->alert_modules_id)->value('name');
                    $info->alert_movetype_name = Alert_movetype::where('id', $info->alert_movetype_id)->value('name');
                }
            }
            return view('admin.alerts_system_monitoring.ajax_search', ['data' => $data]);
        }
    }


    public function ajax_do_mark(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Alerts_system_monitoring(), array("is_marked"), array("com_code" => $com_code, "id" => $request->id));
            if (!empty($data)) {
                if ($data['is_marked'] == 0) {
                    $dataToUpdate['is_marked'] = 1;
                } else {
                    $dataToUpdate['is_marked'] = 0;
                }
                $dataToUpdate['updated_by'] = auth()->user()->id;
                $dataToUpdate['updated_at'] = date("Y-m-d H:i:s");
                update(new Alerts_system_monitoring(), $dataToUpdate, array("com_code" => $com_code, "id" => $request->id));
                echo json_encode("done");
            }
        }
    }
}
