<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Customer;
use App\Models\Contract;
use App\Models\Admin;
use App\Models\Account;
use App\Models\Admin_panel_setting;
use App\Models\Alerts_system_monitoring;
use App\Http\Requests\ContractRequest;
use App\Http\Requests\CustomerEditRequest;
use App\Models\Sales_invoices;
use App\Models\SalesReturn;
use App\Models\services_with_orders;
use App\Models\Treasuries_transactions;
use Illuminate\Support\Facades\DB;

class ContractController extends Controller
{
    public function index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }
        $com_code = auth()->user()->com_code;
        $data = get_cols_where_p(new Contract(), array("*"), array("com_code" => $com_code), 'id', 'DESC', PC);
        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        // dd($data);
        return view('admin.contracts.index', ['data' => $data]);
    }
    /*     public function end_moharam_report()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }
        /* $com_code = auth()->user()->com_code;
        $data = get_cols_where_p(new Contract(), array("*"), array("com_code" => $com_code), 'id', 'DESC', PC); */
    /*
        $com_code = auth()->user()->com_code;
        $data = get_cols_where_p(
            new Contract(),
            array("*"),
            array(
                "com_code" => $com_code,
                ["maintenance_end_date", ">=", "2025-06-25"],
                ["maintenance_end_date", "<=", "2025-07-26"]
            ),
            'id',
            'DESC',
            PC
        );
        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        // dd($data);
        return view('admin.contracts.end_moharam_report', ['data' => $data]);
    } */


    public function end_moharam_report($from_date = null, $to_date = null)
    {

        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }

        $com_code = auth()->user()->com_code;

        // تعيين القيم الافتراضية في حال لم يتم تمرير التواريخ
        $month = " محرم 1446";
        $from_date = ('1446-01-01'); // بداية الشهر محرم
        $to_date = ('1446-01-30'); // نهاية الشهر محرم

        // التأكد من أن القيم المدخلة صالحة
        if (!strtotime($from_date) || !strtotime($to_date)) {
            return redirect()->back()->withErrors(['error' => 'التواريخ المدخلة غير صالحة.']);
        }

        $data = get_cols_where_p(
            new Contract(),
            array("*"),
            array(
                "com_code" => $com_code,
                ["maintenance_end_date_hijri", ">=", $from_date],
                ["maintenance_end_date_hijri", "<=", $to_date]
            ),
            'id',
            'DESC',
            PC
        );

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        //  dd($from_date);
        return view('admin.contracts.end_moharam_report', [
            'data' => $data,
            'from_date' => $from_date,
            'to_date' => $to_date,
            'month' => $month
        ]);
    }
    //////////////////////
    public function end_safar_report($from_date = null, $to_date = null)
    {

        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }

        $com_code = auth()->user()->com_code;

        // تعيين القيم الافتراضية في حال لم يتم تمرير التواريخ
        $month = " سفر 1446";
        $from_date = ('1446-02-01'); // بداية الشهر سفر
        $to_date = ('1446-02-30'); // نهاية الشهر سفر

        // التأكد من أن القيم المدخلة صالحة
        if (!strtotime($from_date) || !strtotime($to_date)) {
            return redirect()->back()->withErrors(['error' => 'التواريخ المدخلة غير صالحة.']);
        }

        $data = get_cols_where_p(
            new Contract(),
            array("*"),
            array(
                "com_code" => $com_code,
                ["maintenance_end_date", ">=", $from_date],
                ["maintenance_end_date", "<=", $to_date]
            ),
            'id',
            'DESC',
            PC
        );

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        //  dd($from_date);
        return view('admin.contracts.end_moharam_report', [
            'data' => $data,
            'from_date' => $from_date,
            'to_date' => $to_date,
            'month' => $month
        ]);
    }
    //////////////////////
    public function end_rabe1_report($from_date = null, $to_date = null)
    {

        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }

        $com_code = auth()->user()->com_code;

        // تعيين القيم الافتراضية في حال لم يتم تمرير التواريخ
        $month = " ربيع اول 1446";
        $from_date = ('1446-03-01'); // بداية الشهر سفر
        $to_date = ('1446-03-30'); // نهاية الشهر سفر

        // التأكد من أن القيم المدخلة صالحة
        if (!strtotime($from_date) || !strtotime($to_date)) {
            return redirect()->back()->withErrors(['error' => 'التواريخ المدخلة غير صالحة.']);
        }

        $data = get_cols_where_p(
            new Contract(),
            array("*"),
            array(
                "com_code" => $com_code,
                ["maintenance_end_date", ">=", $from_date],
                ["maintenance_end_date", "<=", $to_date]
            ),
            'id',
            'DESC',
            PC
        );

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        //  dd($from_date);
        return view('admin.contracts.end_moharam_report', [
            'data' => $data,
            'from_date' => $from_date,
            'to_date' => $to_date,
            'month' => $month
        ]);
    }
    //////////////////////
    public function end_rabe2_report($from_date = null, $to_date = null)
    {

        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }

        $com_code = auth()->user()->com_code;

        // تعيين القيم الافتراضية في حال لم يتم تمرير التواريخ
        $month = " ربيع ثان 1446";
        $from_date = ('1446-04-01'); // بداية الشهر سفر
        $to_date = ('1446-04-30'); // نهاية الشهر سفر

        // التأكد من أن القيم المدخلة صالحة
        if (!strtotime($from_date) || !strtotime($to_date)) {
            return redirect()->back()->withErrors(['error' => 'التواريخ المدخلة غير صالحة.']);
        }

        $data = get_cols_where_p(
            new Contract(),
            array("*"),
            array(
                "com_code" => $com_code,
                ["maintenance_end_date", ">=", $from_date],
                ["maintenance_end_date", "<=", $to_date]
            ),
            'id',
            'DESC',
            PC
        );

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        //  dd($from_date);
        return view('admin.contracts.end_moharam_report', [
            'data' => $data,
            'from_date' => $from_date,
            'to_date' => $to_date,
            'month' => $month
        ]);
    }
    //////////////////////
    public function end_gmad1_report($from_date = null, $to_date = null)
    {

        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }

        $com_code = auth()->user()->com_code;

        // تعيين القيم الافتراضية في حال لم يتم تمرير التواريخ
        $month = " جمادي اول 1446";
        $from_date = ('1446-05-01'); // بداية الشهر سفر
        $to_date = ('1446-05-30'); // نهاية الشهر سفر

        // التأكد من أن القيم المدخلة صالحة
        if (!strtotime($from_date) || !strtotime($to_date)) {
            return redirect()->back()->withErrors(['error' => 'التواريخ المدخلة غير صالحة.']);
        }

        $data = get_cols_where_p(
            new Contract(),
            array("*"),
            array(
                "com_code" => $com_code,
                ["maintenance_end_date", ">=", $from_date],
                ["maintenance_end_date", "<=", $to_date]
            ),
            'id',
            'DESC',
            PC
        );

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        //  dd($from_date);
        return view('admin.contracts.end_moharam_report', [
            'data' => $data,
            'from_date' => $from_date,
            'to_date' => $to_date,
            'month' => $month
        ]);
    }
    //////////////////////
    public function end_gmad2_report($from_date = null, $to_date = null)
    {

        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }

        $com_code = auth()->user()->com_code;

        // تعيين القيم الافتراضية في حال لم يتم تمرير التواريخ
        $month = " جمادي ثاني 1446";
        $from_date = ('1446-06-01'); // بداية الشهر سفر
        $to_date = ('1446-06-30'); // نهاية الشهر سفر

        // التأكد من أن القيم المدخلة صالحة
        if (!strtotime($from_date) || !strtotime($to_date)) {
            return redirect()->back()->withErrors(['error' => 'التواريخ المدخلة غير صالحة.']);
        }

        $data = get_cols_where_p(
            new Contract(),
            array("*"),
            array(
                "com_code" => $com_code,
                ["maintenance_end_date", ">=", $from_date],
                ["maintenance_end_date", "<=", $to_date]
            ),
            'id',
            'DESC',
            PC
        );

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        //  dd($from_date);
        return view('admin.contracts.end_moharam_report', [
            'data' => $data,
            'from_date' => $from_date,
            'to_date' => $to_date,
            'month' => $month
        ]);
    }
    ///////////////////////
    public function end_ragab_report($from_date = null, $to_date = null)
    {

        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }

        $com_code = auth()->user()->com_code;

        // تعيين القيم الافتراضية في حال لم يتم تمرير التواريخ
        $month = "  رجب 1446";
        $from_date = ('1446-07-01'); // بداية الشهر سفر
        $to_date = ('1446-07-30'); // نهاية الشهر سفر

        // التأكد من أن القيم المدخلة صالحة
        if (!strtotime($from_date) || !strtotime($to_date)) {
            return redirect()->back()->withErrors(['error' => 'التواريخ المدخلة غير صالحة.']);
        }

        $data = get_cols_where_p(
            new Contract(),
            array("*"),
            array(
                "com_code" => $com_code,
                ["maintenance_end_date", ">=", $from_date],
                ["maintenance_end_date", "<=", $to_date]
            ),
            'id',
            'DESC',
            PC
        );

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        //  dd($from_date);
        return view('admin.contracts.end_moharam_report', [
            'data' => $data,
            'from_date' => $from_date,
            'to_date' => $to_date,
            'month' => $month
        ]);
    }
    ///////////////////////
    public function end_shban_report($from_date = null, $to_date = null)
    {

        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }

        $com_code = auth()->user()->com_code;

        // تعيين القيم الافتراضية في حال لم يتم تمرير التواريخ
        $month = "  شعبان 1446";
        $from_date = ('1446-08-01'); // بداية الشهر سفر
        $to_date = ('1446-08-30'); // نهاية الشهر سفر

        // التأكد من أن القيم المدخلة صالحة
        if (!strtotime($from_date) || !strtotime($to_date)) {
            return redirect()->back()->withErrors(['error' => 'التواريخ المدخلة غير صالحة.']);
        }

        $data = get_cols_where_p(
            new Contract(),
            array("*"),
            array(
                "com_code" => $com_code,
                ["maintenance_end_date", ">=", $from_date],
                ["maintenance_end_date", "<=", $to_date]
            ),
            'id',
            'DESC',
            PC
        );

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        //  dd($from_date);
        return view('admin.contracts.end_moharam_report', [
            'data' => $data,
            'from_date' => $from_date,
            'to_date' => $to_date,
            'month' => $month
        ]);
    }
    ///////////////////////
    public function end_ramadan_report($from_date = null, $to_date = null)
    {

        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }

        $com_code = auth()->user()->com_code;

        // تعيين القيم الافتراضية في حال لم يتم تمرير التواريخ
        $month = "  رمضان  1446";
        $from_date = ('1446-09-01'); // بداية الشهر سفر
        $to_date = ('1446-09-30'); // نهاية الشهر سفر

        // التأكد من أن القيم المدخلة صالحة
        if (!strtotime($from_date) || !strtotime($to_date)) {
            return redirect()->back()->withErrors(['error' => 'التواريخ المدخلة غير صالحة.']);
        }

        $data = get_cols_where_p(
            new Contract(),
            array("*"),
            array(
                "com_code" => $com_code,
                ["maintenance_end_date", ">=", $from_date],
                ["maintenance_end_date", "<=", $to_date]
            ),
            'id',
            'DESC',
            PC
        );

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        //  dd($from_date);
        return view('admin.contracts.end_moharam_report', [
            'data' => $data,
            'from_date' => $from_date,
            'to_date' => $to_date,
            'month' => $month
        ]);
    }
    ///////////////////////
    public function end_shwal_report($from_date = null, $to_date = null)
    {

        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }

        $com_code = auth()->user()->com_code;

        // تعيين القيم الافتراضية في حال لم يتم تمرير التواريخ
        $month = "  شوال  1446";
        $from_date = ('1446-10-01'); // بداية الشهر سفر
        $to_date = ('1446-10-30'); // نهاية الشهر سفر

        // التأكد من أن القيم المدخلة صالحة
        if (!strtotime($from_date) || !strtotime($to_date)) {
            return redirect()->back()->withErrors(['error' => 'التواريخ المدخلة غير صالحة.']);
        }

        $data = get_cols_where_p(
            new Contract(),
            array("*"),
            array(
                "com_code" => $com_code,
                ["maintenance_end_date", ">=", $from_date],
                ["maintenance_end_date", "<=", $to_date]
            ),
            'id',
            'DESC',
            PC
        );

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        //  dd($from_date);
        return view('admin.contracts.end_moharam_report', [
            'data' => $data,
            'from_date' => $from_date,
            'to_date' => $to_date,
            'month' => $month
        ]);
    }
    ///////////////////////
    public function end_zokeda_report($from_date = null, $to_date = null)
    {

        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }

        $com_code = auth()->user()->com_code;

        // تعيين القيم الافتراضية في حال لم يتم تمرير التواريخ
        $month = "  ذي القعدة  1446";
        $from_date = ('1446-11-01'); // بداية الشهر سفر
        $to_date = ('1446-11-30'); // نهاية الشهر سفر

        // التأكد من أن القيم المدخلة صالحة
        if (!strtotime($from_date) || !strtotime($to_date)) {
            return redirect()->back()->withErrors(['error' => 'التواريخ المدخلة غير صالحة.']);
        }

        $data = get_cols_where_p(
            new Contract(),
            array("*"),
            array(
                "com_code" => $com_code,
                ["maintenance_end_date", ">=", $from_date],
                ["maintenance_end_date", "<=", $to_date]
            ),
            'id',
            'DESC',
            PC
        );

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        //  dd($from_date);
        return view('admin.contracts.end_moharam_report', [
            'data' => $data,
            'from_date' => $from_date,
            'to_date' => $to_date,
            'month' => $month
        ]);
    }
    ///////////////////////
    public function end_zohega_report($from_date = null, $to_date = null)
    {

        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }

        $com_code = auth()->user()->com_code;

        // تعيين القيم الافتراضية في حال لم يتم تمرير التواريخ
        $month = "  ذي الحجة  1446";
        $from_date = ('1446-12-01'); // بداية الشهر سفر
        $to_date = ('1447-12-30'); // نهاية الشهر سفر

        // التأكد من أن القيم المدخلة صالحة
        if (!strtotime($from_date) || !strtotime($to_date)) {
            return redirect()->back()->withErrors(['error' => 'التواريخ المدخلة غير صالحة.']);
        }

        $data = get_cols_where_p(
            new Contract(),
            array("*"),
            array(
                "com_code" => $com_code,
                ["maintenance_end_date", ">=", $from_date],
                ["maintenance_end_date", "<=", $to_date]
            ),
            'id',
            'DESC',
            PC
        );

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        //  dd($from_date);
        return view('admin.contracts.end_moharam_report', [
            'data' => $data,
            'from_date' => $from_date,
            'to_date' => $to_date,
            'month' => $month
        ]);
    }
    /////////////////
    /////////////////
    public function payments_index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }
        $com_code = auth()->user()->com_code;
        // جلب بيانات العقود
        $data = get_cols_where_p(new Contract(), array("*"), array("com_code" => $com_code), 'id', 'DESC', PC);

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 && $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }

                // جمع المبالغ من جدول treasuries_transactions باستخدام رقم المصعد (lift_num)
                $total_payment = get_sum_where(new Treasuries_transactions(), "money", array(
                    "com_code"        => $com_code,
                    "contract_number" => $info->lift_num   // الربط باستخدام رقم المصعد من جدول contracts
                ));
                $info->total_payment = $total_payment;

                // حساب العدادات الأخرى كما هو موجود
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        return view('admin.contracts.contract_payments', ['data' => $data]);
    }
    public function running_index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }
        $com_code = auth()->user()->com_code;
        // جلب بيانات العقود
        $data = get_cols_where_p(new Contract(), array("*"), array("com_code" => $com_code), 'id', 'DESC', PC);

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 && $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }

                // جمع المبالغ من جدول treasuries_transactions باستخدام رقم المصعد (lift_num)
                $total_payment = get_sum_where(new Treasuries_transactions(), "money", array(
                    "com_code"        => $com_code,
                    "contract_number" => $info->lift_num   // الربط باستخدام رقم المصعد من جدول contracts
                ));
                $info->total_payment = $total_payment;

                // حساب العدادات الأخرى كما هو موجود
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        return view('admin.contracts.contracts_running', ['data' => $data]);
    }
    //////////////
    public function stag1_running_index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }
        /*  $com_code = auth()->user()->com_code;
        // جلب بيانات العقود
        $data = get_cols_where_p(new Contract(), array("*"), array("com_code" => $com_code), 'id', 'DESC', PC);
 */
        $com_code = auth()->user()->com_code;
        $data = Contract::where('com_code', $com_code)
            ->whereIn('contract_type', [2, 3])
            ->orderBy('id', 'DESC')
            ->paginate(PC);

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 && $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }

                // جمع المبالغ من جدول treasuries_transactions باستخدام رقم المصعد (lift_num)
                $total_payment = get_sum_where(new Treasuries_transactions(), "money", array(
                    "com_code"        => $com_code,
                    "contract_number" => $info->lift_num   // الربط باستخدام رقم المصعد من جدول contracts
                ));
                $info->total_payment = $total_payment;

                // حساب العدادات الأخرى كما هو موجود
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        return view('admin.contracts.stage1_running', ['data' => $data]);
    }
    ////////////

    ////////////
    public function stag2_running_index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }
        /*  $com_code = auth()->user()->com_code;
        // جلب بيانات العقود
        $data = get_cols_where_p(new Contract(), array("*"), array("com_code" => $com_code), 'id', 'DESC', PC);
 */
        $com_code = auth()->user()->com_code;
        $data = Contract::where('com_code', $com_code)
            ->whereIn('contract_type', [2, 3])
            ->orderBy('id', 'DESC')
            ->paginate(PC);

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 && $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }

                // جمع المبالغ من جدول treasuries_transactions باستخدام رقم المصعد (lift_num)
                $total_payment = get_sum_where(new Treasuries_transactions(), "money", array(
                    "com_code"        => $com_code,
                    "contract_number" => $info->lift_num   // الربط باستخدام رقم المصعد من جدول contracts
                ));
                $info->total_payment = $total_payment;

                // حساب العدادات الأخرى كما هو موجود
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        return view('admin.contracts.stage2_running', ['data' => $data]);
    }

    //////////////
    public function stag3_running_index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }
        /*  $com_code = auth()->user()->com_code;
    // جلب بيانات العقود
    $data = get_cols_where_p(new Contract(), array("*"), array("com_code" => $com_code), 'id', 'DESC', PC);
*/
        $com_code = auth()->user()->com_code;
        $data = Contract::where('com_code', $com_code)
            ->whereIn('contract_type', [2, 3])
            ->orderBy('id', 'DESC')
            ->paginate(PC);

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 && $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }

                // جمع المبالغ من جدول treasuries_transactions باستخدام رقم المصعد (lift_num)
                $total_payment = get_sum_where(new Treasuries_transactions(), "money", array(
                    "com_code"        => $com_code,
                    "contract_number" => $info->lift_num   // الربط باستخدام رقم المصعد من جدول contracts
                ));
                $info->total_payment = $total_payment;

                // حساب العدادات الأخرى كما هو موجود
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        return view('admin.contracts.stage3_running', ['data' => $data]);
    }
    //////////////
    public function stag4_running_index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }
        /*  $com_code = auth()->user()->com_code;
     // جلب بيانات العقود
     $data = get_cols_where_p(new Contract(), array("*"), array("com_code" => $com_code), 'id', 'DESC', PC);
 */
        $com_code = auth()->user()->com_code;
        $data = Contract::where('com_code', $com_code)
            ->whereIn('contract_type', [2, 3])
            ->orderBy('id', 'DESC')
            ->paginate(PC);

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 && $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }

                // جمع المبالغ من جدول treasuries_transactions باستخدام رقم المصعد (lift_num)
                $total_payment = get_sum_where(new Treasuries_transactions(), "money", array(
                    "com_code"        => $com_code,
                    "contract_number" => $info->lift_num   // الربط باستخدام رقم المصعد من جدول contracts
                ));
                $info->total_payment = $total_payment;

                // حساب العدادات الأخرى كما هو موجود
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        return view('admin.contracts.stage4_running', ['data' => $data]);
    }
    /////////////////////////
    public function stag5_running_index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }
        // جلب بيانات العقود

        $com_code = auth()->user()->com_code;
        $data = Contract::where('com_code', $com_code)
            ->whereIn('contract_type', [2, 3])
            ->orderBy('id', 'DESC')
            ->paginate(PC);

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 && $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }

                // جمع المبالغ من جدول treasuries_transactions باستخدام رقم المصعد (lift_num)
                $total_payment = get_sum_where(new Treasuries_transactions(), "money", array(
                    "com_code"        => $com_code,
                    "contract_number" => $info->lift_num   // الربط باستخدام رقم المصعد من جدول contracts
                ));
                $info->total_payment = $total_payment;

                // حساب العدادات الأخرى كما هو موجود
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        return view('admin.contracts.stage5_running', ['data' => $data]);
    }
    //////////////////////
    /////////////////////////
    public function stag6_running_index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(12);
        }
        // جلب بيانات العقود

        $com_code = auth()->user()->com_code;
        $data = Contract::where('com_code', $com_code)
            ->whereIn('contract_type', [2, 3])
            ->orderBy('id', 'DESC')
            ->paginate(PC);

        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 && $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }

                // جمع المبالغ من جدول treasuries_transactions باستخدام رقم المصعد (lift_num)
                $total_payment = get_sum_where(new Treasuries_transactions(), "money", array(
                    "com_code"        => $com_code,
                    "contract_number" => $info->lift_num   // الربط باستخدام رقم المصعد من جدول contracts
                ));
                $info->total_payment = $total_payment;

                // حساب العدادات الأخرى كما هو موجود
                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
            }
        }
        return view('admin.contracts.stage6_running', ['data' => $data]);
    }
    //////////////////////
    public function create()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(13);
        }
        $com_code = auth()->user()->com_code;
        $data = get_cols_where(new Customer(), array("*"), array("com_code" => $com_code));

        return view('admin.contracts.create', ['data' => $data]);
    }
    public function store(ContractRequest $request)
    {


        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(13);
        }
        try {

            $com_code = auth()->user()->com_code;
            // $customer_parent_account_number = get_field_value(new Admin_panel_setting(), "customer_parent_account_number", array('com_code' => $com_code));
            // $customer_parent_account_data = get_cols_where_row(new Account(), array("account_level", "account_nature"), array('com_code' => $com_code, 'account_number' => $customer_parent_account_number));
            // if (empty($customer_parent_account_data)) {
            //     return redirect()->back()
            //         ->with(['error' => 'عفوا يرجي تحديد الحساب الاب للعملاء اولا بالشجرة المحاسبية من الضبط العام'])
            //         ->withInput();
            // }
            //check if not exsits for name
            // $checkExists_name = get_cols_where_row(new Customer(), array("id"), array('name' => $request->name, 'com_code' => $com_code));
            // if (!empty($checkExists_name)) {
            //     return redirect()->back()
            //         ->with(['error' => 'عفوا اسم العميل مسجل من قبل'])
            //         ->withInput();
            // }
            //check if not exsits for lift_num
            $checkExists_lift_num = get_cols_where_row(new Contract(), array("id"), array('lift_num' => $request->lift_num, 'com_code' => $com_code));
            if (!empty($checkExists_lift_num)) {
                return redirect()->back()
                    ->with(['error' => 'رقم المصعد مسجل من قبل'])
                    ->withInput();
            }
            DB::beginTransaction();
            //set customer code
            // $row = get_cols_where_row_orderby(new Customer(), array("customer_code"), array("com_code" => $com_code), 'id', 'DESC');
            // if (!empty($row)) {
            //     $data_insert['customer_code'] = $row['customer_code'] + 1;
            // } else {
            //     $data_insert['customer_code'] = 1;
            // }
            //set account number
            /*  $row = get_cols_where_row_orderby(new Account(), array("account_number"), array("com_code" => $com_code), 'id', 'DESC');
            if (!empty($row)) {
                $data_insert['account_number'] = $row['account_number'] + 1;
            } else {
                $data_insert['account_number'] = 1;
            } */
            $data_insert['name'] = $request->name;
            $data_insert['contract_type'] = $request->contract_type;
            $data_insert['lift_num'] = $request->lift_num;
            $data_insert['delegate_name'] = $request->delegate_name;
            $data_insert['lift_type'] = $request->lift_type;
            $data_insert['lift_stop'] = $request->lift_stop;
            $data_insert['lift_floor'] = $request->lift_floor;
            $data_insert['entrances'] = $request->entrances;
            $data_insert['price'] = $request->price;
            $data_insert['pay_type'] = $request->pay_type;
            $data_insert['price1'] = $request->price1;
            $data_insert['price2'] = $request->price2;
            $data_insert['price3'] = $request->price3;
            $data_insert['price4'] = $request->price4;
            $data_insert['machin_load'] = $request->machin_load;
            $data_insert['battery'] = $request->battery;
            $data_insert['vvvf'] = $request->vvvf;
            $data_insert['door_type'] = $request->door_type;
            $data_insert['door_size'] = $request->door_size;
            $data_insert['in_door_type'] = $request->in_door_type;
            $data_insert['beer_wide'] = $request->beer_wide;
            $data_insert['beer_tall'] = $request->beer_tall;
            $data_insert['capin_size'] = $request->capin_size;
            $data_insert['notes'] = $request->notes;
            $data_insert['ber_deep'] = $request->ber_deep;
            $data_insert['last_floor_height'] = $request->last_floor_height;
            $data_insert['Place_gravity'] = $request->Place_gravity;

            $data_insert['gps'] = $request->gps;
            $data_insert['address'] = $request->address;

            $data_insert['phones'] = $request->phones;
            $data_insert['phones_2'] = $request->phones_2;

            $data_insert['notes'] = $request->notes;
            $data_insert['active'] = $request->active;
            $data_insert['added_by'] = auth()->user()->id;
            $data_insert['created_at'] = date("Y-m-d H:i:s");
            $data_insert['date'] = date("Y-m-d");
            $data_insert['maintenance_end_date'] = $request->maintenance_end_date;
            $data_insert['maintenance_end_date_hijri'] = $request->maintenance_end_date_hijri;
            $data_insert['file_num'] = $request->file_num;


            $data_insert['com_code'] = $com_code;

            $flag = insert(new Contract(), $data_insert);
            /* if ($flag) {
                //insert into accounts

                $is_active_alerts_system_monitoring = get_field_value(new Admin_panel_setting(), "is_active_alerts_system_monitoring", array("com_code" => auth()->user()->com_code));
                if ($is_active_alerts_system_monitoring == 1) {
                    /* start alerts_system_monitoring */
            $data_monitoring_insert['alert_modules_id'] = 2;
            $data_monitoring_insert['alert_movetype_id'] = 14;
            $data_monitoring_insert['content'] = " اضافة حساب عميل جديد باسم " . $request->name;




            $data_monitoring_insert['added_by'] = auth()->user()->id;
            $data_monitoring_insert['com_code'] = auth()->user()->com_code;
            $data_monitoring_insert['date'] = date("Y-m-d");
            insert(new Alerts_system_monitoring(), $data_monitoring_insert, array("com_code" => auth()->user()->com_code));
            /* End start alerts_system_monitoring 
                }
            } */
            DB::commit();
            return redirect()->route('admin.contract.index')->with(['success' => 'لقد تم اضافة البيانات بنجاح']);
        } catch (\Exception $ex) {
            DB::rollBack();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }

    public function edit($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }
        $com_code = auth()->user()->com_code;
        $data = get_cols_where_row(new Contract(), array("*"), array("id" => $id, "com_code" => $com_code));
        return view('admin.contracts.edit', ['data' => $data]);
    }

    public function edit_stages($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }
        $com_code = auth()->user()->com_code;
        // جلب بيانات العقد بناءً على الـ id والـ com_code
        $data = get_cols_where_row(new Contract(), array("*"), array("id" => $id, "com_code" => $com_code));

        if (!empty($data)) {
            // حساب إجمالي المدفوعات من جدول treasuries_transactions باستخدام رقم المصعد (lift_num)
            $total_payment = get_sum_where(new Treasuries_transactions(), "money", [
                "com_code"        => $com_code,
                "contract_number" => $data->lift_num
            ]);
            // إضافة قيمة إجمالي المدفوعات إلى بيانات العقد
            $data->total_payment = $total_payment;
        }

        return view('admin.contracts.edit_stages', ['data' => $data]);
    }





    public function update($id, CustomerEditRequest $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Contract(), array("id", "name"), array("id" => $id, "com_code" => $com_code));
            if (empty($data)) {
                return redirect()->route('admin.contract.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
            $checkExists = Contract::where(['name' => $request->name, 'com_code' => $com_code])->where('id', '!=', $id)->first();
            if ($checkExists != null) {
                return redirect()->back()
                    ->with(['error' => 'عفوا اسم الحساب مسجل من قبل'])
                    ->withInput();
            }
            DB::beginTransaction();
            $data_to_update['name'] = $request->name;

            $data_to_update['contract_type'] = $request->contract_type;
            $data_to_update['lift_num'] = $request->lift_num;
            $data_to_update['delegate_name'] = $request->delegate_name;
            $data_to_update['lift_type'] = $request->lift_type;
            $data_to_update['lift_stop'] = $request->lift_stop;
            $data_to_update['lift_floor'] = $request->lift_floor;
            $data_to_update['entrances'] = $request->entrances;
            $data_to_update['price'] = $request->price;
            $data_to_update['pay_type'] = $request->pay_type;
            $data_to_update['price1'] = $request->price1;
            $data_to_update['price2'] = $request->price2;
            $data_to_update['price3'] = $request->price3;
            $data_to_update['price4'] = $request->price4;
            $data_to_update['machin_load'] = $request->machin_load;
            $data_to_update['battery'] = $request->battery;
            $data_to_update['vvvf'] = $request->vvvf;
            $data_to_update['door_type'] = $request->door_type;
            $data_to_update['door_size'] = $request->door_size;
            $data_to_update['in_door_type'] = $request->in_door_type;
            $data_to_update['beer_wide'] = $request->beer_wide;
            $data_to_update['beer_tall'] = $request->beer_tall;
            $data_to_update['capin_size'] = $request->capin_size;
            $data_to_update['notes'] = $request->notes;
            $data_to_update['ber_deep'] = $request->ber_deep;
            $data_to_update['last_floor_height'] = $request->last_floor_height;
            $data_to_update['Place_gravity'] = $request->Place_gravity;

            $data_to_update['gps'] = $request->gps;
            $data_to_update['address'] = $request->address;

            $data_to_update['phones'] = $request->phones;
            $data_to_update['phones_2'] = $request->phones_2;

            $data_to_update['notes'] = $request->notes;
            $data_to_update['active'] = $request->active;
            $data_to_update['added_by'] = auth()->user()->id;
            $data_to_update['created_at'] = date("Y-m-d H:i:s");
            $data_to_update['date'] = date("Y-m-d");
            $data_to_update['maintenance_end_date'] = $request->maintenance_end_date;
            $data_to_update['maintenance_end_date_hijri'] = $request->maintenance_end_date_hijri;
            $data_to_update['file_num'] = $request->file_num;


            $data_to_update['com_code'] = $com_code;

            $flag = update(new Contract(), $data_to_update, array('id' => $id, 'com_code' => $com_code));
            if ($flag) {
                /*  $data_to_update_account['name'] = $request->name;
                $data_to_update_account['updated_by'] = auth()->user()->id;
                $data_to_update_account['updated_at'] = date("Y-m-d H:i:s");
                $data_to_update_account['active'] = $request->active;
                $flag = update(new Account(), $data_to_update_account, array('account_number' => $data['account_number'], 'other_table_FK' => $data['customer_code'], 'com_code' => $com_code, 'account_type' => 3));
 */
                $is_active_alerts_system_monitoring = get_field_value(new Admin_panel_setting(), "is_active_alerts_system_monitoring", array("com_code" => auth()->user()->com_code));
                if ($is_active_alerts_system_monitoring == 1) {
                    /* start alerts_system_monitoring */
                    $data_monitoring_insert['alert_modules_id'] = 2;
                    $data_monitoring_insert['alert_movetype_id'] = 15;
                    $data_monitoring_insert['content'] = " تعديل حساب عميل  باسم " . $data['name'];
                    if ($data['name'] != $data_to_update['name']) {
                        $data_monitoring_insert['content'] .= " الي " . $data_to_update['name'];
                    }
                    $data_monitoring_insert['foreign_key_table_td'] = $id;
                    $data_monitoring_insert['account_number'] = $data['account_number'];
                    $data_monitoring_insert['foreign_key_table_code'] = $data['customer_code'];
                    $data_monitoring_insert['account_type'] = 3;
                    $data_monitoring_insert['added_by'] = auth()->user()->id;
                    $data_monitoring_insert['com_code'] = auth()->user()->com_code;
                    $data_monitoring_insert['date'] = date("Y-m-d");

                    insert(new Alerts_system_monitoring(), $data_monitoring_insert, array("com_code" => auth()->user()->com_code));
                    /* End start alerts_system_monitoring */
                }
            }
            DB::commit();
            return redirect()->route('admin.contract.index')->with(['success' => 'لقد تم تحديث البيانات بنجاح']);
        } catch (\Exception $ex) {
            DB::rollBack();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }

    ////////////////تحديث حالة مرحلة سكة وباب
    public function updateStage1($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage1_status إلى 1
        $contract->stage1_status = 1;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 1 بنجاح']);
    }
    public function updateStage1_2($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage1_status 2
        $contract->stage1_status = 2;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 1 بنجاح']);
    }
    public function updateStage1_3($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage1_status 3
        $contract->stage1_status = 3;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 1 بنجاح']);
    }
    //////////
    ////////////////تحديث حالة مرحلة  كابينة
    public function updateStage2($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage2_status إلى 1
        $contract->stage2_status = 1;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 2 بنجاح']);
    }

    //////////////////////////
    public function updateStage2_2($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage3_status 2
        $contract->stage2_status = 2;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة2 بنجاح']);
    }

    public function updateStage2_3($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage2_status 3
        $contract->stage2_status = 3;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 2 بنجاح']);
    }
    //////////
    ////////////////تحديث حالة مرحلة  ماكينة
    public function updateStage3($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage3_status إلى 1
        $contract->stage3_status = 1;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 3 بنجاح']);
    }
    public function updateStage3_2($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage3_status 2
        $contract->stage3_status = 2;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 3 بنجاح']);
    }

    public function updateStage3_3($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage3_status 3
        $contract->stage3_status = 3;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 3 بنجاح']);
    }
    //////////
    //////////
    ////////////////تحديث حالة مرحلة  ميكانيكا
    public function updateStage4($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage4_status إلى 1
        $contract->stage4_status = 1;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 4 بنجاح']);
    }
    public function updateStage4_2($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage4_status إلى 2
        $contract->stage4_status = 2;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 4 بنجاح']);
    }
    public function updateStage4_3($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage4_status إلى 3
        $contract->stage4_status = 3;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 4 بنجاح']);
    }
    //////////
    ////////////////تحديث حالة مرحلة  كهرباء
    public function updateStage5($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage5_status إلى 1
        $contract->stage5_status = 1;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 5 بنجاح']);
    }
    public function updateStage5_2($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage5_status إلى 2
        $contract->stage5_status = 2;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 5 بنجاح']);
    }
    public function updateStage5_3($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage5_status إلى 3
        $contract->stage5_status = 3;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 5 بنجاح']);
    }
    //////////
    ////////////////تحديث حالة مرحلة  تسليم
    public function updateStage6($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage6_status إلى 1
        $contract->stage6_status = 1;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 6 بنجاح']);
    }
    public function updateStage6_2($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage6_status إلى 2
        $contract->stage6_status = 2;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 6 بنجاح']);
    }
    public function updateStage6_3($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(14);
        }

        $com_code = auth()->user()->com_code;
        // جلب العقد باستخدام الـ id و com_code
        $contract = Contract::where(['id' => $id, 'com_code' => $com_code])->first();

        if (!$contract) {
            return redirect()->back()->with(['error' => 'عفوا، العقد غير موجود']);
        }

        // تحديث حقل stage6_status إلى 3
        $contract->stage6_status = 3;
        $contract->save();

        return redirect()->back()->with(['success' => 'تم تحديث حالة المرحلة 6 بنجاح']);
    }
    //////////


    public function delete($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(15);
        }

        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Customer(), array("customer_code", "account_number", "name"), array("id" => $id, "com_code" => $com_code));
            if (!empty($data)) {

                $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $data['account_number']));
                $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $data['account_number']));
                $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $data['account_number']));
                $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $data['account_number'], 'is_account_number' => 1));
                $CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
                if ($CounterUsed > 0) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا هذه الحساب تم استخدامه من قبل ومتاح فقط تعطيله']);
                }


                $flag = delete(new Customer(), ["id" => $id, "com_code" => $com_code]);
                if ($flag) {
                    delete(new Account(), array('account_number' => $data['account_number'], 'other_table_FK' => $data['customer_code'], 'com_code' => $com_code, 'account_type' => 3));
                    $is_active_alerts_system_monitoring = get_field_value(new Admin_panel_setting(), "is_active_alerts_system_monitoring", array("com_code" => auth()->user()->com_code));
                    if ($is_active_alerts_system_monitoring == 1) {
                        /* start alerts_system_monitoring */
                        $data_monitoring_insert['alert_modules_id'] = 2;
                        $data_monitoring_insert['alert_movetype_id'] = 16;
                        $data_monitoring_insert['content'] = " حذف حساب عميل  باسم " . $data['name'];
                        $data_monitoring_insert['foreign_key_table_td'] = $data['id'];
                        $data_monitoring_insert['account_number'] = $data['account_number'];
                        $data_monitoring_insert['foreign_key_table_code'] = $data['customer_code'];
                        $data_monitoring_insert['account_type'] = 3;
                        $data_monitoring_insert['added_by'] = auth()->user()->id;
                        $data_monitoring_insert['com_code'] = auth()->user()->com_code;
                        $data_monitoring_insert['date'] = date("Y-m-d");
                        insert(new Alerts_system_monitoring(), $data_monitoring_insert, array("com_code" => auth()->user()->com_code));
                        /* End start alerts_system_monitoring */
                    }

                    return redirect()->back()
                        ->with(['success' => '   تم حذف البيانات بنجاح']);
                } else {
                    return redirect()->back()
                        ->with(['error' => 'عفوا حدث خطأ ما']);
                }
            } else {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر الي الوصول للبيانات المطلوبة']);
            }
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }

    public function ajax_search(Request $request)
    {
        if ($request->ajax()) {

            $com_code = auth()->user()->com_code;
            $search_by_text = $request->search_by_text;
            $search_by_date1 = $request->search_by_date1;
            $search_by_date2 = $request->search_by_date2;
            $search_by_date1_hijri = $request->search_by_date1_hijri;
            $search_by_date2_hijri = $request->search_by_date2_hijri;
            $searchbyradio = $request->searchbyradio;
            $searchByBalanceStatus = $request->searchByBalanceStatus;
            $searchByactiveStatus = $request->searchByactiveStatus;
            $searchByContractStatus = $request->searchByContractStatus;

            $mirror['searchByBalanceStatus'] = $searchByBalanceStatus;

            if ($search_by_text != '') {
                if ($searchbyradio == 'lift_num') {
                    $field1 = "lift_num";
                    $operator1 = "=";
                    $value1 = $search_by_text;
                } elseif ($searchbyradio == 'account_number') {
                    $field1 = "account_number";
                    $operator1 = "=";
                    $value1 = $search_by_text;
                } else {
                    $field1 = "name";
                    $operator1 = "like";
                    $value1 = "%{$search_by_text}%";
                }
            } else {
                //true 
                $field1 = "id";
                $operator1 = ">";
                $value1 = 0;
            }

            if ($searchByBalanceStatus == "all") {
                $field2 = "id";
                $operator2 = ">";
                $value2 = 0;
            } else {
                if ($searchByBalanceStatus == 1) {
                    $field2 = "current_balance";
                    $operator2 = "<";
                    $value2 = 0;
                } elseif ($searchByBalanceStatus == 2) {
                    $field2 = "current_balance";
                    $operator2 = ">";
                    $value2 = 0;
                } else {
                    $field2 = "current_balance";
                    $operator2 = "=";
                    $value2 = 0;
                }
            }

            if ($searchByactiveStatus == "all") {
                $field3 = "id";
                $operator3 = ">";
                $value3 = 0;
            } else {

                $field3 = "active";
                $operator3 = "=";
                $value3 = $searchByactiveStatus;
            }
            if ($search_by_date1 != '') {

                $field4 = "maintenance_end_date";
                $operator4 = ">=";
                $value4 = $search_by_date1;
            } else {
                //true 
                $field4 = "id";
                $operator4 = ">";
                $value4 = 0;
            }
            if ($search_by_date2 != '') {

                $field5 = "maintenance_end_date";
                $operator5 = "<=";
                $value5 = $search_by_date2;
            } else {
                //true 
                $field5 = "id";
                $operator5 = ">";
                $value5 = 0;
            }

            if ($searchByContractStatus == "all") {
                $field6 = "contract_type";
                $operator6 = ">";
                $value6 = 0;
            } elseif ($searchByContractStatus == "1") {

                $field6 = "contract_type";
                $operator6 = "=";
                $value6 = $searchByContractStatus;
            } elseif ($searchByContractStatus == "2") {

                $field6 = "contract_type";
                $operator6 = "=";
                $value6 = $searchByContractStatus;
            }

            //////////////بحث بالتاريخ الهجري
            if ($search_by_date1_hijri != '') {

                $field7 = "maintenance_end_date_hijri";
                $operator7 = ">=";
                $value7 = $search_by_date1_hijri;
            } else {
                //true 
                $field7 = "id";
                $operator7 = ">";
                $value7 = 0;
            }
            if ($search_by_date2_hijri != '') {

                $field8 = "maintenance_end_date_hijri";
                $operator8 = "<=";
                $value8 = $search_by_date2_hijri;
            } else {
                //true 
                $field8 = "id";
                $operator8 = ">";
                $value8 = 0;
            }
            ////////////

            $data = Contract::where($field1, $operator1, $value1)
                ->where($field2, $operator2, $value2)
                ->where($field3, $operator3, $value3)
                ->where($field4, $operator4, $value4)
                ->where($field5, $operator5, $value5)
                ->where($field6, $operator6, $value6)
                ->where($field7, $operator7, $value7)
                ->where($field8, $operator8, $value8)
                ->where(['com_code' => $com_code])->orderBy('id', 'DESC')->paginate(PC);
            if (!empty($data)) {
                foreach ($data as $info) {
                    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                    if ($info->updated_by > 0 and $info->updated_by != null) {
                        $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                    }
                    $counter1 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "account_number" => $info->account_number));
                    $counter2 = get_count_where(new Sales_invoices(), array("com_code" => $com_code, "account_number" => $info->account_number));
                    $counter3 = get_count_where(new SalesReturn(), array("com_code" => $com_code, "account_number" => $info->account_number));
                    $counter4 = get_count_where(new services_with_orders(), array("com_code" => $com_code, "account_number" => $info->account_number, 'is_account_number' => 1));

                    $info->CounterUsed = $counter1 + $counter2 + $counter3 + $counter4;
                }
            }
            //General mirror 
            $mirror['credit_sum'] = Customer::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where("current_balance", "<", 0)->where($field3, $operator3, $value3)->where(['com_code' => $com_code])->sum('current_balance');
            $mirror['debit_sum'] = Customer::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where("current_balance", ">", 0)->where($field3, $operator3, $value3)->where(['com_code' => $com_code])->sum('current_balance');
            $mirror['net'] = $mirror['credit_sum'] + $mirror['debit_sum'];

            return view('admin.contracts.ajax_search', ['data' => $data, 'mirror' => $mirror]);
        }
    }

    public function print_search(Request $request)
    {


        $com_code = auth()->user()->com_code;
        $search_by_text = $request->search_by_text;
        $search_by_date1 = $request->search_by_date1;
        $search_by_date2 = $request->search_by_date2;
        $search_by_date1_hijri = $request->search_by_date1_hijri;
        $search_by_date2_hijri = $request->search_by_date2_hijri;
        $searchbyradio = $request->searchbyradio;
        $searchByBalanceStatus = $request->searchByBalanceStatus;
        $searchByactiveStatus = $request->searchByactiveStatus;
        $mirror['searchByBalanceStatus'] = $searchByBalanceStatus;



        if ($search_by_text != '') {
            if ($searchbyradio == 'lift_num') {
                $field1 = "lift_num";
                $operator1 = "=";
                $value1 = $search_by_text;
            } elseif ($searchbyradio == 'account_number') {
                $field1 = "account_number";
                $operator1 = "=";
                $value1 = $search_by_text;
            } else {
                $field1 = "name";
                $operator1 = "like";
                $value1 = "%{$search_by_text}%";
            }
        } else {
            //true 
            $field1 = "id";
            $operator1 = ">";
            $value1 = 0;
        }
        if ($searchByBalanceStatus == "all") {
            $field2 = "id";
            $operator2 = ">";
            $value2 = 0;
        } else {
            if ($searchByBalanceStatus == 1) {
                $field2 = "current_balance";
                $operator2 = "<";
                $value2 = 0;
            } elseif ($searchByBalanceStatus == 2) {
                $field2 = "current_balance";
                $operator2 = ">";
                $value2 = 0;
            } else {
                $field2 = "current_balance";
                $operator2 = "=";
                $value2 = 0;
            }
        }

        if ($searchByactiveStatus == "all") {
            $field3 = "id";
            $operator3 = ">";
            $value3 = 0;
        } else {

            $field3 = "active";
            $operator3 = "=";
            $value3 = $searchByactiveStatus;
        }
        if ($search_by_date1 != '') {

            $field4 = "maintenance_end_date";
            $operator4 = ">=";
            $value4 = $search_by_date1;
        } else {
            //true 
            $field4 = "id";
            $operator4 = ">";
            $value4 = 0;
        }
        if ($search_by_date2 != '') {

            $field5 = "maintenance_end_date";
            $operator5 = "<=";
            $value5 = $search_by_date2;
        } else {
            //true 
            $field5 = "id";
            $operator5 = ">";
            $value5 = 0;
        }
        if ($search_by_date1 != '') {

            $field4 = "maintenance_end_date";
            $operator4 = ">=";
            $value4 = $search_by_date1;
        } else {
            //true 
            $field4 = "id";
            $operator4 = ">";
            $value4 = 0;
        }
        //////////////بحث بالتاريخ الهجري
        if ($search_by_date1_hijri != '') {

            $field7 = "maintenance_end_date_hijri";
            $operator7 = ">=";
            $value7 = $search_by_date1_hijri;
        } else {
            //true 
            $field7 = "id";
            $operator7 = ">";
            $value7 = 0;
        }
        if ($search_by_date2_hijri != '') {

            $field8 = "maintenance_end_date_hijri";
            $operator8 = "<=";
            $value8 = $search_by_date2_hijri;
        } else {
            //true 
            $field8 = "id";
            $operator8 = ">";
            $value8 = 0;
        }
        ////////////


        $data = contract::where($field1, $operator1, $value1)
            ->where($field2, $operator2, $value2)
            ->where($field3, $operator3, $value3)
            ->where($field4, $operator4, $value4)
            ->where($field5, $operator5, $value5)
            ->where($field7, $operator7, $value7)
            ->where($field8, $operator8, $value8)
            ->where(['com_code' => $com_code])
            ->orderBy('id', 'DESC')->get();
        // dd($data);
        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
            }
            //General mirror 
            $mirror['credit_sum'] = Customer::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where("current_balance", "<", 0)->where($field3, $operator3, $value3)->where(['com_code' => $com_code])->sum('current_balance');
            $mirror['debit_sum'] = Customer::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where("current_balance", ">", 0)->where($field3, $operator3, $value3)->where(['com_code' => $com_code])->sum('current_balance');
            $mirror['net'] = $mirror['credit_sum'] + $mirror['debit_sum'];
            $systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => $com_code));

            return view('admin.contracts.print_search', ['data' => $data, 'mirror' => $mirror, 'systemData' => $systemData]);
        }
    }
}
