<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Admin;
use App\Models\Admin_panel_setting;
use App\Models\Suppliers_with_orders;
use App\Models\Suppliers_with_orders_details;
use App\Models\Treasuries_transactions;
use App\Models\Sales_invoices;
use App\Models\Sales_invoices_details;
use App\Models\SalesReturn;
use App\Models\SalesReturnDetails;
use App\Models\Inv_itemCard;
use App\Models\Inv_uom;
use App\Models\Inv_itemcard_batches;
use App\Models\inv_itemcard_categorie;
use App\Models\inv_itemcard_retails_uoms;



class ProfitController extends Controller
{
    public function index()
    {
        $com_code = auth()->user()->com_code;
        $inv_itemcard_categories = get_cols_where(new inv_itemcard_categorie(), array('id', 'name'), array('com_code' => $com_code, 'active' => 1), 'id', 'DESC');
        $inv_itemcard = get_cols_where(new Inv_itemCard(), array('item_code', 'name', 'barcode'), array('com_code' => $com_code), 'id', 'DESC');
        return view('admin.Profit.index', ['inv_itemcard_categories' => $inv_itemcard_categories, 'inv_itemcard' => $inv_itemcard]);
    }
    public function get_items_by_category(Request $request)
    {
        if ($request->ajax()) {
            $inv_itemcard_categories_id = $request->inv_itemcard_categories_id;
            $active_search = $request->active_search;
            $com_code = auth()->user()->com_code;

            if ($inv_itemcard_categories_id == 'all') {
                //دائما  true
                $field1 = "id";
                $operator1 = ">";
                $value1 = 0;
            } else {
                $field1 = "inv_itemcard_categories_id";
                $operator1 = "=";
                $value1 = $inv_itemcard_categories_id;
            }
            if ($active_search == 'all') {
                //دائما  true
                $field2 = "id";
                $operator2 = ">";
                $value2 = 0;
            } else {
                $field2 = "active";
                $operator2 = "=";
                $value2 = $active_search;
            }
            $inv_itemcard = Inv_itemCard::select("name", "item_code", "barcode")->where("com_code", "=", $com_code)->where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->orderby('item_code', 'ASC')->get();

            return view('admin.Profit.get_items_by_category', ['inv_itemcard' => $inv_itemcard]);
        }
    }
    function do_get_items_profit_report(Request $request)
    {
        $inv_itemcard_categories_id = $request->inv_itemcard_categories_id;
        $active_search = $request->active_search;
        $com_code = auth()->user()->com_code;
        $active_search = $request->active_search;
       $item_code_search= $request->item_code_search;
        if ($inv_itemcard_categories_id == 'all') {
            //دائما  true
            $field1 = "id";
            $operator1 = ">";
            $value1 = 0;
            $inv_itemcard_categories_name ="";
        } else {
            $field1 = "inv_itemcard_categories_id";
            $operator1 = "=";
            $value1 = $inv_itemcard_categories_id;
            $inv_itemcard_categories_name = get_field_value(new inv_itemcard_categorie(), 'name', array('id' => $inv_itemcard_categories_id));
        }
        if ($active_search == 'all') {
            //دائما  true
            $field2 = "id";
            $operator2 = ">";
            $value2 = 0;
        } else {
            $field2 = "active";
            $operator2 = "=";
            $value2 = $active_search;
        }
        if ($item_code_search == 'all') {
            //دائما  true
            $field3 = "id";
            $operator3 = ">";
            $value3 = 0;
        } else {
            $field3 = "item_code";
            $operator3 = "=";
            $value3 = $item_code_search;
        }

        $from_date = $request->from_date;
        $to_date = $request->to_date;
       $other['total_BurchasesInvoicesCounter']=0;
       $other['total_BurchasesInvoicesQuantity']=0;
       $other['total_BurchasesInvoicesTotalPrice']=0;
       $other['total_BurchasesInvoicesReturnCounter']=0;
       $other['total_BurchasesInvoicesReturnQuantity']=0;
       $other['total_BurchasesInvoicesReturnTotalPrice']=0;
       $other['total_SalesInvoicesCounter']=0;
       $other['total_SalesInvoicesQuantity']=0;
       $other['total_SalesInvoicesTotalPrice']=0;
       $other['total_SalesInvoicesReturnCounter']=0;
       $other['total_SalesInvoicesReturnQuantity']=0;
       $other['total_SalesInvoicesReturnTotalPrice']=0;
       $other['total_netBurchases']=0;
       $other['total_neSales']=0;
        $inv_itemcard = Inv_itemCard::select("name", "item_code", "barcode",'inv_itemcard_categories_id','uom_id')->where("com_code", "=", $com_code)->where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->orderby('item_code', 'ASC')->get();
        if (!empty($inv_itemcard)) {
            foreach ($inv_itemcard as $info) {
                //Burchases 
                $info->BurchasesInvoicesCounter = Suppliers_with_orders_details::where("com_code", "=", $com_code)->where('item_code', '=', $info->item_code)->where('order_date', '>=', $from_date)->where('order_date', '<=', $to_date)->where('order_type', '=', 1)->count();
                $info->BurchasesInvoicesQuantity = Suppliers_with_orders_details::where("com_code", "=", $com_code)->where('item_code', '=', $info->item_code)->where('order_date', '>=', $from_date)->where('order_date', '<=', $to_date)->where('order_type', '=', 1)->sum('quantityByParentUom');
                $info->BurchasesInvoicesTotalPrice = Suppliers_with_orders_details::where("com_code", "=", $com_code)->where('item_code', '=', $info->item_code)->where('order_date', '>=', $from_date)->where('order_date', '<=', $to_date)->where('order_type', '=', 1)->sum('total_price');

                //Burchases Return
                $info->BurchasesInvoicesReturnCounter = Suppliers_with_orders_details::where("com_code", "=", $com_code)->where('item_code', '=', $info->item_code)->where('order_date', '>=', $from_date)->where('order_date', '<=', $to_date)->where('order_type', '>', 1)->count();
                $info->BurchasesInvoicesReturnQuantity = Suppliers_with_orders_details::where("com_code", "=", $com_code)->where('item_code', '=', $info->item_code)->where('order_date', '>=', $from_date)->where('order_date', '<=', $to_date)->where('order_type', '>', 1)->sum('quantityByParentUom');
                $info->BurchasesInvoicesReturnTotalPrice = Suppliers_with_orders_details::where("com_code", "=", $com_code)->where('item_code', '=', $info->item_code)->where('order_date', '>=', $from_date)->where('order_date', '<=', $to_date)->where('order_type', '>', 1)->sum('total_price');
                $info->netBurchases = $info->BurchasesInvoicesTotalPrice - $info->BurchasesInvoicesReturnTotalPrice;


                //Sales
                $info->SalesInvoicesCounter = Sales_invoices_details::where("com_code", "=", $com_code)->where('item_code', '=', $info->item_code)->where('invoice_date', '>=', $from_date)->where('invoice_date', '<=', $to_date)->count();
                $info->SalesInvoicesQuantity = Sales_invoices_details::where("com_code", "=", $com_code)->where('item_code', '=', $info->item_code)->where('invoice_date', '>=', $from_date)->where('invoice_date', '<=', $to_date)->sum('quantityByParentUom');
                $info->SalesInvoicesTotalPrice = Sales_invoices_details::where("com_code", "=", $com_code)->where('item_code', '=', $info->item_code)->where('invoice_date', '>=', $from_date)->where('invoice_date', '<=', $to_date)->sum('total_price');

                //Sales Return
                $info->SalesInvoicesReturnCounter = SalesReturnDetails::where("com_code", "=", $com_code)->where('item_code', '=', $info->item_code)->where('invoice_date', '>=', $from_date)->where('invoice_date', '<=', $to_date)->count();
                $info->SalesInvoicesReturnQuantity = SalesReturnDetails::where("com_code", "=", $com_code)->where('item_code', '=', $info->item_code)->where('invoice_date', '>=', $from_date)->where('invoice_date', '<=', $to_date)->sum('quantityByParentUom');
                $info->SalesInvoicesReturnTotalPrice = SalesReturnDetails::where("com_code", "=", $com_code)->where('item_code', '=', $info->item_code)->where('invoice_date', '>=', $from_date)->where('invoice_date', '<=', $to_date)->sum('total_price');
                $info->neSales = $info->SalesInvoicesTotalPrice - $info->SalesInvoicesReturnTotalPrice;
                $info->inv_itemcard_categories_name = get_field_value(new inv_itemcard_categorie(), 'name', array('id' => $info->inv_itemcard_categories_id));
                $info->Uom_name = get_field_value(new Inv_uom(), 'name', array('id' => $info->uom_id));

                $other['total_BurchasesInvoicesCounter']+=$info->BurchasesInvoicesCounter;
                $other['total_BurchasesInvoicesQuantity']+=$info->BurchasesInvoicesQuantity;
                $other['total_BurchasesInvoicesTotalPrice']+=$info->BurchasesInvoicesTotalPrice;
                $other['total_BurchasesInvoicesReturnCounter']+=$info->BurchasesInvoicesReturnCounter;
                $other['total_BurchasesInvoicesReturnQuantity']+=$info->BurchasesInvoicesReturnQuantity;
                $other['total_BurchasesInvoicesReturnTotalPrice']+=$info->BurchasesInvoicesReturnTotalPrice;
                $other['total_SalesInvoicesCounter']+=$info->SalesInvoicesCounter;
                $other['total_SalesInvoicesQuantity']+=$info->SalesInvoicesQuantity;
                $other['total_SalesInvoicesTotalPrice']+=$info->SalesInvoicesTotalPrice;
                $other['total_SalesInvoicesReturnCounter']+=$info->SalesInvoicesReturnCounter;
                $other['total_SalesInvoicesReturnQuantity']+=$info->SalesInvoicesReturnQuantity;
                $other['total_SalesInvoicesReturnTotalPrice']+=$info->SalesInvoicesReturnTotalPrice;
                $other['total_netBurchases']+=$info->netBurchases;
                $other['total_neSales']+=$info->neSales;
                

            }
        }
        $systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => $com_code));

        return view('admin.Profit.do_get_items_profit_report', ['inv_itemcard' => $inv_itemcard, 'from_date' => $from_date, 'to_date' => $to_date,'systemData'=>$systemData,'inv_itemcard_categories_name'=>$inv_itemcard_categories_name,'other'=>$other]);
    }
}
