<?php
//لاتنسونا من صالح الدعاء
//أخي الكريم هذا الكود هو اول 130 ساعة بالكورس الي نهاية الدورة الفيدو رقم  231- اما باقي أكواد الدورة الثانية للتطوير النظام موجوده بالدورة ولابد ان تكتبها بنفسك لأهميتها وللإستفادة

namespace App\Http\Controllers\Admin;

use App\Models\Admin;
use App\Models\Suppliers_with_orders;
use App\Models\Suppliers_with_orders_details;
use App\Models\Inv_itemCard;
use App\Models\Inv_uom;
use App\Models\Store;
use App\Models\Admins_Shifts;
use App\Models\Admins_stores;
use App\Models\Treasuries;
use App\Models\Treasuries_transactions;
use App\Models\Inv_itemcard_movements;
use App\Models\Account;
use App\Models\Supplier;
use App\Models\Admin_panel_setting;
use App\Models\Inv_itemcard_batches;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Requests\Suppliers_with_ordersRequest;
use App\Http\Requests\SupplierWithOrdersApproveBursahseRequst;
use App\Models\services_with_orders;
use Illuminate\Support\Facades\DB;
use App\Models\Alerts_system_monitoring;
use App\Models\Inv_itemcard_retails_uoms;

use Salla\ZATCA\GenerateQrCode;
use Salla\ZATCA\Tags\InvoiceDate;
use Salla\ZATCA\Tags\InvoiceTaxAmount;
use Salla\ZATCA\Tags\InvoiceTotalAmount;
use Salla\ZATCA\Tags\Seller;
use Salla\ZATCA\Tags\TaxNumber;

use File;

class Suppliers_with_ordersController extends Controller
{
    public function index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(62);
        }
        $com_code = auth()->user()->com_code;
        $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1,'admin_id'=>auth()->user()->id), 'store_id', 'ASC');

      
        $data = get_cols_where_whereIN_p(new Suppliers_with_orders(), array("*"), array("com_code" => $com_code, 'order_type' => 1),"store_id",$stores, 'id', 'DESC', PC);
        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                $info->supplier_name = Supplier::where('suuplier_code', $info->suuplier_code)->value('name');
                $info->store_name = Store::where('id', $info->store_id)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }
            }
        }
        if(!empty($stores)){
            foreach($stores as $info){
                $info->name = Store::where('id', $info->store_id)->value('name');
            }
        }
        $suupliers = get_cols_where(new Supplier(), array('suuplier_code', 'name'), array('com_code' => $com_code), 'id', 'DESC');
        return view('admin.suppliers_with_orders.index', ['data' => $data, 'suupliers' => $suupliers, 'stores' => $stores]);
    }
    public function create()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(63);
        }
        $com_code = auth()->user()->com_code;
        $admin_panel_settings = get_cols_where_row(new Admin_panel_setting(), array("is_set_Batches_setting"), array("com_code" => $com_code));
        if ($admin_panel_settings['is_set_Batches_setting'] == 0) {
            return redirect()->route('admin.suppliers_orders.index')->with(['error' => 'عفوا يجب اولا تحديد  نوع آلية عمل الباتشات بالنظام بالضبط  العام	']);
        }

        $suupliers = get_cols_where(new Supplier(), array('suuplier_code', 'name'), array('com_code' => $com_code, 'active' => 1), 'id', 'DESC');
        $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1,'admin_id'=>auth()->user()->id), 'store_id', 'ASC');
        if(!empty($stores)){
            foreach($stores as $info){
                $info->name = Store::where('id', $info->store_id)->value('name');
            }
        }
                return view('admin.suppliers_with_orders.create', ['suupliers' => $suupliers, 'stores' => $stores]);
    }
    public function store(Suppliers_with_ordersRequest $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(63);
        }
        try {
            $com_code = auth()->user()->com_code;
            $supplierData = get_cols_where_row(new Supplier(), array("account_number","name"), array("suuplier_code" => $request->suuplier_code, "com_code" => $com_code));
            if (empty($supplierData)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا   غير قادر علي الوصول الي بيانات المورد المحدد'])
                    ->withInput();
            }
            $row = get_cols_where_row_orderby(new Suppliers_with_orders(), array("auto_serial"), array("com_code" => $com_code, 'order_type' => 1), 'id', 'DESC');
            if (!empty($row)) {
                $data_insert['auto_serial'] = $row['auto_serial'] + 1;
            } else {
                $data_insert['auto_serial'] = 1;
            }
            DB::beginTransaction();
            $data_insert['order_date'] = $request->order_date;
            $data_insert['order_type'] = 1;
            $data_insert['DOC_NO'] = $request->DOC_NO;
            $data_insert['suuplier_code'] = $request->suuplier_code;
            $data_insert['pill_type'] = $request->pill_type;
            $data_insert['store_id'] = $request->store_id;
            $data_insert['account_number'] = $supplierData['account_number'];
            $data_insert['added_by'] = auth()->user()->id;
            $data_insert['created_at'] = date("Y-m-d H:i:s");
            $data_insert['date'] = date("Y-m-d");
            $data_insert['com_code'] = $com_code;
            $flagData=insert(new Suppliers_with_orders(), $data_insert,true);
            $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
            if($is_active_alerts_system_monitoring==1){
                $store_name = Store::where('id', $request->store_id)->value('name'); 

             /* start alerts_system_monitoring */
                            $data_monitoring_insert['alert_modules_id']=4;
                            $data_monitoring_insert['alert_movetype_id']=43;
                            $data_monitoring_insert['store_id']= $request->store_id;
                            $data_monitoring_insert['account_number']= $supplierData['account_number'];
                            $data_monitoring_insert['account_type']= 2;
                            $data_monitoring_insert['foreign_key_table_code']= $data_insert['auto_serial'];
                            $data_monitoring_insert['content']=" اضافة فاتورة مشتريات رقم  ". $data_insert['auto_serial']." من المورد ".$supplierData['name']." بمخزن ".$store_name;
                            $data_monitoring_insert['foreign_key_table_td']=$flagData['id'];
                            $data_monitoring_insert['added_by']=auth()->user()->id;
                            $data_monitoring_insert['com_code']=auth()->user()->com_code;
                            $data_monitoring_insert['date']=date("Y-m-d");
                            insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
             /* End start alerts_system_monitoring */
             
             }

            DB::commit();
            $id = get_field_value(new Suppliers_with_orders(), "id", array("auto_serial" => $data_insert['auto_serial'], "com_code" => $com_code, "order_type" => 1));


            // Generate QR Code
            $invoice = Suppliers_with_orders::where('auto_serial', $data_insert['auto_serial'])->first();

            if (!is_null($invoice)) {
                    
                $data_admin = Admin_panel_setting::where('com_code', auth()->user()->com_code)->first();

                $dateQr = explode(' ', $invoice['order_date'] . ' 09:00');
                $generatedString = GenerateQrCode::fromArray([
                    new Seller($data_admin->system_name), // seller name        
                    new TaxNumber($data_admin->commrecal_tax_number), // seller tax number
                    new InvoiceDate($dateQr[0] . 'T' . $dateQr[1] . 'Z'), // invoice date as Zulu ISO8601 @see https://en.wikipedia.org/wiki/ISO_8601
                    new InvoiceTotalAmount(number_format((float)$invoice['total_cost'],2,'.','')), // invoice total amount
                    new InvoiceTaxAmount(number_format((float)$invoice['tax_value'],2,'.','')) // invoice tax amount
                ])->toBase64();

                \QrCode::size(100)
                    ->format('svg')
                    ->generate($generatedString, public_path('uploads/suppliers_orders/qr/qr-'. $invoice['auto_serial'] .'.svg'));

            }
            // End Generate QR Code

            return redirect()->route("admin.suppliers_orders.show", $id)->with(['success' => 'لقد تم اضافة البيانات بنجاح']);
        } catch (\Exception $ex) {
            DB::rollBack();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }


    public function show($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(68);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Suppliers_with_orders(), array("*"), array("id" => $id, "com_code" => $com_code, 'order_type' => 1));
            if (empty($data)) {
                return redirect()->route('admin.suppliers_orders.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
            $data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
            $data['supplier_name'] = Supplier::where('suuplier_code', $data['suuplier_code'])->value('name');
            $data['store_name'] = Store::where('id', $data['store_id'])->value('name');
            if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
                $data['updated_by_admin'] = Admin::where('id', $data['updated_by'])->value('name');
            }
            $details = get_cols_where(new Suppliers_with_orders_details(), array("*"), array('suppliers_with_orders_auto_serial' => $data['auto_serial'], 'order_type' => 1, 'com_code' => $com_code), 'id', 'DESC');
            if (!empty($details)) {
                foreach ($details as $info) {
                    $info->item_card_name = Inv_itemCard::where('item_code', $info->item_code)->value('name');
                    $info->barcode = Inv_itemCard::where('item_code', $info->item_code)->value('barcode');

                    $info->uom_name = get_field_value(new Inv_uom(), "name", array("id" => $info->uom_id));
                    $data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
                    if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
                        $data['updated_by_admin'] = Admin::where('id', $data['updated_by'])->value('name');
                    }
                }
            }
            $dmin_panel_settings = Admin_panel_setting::select("settingForDecimalPoint")->where(['com_code' => auth()->user()->com_code])->first();
            return view("admin.suppliers_with_orders.show", ['data' => $data, 'details' => $details,'dmin_panel_settings'=>$dmin_panel_settings]);
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }

    public function edit($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(64);
        }
        $com_code = auth()->user()->com_code;
        $data = get_cols_where_row(new Suppliers_with_orders(), array("*"), array("id" => $id, "com_code" => $com_code, 'order_type' => 1));
        if (empty($data)) {
            return redirect()->route('admin.suppliers_orders.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
        }
        if ($data['is_approved'] == 1) {
            return redirect()->route('admin.suppliers_orders.index')->with(['error' => 'عفوا لايمكن التحديث علي فاتورة معتمدة ومؤرشفة']);
        }
        $suupliers = get_cols_where(new Supplier(), array('suuplier_code', 'name'), array('com_code' => $com_code, 'active' => 1), 'id', 'DESC');
        $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => $com_code, 'active' => 1,'admin_id'=>auth()->user()->id), 'store_id', 'ASC');
        if(!empty($stores)){
            foreach($stores as $info){
                $info->name = Store::where('id', $info->store_id)->value('name');
            }
        }        return view('admin.suppliers_with_orders.edit', ['data' => $data, 'suupliers' => $suupliers, 'stores' => $stores]);
    }
    public function update($id, Suppliers_with_ordersRequest $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(64);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Suppliers_with_orders(), array("is_approved","store_id","account_number","suuplier_code","auto_serial","pill_type"), array("id" => $id, "com_code" => $com_code, 'order_type' => 1));
            if (empty($data)) {
                return redirect()->route('admin.suppliers_with_orders.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
            if ($data['is_approved'] == 1) {
                return redirect()->route('admin.suppliers_orders.index')->with(['error' => 'عفوا لايمكن التحديث علي فاتورة معتمدة ومؤرشفة']);
            }
            $supplierData = get_cols_where_row(new Supplier(), array("account_number","name"), array("suuplier_code" => $request->suuplier_code, "com_code" => $com_code));
            if (empty($supplierData)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا   غير قادر علي الوصول الي بيانات المورد المحدد'])
                    ->withInput();
            }
            DB::beginTransaction();
            $data_to_update['order_date'] = $request->order_date;
            $data_to_update['order_type'] = 1;
            $data_to_update['DOC_NO'] = $request->DOC_NO;
            $data_to_update['suuplier_code'] = $request->suuplier_code;
            $data_to_update['pill_type'] = $request->pill_type;
            $data_to_update['store_id'] = $request->store_id;
            $data_to_update['account_number'] = $supplierData['account_number'];
            $data_to_update['updated_by'] = auth()->user()->id;
            $data_to_update['updated_at'] = date("Y-m-d H:i:s");
            update(new Suppliers_with_orders(), $data_to_update, array("id" => $id, "com_code" => $com_code, 'order_type' => 1));
            $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
            if($is_active_alerts_system_monitoring==1){

             /* start alerts_system_monitoring */
                            $data_monitoring_insert['alert_modules_id']=4;
                            $data_monitoring_insert['alert_movetype_id']=44;
                            $data_monitoring_insert['store_id']= $request->store_id;
                            $data_monitoring_insert['account_number']= $data_to_update['account_number'] ;
                            $data_monitoring_insert['account_type']= 2;
                            $data_monitoring_insert['foreign_key_table_code']= $data['auto_serial'];
                            $store_name = Store::where('id', $data['store_id'])->value('name'); 
                            $data_monitoring_insert['content']=" تعديل فاتورة مشتريات رقم ".$data['auto_serial']." من المورد"." ".$supplierData['name']." بمخزن"." ".$store_name;
                            if($data['store_id']!=$data_to_update['store_id']){
                                $store_name_new = Store::where('id', $request->store_id)->value('name'); 
                                $data_monitoring_insert['content'].=" وتم تغير المخزن ليصبح "." ".$store_name_new;  
                            }  
                            if($data['suuplier_code']!=$data_to_update['suuplier_code']){
                                $supplier_name_new = get_field_value(new Supplier(),"name",array("com_code"=>$com_code,"suuplier_code"=>$request->suuplier_code)); 
                                $data_monitoring_insert['content'].=" وتم تغير المورد ليصبح "." ".$supplier_name_new;  
                            }  
                            if($data['pill_type']!=$data_to_update['pill_type']){
                              if($data['pill_type']==1){
                             $old_pill_type="كاش";
                              }else{
                                $old_pill_type="آجل";
                              }

                              if($data_to_update['pill_type']==1){
                                $new_pill_type="كاش";
                                 }else{
                                   $new_pill_type="آجل";
                                 }
                                 $data_monitoring_insert['content'].=" وتم تغير نوع الفاتورة من  ".$old_pill_type." لتصبح ".$new_pill_type;
                            }                
                             $data_monitoring_insert['foreign_key_table_td']=$id;
                            $data_monitoring_insert['added_by']=auth()->user()->id;
                            $data_monitoring_insert['com_code']=auth()->user()->com_code;
                            $data_monitoring_insert['date']=date("Y-m-d");
                            insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
             /* End start alerts_system_monitoring */
             
             }
           
           
            DB::commit();

            // Generate QR Code
            $invoice = Suppliers_with_orders::find($id);

            File::delete(public_path('uploads/suppliers_orders/qr/qr-'. $invoice->auto_serial .'.svg'));

            if (!is_null($invoice)) {
                    
                $data_admin = Admin_panel_setting::where('com_code', auth()->user()->com_code)->first();

                $dateQr = explode(' ', $invoice['order_date'] . ' 09:00');
                $generatedString = GenerateQrCode::fromArray([
                    new Seller($data_admin->system_name), // seller name        
                    new TaxNumber($data_admin->commrecal_tax_number), // seller tax number
                    new InvoiceDate($dateQr[0] . 'T' . $dateQr[1] . 'Z'), // invoice date as Zulu ISO8601 @see https://en.wikipedia.org/wiki/ISO_8601
                    new InvoiceTotalAmount(number_format((float)$invoice['total_cost'],2,'.','')), // invoice total amount
                    new InvoiceTaxAmount(number_format((float)$invoice['tax_value'],2,'.','')) // invoice tax amount
                ])->toBase64();

                \QrCode::size(100)
                    ->format('svg')
                    ->generate($generatedString, public_path('uploads/suppliers_orders/qr/qr-'. $invoice['auto_serial'] .'.svg'));

            }
            // End Generate QR Code

            return redirect()->route('admin.suppliers_orders.show', $id)->with(['success' => 'لقد تم تحديث البيانات بنجاح']);
        } catch (\Exception $ex) {
            DB::rollBack();
            return redirect()->back()

                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }
    public function get_item_uoms(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $item_code = $request->item_code;
            $item_card_Data = get_cols_where_row(new Inv_itemCard(), array("does_has_retailunit", "uom_id","item_code","cost_price"), array("item_code" => $item_code, "com_code" => $com_code));
            if (!empty($item_card_Data)) {
                if ($item_card_Data['does_has_retailunit'] == 1) {
                    $item_card_Data['parent_uom_name'] = get_field_value(new Inv_uom(), "name", array("id" => $item_card_Data['uom_id']));
                    $item_card_Data['retails_uoms']=get_cols_where(new inv_itemcard_retails_uoms(),array("retail_uom_id","cost_price_retail"),array("com_code"=>$com_code,"item_code"=>$item_card_Data['item_code']),'id','ASC');
                    if (!empty($item_card_Data['retails_uoms'])) {
                        foreach ($item_card_Data['retails_uoms'] as $info) {
                        $info->retail_uom_name = get_field_value(new Inv_uom(), 'name', array('id' => $info->retail_uom_id));
                        }
                        }
             
             
                } else {
                    $item_card_Data['parent_uom_name'] = get_field_value(new Inv_uom(), "name", array("id" => $item_card_Data['uom_id']));
                }
            }
            return view("admin.suppliers_with_orders.get_item_uoms", ['item_card_Data' => $item_card_Data]);
        }
    }


    public function add_new_details(Request $request)
    {

        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $formData = "";
            parse_str($request->formData, $formData);
            $formData['isparentuom']=$request->isparentuom;
            $formData['autoserailparent']=$request->autoserailparent;
            $formData['type']=$request->type;

         $item_code = $formData['item_code_add'];
            $suppliers_with_ordersData = get_cols_where_row(new Suppliers_with_orders(), array("is_approved", "order_date", "tax_value", "discount_value", "id","store_id","suuplier_code","auto_serial","account_number"), array("auto_serial" => $formData['autoserailparent'], "com_code" => $com_code, 'order_type' => 1));
            if (!empty($suppliers_with_ordersData)) {
                if ($suppliers_with_ordersData['is_approved'] == 0) {
                    $data_insert['suppliers_with_orders_auto_serial'] = $formData['autoserailparent'];
                    $data_insert['order_type'] = 1;
                    $data_insert['suppliers_with_order_id'] = $suppliers_with_ordersData['id'];
                    $data_insert['item_code'] = $formData['item_code_add'];
                    $data_insert['deliverd_quantity'] =  todecimal($formData['quantity_add'],5);
                    $data_insert['unit_price'] =  todecimal($formData['price_add']);
                    $data_insert['uom_id'] =  $formData['uom_id_Add'];
                    $data_insert['isparentuom'] =  $formData['isparentuom'];
                    if ( $formData['type'] == 2) {
                        $data_insert['production_date'] =  $formData['production_date'];
                        $data_insert['expire_date'] =  $formData['expire_date'];
                    }
                 if($data_insert['isparentuom']==1){
                    $data_insert['quantityByParentUom']=  $data_insert['deliverd_quantity'] ;
                 }else{
                    $retail_uom_quntToParent=get_field_value(new inv_itemcard_retails_uoms(),"retail_uom_quntToParent",array("item_code" =>$data_insert['item_code'], "com_code" => $com_code,"retail_uom_id"=> $data_insert['uom_id']));
                    $data_insert['quantityByParentUom'] = todecimal($data_insert['deliverd_quantity'] / $retail_uom_quntToParent,5);

                }

                    $data_insert['item_card_type'] =  $formData['type'];
                    $data_insert['total_price'] =  todecimal($formData['total_add']);
                    $data_insert['order_date'] = $suppliers_with_ordersData['order_date'];
                    $data_insert['added_by'] = auth()->user()->id;
                    $data_insert['created_at'] = date("Y-m-d H:i:s");
                    $data_insert['com_code'] = $com_code;
                    $flagData = insert(new Suppliers_with_orders_details(), $data_insert,true);
               
                    if ($flagData) {
                        
                        /** update parent pill */
                        $total_detials_sum = get_sum_where(new Suppliers_with_orders_details(), 'total_price', array("suppliers_with_orders_auto_serial" => $formData['autoserailparent'], 'order_type' => 1, 'com_code' => $com_code));
                        $dataUpdateParent['total_cost_items'] = todecimal($total_detials_sum);
                        $dataUpdateParent['total_after_discount'] = todecimal($total_detials_sum) ;
                        $dataUpdateParent['total_cost'] = todecimal($total_detials_sum);
                        $dataUpdateParent['updated_by'] = auth()->user()->id;
                        $dataUpdateParent['updated_at'] = date("Y-m-d H:i:s");
                        update(new Suppliers_with_orders(), $dataUpdateParent, array("auto_serial" =>  $formData['autoserailparent'], "com_code" => $com_code, 'order_type' => 1));
                        
                        if(isset($formData['price_parent'])){
                            $data_to_updateItemUomPrices['price'] = todecimal($formData['price_parent']);
                            $data_to_updateItemUomPrices['nos_gomla_price'] =todecimal($formData['nos_gomla_price_parent']);
                            $data_to_updateItemUomPrices['gomla_price'] = todecimal($formData['gomla_price_parent']);
                            $data_to_updateItemUomPrices['updated_by'] = auth()->user()->id;
                            $data_to_updateItemUomPrices['updated_at'] = date("Y-m-d H:i:s");
                            $flag=update(new Inv_itemCard(), $data_to_updateItemUomPrices, array('item_code' => $formData['item_code_add'], 'com_code' => $com_code));
                           if($flag){
                            $inv_itemcard_retails_uoms=get_cols_where(new inv_itemcard_retails_uoms(),array("*"),array("com_code"=>$com_code,"item_code"=>$formData['item_code_add']),'id','ASC');
                            if(!empty($inv_itemcard_retails_uoms)){
                                foreach($inv_itemcard_retails_uoms as $info){
                            $dataToUpdateRetail['price_retail']=todecimal($formData['price_retail_'.$info->retail_uom_id]);
                            $dataToUpdateRetail['nos_gomla_price_retail']=todecimal($formData['nos_gomla_price_retail_'.$info->retail_uom_id]);
                            $dataToUpdateRetail['gomla_price_retail']=todecimal($formData['gomla_price_retail_'.$info->retail_uom_id]);
                            $dataToUpdateRetail['updated_by'] = auth()->user()->id;
                            $dataToUpdateRetail['updated_at'] = date("Y-m-d H:i:s");
                       update(new inv_itemcard_retails_uoms(), $dataToUpdateRetail, array('id' => $info->id, 'com_code' => $com_code));
                    
                                }
                            }

                           }

                        }





                        $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
                        if($is_active_alerts_system_monitoring==1){
                            $supplier_name = Supplier::where('suuplier_code', $suppliers_with_ordersData['suuplier_code'])->value('name');
                            $store_name = Store::where('id', $suppliers_with_ordersData['store_id'])->value('name');            
                            $itemCardName = get_field_value(new Inv_itemCard(),"name",array("com_code"=>$com_code,"item_code"=> $formData['item_code_add']));            
                            $UomName = get_field_value(new Inv_uom(),"name",array("com_code"=>$com_code,"id"=> $formData['uom_id_Add']));            
                            /* start alerts_system_monitoring */
                            $data_monitoring_insert['item_code']=$data_insert['item_code'];
                                        $data_monitoring_insert['alert_modules_id']=4;
                                        $data_monitoring_insert['alert_movetype_id']=47;
                                        $data_monitoring_insert['store_id']= $suppliers_with_ordersData['store_id'];
                                        $data_monitoring_insert['account_number']= $suppliers_with_ordersData['account_number'];
                                        $data_monitoring_insert['account_type']= 2;
                                        $data_monitoring_insert['foreign_key_table_code']= $suppliers_with_ordersData['auto_serial'];
                                        $data_monitoring_insert['content']=" اضافة صنف باسم  ".$itemCardName." عدد" ." ". $formData['quantity_add']*(1)." ".$UomName." باجمالي"." جنيه  ".todecimal($formData['total_add']*(1)) ." بفاتورة مشتريات رقم"." ".$suppliers_with_ordersData['auto_serial']."  المورد ".$supplier_name." بمخزن ".$store_name;
                                        $data_monitoring_insert['foreign_key_table_td']=$flagData['id'];
                                        $data_monitoring_insert['added_by']=auth()->user()->id;
                                        $data_monitoring_insert['com_code']=auth()->user()->com_code;
                                        $data_monitoring_insert['date']=date("Y-m-d");
                                        insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
                         /* End start alerts_system_monitoring */
                         
                         }
                      
                      
                      
                        echo json_encode("done");
                    }
                }
            }
        }
    }



    public function reload_itemsdetials(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $auto_serial = $request->autoserailparent;
            $data = get_cols_where_row(new Suppliers_with_orders(), array("is_approved", "id"), array("auto_serial" => $auto_serial, "com_code" => $com_code, 'order_type' => 1));
            if (!empty($data)) {
                $details = get_cols_where(new Suppliers_with_orders_details(), array("*"), array('suppliers_with_orders_auto_serial' => $auto_serial, 'order_type' => 1, 'com_code' => $com_code), 'id', 'DESC');
                if (!empty($details)) {
                    foreach ($details as $info) {
                        $info->item_card_name = Inv_itemCard::where('item_code', $info->item_code)->value('name');
                        $info->uom_name = get_field_value(new Inv_uom(), "name", array("id" => $info->uom_id));
                        $info->barcode = Inv_itemCard::where('item_code', $info->item_code)->value('barcode');
                        $data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
                        if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
                            $data['updated_by_admin'] = Admin::where('id', $data['updated_by'])->value('name');
                        }
                    }
                }
            }
            return view("admin.suppliers_with_orders.reload_itemsdetials", ['data' => $data, 'details' => $details]);
        }
    }
    public function reload_parent_pill(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Suppliers_with_orders(), array("*"), array("auto_serial" => $request->autoserailparent, "com_code" => $com_code, 'order_type' => 1));
            if (!empty($data)) {
                $data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
                $data['supplier_name'] = Supplier::where('suuplier_code', $data['suuplier_code'])->value('name');
                if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
                    $data['updated_by_admin'] = Admin::where('id', $data['updated_by'])->value('name');
                }
                return view("admin.suppliers_with_orders.reload_parent_pill", ['data' => $data]);
            }
        }
    }

    public function load_edit_item_details(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $parent_pill_data = get_cols_where_row(new Suppliers_with_orders(), array("is_approved"), array("auto_serial" => $request->autoserailparent, "com_code" => $com_code, 'order_type' => 1));
            if (!empty($parent_pill_data)) {
                if ($parent_pill_data['is_approved'] == 0) {
                    $item_data_detials = get_cols_where_row(new Suppliers_with_orders_details(), array("*"), array("suppliers_with_orders_auto_serial" => $request->autoserailparent, "com_code" => $com_code, 'order_type' => 1, 'id' => $request->id));
                    $item_cards = get_cols_where(new Inv_itemCard(), array("name", "item_code", "item_type", "barcode"), array('active' => 1, 'com_code' => $com_code), 'id', 'DESC');
                    $item_card_Data = get_cols_where_row(new Inv_itemCard(), array("uom_id","item_code","does_has_retailunit"), array("item_code" => $item_data_detials['item_code'], "com_code" => $com_code));
                    if (!empty($item_card_Data)) {
                        if ($item_card_Data['does_has_retailunit'] == 1) {
                            $item_card_Data['parent_uom_name'] = get_field_value(new Inv_uom(), "name", array("id" => $item_card_Data['uom_id']));
                            $item_card_Data['retails_uoms']=get_cols_where(new inv_itemcard_retails_uoms(),array("retail_uom_id"),array("com_code"=>$com_code,"item_code"=>$item_card_Data['item_code']),'id','ASC');
                            if (!empty($item_card_Data['retails_uoms'])) {
                                foreach ($item_card_Data['retails_uoms'] as $info) {
                                $info->retail_uom_name = get_field_value(new Inv_uom(), 'name', array('id' => $info->retail_uom_id));
                                }
                                }


                        } else {
                            $item_card_Data['parent_uom_name'] = get_field_value(new Inv_uom(), "name", array("id" => $item_card_Data['uom_id']));
                        }
                    }
                    return view("admin.suppliers_with_orders.load_edit_item_details", ['parent_pill_data' => $parent_pill_data, 'item_data_detials' => $item_data_detials, 'item_cards' => $item_cards, 'item_card_Data' => $item_card_Data]);
                }
            }
        }
    }
    public function load_modal_add_details(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $parent_pill_data = get_cols_where_row(new Suppliers_with_orders(), array("is_approved","auto_serial"), array("auto_serial" => $request->autoserailparent, "com_code" => $com_code, 'order_type' => 1));
            if (!empty($parent_pill_data)) {
                if ($parent_pill_data['is_approved'] == 0) {
                    $item_cards = get_cols_where(new Inv_itemCard(), array("name", "item_code", "item_type", 'barcode'), array('active' => 1, 'com_code' => $com_code), 'id', 'DESC');
                    return view("admin.suppliers_with_orders.load_add_new_itemdetails", ['parent_pill_data' => $parent_pill_data, 'item_cards' => $item_cards]);
                }
            }
        }
    }
    public function edit_item_details(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $suppliers_with_ordersData = get_cols_where_row(new Suppliers_with_orders(), array("is_approved", "order_date", "tax_value", "discount_value","auto_serial","suuplier_code","account_number","store_id"), array("auto_serial" => $request->autoserailparent, "com_code" => $com_code, 'order_type' => 1));
            $detailsData = get_cols_where_row(new Suppliers_with_orders_details(), array("*"), array("id" => $request->id, 'com_code' => $com_code, 'order_type' => 1, 'suppliers_with_orders_auto_serial' => $request->autoserailparent));
            if (!empty($suppliers_with_ordersData) and !empty($detailsData)) {
                if ($suppliers_with_ordersData['is_approved'] == 0) {
                    $data_to_update['item_code'] = $request->item_code_add;
                    $data_to_update['deliverd_quantity'] = todecimal($request->quantity_edit,5);
                    $data_to_update['unit_price'] = todecimal($request->price_edit);
                    $data_to_update['uom_id'] = $request->uom_id_Add;
                    $data_to_update['isparentuom'] = $request->isparentuom;
                    if ($request->type == 2) {
                        $data_to_update['production_date'] = $request->production_date;
                        $data_to_update['expire_date'] = $request->expire_date;
                    }
                    if($data_to_update['isparentuom']==1){
                        $data_to_update['quantityByParentUom']=  $data_to_update['deliverd_quantity'] ;
                     }else{
                        $retail_uom_quntToParent=get_field_value(new inv_itemcard_retails_uoms(),"retail_uom_quntToParent",array("item_code" =>$data_to_update['item_code'], "com_code" => $com_code,"retail_uom_id"=>$data_to_update['uom_id'] ));
                        $data_to_update['quantityByParentUom'] = todecimal($data_to_update['deliverd_quantity'] / $retail_uom_quntToParent,5);
    
                    }
                    $data_to_update['item_card_type'] = $request->type;
                    $data_to_update['total_price'] = todecimal($request->total_edit);
                    $data_to_update['order_date'] = $suppliers_with_ordersData['order_date'];
                    $data_to_update['updated_by'] = auth()->user()->id;
                    $data_to_update['updated_at'] = date("Y-m-d H:i:s");
                    $data_to_update['com_code'] = $com_code;
                    $flag = update(new Suppliers_with_orders_details(), $data_to_update, array("id" => $request->id, 'com_code' => $com_code, 'order_type' => 1, 'suppliers_with_orders_auto_serial' => $request->autoserailparent));
                    if ($flag) {
                        /** update parent pill */
                        $total_detials_sum = get_sum_where(new Suppliers_with_orders_details(), 'total_price', array("suppliers_with_orders_auto_serial" => $request->autoserailparent, 'order_type' => 1, 'com_code' => $com_code));
                        $dataUpdateParent['total_cost_items'] = todecimal($total_detials_sum);
                        $dataUpdateParent['total_after_discount'] = todecimal($total_detials_sum);
                        $dataUpdateParent['total_cost'] = todecimal($total_detials_sum);
                        $dataUpdateParent['updated_by'] = auth()->user()->id;
                        $dataUpdateParent['updated_at'] = date("Y-m-d H:i:s");
                        update(new Suppliers_with_orders(), $dataUpdateParent, array("auto_serial" => $request->autoserailparent, "com_code" => $com_code, 'order_type' => 1));
                        $formData = "";
            parse_str($request->formData, $formData);
                             if(isset($formData['price_parent'])){
                            $data_to_updateItemUomPrices['price'] = todecimal($formData['price_parent']);
                            $data_to_updateItemUomPrices['nos_gomla_price'] =todecimal($formData['nos_gomla_price_parent']);
                            $data_to_updateItemUomPrices['gomla_price'] = todecimal($formData['gomla_price_parent']);
                            $data_to_updateItemUomPrices['updated_by'] = auth()->user()->id;
                            $data_to_updateItemUomPrices['updated_at'] = date("Y-m-d H:i:s");
                            $flag=update(new Inv_itemCard(), $data_to_updateItemUomPrices, array('item_code' => $request->item_code_add, 'com_code' => $com_code));
                           if($flag){
                            $inv_itemcard_retails_uoms=get_cols_where(new inv_itemcard_retails_uoms(),array("*"),array("com_code"=>$com_code,"item_code"=>$request->item_code_add),'id','ASC');
                            if(!empty($inv_itemcard_retails_uoms)){
                                foreach($inv_itemcard_retails_uoms as $info){
                            $dataToUpdateRetail['price_retail']=todecimal($formData['price_retail_'.$info->retail_uom_id]);
                            $dataToUpdateRetail['nos_gomla_price_retail']=todecimal($formData['nos_gomla_price_retail_'.$info->retail_uom_id]);
                            $dataToUpdateRetail['gomla_price_retail']=todecimal($formData['gomla_price_retail_'.$info->retail_uom_id]);
                            $dataToUpdateRetail['updated_by'] = auth()->user()->id;
                            $dataToUpdateRetail['updated_at'] = date("Y-m-d H:i:s");
                       update(new inv_itemcard_retails_uoms(), $dataToUpdateRetail, array('id' => $info->id, 'com_code' => $com_code));
                    
                                }
                            }

                           }

                        }

                     
                        $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
                        if($is_active_alerts_system_monitoring==1){
                            $supplier_name = Supplier::where('suuplier_code', $suppliers_with_ordersData['suuplier_code'])->value('name');
                            $store_name = Store::where('id', $suppliers_with_ordersData['store_id'])->value('name');            
                            $itemCardNameOld = get_field_value(new Inv_itemCard(),"name",array("com_code"=>$com_code,"item_code"=>$detailsData['item_code']));            
                            $UomNameOld = get_field_value(new Inv_uom(),"name",array("com_code"=>$com_code,"id"=>$detailsData['uom_id']));            
                            /* start alerts_system_monitoring */
                                        $data_monitoring_insert['item_code']=$data_to_update['item_code'];
                                        $data_monitoring_insert['alert_modules_id']=4;
                                        $data_monitoring_insert['alert_movetype_id']=48;
                                        $data_monitoring_insert['store_id']= $suppliers_with_ordersData['store_id'];
                                        $data_monitoring_insert['account_number']= $suppliers_with_ordersData['account_number'];
                                        $data_monitoring_insert['account_type']= 2;
                                        $data_monitoring_insert['foreign_key_table_code']= $suppliers_with_ordersData['auto_serial'];
                                        $data_monitoring_insert['content']=" تعديل صنف باسم ".$itemCardNameOld." عدد" ." ".todecimal($detailsData['deliverd_quantity']*(1))." ".$UomNameOld." باجمالي"." جنيه  ".todecimal($detailsData['total_price']*(1));
                                        $UomName = get_field_value(new Inv_uom(),"name",array("com_code"=>$com_code,"id"=>$request->uom_id_Add));            
                                        $data_monitoring_insert['content'].=" وأصبح "." عدد" ." ".$request->quantity_edit*(1)." ".$UomName." باجمالي"." جنيه ".todecimal($request->total_edit*(1))." بفاتورة مشتريات رقم"." ".$suppliers_with_ordersData['auto_serial']." المورد ".$supplier_name." بمخزن ".$store_name;
                                        $data_monitoring_insert['foreign_key_table_td']=$request->id;
                                        $data_monitoring_insert['added_by']=auth()->user()->id;
                                        $data_monitoring_insert['com_code']=auth()->user()->com_code;
                                        $data_monitoring_insert['date']=date("Y-m-d");
                                        insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
                         /* End start alerts_system_monitoring */
                         
                         }
                     
                     
                        echo json_encode("done");
                    }
                }
            }
        }
    }

    public function delete($id)
    {
        try {
            $com_code = auth()->user()->com_code;
            $parent_pill_data = get_cols_where_row(new Suppliers_with_orders(), array("*"), array("id" => $id, "com_code" => $com_code, 'order_type' => 1));
            if (empty($parent_pill_data)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا حدث خطأ ما']);
            }
            if ($parent_pill_data['is_approved'] == 1) {
                if (empty($parent_pill_data)) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا  لايمكن الحذف بتفاصيل فاتورة معتمده ومؤرشفة']);
                }
            }
            $flag = delete(new Suppliers_with_orders(), array("id" => $id, "com_code" => $com_code, 'order_type' => 1));
            if ($flag) {

                //حيتم الحذف بشكل الي من خلال العلاقه بين الجدولين ونقدر نستغني عن الكود الخاص بالحذف 
                delete(new Suppliers_with_orders_details(), array("suppliers_with_orders_auto_serial" => $parent_pill_data['auto_serial'], "com_code" => $com_code, 'order_type' => 1));
                $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
                if($is_active_alerts_system_monitoring==1){
    
                 /* start alerts_system_monitoring */
                                $data_monitoring_insert['alert_modules_id']=4;
                                $data_monitoring_insert['alert_movetype_id']=45;
                                $data_monitoring_insert['store_id']=$parent_pill_data['store_id'];
                                $data_monitoring_insert['account_number']= $parent_pill_data['account_number'] ;
                                $data_monitoring_insert['account_type']= 2;
                                $data_monitoring_insert['foreign_key_table_code']= $parent_pill_data['auto_serial'];
                                $store_name = Store::where('id', $parent_pill_data['store_id'])->value('name'); 
                                $supplier_name = get_field_value(new Supplier(),"name",array("com_code"=>$com_code,"suuplier_code"=>$parent_pill_data['suuplier_code'])); 
                                $data_monitoring_insert['content']="  حذف فاتورة مشتريات رقم ".$parent_pill_data['auto_serial']." من المورد"." ".$supplier_name." بمخزن"." ".$store_name;
                                $data_monitoring_insert['foreign_key_table_td']=$id;
                                $data_monitoring_insert['added_by']=auth()->user()->id;
                                $data_monitoring_insert['com_code']=auth()->user()->com_code;
                                $data_monitoring_insert['date']=date("Y-m-d");
                                insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
                 /* End start alerts_system_monitoring */
                 
                 }
               
               
                return redirect()->route('admin.suppliers_orders.index')->with(['success' => 'لقد تم حذف  البيانات بنجاح']);
            }
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }

    public function delete_details($id, $parent_id)
    {
        try {
            $com_code = auth()->user()->com_code;
            $suppliers_with_ordersData = get_cols_where_row(new Suppliers_with_orders(), array("is_approved", "auto_serial","account_number","suuplier_code","store_id"), array("id" => $parent_id, "com_code" => $com_code, 'order_type' => 1));
            if (empty($suppliers_with_ordersData)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا حدث خطأ ما']);
            }
            if ($suppliers_with_ordersData['is_approved'] == 1) {
                if (empty($parent_pill_data)) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا  لايمكن الحذف بتفاصيل فاتورة معتمده ومؤرشفة']);
                }
            }
            $detailsData = get_cols_where_row(new Suppliers_with_orders_details(), array("*"), array("id" => $id, 'com_code' => $com_code, 'order_type' => 1, 'suppliers_with_orders_auto_serial' => $suppliers_with_ordersData['auto_serial']));

            if (!empty($detailsData)) {
                $flag = delete(new Suppliers_with_orders_details(), array("id" => $id, 'com_code' => $com_code, 'order_type' => 1, 'suppliers_with_orders_auto_serial' => $suppliers_with_ordersData['auto_serial']));
                if ($flag) {
                    /** update parent pill */
                    $total_detials_sum = get_sum_where(new Suppliers_with_orders_details(), 'total_price', array("suppliers_with_orders_auto_serial" => $suppliers_with_ordersData['auto_serial'], 'order_type' => 1, 'com_code' => $com_code));
                    $dataUpdateParent['total_cost_items'] = todecimal($total_detials_sum);
                    $dataUpdateParent['total_after_discount'] = todecimal($total_detials_sum) ;
                    $dataUpdateParent['total_cost'] = todecimal($total_detials_sum);
                    $dataUpdateParent['updated_by'] = auth()->user()->id;
                    $dataUpdateParent['updated_at'] = date("Y-m-d H:i:s");
                    update(new Suppliers_with_orders(), $dataUpdateParent, array("id" => $parent_id, "com_code" => $com_code, 'order_type' => 1));
                    $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
                    if($is_active_alerts_system_monitoring==1){
                        $supplier_name = Supplier::where('suuplier_code', $suppliers_with_ordersData['suuplier_code'])->value('name');
                        $store_name = Store::where('id', $suppliers_with_ordersData['store_id'])->value('name');            
                        $itemCardNameOld = get_field_value(new Inv_itemCard(),"name",array("com_code"=>$com_code,"item_code"=>$detailsData['item_code']));            
                        $UomNameOld = get_field_value(new Inv_uom(),"name",array("com_code"=>$com_code,"id"=>$detailsData['uom_id']));            
                        /* start alerts_system_monitoring */
                                    $data_monitoring_insert['item_code']=$detailsData['item_code'];
                                    $data_monitoring_insert['alert_modules_id']=4;
                                    $data_monitoring_insert['alert_movetype_id']=49;
                                    $data_monitoring_insert['store_id']= $suppliers_with_ordersData['store_id'];
                                    $data_monitoring_insert['account_number']= $suppliers_with_ordersData['account_number'];
                                    $data_monitoring_insert['account_type']= 2;
                                    $data_monitoring_insert['foreign_key_table_code']= $suppliers_with_ordersData['auto_serial'];
                                    $data_monitoring_insert['content']=" حذف صنف باسم ".$itemCardNameOld." عدد" ." ".todecimal($detailsData['deliverd_quantity']*(1))." ".$UomNameOld." باجمالي"." جنيه  ".todecimal($detailsData['total_price'])*(1)." بفاتورة مشتريات رقم"." ".$suppliers_with_ordersData['auto_serial']." المورد ".$supplier_name." بمخزن ".$store_name;
                                    $data_monitoring_insert['foreign_key_table_td']=$id;
                                    $data_monitoring_insert['added_by']=auth()->user()->id;
                                    $data_monitoring_insert['com_code']=auth()->user()->com_code;
                                    $data_monitoring_insert['date']=date("Y-m-d");
                                    insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
                     /* End start alerts_system_monitoring */
                     
                     }
                  
                  
                  
                  
                    return redirect()->back()
                        ->with(['success' => '   تم حذف البيانات بنجاح']);
                } else {
                    return redirect()->back()
                        ->with(['error' => 'عفوا حدث خطأ ما']);
                }
            } else {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر الي الوصول للبيانات المطلوبة']);
            }
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }



    public function load_modal_approve_invoice(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Suppliers_with_orders(), array("*"), array("auto_serial" => $request->autoserailparent, "com_code" => $com_code, 'order_type' => 1));
            //current user shift
            $user_shift = get_user_shift(new Admins_Shifts(), new Treasuries(), new Treasuries_transactions());
            $counterDetails = get_count_where(new Suppliers_with_orders_details(), array("suppliers_with_orders_auto_serial" => $request->autoserailparent, "com_code" => $com_code, 'order_type' => 1));
            return view("admin.suppliers_with_orders.load_modal_approve_invoice", ['data' => $data, 'user_shift' => $user_shift, 'counterDetails' => $counterDetails]);
        }
    }
    public function load_usershiftDiv(Request $request)
    {
        if ($request->ajax()) {
            $com_code = auth()->user()->com_code;
            //current user shift
            $user_shift = get_user_shift(new Admins_Shifts(), new Treasuries(), new Treasuries_transactions());
        }
        return view("admin.suppliers_with_orders.load_usershiftDiv", ['user_shift' => $user_shift]);
    }

    //اعتماد وترحيل فاتورة المشتريات 
    function do_approve($auto_serial, Request $request)
    {
        try {


            if (auth()->user()->is_master_admin == 0) {
                check_permission_sub_menue_actions_redirect(67);
            }
            $com_code = auth()->user()->com_code;
            //check is not approved 
            $data = get_cols_where_row(new Suppliers_with_orders(), array("total_cost_items", "is_approved", "id", "account_number", "store_id", "suuplier_code","auto_serial","store_id","total_cost"), array("auto_serial" => $auto_serial, "com_code" => $com_code, 'order_type' => 1));
            if (empty($data)) {
                return redirect()->route("admin.suppliers_orders.index")->with(['error' => "عفوا غير قادر علي الوصول الي البيانات المطلوبة !!"]);
            }
            if ($data['is_approved'] == 1) {
                return redirect()->route('admin.suppliers_orders.index')->with(['error' => 'عفوا لايمكن التحديث علي فاتورة معتمدة ومؤرشفة']);
            }
            $SupplierName = get_field_value(new Supplier(), "name", array("com_code" => $com_code, "suuplier_code" => $data['suuplier_code']));

            $counterDetails = get_count_where(new Suppliers_with_orders_details(), array("suppliers_with_orders_auto_serial" => $auto_serial, "com_code" => $com_code, 'order_type' => 1));
            if ($counterDetails == 0) {
                return redirect()->route("admin.suppliers_orders.show", $data['id'])->with(['error' => "عفوا لايمكن اعتماد الفاتورة قبل اضافة الأصناف عليها !!!            "]);
            }
            DB::beginTransaction();
            $dataUpdateParent['tax_percent'] = $request['tax_percent'];
            $dataUpdateParent['tax_value'] = $request['tax_value'];
            $dataUpdateParent['total_after_discount'] = $request['total_after_discount'];
            $dataUpdateParent['discount_type'] = $request['discount_type'];
            $dataUpdateParent['discount_percent'] = $request['discount_percent'];
            $dataUpdateParent['discount_value'] = $request['discount_value'];
            $dataUpdateParent['total_cost'] = $request['total_cost'];
            $dataUpdateParent['pill_type'] = $request['pill_type'];
            $dataUpdateParent['money_for_account'] = $request['total_cost'] * (-1);
            $dataUpdateParent['is_approved'] = 1;
            $dataUpdateParent['approved_by'] = auth()->user()->com_code;
            $dataUpdateParent['updated_at'] = date("Y-m-d H:i:s");
            $dataUpdateParent['updated_by'] = auth()->user()->com_code;
            //first check for pill type sate cash
            if ($request['pill_type'] == 1) {
                if ($request['what_paid'] != $request['total_cost']) {
                    return redirect()->route("admin.suppliers_orders.show", $data['id'])->with(['error' => "عفوا يجب ان يكون المبلغ بالكامل مدفوع في حالة الفاتورة كاش !!"]);
                }
            }
            //second  check for pill type sate agel
            if ($request['pill_type'] == 2) {
                if ($request['what_paid'] == $request['total_cost']) {
                    return redirect()->route("admin.suppliers_orders.show", $data['id'])->with(['error' => "عفوا يجب ان لايكون المبلغ بالكامل مدفوع في حالة الفاتورة اجل !!"]);
                }
            }
            $dataUpdateParent['what_paid'] = $request['what_paid'];
            $dataUpdateParent['what_remain'] = $request['what_remain'];
            //thaird  check for what paid 
            if ($request['what_paid'] > 0) {
                if ($request['what_paid'] > $request['total_cost']) {
                    return redirect()->route("admin.suppliers_orders.show", $data['id'])->with(['error' => "عفوا يجب ان لايكون المبلغ المدفوع اكبر من اجمالي الفاتورة      !!"]);
                }
                //check for user shift
                $user_shift = get_user_shift(new Admins_Shifts(), new Treasuries(), new Treasuries_transactions());
                //chehck if is empty
                if (empty($user_shift)) {
                    return redirect()->route("admin.suppliers_orders.show", $data['id'])->with(['error' => " عفوا لاتملتك الان شفت خزنة مفتوح لكي تتمكن من اتمام عمليه الصرف"]);
                }
                //check for blance
                if ($user_shift['balance'] < $request['what_paid']) {
                    return redirect()->route("admin.suppliers_orders.show", $data['id'])->with(['error' => " عفوا لاتملتك الان رصيد كافي بخزنة الصرف  لكي تتمكن من اتمام عمليه الصرف"]);
                }
            }
            $flag = update(new Suppliers_with_orders(), $dataUpdateParent, array("auto_serial" => $auto_serial, "com_code" => $com_code, 'order_type' => 1));
            if ($flag) {

                $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
                if($is_active_alerts_system_monitoring==1){
                    $supplier_name = Supplier::where('suuplier_code', $data['suuplier_code'])->value('name');
                    $store_name = Store::where('id', $data['store_id'])->value('name');            
                    /* start alerts_system_monitoring */
                              
                                $data_monitoring_insert['alert_modules_id']=4;
                                $data_monitoring_insert['alert_movetype_id']=50;
                                $data_monitoring_insert['store_id']= $data['store_id'];
                                $data_monitoring_insert['account_number']= $data['account_number'];
                                $data_monitoring_insert['money'] = $data['total_cost'];
                                $data_monitoring_insert['account_type']= 2;
                                $data_monitoring_insert['foreign_key_table_code']= $data['auto_serial'];
                                $data_monitoring_insert['content']=" اعتماد وترحيل فاتورة مشتريات رقم"." ".$data['auto_serial']." المورد ".$supplier_name." بمخزن ".$store_name;
                                $data_monitoring_insert['foreign_key_table_td']=$data['id'];
                                $data_monitoring_insert['added_by']=auth()->user()->id;
                                $data_monitoring_insert['com_code']=auth()->user()->com_code;
                                $data_monitoring_insert['date']=date("Y-m-d");
                                insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
                 /* End start alerts_system_monitoring */
                 
                 }






                //Affect on Supplier Balance  حنأثر في رصيد المورد
                //حنجيب  سجل المورد من الشجره المحاسبية برقم الحساب المالب
                //حركات  مختلفه
                //first make treasuries_transactions  action if what paid >0
                if ($request['what_paid'] > 0) {
                    //first get isal number with treasuries 
                    $treasury_date = get_cols_where_row(new Treasuries(), array("last_isal_exhcange"), array("com_code" => $com_code, "id" => $user_shift['treasuries_id']));
                    if (empty($treasury_date)) {
                        return redirect()->route("admin.suppliers_orders.show", $data['id'])->with(['error' => " عفوا غير قادر علي الوصول الي بيانات الخزنة المطلوبة"]);
                    }
                    $last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
                    if (!empty($last_record_treasuries_transactions_record)) {
                        $dataInsert_treasuries_transactions['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
                    } else {
                        $dataInsert_treasuries_transactions['auto_serial'] = 1;
                    }
                    $dataInsert_treasuries_transactions['isal_number'] = $treasury_date['last_isal_exhcange'] + 1;
                    $dataInsert_treasuries_transactions['shift_code'] = $user_shift['shift_code'];
                    //Credit دائن
                    $dataInsert_treasuries_transactions['money'] = $request['what_paid'] * (-1);
                    $dataInsert_treasuries_transactions['treasuries_id'] = $user_shift['treasuries_id'];
                    $dataInsert_treasuries_transactions['mov_type'] = 9;
                    $dataInsert_treasuries_transactions['move_date'] = date("Y-m-d");
                    $dataInsert_treasuries_transactions['account_number'] = $data["account_number"];
                    $dataInsert_treasuries_transactions['is_account'] = 1;
                    $dataInsert_treasuries_transactions['is_approved'] = 1;
                    $dataInsert_treasuries_transactions['the_foregin_key'] = $data["auto_serial"];
                    //debit مدين
                    $dataInsert_treasuries_transactions['money_for_account'] = $request['what_paid'];
                    $dataInsert_treasuries_transactions['byan']=" صرف نظير فاتورة مشتريات رقم"." ".$data['auto_serial']." المورد ".$supplier_name." بمخزن ".$store_name;
                    
                    $dataInsert_treasuries_transactions['created_at'] = date("Y-m-d H:i:s");
                    $dataInsert_treasuries_transactions['added_by'] = auth()->user()->id;
                    $dataInsert_treasuries_transactions['com_code'] = $com_code;
                    $flagData = insert(new Treasuries_transactions(), $dataInsert_treasuries_transactions,true);
                    if ($flagData) {
                        //update Treasuries last_isal_collect
                        $dataUpdateTreasuries['last_isal_exhcange'] = $dataInsert_treasuries_transactions['isal_number'];
                        update(new Treasuries(), $dataUpdateTreasuries, array("com_code" => $com_code, "id" => $user_shift['treasuries_id']));
                        $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
                        if($is_active_alerts_system_monitoring==1){
                          /* start alerts_system_monitoring */
                                        $data_monitoring_insertAfterPaid['alert_modules_id']=2;
                                        $data_monitoring_insertAfterPaid['alert_movetype_id']=27;
                                        $data_monitoring_insertAfterPaid['content']=$dataInsert_treasuries_transactions['byan'];
                                        $data_monitoring_insertAfterPaid['money'] = $request['what_paid'];
                                        $data_monitoring_insertAfterPaid['foreign_key_table_td']=$flagData['id'];
                                        $data_monitoring_insertAfterPaid['account_number']=$data["account_number"];
                                        $data_monitoring_insertAfterPaid['foreign_key_table_code']=$data['auto_serial'] ;
                                        $data_monitoring_insertAfterPaid['account_type']=2 ;
                                        $data_monitoring_insertAfterPaid['treasuries_id']=$dataInsert_treasuries_transactions['treasuries_id'];
                                        $data_monitoring_insertAfterPaid['shift_code'] = $dataInsert_treasuries_transactions['shift_code'];
                                        $data_monitoring_insertAfterPaid['added_by']=auth()->user()->id;
                                        $data_monitoring_insertAfterPaid['com_code']=auth()->user()->com_code;
                                        $data_monitoring_insertAfterPaid['date']=date("Y-m-d");
                                        insert(new Alerts_system_monitoring(),$data_monitoring_insertAfterPaid,array("com_code"=>auth()->user()->com_code));
                         /* End start alerts_system_monitoring */
                         
                        }
                   
                   
                   
                   
                   
                   
                    }
                }
                refresh_account_blance_supplier($data['account_number'], new Account(), new Supplier(), new Treasuries_transactions(), new Suppliers_with_orders(), new services_with_orders(), false);
                //store move حركة المخزن
                //first Get item card data جنجيب الاصناف اللي علي الفاتورة
                $items = get_cols_where(new Suppliers_with_orders_details(), array("*"), array("suppliers_with_orders_auto_serial" => $auto_serial, "com_code" => $com_code, "order_type" => 1), "id", "ASC");
                if (!empty($items)) {
                 $Settings=get_cols_where_row(new Admin_panel_setting(),array("item_last_priceCost"),array("com_code"=>$com_code)) ;  
                    foreach ($items as $info) {
                        //get itemCard Data
                        $itemCard_Data = get_cols_where_row(new Inv_itemCard(), array("uom_id", "does_has_retailunit"), array("com_code" => $com_code, "item_code" => $info->item_code));
                        if (!empty($itemCard_Data)) {
                            //get Quantity Befor any Action  حنجيب كيمة الصنف بكل المخازن قبل الحركة
                            $quantityBeforMove = get_sum_where(new Inv_itemcard_batches(), "quantity", array("item_code" => $info->item_code, "com_code" => $com_code));
                            //get Quantity Befor any Action  حنجيب كيمة الصنف  بمخزن فاتورة المشتريات الحالي قبل الحركة
                            $quantityBeforMoveCurrntStore = get_sum_where(new Inv_itemcard_batches(), "quantity", array("item_code" => $info->item_code, "com_code" => $com_code, 'store_id' => $data['store_id']));
                            $MainUomName = get_field_value(new Inv_uom(), "name", array("com_code" => $com_code, "id" => $itemCard_Data['uom_id']));
                            //if is parent Uom لو وحده اب
                            if ($info->isparentuom == 1) {
                                $quntity = $info->deliverd_quantity;
                                $unit_price = $info->unit_price;
                            } else {
                                // if is retail  لو كان بوحده الابن التجزئة
                                //التحويل من الاب للابن بنضرب   في النسبة بينهم - اما التحويل من الابن للاب بنقسم علي النسبه بينهما 
                          $itemCard_Data['retail_uom_quntToParent']=get_field_value(new inv_itemcard_retails_uoms(),"retail_uom_quntToParent",array("item_code" => $info->item_code, "com_code" => $com_code,"retail_uom_id"=>$info->uom_id));
                              
                                $quntity = todecimal($info->deliverd_quantity / $itemCard_Data['retail_uom_quntToParent'],5);
                                $unit_price = $info->unit_price * $itemCard_Data['retail_uom_quntToParent'];
                            }
                            //بندخل الكميات للمخزن بوحده القياس الاب  اجباري 
                            //لو الصنف استهلاكي له تاريخ صلاحيه وانتاج فبعمل تحقق بسعر الشراء مع التواريخ
                            //لو الصنف  غير استهلاكي يبقي بعمل تحقق فقط بسعر الشراء
                 $admin_panel_settings = get_cols_where_row(new Admin_panel_setting(), array("Batches_setting_type"), array("com_code" => $com_code));

                            if ($info->item_card_type == 2) {
                                //استهلاكي بتواريخ 
                                $dataInsertBatch["store_id"] = $data['store_id'];
                                $dataInsertBatch["item_code"] = $info->item_code;
                                $dataInsertBatch["production_date"] = $info->production_date;
                                $dataInsertBatch["expired_date"] = $info->expire_date;
                                $dataInsertBatch["unit_cost_price"] = todecimal($unit_price);
                                $dataInsertBatch["inv_uoms_id"] = $itemCard_Data['uom_id'];
                            } else {
                                //بسعر فقط
                                $dataInsertBatch["store_id"] = $data['store_id'];
                                $dataInsertBatch["item_code"] = $info->item_code;
                                $dataInsertBatch["unit_cost_price"] = todecimal($unit_price);
                                $dataInsertBatch["inv_uoms_id"] = $itemCard_Data['uom_id'];
                            }

                            if ($admin_panel_settings['Batches_setting_type'] == 1) {
                                $OldBatchExsists = get_cols_where_row(new Inv_itemcard_batches(), array("quantity", "id", "unit_cost_price",), $dataInsertBatch);
                            } else {
                                $OldBatchExsists = get_cols_where_row(new Inv_itemcard_batches(), array("quantity", "id", "unit_cost_price", "auto_serial"), array("item_code" => $info->item_code, "com_code" => $com_code,"store_id"=> $data['store_id']));
                            }


                            if (!empty($OldBatchExsists)) {
                                //update current Batch تحديث علي الباتش القديمة
                                $dataUpdateOldBatch['quantity'] = $OldBatchExsists['quantity'] + $quntity;
                                if ($admin_panel_settings['Batches_setting_type'] == 1) {
                                    $dataUpdateOldBatch['total_cost_price'] = todecimal($OldBatchExsists['unit_cost_price'] * $dataUpdateOldBatch['quantity']);
                                } else {
                                    $dataUpdateOldBatch['total_cost_price'] =todecimal($unit_price * $dataUpdateOldBatch['quantity']) ;
                                    $dataUpdateOldBatch['unit_cost_price'] = todecimal($unit_price);
                                }

                                $dataUpdateOldBatch["updated_at"] = date("Y-m-d H:i:s");
                                $dataUpdateOldBatch["updated_by"] = auth()->user()->id;
                                $flag = update(new Inv_itemcard_batches(), $dataUpdateOldBatch, array("id" => $OldBatchExsists['id'], "com_code" => $com_code));
                                if ($flag) {
                                    $dataToUpdateItemDetails['batch_auto_serial'] = $OldBatchExsists['auto_serial'];
                                    update(new Suppliers_with_orders_details(), $dataToUpdateItemDetails, array('id' => $info->id));

                                    
                                }
                            } else {
                                //insert new Batch ادخال باتش جديده
                                $dataInsertBatch["quantity"] = $quntity;
                                $dataInsertBatch["total_cost_price"] = todecimal($info->total_price);
                                $dataInsertBatch["created_at"] = date("Y-m-d H:i:s");
                                $dataInsertBatch["added_by"] = auth()->user()->id;
                                $dataInsertBatch["com_code"] = $com_code;
                                $row = get_cols_where_row_orderby(new Inv_itemcard_batches(), array("auto_serial"), array("com_code" => $com_code), 'id', 'DESC');
                                if (!empty($row)) {
                                    $dataInsertBatch['auto_serial'] = $row['auto_serial'] + 1;
                                } else {
                                    $dataInsertBatch['auto_serial'] = 1;
                                }
                                $flag = insert(new Inv_itemcard_batches(), $dataInsertBatch);

                                if ($flag) {
                                    $dataToUpdateItemDetails['batch_auto_serial'] = $dataInsertBatch['auto_serial'];
                                    update(new Suppliers_with_orders_details(), $dataToUpdateItemDetails, array('id' => $info->id));
                                }
                            }
                            //كمية الصنف بكل المخازن بعد اتمام حركة الباتشات وترحيلها
                            $quantityAfterMove = get_sum_where(new Inv_itemcard_batches(), "quantity", array("item_code" => $info->item_code, "com_code" => $com_code));
                            //كمية الصنف بمخزن فاتورة الشراء  بعد اتمام حركة الباتشات وترحيلها
                            $quantityAfterMoveCurrentStore = get_sum_where(new Inv_itemcard_batches(), "quantity", array("item_code" => $info->item_code, "com_code" => $com_code, 'store_id' => $data['store_id']));
                            $dataInsert_inv_itemcard_movements['inv_itemcard_movements_categories'] = 1;
                            $dataInsert_inv_itemcard_movements['items_movements_types'] = 1;
                            $dataInsert_inv_itemcard_movements['item_code'] = $info->item_code;
                            //كود الفاتورة الاب
                            $dataInsert_inv_itemcard_movements['FK_table'] = $auto_serial;
                            //كود صف الابن بتفاصيل الفاتورة
                            $dataInsert_inv_itemcard_movements['FK_table_details'] = $info->id;
                            $dataInsert_inv_itemcard_movements['byan'] = "نظير مشتريات من المورد " . " " . $SupplierName . " فاتورة رقم" . " " . $auto_serial;
                            //كمية الصنف بكل المخازن قبل الحركة
                            $dataInsert_inv_itemcard_movements['quantity_befor_movement'] = "عدد " . " " . ($quantityBeforMove * 1) . " " . $MainUomName;
                            // كمية الصنف بكل المخازن بعد  الحركة
                            $dataInsert_inv_itemcard_movements['quantity_after_move'] = "عدد " . " " . ($quantityAfterMove * 1) . " " . $MainUomName;
                            //كمية الصنف  المخزن الحالي قبل الحركة
                            $dataInsert_inv_itemcard_movements['quantity_befor_move_store'] = "عدد " . " " . ($quantityBeforMoveCurrntStore * 1) . " " . $MainUomName;
                            // كمية الصنف بالمخزن الحالي بعد الحركة الحركة
                            $dataInsert_inv_itemcard_movements['quantity_after_move_store'] = "عدد " . " " . ($quantityAfterMoveCurrentStore * 1) . " " . $MainUomName;
                            $dataInsert_inv_itemcard_movements["store_id"] = $data['store_id'];
                            $dataInsert_inv_itemcard_movements["created_at"] = date("Y-m-d H:i:s");
                            $dataInsert_inv_itemcard_movements["added_by"] = auth()->user()->id;
                            $dataInsert_inv_itemcard_movements["date"] = date("Y-m-d");
                            $dataInsert_inv_itemcard_movements["com_code"] = $com_code;
                            insert(new Inv_itemcard_movements(), $dataInsert_inv_itemcard_movements);
                            //item Move Card حركة الصنف 
                        }

                        

                        if($Settings['item_last_priceCost']==1){
                        //update last Cost price   تحديث اخر سعر شراء للصنف
                        if ($info->isparentuom == 1) {
                                //لو الوحده اللي اشتريت بيها كانت وحده اب 
                     
                         $itemParentUnitPrice=$info->unit_price;
                            } else {
                                // if is retail  لو كان بوحده الابن التجزئة
                                //التحويل من الاب للابن بنضرب   في النسبة بينهم - اما التحويل من الابن للاب بنقسم علي النسبه بينهما 
                             
                                $itemCard_Data['retail_uom_quntToParent']=get_field_value(new inv_itemcard_retails_uoms(),"retail_uom_quntToParent",array("item_code" => $info->item_code, "com_code" => $com_code,"retail_uom_id"=>$info->uom_id));
                                $itemParentUnitPrice= $info->unit_price * $itemCard_Data['retail_uom_quntToParent'];
                            }
                            $dataUpdateItemCardCosts['cost_price'] = todecimal($itemParentUnitPrice);
                           $firstItemCardUpdate= update(new Inv_itemCard(), $dataUpdateItemCardCosts, array("com_code" => $com_code, "item_code" => $info->item_code));
                           if($firstItemCardUpdate){
                  $inv_itemcard_retails_uoms=get_cols_where(new inv_itemcard_retails_uoms(),array("id","retail_uom_quntToParent"),array("item_code" => $info->item_code, "com_code" => $com_code),'id','ASC');
              if(!empty( $inv_itemcard_retails_uoms)){
                foreach( $inv_itemcard_retails_uoms as $rel){
                    $dataUpdateItemCardCostsRetails['cost_price_retail'] = todecimal($itemParentUnitPrice/$rel->retail_uom_quntToParent);      
                 update(new inv_itemcard_retails_uoms(), $dataUpdateItemCardCostsRetails, array("com_code" => $com_code, "id" => $rel->id));

                }
              }

                           }


                        }else{
                        //update last Cost price   تحديث اخر سعر شراء للصنف من متوسط التكلفة
               $the_total_QuantityForItem=get_sum_where(new Inv_itemcard_batches(),"quantity",array("com_code"=>$com_code,"item_code"=>$info->item_code));      
               $the_total_costForItem=get_sum_where(new Inv_itemcard_batches(),"total_cost_price",array("com_code"=>$com_code,"item_code"=>$info->item_code));      
             $itemParentUnitPrice=$the_total_costForItem/$the_total_QuantityForItem;
             $dataUpdateItemCardCosts['cost_price'] =todecimal( $itemParentUnitPrice);
             $firstItemCardUpdate= update(new Inv_itemCard(), $dataUpdateItemCardCosts, array("com_code" => $com_code, "item_code" => $info->item_code));
             if($firstItemCardUpdate){
    $inv_itemcard_retails_uoms=get_cols_where(new inv_itemcard_retails_uoms(),array("id","retail_uom_quntToParent"),array("item_code" => $info->item_code, "com_code" => $com_code),'id','ASC');
if(!empty( $inv_itemcard_retails_uoms)){
  foreach( $inv_itemcard_retails_uoms as $rel){
      $dataUpdateItemCardCostsRetails['cost_price_retail'] = todecimal($itemParentUnitPrice/$rel->retail_uom_quntToParent);      
   update(new inv_itemcard_retails_uoms(), $dataUpdateItemCardCostsRetails, array("com_code" => $com_code, "id" => $info->id));

  }
}

             }
                              
                      
                        }



                      
                        update(new Inv_itemCard(), $dataUpdateItemCardCosts, array("com_code" => $com_code, "item_code" => $info->item_code));
                        // update itemcard Quantity mirror  تحديث المرآه الرئيسية للصنف
                        do_update_itemCardQuantity(new Inv_itemCard(), $info->item_code, new Inv_itemcard_batches());
                        $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
                        if($is_active_alerts_system_monitoring==1){
                            $supplier_name = Supplier::where('suuplier_code', $data['suuplier_code'])->value('name');
                            $store_name = Store::where('id', $data['store_id'])->value('name');            
                            $itemCardNameOld = get_field_value(new Inv_itemCard(),"name",array("com_code"=>$com_code,"item_code"=>$info->item_code));            
                            $UomNameOld = get_field_value(new Inv_uom(),"name",array("com_code"=>$com_code,"id"=>$info->uom_id));            
                            /* start alerts_system_monitoring */
                                        $data_monitoring_insert['item_code']=$info->item_code;
                                        $data_monitoring_insert['alert_modules_id']=4;
                                        $data_monitoring_insert['alert_movetype_id']=51;
                                        $data_monitoring_insert['store_id']= $data['store_id'];
                                        $data_monitoring_insert['account_number']= $data['account_number'];
                                        $data_monitoring_insert['account_type']= 2;
                                        $data_monitoring_insert['foreign_key_table_code']= $data['auto_serial'];
                                        $data_monitoring_insert['content']=" اعتماد وترحيل صنف باسم ".$itemCardNameOld." عدد" ." ".$info->deliverd_quantity*(1)." ".$UomNameOld." باجمالي"." جنيه  ".$info->total_price*(1)." بفاتورة مشتريات رقم"." ".$data['auto_serial']." المورد ".$supplier_name." بمخزن ".$store_name;
                                        $data_monitoring_insert['foreign_key_table_td']=$info->id;
                                        $data_monitoring_insert['added_by']=auth()->user()->id;
                                        $data_monitoring_insert['com_code']=auth()->user()->com_code;
                                        $data_monitoring_insert['date']=date("Y-m-d");
                                        insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
                         /* End start alerts_system_monitoring */
                         
                         }
               
               
                    }
                }
                DB::commit();

                // Generate QR Code
                $invoice = Suppliers_with_orders::find($data['id']);

                File::delete(public_path('uploads/suppliers_orders/qr/qr-'. $invoice->auto_serial .'.svg'));

                if (!is_null($invoice)) {
                        
                    $data_admin = Admin_panel_setting::where('com_code', auth()->user()->com_code)->first();

                    $dateQr = explode(' ', $invoice['order_date'] . ' 09:00');
                    $generatedString = GenerateQrCode::fromArray([
                        new Seller($data_admin->system_name), // seller name        
                        new TaxNumber($data_admin->commrecal_tax_number), // seller tax number
                        new InvoiceDate($dateQr[0] . 'T' . $dateQr[1] . 'Z'), // invoice date as Zulu ISO8601 @see https://en.wikipedia.org/wiki/ISO_8601
                        new InvoiceTotalAmount(number_format((float)$invoice['total_cost'],2,'.','')), // invoice total amount
                        new InvoiceTaxAmount(number_format((float)$invoice['tax_value'],2,'.','')) // invoice tax amount
                    ])->toBase64();

                    \QrCode::size(100)
                        ->format('svg')
                        ->generate($generatedString, public_path('uploads/suppliers_orders/qr/qr-'. $invoice['auto_serial'] .'.svg'));

                }
                // End Generate QR Code

                return redirect()->route("admin.suppliers_orders.show", $data['id'])->with(['success' => " تم اعتماد وترحيل الفاتورة بنجاح  "]);
            }
        } catch (\Exception $ex) {
            DB::rollBack();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }



    public function ajax_search(Request $request)
    {
        if ($request->ajax()) {
            $search_by_text = $request->search_by_text;
            $suuplier_code = $request->suuplier_code;
            $store_id = $request->store_id;
            $order_date_form = $request->order_date_form;
            $order_date_to = $request->order_date_to;
            $searchbyradio = $request->searchbyradio;
            if ($suuplier_code == 'all') {
                //دائما  true
                $field1 = "id";
                $operator1 = ">";
                $value1 = 0;
            } else {
                $field1 = "suuplier_code";
                $operator1 = "=";
                $value1 = $suuplier_code;
            }
            if ($store_id == 'all') {
    $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => auth()->user()->com_code, 'active' => 1,'admin_id'=>auth()->user()->id), 'store_id', 'ASC');
   $whereIN=array();
            } else {
                $field2 = "store_id";
                $operator2 = "=";
                $value2 = $store_id;
            }
            if ($order_date_form == '') {
                //دائما  true
                $field3 = "id";
                $operator3 = ">";
                $value3 = 0;
            } else {
                $field3 = "order_date";
                $operator3 = ">=";
                $value3 = $order_date_form;
            }
            if ($order_date_to == '') {
                //دائما  true
                $field4 = "id";
                $operator4 = ">";
                $value4 = 0;
            } else {
                $field4 = "order_date";
                $operator4 = "<=";
                $value4 = $order_date_to;
            }
            if ($search_by_text != '') {
                if ($searchbyradio == 'auto_serial') {
                    $field5 = "auto_serial";
                    $operator5 = "=";
                    $value5 = $search_by_text;
                } else {
                    $field5 = "auto_serial";
                    $operator5 = "=";
                    $value5 = $search_by_text;
                }
            } else {
                //true 
                $field5 = "id";
                $operator5 = ">";
                $value5 = 0;
            }

            if(isset($whereIN)){
                $data = Suppliers_with_orders::where($field1, $operator1, $value1)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where('order_type', '=', 1)->whereIN('store_id',$stores)->orderBy('id', 'DESC')->paginate(PC);
            }else{
                $data = Suppliers_with_orders::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where('order_type', '=', 1)->orderBy('id', 'DESC')->paginate(PC);
            }
            if (!empty($data)) {
                foreach ($data as $info) {
                    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                    $info->supplier_name = Supplier::where('suuplier_code', $info->suuplier_code)->value('name');
                    $info->store_name = Store::where('id', $info->store_id)->value('name');
                    if ($info->updated_by > 0 and $info->updated_by != null) {
                        $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                    }
                }
            }
            return view('admin.suppliers_with_orders.ajax_search', ['data' => $data]);
        }
    }

    public function printsaleswina4($id, $size)
    {

        try {
            $com_code = auth()->user()->com_code;
            $invoice_data = get_cols_where_row(new Suppliers_with_orders(), array("*"), array("id" => $id, "com_code" => $com_code, 'order_type' => 1));
            if (empty($invoice_data)) {
                return redirect()->route('admin.suppliers_orders.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
            $invoice_data['added_by_admin'] = Admin::where('id', $invoice_data['added_by'])->value('name');
            $invoice_data['supplier_name'] = Supplier::where('suuplier_code', $invoice_data['suuplier_code'])->value('name');
            $invoice_data['supplier_phone'] = Supplier::where('suuplier_code', $invoice_data['suuplier_code'])->value('phones');

            $invoice_data['store_name'] = Store::where('id', $invoice_data['store_id'])->value('name');

            $invoices_details =Suppliers_with_orders_details::select("*")->join('inv_itemcard', 'inv_itemcard.item_code', '=', 'suppliers_with_orders_details.item_code')->
            where("suppliers_with_orders_details.com_code","=",$com_code)->where('suppliers_with_orders_details.suppliers_with_orders_auto_serial','=',$invoice_data['auto_serial'])->
            where('suppliers_with_orders_details.order_type','=',1)->orderby('inv_itemcard.name','ASC')->get();
           
            if (!empty($invoices_details)) {
                foreach ($invoices_details as $info) {
                    $info->item_card_name = Inv_itemCard::where('item_code', $info->item_code)->value('name');
                    $info->barcode = Inv_itemCard::where('item_code', $info->item_code)->value('barcode');

                    $info->uom_name = get_field_value(new Inv_uom(), "name", array("id" => $info->uom_id));
                }
            }
            $systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => $com_code));

            if ($size == "A4") {
                return view('admin.suppliers_with_orders.printsaleswina4', ['data' => $invoice_data, 'systemData' => $systemData, 'sales_invoices_details' => $invoices_details]);
            } else {
                return view('admin.suppliers_with_orders.printsaleswina6', ['data' => $invoice_data, 'systemData' => $systemData, 'sales_invoices_details' => $invoices_details]);
            }
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }

    public function show_item_prices_content(Request $request)
{
if ($request->ajax()) {
    $com_code=auth()->user()->com_code;
    $data = get_cols_where_row(new Inv_itemCard(), array("id","price","nos_gomla_price","gomla_price","cost_price","uom_id","item_code","name"), array("item_code" => $request->item_code,'com_code'=>auth()->user()->com_code));
    if(!empty($data)){
        $data['Uom_name']=get_field_value(new Inv_uom(),"name",array("id"=>$data['uom_id'],'com_code'=>auth()->user()->com_code));
        $data['inv_itemcard_retails_uoms']=get_cols_where(new inv_itemcard_retails_uoms(),array("*"),array("com_code"=>$com_code,"item_code"=>$data['item_code']),'id','ASC');
        if(!empty($data['inv_itemcard_retails_uoms'])){
            foreach($data['inv_itemcard_retails_uoms'] as $info){
               $info->retail_uom_name=get_field_value(new Inv_uom(),"name",array("id"=>$info->retail_uom_id,'com_code'=>auth()->user()->com_code));
            }
        }


    }
    return view('admin.suppliers_with_orders.show_item_prices_content',['data'=>$data]);
}
}
public function print_search(Request $request)
    {
    
            $search_by_text = $request->search_by_text;
            $suuplier_code = $request->suuplier_code;
            $store_id = $request->store_id;
            $order_date_form = $request->order_date_form;
            $order_date_to = $request->order_date_to;
            $searchbyradio = $request->searchbyradio;
            if ($suuplier_code == 'all') {
                //دائما  true
                $field1 = "id";
                $operator1 = ">";
                $value1 = 0;
            } else {
                $field1 = "suuplier_code";
                $operator1 = "=";
                $value1 = $suuplier_code;
            }
            if ($store_id == 'all') {
    $stores = get_cols_where(new Admins_stores(), array('store_id'), array('com_code' => auth()->user()->com_code, 'active' => 1,'admin_id'=>auth()->user()->id), 'store_id', 'ASC');
   $whereIN=array();
            } else {
                $field2 = "store_id";
                $operator2 = "=";
                $value2 = $store_id;
            }
            if ($order_date_form == '') {
                //دائما  true
                $field3 = "id";
                $operator3 = ">";
                $value3 = 0;
            } else {
                $field3 = "order_date";
                $operator3 = ">=";
                $value3 = $order_date_form;
            }
            if ($order_date_to == '') {
                //دائما  true
                $field4 = "id";
                $operator4 = ">";
                $value4 = 0;
            } else {
                $field4 = "order_date";
                $operator4 = "<=";
                $value4 = $order_date_to;
            }
            if ($search_by_text != '') {
                if ($searchbyradio == 'auto_serial') {
                    $field5 = "auto_serial";
                    $operator5 = "=";
                    $value5 = $search_by_text;
                } else {
                    $field5 = "auto_serial";
                    $operator5 = "=";
                    $value5 = $search_by_text;
                }
            } else {
                //true 
                $field5 = "id";
                $operator5 = ">";
                $value5 = 0;
            }

            if(isset($whereIN)){
                $data = Suppliers_with_orders::where($field1, $operator1, $value1)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where('order_type', '=', 1)->whereIN('store_id',$stores)->orderBy('id', 'DESC')->get();
            }else{
                $data = Suppliers_with_orders::where($field1, $operator1, $value1)->where($field2, $operator2, $value2)->where($field3, $operator3, $value3)->where($field4, $operator4, $value4)->where($field5, $operator5, $value5)->where('order_type', '=', 1)->orderBy('id', 'DESC')->get();
            }
            $total_sum=0;
            if (!empty($data)) {
                foreach ($data as $info) {
                    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                    $info->supplier_name = Supplier::where('suuplier_code', $info->suuplier_code)->value('name');
                    $info->store_name = Store::where('id', $info->store_id)->value('name');
                    if ($info->updated_by > 0 and $info->updated_by != null) {
                        $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                    }
                    $total_sum+=$info->total_cost;
                }
            }
            $systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => auth()->user()->com_code));
            return view('admin.suppliers_with_orders.print_search', ['data' => $data,'systemData'=>$systemData,'total_sum'=>$total_sum]);
       
    }
}
