<?php
//لاتنسونا من صالح الدعاء
//أخي الكريم هذا الكود هو اول 130 ساعة بالكورس الي نهاية الدورة الفيدو رقم  231- اما باقي أكواد الدورة الثانية للتطوير النظام موجوده بالدورة ولابد ان تكتبها بنفسك لأهميتها وللإستفادة

namespace App\Http\Controllers\Admin;

use App\Models\Treasuries;
use App\Models\Admin;
use App\Models\Treasuries_delivery;
use App\Http\Requests\TreasuriesRequest;
use App\Http\Requests\Addtreasuries_deliveryRequest;
use App\Http\Controllers\Controller;
use App\Models\Admins_Shifts;
use App\Models\Admins_treasuries;
use App\Models\Alerts_system_monitoring;
use App\Models\Treasuries_transactions;
use App\Models\Admin_panel_setting;
use Illuminate\Http\Request;
use Illuminate\Support\Arr;
use Illuminate\Support\Facades\DB;

class TreasuriesController extends Controller
{
    public function index()
    {
        $com_code = auth()->user()->com_code;
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(3);
        }
        $data = get_cols_where_p(new Treasuries(), array("*"), array("com_code" => $com_code), "id", "DESC", PC);
        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                if ($info->updated_by > 0 and $info->updated_by != null) {
                    $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                }

                $CheckCounter1 = get_count_where(new Admins_Shifts(), array("com_code" => $com_code, "treasuries_id" => $info->id));
                $CheckCounter2 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "treasuries_id" => $info->id));
                $CheckCounter3 = get_count_where(new Admins_treasuries(), array("com_code" => $com_code, "treasuries_id" => $info->id));
                $CheckCounter4 = get_count_where(new treasuries_delivery(), array("com_code" => $com_code, "treasuries_id" => $info->id));
                $CheckCounter5 = get_count_where(new treasuries_delivery(), array("com_code" => $com_code, "treasuries_can_delivery_id" => $info->id));
                $info->counterUsedBefor =  $CheckCounter1 + $CheckCounter2 + $CheckCounter3 + $CheckCounter4 + $CheckCounter5;
            }
        }


        return view('admin.treasuries.index', ['data' => $data]);
    }
    public function create()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(4);
        }
        return view('admin.treasuries.create');
    }
    public function store(TreasuriesRequest $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(4);
        }
        try {
            $com_code = auth()->user()->com_code;
            //check if not exsits
            $checkExists = Treasuries::where(['name' => $request->name, 'com_code' => $com_code])->first();
            if ($checkExists == null) {
                if ($request->is_master == 1) {
                    $checkExists_isMaster = Treasuries::where(['is_master' => 1, 'com_code' => $com_code])->first();
                    if ($checkExists_isMaster != null) {
                        return redirect()->back()
                            ->with(['error' => 'عفوا هناك خزنة رئيسية بالفعل مسجلة من قبل لايمكن ان يكون هناك اكثر من خزنة رئيسية'])
                            ->withInput();
                    }
                }
                DB::beginTransaction();
                $dataTOinsert['name'] = $request->name;
                $dataTOinsert['is_master'] = $request->is_master;
                $dataTOinsert['last_isal_exhcange'] = $request->last_isal_exhcange;
                $dataTOinsert['last_isal_collect'] = $request->last_isal_collect;
                $dataTOinsert['active'] = $request->active;
                $dataTOinsert['created_at'] = date("Y-m-d H:i:s");
                $dataTOinsert['added_by'] = auth()->user()->id;
                $dataTOinsert['com_code'] = $com_code;
                $dataTOinsert['date'] = date("Y-m-d");
             $flagData=insert(new Treasuries(),$dataTOinsert,true);
                DB::commit();
$is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
if($is_active_alerts_system_monitoring==1){
/* start alerts_system_monitoring */
$data_monitoring_insert['alert_modules_id']=1;
$data_monitoring_insert['alert_movetype_id']=2;
$data_monitoring_insert['content']=" اضافة خزنة جديدة باسم ".$request->name;
$data_monitoring_insert['foreign_key_table_td']=$flagData['id'];
$data_monitoring_insert['added_by']=auth()->user()->id;
$data_monitoring_insert['com_code']=auth()->user()->com_code;
$data_monitoring_insert['date']=date("Y-m-d");
insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));

/* End start alerts_system_monitoring */
 }





                return redirect()->route('admin.treasuries.index')->with(['success' => 'لقد تم اضافة البيانات بنجاح']);
            } else {
                return redirect()->back()
                    ->with(['error' => 'عفوا اسم الخزنة مسجل من قبل'])
                    ->withInput();
            }
        } catch (\Exception $ex) {
            DB::rollback();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }
    public function edit($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(5);
        }
        $data = Treasuries::select()->find($id);
        return view('admin.treasuries.edit', ['data' => $data]);
    }
    public function update($id, TreasuriesRequest $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(5);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = Treasuries::select()->find($id);
            if (empty($data)) {
                return redirect()->route('admin.treasuries.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
            $checkExists = Treasuries::where(['name' => $request->name, 'com_code' => $com_code])->where('id', '!=', $id)->first();
            if ($checkExists != null) {
                return redirect()->back()
                    ->with(['error' => 'عفوا اسم الخزنة مسجل من قبل'])
                    ->withInput();
            }
            if ($request->is_master == 1) {
                $checkExists_isMaster = Treasuries::where(['is_master' => 1, 'com_code' => $com_code])->where('id', '!=', $id)->first();
                if ($checkExists_isMaster != null) {
                    return redirect()->back()
                        ->with(['error' => 'عفوا هناك خزنة رئيسية بالفعل مسجلة من قبل لايمكن ان يكون هناك اكثر من خزنة رئيسية'])
                        ->withInput();
                }
            }
            DB::beginTransaction();
            $data_to_update['name'] = $request->name;
            $data_to_update['active'] = $request->active;
            $data_to_update['is_master'] = $request->is_master;
            $data_to_update['last_isal_exhcange'] = $request->last_isal_exhcange;
            $data_to_update['last_isal_collect'] = $request->last_isal_collect;
            $data_to_update['updated_by'] = auth()->user()->id;
            $data_to_update['updated_at'] = date("Y-m-d H:i:s");
            Treasuries::where(['id' => $id, 'com_code' => $com_code])->update($data_to_update);
          DB::commit();
          $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
          if($is_active_alerts_system_monitoring==1){
          /* start alerts_system_monitoring */
$data_monitoring_insert['alert_modules_id']=1;
$data_monitoring_insert['alert_movetype_id']=3;
$data_monitoring_insert['content']=" تعديل خزنة   ".$data['name'];
if($data['name']!= $request->name){
    $data_monitoring_insert['content'].=" الي اسم ". $request->name;   
}

$data_monitoring_insert['foreign_key_table_td']=$id;
$data_monitoring_insert['added_by']=auth()->user()->id;
$data_monitoring_insert['com_code']=auth()->user()->com_code;
$data_monitoring_insert['date']=date("Y-m-d");
insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
/* End start alerts_system_monitoring */
           }




            return redirect()->route('admin.treasuries.index')->with(['success' => 'لقد تم تحديث البيانات بنجاح']);
        } catch (\Exception $ex) {
            DB::rollBack();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
                ->withInput();
        }
    }
    public function ajax_search(Request $request)
    {
        if ($request->ajax()) {
            $search_by_text = $request->search_by_text;
            $com_code = auth()->user()->com_code;
            $data = Treasuries::where('name', 'LIKE', "%{$search_by_text}%")->orderBy('id', 'DESC')->paginate(PC);
            if (!empty($data)) {
                foreach ($data as $info) {
                    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                    if ($info->updated_by > 0 and $info->updated_by != null) {
                        $info->updated_by_admin = Admin::where('id', $info->updated_by)->value('name');
                    }

                    $CheckCounter1 = get_count_where(new Admins_Shifts(), array("com_code" => $com_code, "treasuries_id" => $info->id));
                    $CheckCounter2 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "treasuries_id" => $info->id));
                    $CheckCounter3 = get_count_where(new Admins_treasuries(), array("com_code" => $com_code, "treasuries_id" => $info->id));
                    $CheckCounter4 = get_count_where(new treasuries_delivery(), array("com_code" => $com_code, "treasuries_id" => $info->id));
                    $CheckCounter5 = get_count_where(new treasuries_delivery(), array("com_code" => $com_code, "treasuries_can_delivery_id" => $info->id));
                    $info->counterUsedBefor =  $CheckCounter1 + $CheckCounter2 + $CheckCounter3 + $CheckCounter4 + $CheckCounter5;
                }
            }


            return view('admin.treasuries.ajax_search', ['data' => $data]);
        }
    }

    public function details($id)
    {
        try {
            $com_code = auth()->user()->com_code;
            $data = Treasuries::select()->find($id);
            if (empty($data)) {
                return redirect()->route('admin.treasuries.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
            $data['added_by_admin'] = Admin::where('id', $data['added_by'])->value('name');
            if ($data['updated_by'] > 0 and $data['updated_by'] != null) {
                $data['updated_by_admin'] = Admin::where('id', $data['updated_by'])->value('name');
            }
            $treasuries_delivery = Treasuries_delivery::select()->where(['treasuries_id' => $id])->orderby('id', 'DESC')->get();
            if (!empty($treasuries_delivery)) {
                foreach ($treasuries_delivery as $info) {
                    $info->name = Treasuries::where('id', $info->treasuries_can_delivery_id)->value('name');
                    $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                }
            }
            return view("admin.treasuries.details", ['data' => $data, 'treasuries_delivery' => $treasuries_delivery]);
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }
    public function Add_treasuries_delivery($id)
    {
        try {
            $com_code = auth()->user()->com_code;
            $data = Treasuries::select('id', 'name')->find($id);
            if (empty($data)) {
                return redirect()->route('admin.treasuries.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
            $Treasuries = Treasuries::select('id', 'name')->where(['com_code' => $com_code, 'active' => 1])->get();
            return view("admin.treasuries.Add_treasuries_delivery", ['data' => $data, 'Treasuries' => $Treasuries]);
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }
    public function store_treasuries_delivery($id, Addtreasuries_deliveryRequest $request)
    {
        try {
            $com_code = auth()->user()->com_code;
            $Treasuries = new Treasuries();
            $data = get_cols_where_row(new Treasuries(),array("id","name"),array("id"=>$id,"com_code"=>$com_code));
            if (empty($data)) {
                return redirect()->route('admin.treasuries.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
            $checkExists = Treasuries_delivery::where(['treasuries_id' => $id, 'treasuries_can_delivery_id' => $request->treasuries_can_delivery_id, 'com_code' => $com_code])->first();
            if ($checkExists != null) {
                return redirect()->back()
                    ->with(['error' => 'عفوا هذه الخزنة مسجلة من قبل !'])
                    ->withInput();
            }
            DB::beginTransaction();
            $data_insert_details['treasuries_id'] = $id;
            $data_insert_details['treasuries_can_delivery_id'] = $request->treasuries_can_delivery_id;
            $data_insert_details['created_at'] = date("Y-m-d H:i:s");
            $data_insert_details['added_by'] = auth()->user()->id;
            $data_insert_details['com_code'] = $com_code;
           $flagData=insert(new Treasuries_delivery(),$data_insert_details,true);
            DB::commit();

            $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
            if($is_active_alerts_system_monitoring==1){
            /* start alerts_system_monitoring */
$data_monitoring_insert['alert_modules_id']=1;
$data_monitoring_insert['alert_movetype_id']=5;
$treasuries_can_delivery_name=get_field_value(new Treasuries(),"name",array("com_code"=>$com_code,"id"=>$request->treasuries_can_delivery_id));
$data_monitoring_insert['content']=" اضافة خزنة ".$treasuries_can_delivery_name." كإستلام لخزنة ".$data['name'];
$data_monitoring_insert['foreign_key_table_td']=$flagData['id'];
$data_monitoring_insert['added_by']=auth()->user()->id;
$data_monitoring_insert['com_code']=auth()->user()->com_code;
$data_monitoring_insert['date']=date("Y-m-d");
insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
/* End start alerts_system_monitoring */
             }     


            return redirect()->route('admin.treasuries.details', $id)->with(['success' => 'لقد تم اضافة البيانات بنجاح']);
        } catch (\Exception $ex) {
            DB::rollBack();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }
    public function delete_treasuries_delivery($id)
    {
        try {
            $com_code=auth()->user()->com_code;
            $treasuries_delivery = get_cols_where_row(new Treasuries_delivery(),array("*"),array("id"=>$id,"com_code"=>$com_code));
            if (!empty($treasuries_delivery)) {
                $flag = $treasuries_delivery->delete();
                if ($flag) {

                    $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
                    if($is_active_alerts_system_monitoring==1){
                   /* start alerts_system_monitoring */
$data_monitoring_insert['alert_modules_id']=1;
$data_monitoring_insert['alert_movetype_id']=5;
$treasuries_can_delivery_name=get_field_value(new Treasuries(),"name",array("com_code"=>$com_code,"id"=>  $treasuries_delivery['treasuries_can_delivery_id']));
$treasuries_name=get_field_value(new Treasuries(),"name",array("com_code"=>$com_code,"id"=>  $treasuries_delivery['treasuries_id']));
$data_monitoring_insert['content']=" حذف خزنة ".$treasuries_can_delivery_name." كإستلام لخزنة ".$treasuries_name;
$data_monitoring_insert['foreign_key_table_td']=$id;
$data_monitoring_insert['added_by']=auth()->user()->id;
$data_monitoring_insert['com_code']=auth()->user()->com_code;
$data_monitoring_insert['date']=date("Y-m-d");
insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
/* End start alerts_system_monitoring */ 
                     }




                    return redirect()->back()
                        ->with(['success' => '   تم حذف البيانات بنجاح']);
                } else {
                    return redirect()->back()
                        ->with(['error' => 'عفوا حدث خطأ ما']);
                }
            } else {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر الي الوصول للبيانات المطلوبة']);
            }
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }

    public function delete($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(6);
        }
        try {
            $com_code = auth()->user()->com_code;
            $data = get_cols_where_row(new Treasuries(), array("id","name"), array('com_code' => $com_code, "id" => $id));
            if (empty($data)) {
                return redirect()->route('admin.treasuries.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
            }
            $CheckCounter1 = get_count_where(new Admins_Shifts(), array("com_code" => $com_code, "treasuries_id" => $id));
            $CheckCounter2 = get_count_where(new Treasuries_transactions(), array("com_code" => $com_code, "treasuries_id" => $id));
            $CheckCounter3 = get_count_where(new Admins_treasuries(), array("com_code" => $com_code, "treasuries_id" => $id));
            $CheckCounter4 = get_count_where(new treasuries_delivery(), array("com_code" => $com_code, "treasuries_id" => $id));
            $CheckCounter5 = get_count_where(new treasuries_delivery(), array("com_code" => $com_code, "treasuries_can_delivery_id" => $id));
            if (($CheckCounter1 + $CheckCounter2 + $CheckCounter3 + $CheckCounter4+ $CheckCounter5) > 0) {
                return redirect()->route('admin.treasuries.index')->with(['error' => 'عفوا لايمكن حذف هذه الخزنة لانه تم استخدامها من قبل ومتاح فقط تعطيلها !!']);
            }


            $flag = delete(new Treasuries, array('com_code' => $com_code, "id" => $id));
            if ($flag) {

                $is_active_alerts_system_monitoring=get_field_value(new Admin_panel_setting(),"is_active_alerts_system_monitoring",array("com_code"=>auth()->user()->com_code));
if($is_active_alerts_system_monitoring==1){
/* start alerts_system_monitoring */
$data_monitoring_insert['alert_modules_id']=1;
$data_monitoring_insert['alert_movetype_id']=4;
$data_monitoring_insert['content']=" حذف خزنة  باسم ".$data['name'];
$data_monitoring_insert['foreign_key_table_td']=$id;
$data_monitoring_insert['added_by']=auth()->user()->id;
$data_monitoring_insert['com_code']=auth()->user()->com_code;
$data_monitoring_insert['date']=date("Y-m-d");
insert(new Alerts_system_monitoring(),$data_monitoring_insert,array("com_code"=>auth()->user()->com_code));
/* End start alerts_system_monitoring */
 }


                return redirect()->back()
                    ->with(['success' => '   تم حذف البيانات بنجاح']);
            } else {
                return redirect()->back()
                    ->with(['error' => 'عفوا حدث خطأ ما']);
            }
        } catch (\Exception $ex) {
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }
}
