<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Admin;
use App\Models\Treasuries;
use App\Models\Treasuries_transactions;
use App\Models\TreasuriesFakaTrasactions;
use App\Models\Admin_panel_setting;
use App\Models\Mov_type;
use App\Models\Admins_Shifts;
use App\Models\Admins_treasuries;
use App\Models\Account;
use App\Models\Account_types;
use App\Http\Requests\Treasuriesakarasactionequest;
use Illuminate\Support\Facades\DB;

class TreasuriesFakaTrasaction extends Controller
{
    public function index()
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(250);
        }
        $com_code = auth()->user()->com_code;
        $user_shift = get_user_shift(new Admins_Shifts(), new Treasuries(), new Treasuries_transactions());
       if(!empty($user_shift)){
        $user_shift['counterOpenTransferMove']=TreasuriesFakaTrasactions::where("com_code", '=', $com_code)->
        where("shift_code_trasfer_from", '!=', $user_shift['shift_code'])->
        where('treasuries_id_trasfer_to', '=', $user_shift['treasuries_id'])->
        where('is_delivered', '=', 0)->count();

        $user_shift['SumcounterOpenTransferMove']=TreasuriesFakaTrasactions::where("com_code", '=', $com_code)->
        where("shift_code_trasfer_from", '!=', $user_shift['shift_code'])->
        where('treasuries_id_trasfer_to', '=', $user_shift['treasuries_id'])->
        where('is_delivered', '=', 0)->sum("money_should_deviled");
       }
        if (auth()->user()->is_master_admin == 1 or check_permission_sub_menue_actions(256)) {
           $treasuries=get_cols_where(new Treasuries(),array("id","name"),array("com_code"=>$com_code)); 
            $data = get_cols_where_p(new TreasuriesFakaTrasactions(), array("*"), array("com_code" => $com_code), 'id', 'DESC', PC);
      
            $other['counterOpenTransferMove']=TreasuriesFakaTrasactions::where("com_code", '=', $com_code)->
            where('is_delivered', '=', 0)->count();
    
            $other['SumcounterOpenTransferMove']=TreasuriesFakaTrasactions::where("com_code", '=', $com_code)->
            where('is_delivered', '=', 0)->sum("money_should_deviled");
      
      
        } else {

             $treasuries = get_cols_where(new Admins_treasuries(), array("treasuries_id"), array("com_code" => $com_code, "admin_id" => auth()->user()->id));
                $data = TreasuriesFakaTrasactions::select("*")->where("com_code", "=", $com_code)->where(function ($q) use ($treasuries) {
                    $q->whereIn("treasuries_id_trasfer_from", $treasuries)->orwhereIn("treasuries_id_trasfer_to", $treasuries);
                })->orderby('id','DESC')->paginate(PC);

                $other['counterOpenTransferMove']= TreasuriesFakaTrasactions::where("com_code", "=", $com_code)-> where('is_delivered', '=', 0)->where(function ($q) use ($treasuries) {
                    $q->whereIn("treasuries_id_trasfer_from", $treasuries)->orwhereIn("treasuries_id_trasfer_to", $treasuries);
                })->count();

                $other['SumcounterOpenTransferMove']= TreasuriesFakaTrasactions::where("com_code", "=", $com_code)-> where('is_delivered', '=', 0)->where(function ($q) use ($treasuries) {
                    $q->whereIn("treasuries_id_trasfer_from", $treasuries)->orwhereIn("treasuries_id_trasfer_to", $treasuries);
                })->sum('money_should_deviled');


                if (!empty($treasuries)) {
                    foreach ($treasuries as $info) {
                        $info->name = Treasuries::where('id', $info->treasuries_id)->value('name');
                        $info->id = $info->treasuries_id;
                    }
                }
           
        }
        if (!empty($data)) {
            foreach ($data as $info) {
                $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
                $info->treasuries_name_trasfer_from = Treasuries::where('id', $info->treasuries_id_trasfer_from)->value('name');
                $info->treasuries_name_trasfer_to = Treasuries::where('id', $info->treasuries_id_trasfer_to)->value('name');
              if($info->is_delivered==1){
                $info->is_delivered_by_admin = Admin::where('id', $info->is_delivered_by)->value('name');
              }
            
            }
        }
       
          
        $treasuriesTrasferTo=get_cols_where(new Treasuries(),array("id","name"),array("com_code"=>$com_code)); 
        $admins = get_cols_where(new Admin(), array("id", "name"), array("com_code" => $com_code), 'id', 'ASC');
        return view('admin.treasuriesfakatrasaction.index', ['data' => $data, 'user_shift' => $user_shift, 'treasuries' => $treasuries,'admins'=>$admins,'treasuriesTrasferTo'=>$treasuriesTrasferTo,'other'=>$other]);
    }
    public function store(Treasuriesakarasactionequest $request)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(251);
        }
        try {
            $com_code = auth()->user()->com_code;
            //check if user has open shift or not
            $user_shift = get_user_shift(new Admins_Shifts(), new Treasuries(), new Treasuries_transactions());
            if (empty($user_shift)) {
                return redirect()->back()->with(['error' => "  عفوا لايوجد شفت خزنة مفتوح حاليا !!"])->withInput();
            }
            if ($request->money > $user_shift['balance']) {
                return redirect()->back()->with(['error' => "  عفوا لايوجد رصيد كافي بخزنتك بالشفت المحالي !!"])->withInput();
            }
            DB::beginTransaction();
            $dataToInsertParent['shift_code_trasfer_from'] = $user_shift['shift_code'];
            $dataToInsertParent['treasuries_id_trasfer_from'] = $user_shift['treasuries_id'];
            $dataToInsertParent['treasuries_id_trasfer_to'] = $request->treasuries_id_trasfer_to;
            $dataToInsertParent['byan'] = $request->byan;
            $dataToInsertParent['money_should_deviled'] = todecimal($request->money);
            $dataToInsertParent['created_at'] = date("Y-m-d H:i:s");
            $dataToInsertParent['added_by'] = auth()->user()->id;
            $dataToInsertParent['com_code'] = $com_code;
            $dataToInsertParent['date'] = date("Y-m-d");
            $flagDataParent = insert(new TreasuriesFakaTrasactions(), $dataToInsertParent, true);
            if (!empty($flagDataParent)) {
            }
            //first get isal number with treasuries 
            $treasury_date = get_cols_where_row(new Treasuries(), array("last_isal_exhcange", 'name'), array("com_code" => $com_code, "id" => $user_shift['treasuries_id']));
            if (empty($treasury_date)) {
                return redirect()->back()->with(['error' => "  عفوا بيانات خزنة الشفت الخاص بكم غير موجودة  !!"])->withInput();
            }
            $treasuries_name_trasfer_to = Treasuries::where('id', $request->treasuries_id_trasfer_to)->value('name');

            $last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
            if (!empty($last_record_treasuries_transactions_record)) {
                $dataInsert['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
            } else {
                $dataInsert['auto_serial'] = 1;
            }
            $dataInsert['isal_number'] = $treasury_date['last_isal_exhcange'] + 1;
            $dataInsert['shift_code'] = $user_shift['shift_code'];
            //Credit دائن
            $dataInsert['money'] = todecimal($request->money * (-1));
            $dataInsert['treasuries_id'] = $user_shift['treasuries_id'];
            $dataInsert['mov_type'] = 34;
            $dataInsert['move_date'] = date("Y-m-d");
            $dataInsert['is_account'] = 0;
            $dataInsert['is_approved'] = 1;
            $dataInsert['the_foregin_key'] = $flagDataParent['id'];
            //debit مدين
            $dataInsert['byan'] = "تحويل نقدية من خزنة " . $treasury_date['name'] . " الي خزنة " . $treasuries_name_trasfer_to . " والبيان - " . $request->byan;

            $dataInsert['created_at'] = date("Y-m-d H:i:s");
            $dataInsert['added_by'] = auth()->user()->id;
            $dataInsert['com_code'] = $com_code;
            $flagDataExchange = insert(new Treasuries_transactions(), $dataInsert, true);
            if ($flagDataExchange) {
                $dataUpdateTreasuries['last_isal_exhcange'] = $dataInsert['isal_number'];
                update(new Treasuries(), $dataUpdateTreasuries, array("com_code" => $com_code, "id" => $user_shift['treasuries_id']));

                $datToUpdateParent['treasuries_transactions_transfer_isal_id'] = $flagDataExchange['id'];
                update(new TreasuriesFakaTrasactions(), $datToUpdateParent, array("com_code" => $com_code, 'id' => $flagDataParent['id']));
            }
            DB::commit();
            return redirect()->route('admin.TreasuriesFakaTrasaction.index')->with(['success' => "لقد  تم صرف التحويل بنجاح   "]);
        } catch (\Exception $ex) {
            DB::rollBack();
            return redirect()->back()->with(['error' => "عفوا حدث خطأما" . " " . $ex->getMessage()])->withInput();
        }
    }
    public function destroy($id)
    {
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(252);
        }
        try {
            $com_code = auth()->user()->com_code;
            $user_shift = get_user_shift(new Admins_Shifts(), new Treasuries(), new Treasuries_transactions());
            if (empty($user_shift)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا ليس لديك صلاحية الحذف لحركات شفت آخر']);
            }

            $data = get_cols_where_row(
                new TreasuriesFakaTrasactions(),
                array("*"),
                array(
                    "com_code" => $com_code,
                    "id" => $id,
                    'shift_code_trasfer_from' => $user_shift['shift_code'], 'treasuries_id_trasfer_from' => $user_shift['treasuries_id'],
                    'is_delivered' => 0, 'added_by' => auth()->user()->id
                )
            );
            if (empty($data)) {
                return redirect()->back()
                    ->with(['error' => 'عفوا غير قادر الي الوصول للبيانات المطلوبة']);
            }

            DB::beginTransaction();
            $flag = delete(new TreasuriesFakaTrasactions(), array("com_code" => $com_code, "id" => $id, 'shift_code_trasfer_from' => $user_shift['shift_code'], 'treasuries_id_trasfer_from' => $user_shift['treasuries_id'], 'is_delivered' => 0, 'added_by' => auth()->user()->id));
            if ($flag) {
                delete(new Treasuries_transactions(), array("com_code" => $com_code, "id" => $data['treasuries_transactions_transfer_isal_id'], 'treasuries_id' => $user_shift['treasuries_id'], 'shift_code' => $user_shift['shift_code'], 'mov_type' => 34, 'the_foregin_key' => $id, 'added_by' => auth()->user()->id));
            }
            DB::commit();
            return redirect()->back()
                ->with(['success' => '   تم حذف البيانات بنجاح']);
        } catch (\Exception $ex) {
            DB::rollback();
            return redirect()->back()
                ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()]);
        }
    }

    public function load_confrim_receive(Request $request)
    {
        if ($request->ajax()) {
            $id = $request->id;
            $data = array();
            $com_code = auth()->user()->com_code;
            if (auth()->user()->is_master_admin == 1 or check_permission_sub_menue_actions(253)) {
                $user_shift = get_user_shift(new Admins_Shifts(), new Treasuries(), new Treasuries_transactions());
                if (!empty($user_shift)) {
                    $data = TreasuriesFakaTrasactions::select("*")->where("com_code", '=', $com_code)->where("id", "=", $id)->where("shift_code_trasfer_from", '!=', $user_shift['shift_code'])->where('treasuries_id_trasfer_to', '=', $user_shift['treasuries_id'])->where('is_delivered', '=', 0)->first();
                }
            }
            return view('admin.treasuriesfakatrasaction.load_confrim_receive', ['data' => $data]);
        }
    }
    public function do_confrim_receive(Request $request)
    {

        $com_code = auth()->user()->com_code;
        if (auth()->user()->is_master_admin == 0) {
            check_permission_sub_menue_actions_redirect(253);
        }
        try {
            $com_code = auth()->user()->com_code;
            //check if user has open shift or not
            $user_shift = get_user_shift(new Admins_Shifts(), new Treasuries(), new Treasuries_transactions());
            if (empty($user_shift)) {
                return redirect()->back()->with(['error' => "  عفوا لايوجد شفت خزنة مفتوح حاليا !!"]);
            }

            $data = TreasuriesFakaTrasactions::select("*")->where("com_code", '=', $com_code)->where("id", "=", $request->id)->where("shift_code_trasfer_from", '!=', $user_shift['shift_code'])->where('treasuries_id_trasfer_to', '=', $user_shift['treasuries_id'])->where('is_delivered', '=', 0)->first();

            if (empty($data)) {
                return redirect()->back()->with(['error' => "  عفوا غير قادر للوصول للبيانات  المطلوبة  !!"]);
            }
         DB::beginTransaction();
    $dataTOUpdate['is_delivered']=1;
    $dataTOUpdate['shift_code_trasfer_to']=$user_shift['shift_code'];
    $dataTOUpdate['what_realy_delivered']=todecimal($request->what_realy_delivered);
    $dataTOUpdate['money_state']=$request->money_state;
    $dataTOUpdate['money_state_value']=todecimal($request->money_state_value);
    $dataTOUpdate['is_delivered_by']=auth()->user()->id;
    $dataTOUpdate['is_delivered_at']=date('Y-m-d H:i:s');
$flaUpdateParent= TreasuriesFakaTrasactions::where("com_code", '=', $com_code)->where("id", "=", $request->id)->where("shift_code_trasfer_from", '!=', $user_shift['shift_code'])->where('treasuries_id_trasfer_to', '=', $user_shift['treasuries_id'])->where('is_delivered', '=', 0)->update($dataTOUpdate);
if($flaUpdateParent){
//first get isal number with treasuries 
$treasury_date = get_cols_where_row(new Treasuries(), array("last_isal_collect",'name'), array("com_code" => $com_code, "id" => $user_shift['treasuries_id']));
if (empty($treasury_date)) {
return redirect()->back()->with(['error' => "  عفوا بيانات الخزنة المختارة غير موجوده !!"]);
}
$last_record_treasuries_transactions_record = get_cols_where_row_orderby(new Treasuries_transactions(), array("auto_serial"), array("com_code" => $com_code), "auto_serial", "DESC");
if (!empty($last_record_treasuries_transactions_record)) {
$dataInsert['auto_serial'] = $last_record_treasuries_transactions_record['auto_serial'] + 1;
} else {
$dataInsert['auto_serial'] = 1;
}
$dataInsert['isal_number'] = $treasury_date['last_isal_collect'] + 1;
$dataInsert['shift_code'] = $user_shift['shift_code'];
//debit مدين
$dataInsert['money'] =todecimal($request->what_realy_delivered);
$dataInsert['treasuries_id'] =  $user_shift['treasuries_id'];
$dataInsert['mov_type'] = 35;
$dataInsert['move_date'] = $request->move_date;
$dataInsert['is_account'] = 0;
$dataInsert['is_approved'] = 1;
$dataInsert['move_date'] = date("Y-m-d");;
$treasuries_name_trasfer_from = Treasuries::where('id', $data['treasuries_id_trasfer_from'])->value('name');
$dataInsert['byan'] = "استلام نقدية من خزنة " . $treasuries_name_trasfer_from . " الي خزنة " . $treasury_date['name'] . " والبيان - " . $data['byan'];
$dataInsert['the_foregin_key'] = $request->id;
$dataInsert['created_at'] = date("Y-m-d H:i:s");
$dataInsert['added_by'] = auth()->user()->id;
$dataInsert['approved_datetime'] = date("Y-m-d H:i:s");
$dataInsert['approved_by'] = auth()->user()->id;
$dataInsert['com_code'] = $com_code;
$flagData = insert(new Treasuries_transactions(), $dataInsert,true);
if ($flagData) {

//update Treasuries last_isal_collect
$dataUpdateTreasuries['last_isal_collect'] = $dataInsert['isal_number'];
update(new Treasuries(), $dataUpdateTreasuries, array("com_code" => $com_code, "id" => $user_shift['treasuries_id']));
$dataToUpdateParentISal['treasuries_transactions_deliverd_isal_id']=$flagData['id'];
TreasuriesFakaTrasactions::where("com_code", '=', $com_code)->where("id", "=", $request->id)->update($dataToUpdateParentISal);
}

}

         DB::commit();
         return redirect()->route('admin.TreasuriesFakaTrasaction.index')->with(['success' => "لقد تم إستلام التحويل بنجاح   "]);
        } catch (\Exception $ex) {
            DB::rollBack();
            return redirect()->back()->with(['error' => "عفوا حدث خطأما" . " " . $ex->getMessage()])->withInput();
        }
    }


    public function printsaleswina4_Exchange($id,$size){
        if(auth()->user()->is_master_admin==0){
            check_permission_sub_menue_actions_redirect(254);
            }
        $com_code = auth()->user()->com_code;
        $dataRow = get_cols_where_row(new TreasuriesFakaTrasactions(), array("*"), array("com_code" => $com_code, "id" => $id));
        if(empty($dataRow)){
            return redirect()->back()->with(['error'=>'عفوا غير قادر علي الوصول الي البيانات المطلوبة']);
            }

        $data = get_cols_where_row(new Treasuries_transactions(), array("*"), array("com_code" => $com_code, "id" => $dataRow['treasuries_transactions_transfer_isal_id']));
        if(empty($data)){
        return redirect()->back()->with(['error'=>'عفوا غير قادر علي الوصول الي البيانات المطلوبة']);
        }
        if($data['is_approved']==0){
            return redirect()->back()->with(['error'=>'عفوا لايمكن طباعه ايصال غير معتمد']);
            }
          
        $data['approved_by_admin'] = Admin::where('id', $data['approved_by'])->value('name');
        $data['treasuries_name'] = Treasuries::where('id', $data['treasuries_id'])->value('name');
        $data['mov_type_name'] = Mov_type::where('id', $data['mov_type'])->value('name');
        if($data['is_account']==1){
        $data['account_type'] = Account::where(["account_number" => $data['account_number'], "com_code" => $com_code])->value("account_type");
        $data['account_type_name'] = Account_types::where(["id" => $data['account_type']])->value("name");
        $data['account_name'] = Account::where(["account_number" => $data['account_number'], "com_code" => $com_code])->value("name");
        }else{
            $data['account_name']="لايوجد";
            $data['account_type_name']="لايوجد";   
        }
        $data['printed_by']=auth()->user()->name;
        $systemData=get_cols_where_row(new Admin_panel_setting(),array("system_name","phone","address","photo"),array("com_code"=>$com_code));
    
        if($size=="A4"){
            return view('admin.exchange_transaction.printsaleswina4',['data'=>$data,'systemData'=>$systemData]);
        }else{
            return view('admin.exchange_transaction.printsaleswina6',['data'=>$data,'systemData'=>$systemData]);
        
        }
        }
        
public function printsaleswina4_collect($id,$size){
    if(auth()->user()->is_master_admin==0){
        check_permission_sub_menue_actions_redirect(254);
        }
    $com_code = auth()->user()->com_code;
    $dataRow = get_cols_where_row(new TreasuriesFakaTrasactions(), array("*"), array("com_code" => $com_code, "id" => $id));
    if(empty($dataRow)){
        return redirect()->back()->with(['error'=>'عفوا غير قادر علي الوصول الي البيانات المطلوبة']);
        }
    $data = get_cols_where_row(new Treasuries_transactions(), array("*"), array("com_code" => $com_code, "id" => $dataRow['treasuries_transactions_deliverd_isal_id']));
    if(empty($data)){
    return redirect()->back()->with(['error'=>'عفوا غير قادر علي الوصول الي البيانات المطلوبة']);
    }
    if($data['is_approved']==0){
        return redirect()->back()->with(['error'=>'عفوا لايمكن طباعه ايصال غير معتمد']);
        }
      
    $data['approved_by_admin'] = Admin::where('id', $data['approved_by'])->value('name');
    $data['treasuries_name'] = Treasuries::where('id', $data['treasuries_id'])->value('name');
    $data['mov_type_name'] = Mov_type::where('id', $data['mov_type'])->value('name');
    if($data['is_account']==1){
    $data['account_type'] = Account::where(["account_number" => $data['account_number'], "com_code" => $com_code])->value("account_type");
    $data['account_type_name'] = Account_types::where(["id" => $data['account_type']])->value("name");
    $data['account_name'] = Account::where(["account_number" => $data['account_number'], "com_code" => $com_code])->value("name");
    }else{
        $data['account_name']="لايوجد";
        $data['account_type_name']="لايوجد";   
    }
    $data['printed_by']=auth()->user()->name;
    $systemData=get_cols_where_row(new Admin_panel_setting(),array("system_name","phone","address","photo"),array("com_code"=>$com_code));

    if($size=="A4"){
        return view('admin.collect_transactions.printsaleswina4',['data'=>$data,'systemData'=>$systemData]);
    }else{
        return view('admin.collect_transactions.printsaleswina6',['data'=>$data,'systemData'=>$systemData]);
    
    }
    }

    
public function ajax_search(Request $request)
{
if ($request->ajax()) {
$com_code = auth()->user()->com_code;
$treasuries_search = $request->treasuries_search;
$is_deliverd_search = $request->is_deliverd_search;
$admins_search = $request->admins_search;
$from_date = $request->from_date;
$to_date = $request->to_date;
$money_state_search=$request->money_state_search;
$is_taken_action_search=$request->is_taken_action_search;
if($is_deliverd_search=="all"){
    $field1 = "id";
    $operator1 = ">";
    $value1 = 0;
}else{
    $field1 = "is_delivered";
    $operator1 = "=";
    $value1 = $is_deliverd_search;
}

if($admins_search=="all"){
    $field2 = "id";
    $operator2 = ">";
    $value2 = 0;
}else{
  
    $field2 = "added_by";
    $operator2 = "=";
    $value2 = $admins_search;
}

if($from_date==""){
    $field3 = "id";
    $operator3 = ">";
    $value3 = 0;
}else{
  
    $field3 = "date";
    $operator3 = ">=";
    $value3 = $from_date;
}

if($to_date==""){
    $field4 = "id";
    $operator4 = ">";
    $value4 = 0;
}else{
  
    $field4 = "date";
    $operator4 = "<=";
    $value4 = $to_date;
}
if($money_state_search=="all"){
    $field5 = "id";
    $operator5 = ">";
    $value5 = 0;
}else{
  
    $field5 = "money_state";
    $operator5 = "=";
    $value5 = $money_state_search;
}
if($is_taken_action_search=="all"){
    $field6 = "id";
    $operator6 = ">";
    $value6 = 0;
}else{
  
    $field6 = "is_taken_action";
    $operator6 = "=";
    $value6 = $is_taken_action_search;
}

if($treasuries_search=="all"){
    if (auth()->user()->is_master_admin == 1 or check_permission_sub_menue_actions(256)) {
         $data=TreasuriesFakaTrasactions::select("*")->
         where("com_code","=",$com_code)->
         where($field1,$operator1,$value1)->
         where($field2,$operator2,$value2)->
         where($field3,$operator3,$value3)->
         where($field4,$operator4,$value4)->
         where($field5,$operator5,$value5)->
         where($field6,$operator6,$value6)->

         paginate(PC);
     } else {
    
          $treasuries = get_cols_where(new Admins_treasuries(), array("treasuries_id"), array("com_code" => $com_code, "admin_id" => auth()->user()->id));
             $data = TreasuriesFakaTrasactions::select("*")->
             where("com_code","=",$com_code)->
             where($field1,$operator1,$value1)->
             where($field2,$operator2,$value2)->
             where($field3,$operator3,$value3)->
             where($field4,$operator4,$value4)->
             where($field5,$operator5,$value5)->
             where($field6,$operator6,$value6)->
             where(function ($q) use ($treasuries) {
                 $q->whereIn("treasuries_id_trasfer_from", $treasuries)->orwhereIn("treasuries_id_trasfer_to", $treasuries);
             })->paginate(PC);
    
        
     }

}else{

    $treasuries = get_cols_where(new Treasuries(), array("id"), array("com_code" => $com_code, "id" => $treasuries_search));
             $data = TreasuriesFakaTrasactions::select("*")->
             where("com_code","=",$com_code)->
             where($field1,$operator1,$value1)->
             where($field2,$operator2,$value2)->
             where($field3,$operator3,$value3)->
             where($field4,$operator4,$value4)->
             where($field5,$operator5,$value5)->
             where($field6,$operator6,$value6)->
             where(function ($q) use ($treasuries) {
                 $q->whereIn("treasuries_id_trasfer_from", $treasuries)->orwhereIn("treasuries_id_trasfer_to", $treasuries);
             })->orderby('id','DESC')->paginate(PC);   

}





if (!empty($data)) {
    foreach ($data as $info) {
        $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
        $info->treasuries_name_trasfer_from = Treasuries::where('id', $info->treasuries_id_trasfer_from)->value('name');
        $info->treasuries_name_trasfer_to = Treasuries::where('id', $info->treasuries_id_trasfer_to)->value('name');
      if($info->is_delivered==1){
        $info->is_delivered_by_admin = Admin::where('id', $info->is_delivered_by)->value('name');
      }
    
    }
}


return view('admin.treasuriesfakatrasaction.ajax_search', ['data' => $data]);
}

}

public function load_take_action(Request $request)
{
    if ($request->ajax()) {
        $id = $request->id;
        $data = array();
        $com_code = auth()->user()->com_code;
        if (auth()->user()->is_master_admin == 1 or check_permission_sub_menue_actions(258)) {
         
         $data = TreasuriesFakaTrasactions::select("*")->where("com_code", '=', $com_code)->where("id", "=", $id)->where('is_delivered', '=', 1)->where('money_state', '>', 0)->first();
           if(!empty($data)){
            if($data['is_taken_action']==1){
                $data['is_taken_action_by_name'] = Admin::where('id',  $data['is_taken_action_by'])->value('name');

            }
           } 
        
        return view('admin.treasuriesfakatrasaction.load_take_action', ['data' => $data]);
    }
}

}


public function do_take_action(Request $request)
{

    $com_code = auth()->user()->com_code;
    if (auth()->user()->is_master_admin == 0) {
        check_permission_sub_menue_actions_redirect(258);
    }
    try {
        $com_code = auth()->user()->com_code;
      $id=$request->id;
        $data = TreasuriesFakaTrasactions::select("*")->
        where("com_code", '=', $com_code)->where("id", "=", $id)->where('is_delivered', '=', 1)->where('money_state', '>', 0)->first();

        if (empty($data)) {
            return redirect()->back()->with(['error' => "  عفوا غير قادر للوصول للبيانات  المطلوبة  !!"]);
        }
     DB::beginTransaction();
$dataTOUpdate['is_taken_action']=1;
$dataTOUpdate['is_taken_action_byan']=$request->is_taken_action_byan;
$dataTOUpdate['is_taken_action_by']=auth()->user()->id;
$dataTOUpdate['is_taken_action_at']=date("Y-m-d H:i:s");

$flaUpdateParent= TreasuriesFakaTrasactions::where("com_code", '=', $com_code)->
where("id", "=", $id)->where('is_delivered', '=', 1)->where('money_state', '>', 0)->update($dataTOUpdate);

    DB::commit();
    return redirect()->route('admin.TreasuriesFakaTrasaction.index')->with(['success' => "لقد تم أخذ الاجراء  بنجاح   "]);
   } catch (\Exception $ex) {
       DB::rollBack();
       return redirect()->back()->with(['error' => "عفوا حدث خطأما" . " " . $ex->getMessage()])->withInput();
   }
}


   
public function print_search(Request $request)
{
    if (auth()->user()->is_master_admin == 0) {
        check_permission_sub_menue_actions_redirect(259);
    }

$com_code = auth()->user()->com_code;
$treasuries_search = $request->treasuries_search;
$is_deliverd_search = $request->is_deliverd_search;
$admins_search = $request->admins_search;
$from_date = $request->from_date;
$to_date = $request->to_date;
$money_state_search=$request->money_state_search;
$is_taken_action_search=$request->is_taken_action_search;
if($is_deliverd_search=="all"){
    $field1 = "id";
    $operator1 = ">";
    $value1 = 0;
}else{
    $field1 = "is_delivered";
    $operator1 = "=";
    $value1 = $is_deliverd_search;
}

if($admins_search=="all"){
    $field2 = "id";
    $operator2 = ">";
    $value2 = 0;
}else{
  
    $field2 = "added_by";
    $operator2 = "=";
    $value2 = $admins_search;
}

if($from_date==""){
    $field3 = "id";
    $operator3 = ">";
    $value3 = 0;
}else{
  
    $field3 = "date";
    $operator3 = ">=";
    $value3 = $from_date;
}

if($to_date==""){
    $field4 = "id";
    $operator4 = ">";
    $value4 = 0;
}else{
  
    $field4 = "date";
    $operator4 = "<=";
    $value4 = $to_date;
}
if($money_state_search=="all"){
    $field5 = "id";
    $operator5 = ">";
    $value5 = 0;
}else{
  
    $field5 = "money_state";
    $operator5 = "=";
    $value5 = $money_state_search;
}
if($is_taken_action_search=="all"){
    $field6 = "id";
    $operator6 = ">";
    $value6 = 0;
}else{
  
    $field6 = "is_taken_action";
    $operator6 = "=";
    $value6 = $is_taken_action_search;
}

if($treasuries_search=="all"){
    if (auth()->user()->is_master_admin == 1 or check_permission_sub_menue_actions(256)) {
         $data=TreasuriesFakaTrasactions::select("*")->
         where("com_code","=",$com_code)->
         where($field1,$operator1,$value1)->
         where($field2,$operator2,$value2)->
         where($field3,$operator3,$value3)->
         where($field4,$operator4,$value4)->
         where($field5,$operator5,$value5)->
         where($field6,$operator6,$value6)->

         paginate(PC);
     } else {
    
          $treasuries = get_cols_where(new Admins_treasuries(), array("treasuries_id"), array("com_code" => $com_code, "admin_id" => auth()->user()->id));
             $data = TreasuriesFakaTrasactions::select("*")->
             where("com_code","=",$com_code)->
             where($field1,$operator1,$value1)->
             where($field2,$operator2,$value2)->
             where($field3,$operator3,$value3)->
             where($field4,$operator4,$value4)->
             where($field5,$operator5,$value5)->
             where($field6,$operator6,$value6)->
             where(function ($q) use ($treasuries) {
                 $q->whereIn("treasuries_id_trasfer_from", $treasuries)->orwhereIn("treasuries_id_trasfer_to", $treasuries);
             })->paginate(PC);
    
        
     }

}else{

    $treasuries = get_cols_where(new Treasuries(), array("id"), array("com_code" => $com_code, "id" => $treasuries_search));
             $data = TreasuriesFakaTrasactions::select("*")->
             where("com_code","=",$com_code)->
             where($field1,$operator1,$value1)->
             where($field2,$operator2,$value2)->
             where($field3,$operator3,$value3)->
             where($field4,$operator4,$value4)->
             where($field5,$operator5,$value5)->
             where($field6,$operator6,$value6)->
             where(function ($q) use ($treasuries) {
                 $q->whereIn("treasuries_id_trasfer_from", $treasuries)->orwhereIn("treasuries_id_trasfer_to", $treasuries);
             })->orderby('id','DESC')->paginate(PC);   

}


$other['total_money_should_deviled']=0;


if (!empty($data)) {
    foreach ($data as $info) {
        $info->added_by_admin = Admin::where('id', $info->added_by)->value('name');
        $info->treasuries_name_trasfer_from = Treasuries::where('id', $info->treasuries_id_trasfer_from)->value('name');
        $info->treasuries_name_trasfer_to = Treasuries::where('id', $info->treasuries_id_trasfer_to)->value('name');
      if($info->is_delivered==1){
        $info->is_delivered_by_admin = Admin::where('id', $info->is_delivered_by)->value('name');
      }
      $other['total_money_should_deviled']+=$info->money_should_deviled;
    }
}

$systemData = get_cols_where_row(new Admin_panel_setting(), array("system_name", "phone", "address", "photo"), array("com_code" => $com_code));

return view('admin.treasuriesfakatrasaction.print_search', ['data' => $data,'systemData'=>$systemData,'other'=>$other]);


}

}