<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Admin;
use App\Models\Permission_rols;
use App\Http\Requests\UserProfileRequest;



class UserProfileController extends Controller
{
   public function index(){
    $data=get_cols_where_row(new Admin(),array("*"),array("id"=>auth()->user()->id,'com_code'=>auth()->user()->com_code));
  if(!empty( $data)){
    if($data['is_master_admin']==0){
        $data['User_permission_roles_name']=get_field_value(new Permission_rols(),"name",array("com_code"=>auth()->user()->com_code,"id"=>auth()->user()->permission_roles_id));
    }else{
        $data['User_permission_roles_name']="ادمن رئيسي" ;   
    }
  }
  
  
    return view('admin.user_profile.index',['data'=>$data]);
   }

   public function edit()
   {
   
   $com_code = auth()->user()->com_code;
   $data = get_cols_where_row(new Admin(),array("*"),array("com_code"=>$com_code,"id"=>auth()->user()->id));
   return view('admin.user_profile.edit', ['data' => $data]);
   }

   public function update( UserProfileRequest $request)
   {
  
   try { 
   $com_code = auth()->user()->com_code;
   $data = get_cols_where_row(new Admin(),array("*"),array("com_code"=>$com_code,"id"=>auth()->user()->id));
   
   if (empty($data)) {
   return redirect()->route('admin.userProfile.index')->with(['error' => 'عفوا غير قادر علي الوصول الي البيانات المطلوبة !!']);
   }
  
 
   $checkExists_email = Admin::where(['email' => $request->email, 'com_code' => $com_code])->where('id','!=',auth()->user()->id)->first();
   if (!empty($checkExists_email)) {
   return redirect()->back()
   ->with(['error' => 'عفوا البريد الالكتروني للمتسخدم    مسجل من قبل'])
   ->withInput();
   }
   $checkExists_username = Admin::where(['username' => $request->username, 'com_code' => $com_code])->where('id','!=',auth()->user()->id)->first();
   if (!empty($checkExists_username)) {
   return redirect()->back()
   ->with(['error' => 'عفوا اسم المستخدم للدخول   مسجل من قبل'])
   ->withInput();
   }
   
   
   $data_to_update['username'] = $request->username;
   $data_to_update['email'] = $request->email;
   if($request->checkForupdatePassword==1)
   {
       $data_to_update['password'] = bcrypt($request->password);
   }
   
   $data_to_update['updated_by'] = auth()->user()->id;
   $data_to_update['updated_at'] = date("Y-m-d H:i:s");
   Admin::where(['id' => auth()->user()->id, 'com_code' => $com_code])->update($data_to_update);
   return redirect()->route('admin.userProfile.index')->with(['success' => 'لقد تم تحديث البيانات بنجاح']);
   } catch (\Exception $ex) {
   return redirect()->back()
   ->with(['error' => 'عفوا حدث خطأ ما' . $ex->getMessage()])
   ->withInput();
   }
   }
   


}
