<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ItemcardRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */

    public function rules()
    {
        return [
         'name'=>'required',
         'item_type'=>'required',
         'inv_itemcard_categories_id'=>'required',
         'uom_id'=>'required',
         'does_has_retailunit'=>'required',
         'price'=>'required',
         'nos_gomla_price'=>'required',
         'gomla_price'=>'required',
         'cost_price'=>'required',
         'has_fixced_price'=>'required',
         'active'=>'required',

        ];
    }

    public function messages()
    {
        return [
        'name.required'=>'اسم الصنف مطلوب',
        'item_type.required'=>'نوع الصنف مطلوب',
        'inv_itemcard_categories_id.required'=>'فئة الصنف مطلوب',
        'uom_id.required'=>'الوحدة الاساسية للصنف  مطلوب',
        'does_has_retailunit.required'=>'حالة هل للصنف وحدة تجزئة مطلوب',
        'price.required'=>'  سعر القطاعي للوحدة الاب مطلوب',
        'nos_gomla_price.required'=>'  سعر النص جملة عروض لوحدة الاب مطلوب',
        'gomla_price.required'=>'سعر الجملة لوحده الاب مطلوب  ',
        'cost_price.required'=>'  تكلفة الشراء لوحدة الاب مطلوب',
        'has_fixced_price.required'=>'   هل للنصف سعر ثابت مطلوب',
        'active.required'=>'   حالة تفعيل الصنف مطلوب',

        ];
    }
    
}
