<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UserProfileRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'username' => 'required',
            'email' => 'email',
            'password'=>'required_if:checkForupdatePassword,1',

        ];
    }

    public function messages()
    {
        return [
            'username.required' => 'اسم المستخدم للدخول به  مطلوب',
            'email.required' => '        البريد الالكتروني مطلوب',
            'password.required_if' => '        الباسورد مطلوب',

        ];
    }
}
