@extends('layouts.admin')
@section('title')
شئون الموظفين
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
الرواتب
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.Finance_Montes_Salaries.index') }}"> الرواتب للشهر المالي </a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">الرواتب للشهر المالي ({{ $data['name'] }}) لسنة {{ $data['FINANCE_YR'] }}
      </h3>
      <input type="hidden" id="token_search" value="{{csrf_token() }}">
      <input type="hidden" id="ajax_search_url" value="{{ route('admin.Finance_Montes_Salaries.ajax_search') }}">
      <input type="hidden" id="ajax_get_employees_by_filters_url"
         value="{{ route('admin.Finance_Montes_Salaries.get_employees_by_filters') }}">
         <input type="hidden" id="finance_cln_periods_id" value="{{$data['id']}}">

   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <div class="row">
         @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(194))
         <button data-toggle="modal" data-target="#AddSalariesModal" style="margin:3px;" class="btn btn-sm btn-success">
            اضافة الرواتب للشهر المالي</button>
         @endif
         <table id="example2" class="table table-bordered table-hover">
            <thead class="custom_thead" style="background-color: lightseagreen;">
               <th> عدد الموظفين بالنظام</th>
               <th> عدد رواتب الشهر المالي </th>
            </thead>
            <tbody>
               <tr>
                  <td>
                     الكل ({{ $other['all_employees_counter']*1 }} )
                     <br>
                     عدد {{ $other['all_employees_counter_Active']*1 }} بالخدمة <br>
                     عدد {{ $other['all_employees_counter_DisActive']*1 }} خارج الخدمة
                  </td>
                  <td>
                     الكل ({{ $other['all_employees_salaries_counter']*1 }} )
                     <br>
                     عدد {{ $other['all_employees_salaries_counter_active']*1 }} رواتب بالخدمة <br>
                     عدد {{ $other['all_employees_salaries_counter_DisActive']*1 }} رواتب خارج الخدمة
                  </td>
               </tr>
            </tbody>
         </table>
         <div class="col-md-3">
            <div class="form-group">
               <label style="color: black !important"> بحث بالموظفين

               </label>
               <select name="employee_code_search" id="employee_code_search" class="form-control select2 ">
                  <option value="all">بحث بالكل</option>
                  @if (@isset( $other['employees']) && !@empty( $other['employees']))
                  @foreach ( $other['employees'] as $info )
                  <option value="{{ $info->employee_code }}"> {{ $info->name }} </option>
                  @endforeach
                  @endif
               </select>

            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label style="color: black !important"> بحث بالادارات </label>
               <select name="departements_id_filter_search" id="departements_id_filter_search"
                  class="form-control select2 ">
                  <option value="all"> بحث بالكل</option>
                  @if (@isset($other['departements']) && !@empty($other['departements']))
                  @foreach ($other['departements'] as $info )
                  <option value="{{ $info->id }}"> {{ $info->name }} </option>
                  @endforeach
                  @endif
               </select>

            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label style="color: black !important"> بحث بالوظائف</label>
               <select name="jobs_id_filter_search" id="jobs_id_filter_search" class="form-control select2">
                  <option value="all"> بحث بالكل</option>
                  @if (@isset($other['jobs']) && !@empty($other['jobs']))
                  @foreach ($other['jobs'] as $info )
                  <option value="{{ $info->id }}"> {{ $info->name }} </option>
                  @endforeach
                  @endif
               </select>

            </div>
         </div>

         <div class="col-md-3">
            <div class="form-group">
               <label style="color: black !important"> بحث بالحالة الوظيفية </label>
               <select name="active_filter_search" id="active_filter_search" class="form-control">
                  <option value="all"> بحث بالكل</option>
                  <option value="1"> بالخدمة</option>
                  <option value="0"> خارج الخدمة</option>
               </select>

            </div>
         </div>


     
         <div class="clearfix"></div>
         <div class="col-md-12">
            <div id="ajax_responce_serarchDiv">
               @if (@isset($other['employees_salaries']) && !@empty($other['employees_salaries'] ) &&
               count($other['employees_salaries'] ) >0)
               @php
               $i=1;
               @endphp
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th> كود الموظف</th>
                     <th> اسم الموظف </th>
                     <th> حالة الراتب </th>
                     <th> مفردات الراتب</th>
                  </thead>
                  <tbody>
                     @foreach ( $other['employees_salaries'] as $info )
                     <tr>
                        <td> {{ $info->employee_code }} </td>
                        <td> {{ $info->emp_name }} </td>
                        <td> @if($info->is_closed==1) مغلق ومؤرشف @else مفتوح @endif
                        <td>
                           @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(193))
                           <a href="{{ route('admin.Finance_Montes_Salaries.salary_details',$info->id) }}"
                              class="btn btn-sm btn-success">
                              عرض </a>
                           @endif
                        </td>
                     </tr>
                     @endforeach
                  </tbody>
               </table>
               <br>
               {{ $other['employees_salaries']->links() }}
               @else
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               @endif
            </div>
         </div>
      </div>
   </div>
</div>

<div class="modal fade " id="AddSalariesModal">
   <div class="modal-dialog modal-xl">
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title"> اضافة رواتب للشهر المالي</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
               <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body" id="AddSalariesModalBody" style="background-color:white">
            <form action="{{ route('admin.Finance_Montes_Salaries.Add_employees_Salaries',$data['id']) }}"
               method="post">
               @csrf
               <div class="row">
                  <div class="col-md-4">
                     <div class="form-group">
                        <label style="color: black !important"> فلترة بالادارات </label>
                        <select name="departements_id_filter" id="departements_id_filter" class="form-control select2 ">
                           <option value="all"> فلترة بالكل</option>
                           @if (@isset($other['departements']) && !@empty($other['departements']))
                           @foreach ($other['departements'] as $info )
                           <option value="{{ $info->id }}"> {{ $info->name }} </option>
                           @endforeach
                           @endif
                        </select>

                     </div>
                  </div>
                  <div class="col-md-4">
                     <div class="form-group">
                        <label style="color: black !important"> فلترة بالوظائف</label>
                        <select name="jobs_id_filter" id="jobs_id_filter" class="form-control select2">
                           <option value="all"> فلترة بالكل</option>
                           @if (@isset($other['jobs']) && !@empty($other['jobs']))
                           @foreach ($other['jobs'] as $info )
                           <option value="{{ $info->id }}"> {{ $info->name }} </option>
                           @endforeach
                           @endif
                        </select>

                     </div>
                  </div>

                  <div class="col-md-4">
                     <div class="form-group">
                        <label style="color: black !important"> فلترة بالحالة الوظيفية </label>
                        <select name="active_filter" id="active_filter" class="form-control">
                           <option value="all"> فلترة بالكل</option>
                           <option value="1"> بالخدمة</option>
                           <option value="0"> خارج الخدمة</option>
                        </select>

                     </div>
                  </div>

               
                  <div class="col-md-4" id="get_employees_by_filtersDiv">
                     <div class="form-group">
                        <label style="color: black !important"> بيانات الموظفين
                           ( <input id="selectAll" type="checkbox"> اختر الكل)

                        </label>


                        <select multiple name="Add_modal_employee_code[]" id="Add_modal_employee_code"
                           class="form-control select2 ">
                           @if (@isset( $other['employees']) && !@empty( $other['employees']))
                           @foreach ( $other['employees'] as $info )
                           <option value="{{ $info->id }}"> {{ $info->name }} </option>
                           @endforeach
                           @endif
                        </select>

                     </div>
                  </div>
                  <div class="col-md-6">
                     <div class="form-group">
                        <button style="margin-top:33px;" type="submit" id="whatselectedSubmit" name="submit"
                           value="selected" class="btn btn-danger btn-sm">أضف ماتم اختياره </button>

                     </div>
                  </div>
               </div>
            </form>

         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">Close</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>

@endsection
@section('script')
<script src="{{ asset('assets/admin/js/Finance_Montes_Salaries.js') }}"></script>
<script src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection