@extends('layouts.admin')
@section('title')
شئون الموظفين
@endsection
@section('contentheader')
الرواتب
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.Finance_Montes_Salaries.index') }}"> الشهور المالية للرواتب</a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">بيانات الشهور المالية للرواتب</h3>
      <input type="hidden" id="token_search" value="{{csrf_token() }}">
      <input type="hidden" id="ajax_search_url" value="{{ route('admin.Finance_Montes_Salaries.ajax_search') }}">

   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <div class="row">
         <div class="col-md-6">
            <div class="form-group">
               <label>       بحث بالسنوات المالية</label>
               <select name="finance_calenders_id" id="finance_calenders_id_search" class="form-control select2">
                  <option value="all"> بحث بالكل</option>
                  @if (@isset( $other['finance_calenders']) && !@empty( $other['finance_calenders']))
                  @foreach ( $other['finance_calenders'] as $info )
                  <option @if(old('finance_calenders_id')==$info->id) selected="selected" @endif value="{{ $info->id }}"> {{ $info->FINANCE_YR }} </option>
                  @endforeach
                  @endif
               </select>
               @error('finance_calenders_id')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
         </div>
         <div class="clearfix"></div>
         <div class="col-md-12">
            <div id="ajax_responce_serarchDiv">
               @if (@isset($data) && !@empty($data) && count($data) >0)
               @php
               $i=1;
               @endphp
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>   السنة المالية</th>
                     <th> اسم الشهر المالي</th>
                     <th> تاريخ البداية</th>
                     <th> تاريخ النهاية</th>
                     <th> عدد الايام</th>
                     <th> حالة الشهر</th>
                     <th> الرواتب</th>

                  </thead>
                  <tbody>
                     @foreach ( $data as $info )
                     <tr @if($info->is_open==1) style="background-color: #b4ffb3;"   @endif>
                        <td> {{ $info->FINANCE_YR }} </td>
                        <td> {{ $info->name }} </td>
                        <td> {{ $info->START_DATE_M }} </td>
                        <td> {{ $info->END_DATE_M }} </td>
                        <td> {{ $info->number_of_days }} </td>
                        <td> @if($info->is_open==1) مفتوح @elseif ($info->is_open==2) مؤرشف @else بإنتظار الفتح @endif

                        <td >

                           @if($info->is_open!=0)
                           @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(192))
                           <a href="{{ route('admin.Finance_Montes_Salaries.Dashboard',$info->id) }}" class="btn btn-sm btn-success">
                              عرض الرواتب</a>
                              @endif
                           @endif

                        </td>


                     </tr>
                     @endforeach
                  </tbody>
               </table>
               <br>
               {{ $data->links() }}
               @else
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               @endif
            </div>
         </div>
      </div>
   </div>
</div>
@endsection
@section('script')
<script src="{{ asset('assets/admin/js/Finance_Montes_Salaries.js') }}"></script>
@endsection