@extends('layouts.admin')
@section('title')
الحسابات
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
السنوات المالية
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.finance_calenders.index') }}"> السنوات المالية </a>
@endsection
@section('contentheaderactive')
اضافة
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center"> اضافة سنة مالية جديدة</h3>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form action="{{ route('admin.finance_calenders.store') }}" method="post" >
         <div class="row">
            @csrf
            <div class="col-md-12">
               <div class="form-group">
                  <label> كود السنة المالية</label>
                  <input type="text"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="FINANCE_YR" id="FINANCE_YR" class="form-control" value="{{old('FINANCE_YR')  }}"    >
                  @error('FINANCE_YR')
                  <span class="text-danger">{{ $message }}</span> 
                  @enderror
               </div>
            </div>
            <div class="col-md-12">
               <div class="form-group">
                  <label> وصف السنة المالية</label>
                  <input type="text" name="FINANCE_YR_DESC" id="FINANCE_YR_DESC" class="form-control" value="{{ old('FINANCE_YR_DESC') }}" >
                  @error('FINANCE_YR_DESC')
                  <span class="text-danger">{{ $message }}</span> 
                  @enderror
               </div>
            </div>
            <div class="col-md-12">
               <div class="form-group">
                  <label> تاريخ بداية السنة المالية</label>
                  <input type="date" name="start_date" id="start_date" class="form-control" value="{{ old('start_date') }}" >
                  @error('start_date')
                  <span class="text-danger">{{ $message }}</span> 
                  @enderror
               </div>
            </div>
            <div class="col-md-12">
               <div class="form-group">
                  <label> تاريخ نهاية السنة المالية</label>
                  <input type="date" name="end_date" id="end_date" class="form-control" value="{{ old('end_date') }}" >
                  @error('end_date')
                  <span class="text-danger">{{ $message }}</span> 
                  @enderror
               </div>
            </div>
        
            <div class="col-md-12">
               <div class="form-group text-center">
                  <button  type="submit" class="btn btn-primary btn-sm"> اضافة</button>
                  <a href="{{ route('admin.finance_calenders.index') }}" class="btn btn-sm btn-danger">الغاء</a>    
               </div>
            </div>
         </div>
      </form>
   </div>
</div>
</div>
@endsection
@section("script")
<script src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script src="{{ asset('assets/admin/js/employees.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection