@extends('layouts.admin')
@section('title')
شئون الموظفين
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
الموظفين
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.employees.index') }}"> تفاصيل موظف </a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="row">
   <div class="col-12">
      <div class="card">
         <div class="card-header">
            <h3 class="card-title card_title_center"> عرض بيانات موظف</h3>
         </div>
         <!-- /.card-header -->
         <div class="card-body">
            @if (@isset($data) && !@empty($data))
            <table id="example2" class="table table-bordered table-hover">
               <tr>
                  <td colspan="2">
                     <label>الاسم</label> <br>
                     {{ $data['name'] }}
                  </td>
                  <td >
                     <label>كود الموظف</label> <br>
                     {{ $data['id'] }}
                  </td>
               </tr>
               <tr>
                  <td style="width: 30%"> 
                     رقم الحساب المالي
                     <br>{{ $data['account_number']*1 }}
                     
                        </td>
                  <td>
                     <label> الادارة التابع لها الموظف</label> <br>
                     {{ $data['Departement_name'] }}
                  </td>
                  <td>
                     <label> وظيفة الموظف</label> <br>
                     {{ $data['Job_name'] }}
                  </td>
               </tr>


               <tr>
                  <td>
                     <label> هل يمتلك شفت ثابت</label> <br>
                     @if($data['do_has_shift']==1) نعم @else لايمتلك @endif
                     @if($data['do_has_shift']==1)

                     @if($other['shift_data']['type']==1) صباحي @elseif ($other['shift_data']['type']==2) مسائي @else
                     يوم كامل @endif
                     <br>
                     من
                     @php
                     $dt=new DateTime($other['shift_data']['from_time']);
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($other['shift_data']['from_time']));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء');
                     @endphp

                     {{ $time }}
                     {{ $newDateTimeType }}
                     الي
                     @php
                     $dt=new DateTime($other['shift_data']['to_time']);
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($other['shift_data']['to_time']));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء');
                     @endphp

                     {{ $time }} <br>
                     {{ $newDateTimeType }}
                     عدد
                     {{ $other['shift_data']['total_hours']*1 }} ساعات
                     @else
                     <br>
                     {{ $data['total_hours']*1 }} ساعات عمل
                     @endif


                  </td>
                  <td>
                    <label> هل يمتلك تأمين اجتماعي </label> <br>
                     @if($data['does_has_social_insurance']==1) نعم
                     <br>
                     رقم التأمين {{ $data['social_insurance_number'] }} <br>
                     قيمة التأمين الشهري {{ $data['social_insurance_value']*1 }}
                     @else لايمتلك

                     @endif

                  </td>
                  <td>
                    <label> هل يمتلك حافز شهري </label><br>
                     @if($data['do_has_Motivation']==1) نعم
                     <br>
                      قيمة الحافز الشهري {{ $data['Motivation_value']*1 }} <br>
                     @else لايمتلك

                     @endif
                  </td>
               </tr>
  <tr>
   <td>
     <label> هل يمتلك بدل شهري </label><br>
      @if($data['does_has_allowances']==1) نعم
      <br>
       قيمة البدل الشهري {{ $data['allowances_value'] *1 }} <br>
      @else لايمتلك

      @endif
   </td>

   <td> 
<label>قيمة المرتب الشهري</label>
<br>{{ $data['salary']*1 }}

   </td>
   <td> 
<label> عنوان الموظف</label>
      <br>{{ $data['address'] }}
      
         </td>
  </tr>
  <tr>
   <td> 
     <label> هاتف الموظف </label> <br>
           <br>{{ $data['phones'] }}
           
              </td>
              <td >
               <label> حالة التفعيل</label> <br>
               @if($data['active']==1) نعم @else لا @endif
            </td>
            <td > 
               <label>تاريخ الاضافة </label><br>
               @php
               $dt=new DateTime($data['created_at']);
               $date=$dt->format("Y-m-d");
               $time=$dt->format("h:i");
               $newDateTime=date("A",strtotime($data['created_at']));
               $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
               @endphp
               {{ $date }} <br>
               {{ $time }}
               {{ $newDateTimeType }}  <br>
               بواسطة 
               {{ $data['added_by_admin']}}
            </td>
  </tr>

<tr>
<td colspan="3"> <label>الملاحظات</label> <br>
   {{ $data['notes'] }}


</td>

</tr>


               <tr>
                
                
               </tr>
         
               <tr>
                  <td> <label>تاريخ اخر تحديث</label></td>
                  <td colspan="2">
                     @if($data['updated_by']>0 and $data['updated_by']!=null )
                     @php
                     $dt=new DateTime($data['updated_at']);
                     $date=$dt->format("Y-m-d");
                     $time=$dt->format("h:i");
                     $newDateTime=date("A",strtotime($time));
                     $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء');
                     @endphp
                     {{ $date }}
                     {{ $time }}
                     {{ $newDateTimeType }}
                     بواسطة
                     {{ $data['updated_by_admin'] }}
                     @else
                     لايوجد تحديث
                     @endif
                     @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(182)) 

                     <a href="{{ route('admin.employees.edit',$data['id']) }}" class="btn btn-sm btn-success">تعديل</a>
                     @endif
                  </td>
               </tr>
            </table>
            @else
            <div class="alert alert-danger">
               عفوا لاتوجد بيانات لعرضها !!
            </div>
            @endif
         </div>
      </div>
   </div>
</div>
@endsection