@extends('layouts.admin')
@section('title')
التقارير
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
تقارير حسابات  
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.Profit.index') }}">     كشف ربحية الاصناف   </a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">   تقرير كشف ربحية الأصناف خلال فترة  </h3>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
    
      <form target="_blank" action="{{ route('admin.Profit.do_get_items_profit_report') }}" method="POST">
         @csrf
         <div class="row">
          
            <div class="col-md-4">
               <div class="form-group">
                  <label>   بحث بفئة الصنف</label>
                  <select name="inv_itemcard_categories_id" id="inv_itemcard_categories_id_search" class="form-control select2">
                     <option value="all"> بحث بالكل</option>
                     @if (@isset($inv_itemcard_categories) && !@empty($inv_itemcard_categories))
                     @foreach ($inv_itemcard_categories as $info )
                     <option value="{{ $info->id }}"> {{ $info->name }} </option>
                     @endforeach
                     @endif
                  </select>
              
               </div>
            </div>
            <div class="col-md-4">
               <div class="form-group">
                  <label>  بحث بحالة التفعيل</label>
                  <select name="active_search" id="active_search" class="form-control">
                     <option value="all"> بحث بالكل</option>
                     <option   value="1">مفعل</option>
                     <option  value="0"> معطل</option>
                  </select>
               </div>
            </div>
            <div class="col-md-4" id="ajax_responce_serarch_itemDiv">
               <div class="form-group">
                  <label>    بيانات الاصناف</label>
                  <select  id="item_code_search" name="item_code_search" class="form-control select2" style="width: 100%;">
                     <option value="all"> بحث بكل الاصناف </option>
                     @if (@isset($inv_itemcard) && !@empty($inv_itemcard))
                     @foreach ($inv_itemcard as $info )
                     <option data-item_type="{{ $info->item_type }}"  
                        value="{{ $info->item_code }}"> {{ $info->name }} - {{ $info->barcode }} 
                     </option>
                     @endforeach
                     @endif
                  </select>
               </div>
            </div>
       
          
          
         
        
            <div class="col-md-4 relatedDate"  >
               <div class="form-group">
                  <label>      من تاريخ </label>
                  <input name="from_date" id="from_date" class="form-control" type="date" value="@php echo date('Y-m-01'); @endphp"    >
               </div>
            </div>
            <div class="col-md-4 relatedDate" >
               <div class="form-group">
                  <label>     الي تاريخ  </label>
                  <input name="to_date" id="to_date" class="form-control" type="date" value="@php  echo date('Y-m-t'); @endphp"   >
               </div>
            </div>
            <div class="col-md-2 text-right"> 
               <button style="margin-top: 31px;"  type="submit" class="btn btn-sm btn-danger">عرض التقرير</button>
            </div>
         </div>
      </form>
   </div>
</div>
</div>
@endsection
@section("script")
<script  src="{{ asset('assets/admin/js/financialReport.js') }}"> </script>
<script  src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });

   function get_items_by_category(){
      var inv_itemcard_categories_id=$("#inv_itemcard_categories_id_search").val();
    var active_search=$("#active_search").val();

    $('#backup_freeze_modal').modal('show');
    jQuery.ajax({
      url: '{{ route('admin.Profit.get_items_by_category') }}',
      type: 'post',
      dataType: 'html',
      cache: false,
      data: {
         "_token":'{{ csrf_token() }}',inv_itemcard_categories_id:inv_itemcard_categories_id,active_search:active_search
      },
      success: function(data) {
          $("#ajax_responce_serarch_itemDiv").html(data);
          $(".select2").select2();

          setTimeout(function () {
            $('#backup_freeze_modal').modal('hide');
        }, 1000);


     
      },
      error: function() {
        setTimeout(function () {
            $('#backup_freeze_modal').modal('hide');
        }, 1000);
      }
   });
}
   $(document).on('change', '#inv_itemcard_categories_id_search', function(e) {
      get_items_by_category();
  });
  $(document).on('change', '#active_search', function(e) {
   get_items_by_category();
  });



</script>
@endsection