@extends('layouts.admin')
@section('title')
دفتر الاستاذ 
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
دفتر الاستاذ 
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.AcAssistantledger.index') }}">  دفتر الاستاذ المساعد</a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">     (والتفصيلي )   دفتر الاستاذ المساعد  </h3>
      <input type="hidden" id="token_search" value="{{csrf_token() }}">
      <input type="hidden" id="ajax_search_url" value="{{ route('admin.AcAssistantledger.ajax_search') }}">
      <input type="hidden" id="ajax_show_details" value="{{ route('admin.AcAssistantledger.show_details') }}">

   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <div class="row">
         
         <div class="col-md-4">
            <div class="form-group">
               <label> بحث بالسنة المالية</label>
               <select name="FINANCE_YR" id="FINANCE_YR" class="form-control select2">
                  <option value="">اختر السنة المالية</option>
                  @if (@isset($other['Finance_calender']) && !@empty($other['Finance_calender']))
                  @foreach ($other['Finance_calender'] as $info )
                  <option @if ($info->is_open==1 ) selected @endif data-start={{ $info->start_date }} 
                                                                   data-end ={{ $info->end_date }}
                                                                   value="{{ $info->FINANCE_YR }}"> 
                    {{ $info->FINANCE_YR_DESC }}
                 
                  </option>
                  @endforeach
                  @else
                  <option value="">عفوا لا توجد بيانات للبحث</option>
                  @endif
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> من تاريخ </label>
               <input name="date_from" id="date_from" class="form-control" type="date"
               @if (@isset($other['current_year']) && !@empty($other['current_year']))
               value="{{ $other['current_year']['start_date'] }}"
               @else
               value=""
               @endif>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label> الي تاريخ  </label>
               <input name="date_to" id="date_to" class="form-control" type="date" 
               @if (@isset($other['current_year']) && !@empty($other['current_year']))

               value="{{ $other['current_year']['end_date'] }}"
               @else
               value=""
               @endif>
            </div>

         </div>
         <div class="col-md-4">
            <div class="form-group">
               <label> بحث من حساب مالي</label>
               <select name="ACCOUNT_NUMBER_from" id="ACCOUNT_NUMBER_from" class="form-control select2 ">
                  <option value=""> اختر الحساب المالي </option>
                  @if (@isset($other['accounts']) && !@empty($other['accounts']))
                  @foreach ($other['accounts'] as $info )
                  <option 
                     value="{{ $info->account_number }}"> {{ $info->name }} ({{
                        $info->account_type_name }}) {{ $info->account_number }} 
                     </option>
                  @endforeach
                  @endif
               </select>
            </div>
         </div>
        
         <div class="col-md-4">
            <div class="form-group">
               <label> بحث الي حساب مالي</label>
               <select name="ACCOUNT_NUMBER_to" id="ACCOUNT_NUMBER_to" class="form-control select2 ">
                  <option value="">اختر الحساب المالي </option>
                  @if (@isset($other['accounts']) && !@empty($other['accounts']))
                  @foreach ($other['accounts'] as $info )
                  <option 
                     value="{{ $info->account_number }}"> {{ $info->name }} ({{
                        $info->account_type_name }}) {{ $info->account_number }} 
                     </option>
                  @endforeach
                  @endif
               </select>
            </div>
         </div>   
         <div class="col-md-3">
            <label>كل الحسابات</label>
            <input type="checkbox" name="all_acc" id="all_acc">
         </div>
       
         <div class="col-md-3">
            <div class="form-group">
        
            <button id="make_serach_btn" style="margin-top: 31px;" class="btn btn-primary btn-sm">  البحث</button>
            </div>
         </div>

         <div class="clearfix"></div>
         <div class="col-md-12">
            <div id="ajax_responce_serarchDiv">
               @if (@isset($data) && !@empty($data) && count($data)>0)
               @php
               $i=1;   
               @endphp
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>رقم اليومية</th>
                     <th>السنة المالية </th>
                     <th style="width: 25%;">  نوع اليومية</th>
                     <th>  اجمالي اليومية</th>
                     <th>  بتاريخ</th>
                     <th></th>
                  </thead>
                  <tbody>
                     @foreach ($data as $info )
                     <tr >
                        <td>{{ $info->ac_yearly_trn_code}}</td>
                        <td>{{{ $info->MONTH_Name}}} لسنة {{ $info->FINANCE_YR }}</td>
                        <td>{{ $info->ac_trn_codes_name }}</td>
                        <td>{{ $info->total*1 }}</td>

                        <td > 
                           @php
                           $dt=new DateTime($info->created_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($info->created_at));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           @endphp
                           {{ $date }} <br>
                           {{ $time }}
                           {{ $newDateTimeType }}  <br>
                           بواسطة 
                           {{ $info->added_by_admin}}
                        </td>
                    
                        
                        <td>
                           <button data-id="{{ $info->id }}" class="btn btn-sm show_details  btn-success">عرض المزيد</button>   
                        </td>
                     </tr>
                     @php
                     $i++; 
                     @endphp
                     @endforeach
                  </tbody>
               </table>
               <br>
               {{ $data->links() }}
               @else
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               @endif
            </div>
         </div>
      </div>
   </div>
</div>

<div class="modal fade " id="ShowDetailsModal">
   <div class="modal-dialog modal-xl" >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title">عرض تفاصيل اليومية</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body"  id="ShowDetailsModalBody" style="background-color: white !important; color:black;">
          
      </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
@endsection
@section("script")
<script src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script src="{{ asset('assets/admin/js/ac_assistant_ledger.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection