@extends('layouts.admin')
@section('title')
شفتات الخزن
@endsection
@section('contentheader')
حركة الخزنية
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.admin_shift.index') }}">  شفتات الخزن </a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">بيانات  شفتات الخزن للمستخدمين</h3>
      <input type="hidden" id="token_search" value="{{csrf_token() }}">
   <input type="hidden" id="ajax_search_url" value="{{ route('admin.admin_shift.ajax_search') }}"> 
     <input type="hidden" id="ajax_review_now_url" value="{{ route('admin.admin_shift.review_now') }}"> 

      @if(empty($checkExistsOpenShift))
      @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(145)) 
      <a href="{{ route('admin.admin_shift.create') }}" class="btn btn-sm btn-success" > فتح شفت جديد</a>

      @endif
      @endif
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <div class="row">
         <div class="col-md-3">
            <input checked type="radio" name="searchbyradio" id="searchbyradio" value="shift_code"> بكود الشفت 
            <input style="margin-top: 6px !important;" type="text" id="search_by_text" placeholder="" class="form-control"> <br>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث  بالخزن</label>
               <select name="treasuries_id_search" id="treasuries_id_search" class="form-control select2">
                  <option value="all">بحث بكل بالخزن</option>
                  @if (@isset($treasuries) && !@empty($treasuries))
                  @foreach ($treasuries as $info )
                  <option value="{{ $info->id }}"> {{ $info->name }} </option>
                  @endforeach
                  @endif
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>  بحث  بالمستخدمين</label>
               <select name="admin_id_search" id="admin_id_search" class="form-control select2">
                  <option value="all">بحث بكل المستخدمين</option>
                  @if (@isset($users) && !@empty($users))
                  @foreach ($users as $info )
                  <option value="{{ $info->id }}"> {{ $info->name }} </option>
                  @endforeach
                  @endif
               </select>
            </div>
         </div>
         <div class="clearfix"></div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث بحالة الانتهاء</label>
               <select name="is_finished_search" id="is_finished_search" class="form-control">
                  <option  value="all">   بحث بالكل</option>
                  <option    value="1">  نعم</option>
                  <option  value="0">  لا</option>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث بحالة المراجعة</label>
               <select name="is_delivered_and_review_search" id="is_delivered_and_review_search" class="form-control">
                  <option  value="all">   بحث بالكل</option>
                  <option    value="1">  نعم</option>
                  <option  value="0">  لا</option>
               </select>
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث  من تاريخ</label>
               <input name="order_date_form" id="order_date_form" class="form-control" type="date" value=""    >
            </div>
         </div>
         <div class="col-md-3">
            <div class="form-group">
               <label>   بحث  الي تاريخ</label>
               <input name="order_date_to" id="order_date_to" class="form-control" type="date" value=""    >
            </div>
         </div>
         <div class="clearfix"></div>
         <div class="col-md-12">
            <div id="ajax_responce_serarchDiv">
               @if (@isset($data) && !@empty($data) && count($data)>0)
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>كود الشفت</th>
                     <th>اسم المستخدم</th>
                     <th> اسم الخزنة </th>
                     <th> توقيت الفتح</th>
                     <th>  حالة الانتهاء</th>
                     <th>  حالة المراجعة</th>
                     <th></th>
                  </thead>
                  <tbody>
                     @foreach ($data as $info )
                     <tr>
                        <td>{{ $info->id }}
                           @if($info->is_finished==0 and $info->admin_id==auth()->user()->id) 
                           <br>
                           <span style="color:brown"> شفتك الحالي</span>
                           @endif
                        </td>
                        <td>{{ $info->admin_name }}</td>
                        <td>{{ $info->treasuries_name }}</td>
                        <td > 
                           @php
                           $dt=new DateTime($info->created_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($time));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           @endphp
                           {{ $date }} <br>
                           {{ $time }}
                           {{ $newDateTimeType }} 
                        </td>
                        <td>@if($info->is_finished==1)  تم الانتهاء @else  مازال مفتوح @endif</td>
                        <td>@if($info->is_delivered_and_review==1)  تمت المراجعة @else  
                           @if($info->is_finished==1)   بإنتظار المراجعة  
                           @endif
                           @endif
                        </td>
                        <td>
                          
                           @if($info->is_finished==0 and $info->admin_id==auth()->user()->id) 
                           @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(145)) 
                           <a href="{{ route('admin.admin_shift.finish',$info->id) }}" class="btn btn-sm  are_you_sure btn-success">  انهاء الشفت</a>   
                           @endif
                           @endif

                           @if(auth()->user()->id==$info->admin_id)
                           @if( (auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(147))   ) 
                           <a target="_blank" href="{{ route('admin.admin_shift.print_details',$info->id) }}" class="btn btn-sm  btn-primary"> طباعة الكشف</a>   
                           @endif

                           @else
                           @if( (auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(148) or $info->can_review==true )   ) 
                           <a target="_blank" href="{{ route('admin.admin_shift.print_details',$info->id) }}" class="btn btn-sm  btn-primary"> طباعة الكشف</a>   
                           @endif

                           @endif

                         
                           @if($info->is_finished==1 and $info->is_delivered_and_review==0  ) 
                           @if (@isset($checkExistsOpenShift) && !@empty($checkExistsOpenShift ) )
                            @if($info->can_review==true)
                            @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(147)) 
                            <button data-id={{ $info->id }} class="btn btn-sm  review_now  btn-danger"> مراجعة واستلام</a>   
                              @endif
                           @endif
                           @endif
                           @endif
                        </td>
                     </tr>
                     @endforeach
                  </tbody>
               </table>
               <br>
               {{ $data->links() }}
               @else
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               @endif
            </div>
         </div>
      </div>
   </div>
</div>

<div class="modal fade  "   id="reviewModal">
   <div class="modal-dialog modal-xl"  >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title text-center">           مراجعة واستلام نقدية شفت خزينة </h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body"  style="background-color: white !important; color:black;" id="reviewModalBody">


         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
@endsection
@section('script')
<script src="{{ asset('assets/admin/js/admin_shift.js') }}"></script>
<script  src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection
