@extends('layouts.admin')
@section('title')
محاضر التسليم
@endsection
@section('contentheader')
محاضر التسليم
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.certificate.index') }}">    ادارة محاضر التسليم </a>
@endsection
@section('contentheaderactive')
اضافة
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center"> اضافة   محضر تسليم جديد</h3>
      <input type="hidden" id="token_search" value="{{csrf_token() }}">
      <input type="hidden" id="ajax_search_url" value="{{ route('admin.certificate.ajax_search') }}">
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form action="{{ route('admin.certificate.store') }}" method="post" >
         <div class="row">
            @csrf
            <div class="form-group">
               <label>   بيانات العملاء
               (<a id="load_add_new_customer" title=" اضافة عميل جديد " href="#">جديد <i   class="fa fa-plus-circle  "></i> </a>) 
               </label>

               </div>

             <select name="name" id="customer_code" class="form-control select2">
               <option value=""> لايوجد عميل</option>
               @if (@isset($data) && !@empty($data))
                   @foreach ($data as $info)
                       <option value="{{ $info->name}}" 
                        data-lift-num="{{ $info->lift_num }}"  data-lift_type="{{ $info->lift_type}}">
                           {{ $info->name}}--{{ $info->lift_num }}--{{ $info->lift_type }}
                       </option>
                   @endforeach
               @endif
           </select>

           <div class="col-md-2">
            <div class="form-group">
                <label>رقم المصعد</label>
                <input name="lift_num" id="lift_num" class="form-control" readonly style="pointer-events: none;">
                @error('lift_num')
                <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>
        </div>
  
            <div class="col-md-2">
               <div class="form-group">
                  <label>نوع المصعد</label>
                  <select name="lift_type" id="lift_type" class="form-control">
                     <option value="">نوع العقد </option>
                     <option   @if(old('lift_type',$info['lift_type'])==1) selected="selected"  @endif value="1">اتوماتيك </option>
                     <option   @if(old('lift_type',$info['lift_type'])==2) selected="selected"  @endif value="2"> نصف اتوماتيك</option>
                  </select>
                  @error('contract_type')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
          
            <div class="col-md-2">
               <div class="form-group">
                  <label>المندوب </label>
                  <select name="delegate_name" id="delegate_name" class="form-control">
                     <option value="">اختر</option>
                     <option   @if(old('delegate_name')==1) selected="selected"  @endif value="1">مندوب رقم 1</option>
                     <option   @if(old('delegate_name')==2) selected="selected"  @endif value="2">مندوب رقم 2</option>
                    </select>
                  @error('delegate_name')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
           
            <div class="col-md-2">
               <div class="form-group">
                  <label>الوقفات </label>
                  <select name="lift_stop" id="lift_stop" class="form-control">
                     <option value="">اختر عدد الوقفات</option>
                     <option   @if(old('lift_stop')==2) selected="selected"  @endif value="2">2</option>
                     <option   @if(old('lift_stop')==3) selected="selected"  @endif value="3">3</option>
                     <option   @if(old('lift_stop')==4) selected="selected"  @endif value="4">4 </option>
                     <option   @if(old('lift_stop')==5) selected="selected"  @endif value="5">5 </option>
                     <option   @if(old('lift_stop')==6) selected="selected"  @endif value="6">6 </option>
                     <option   @if(old('lift_stop')==7) selected="selected"  @endif value="7">7 </option>
                     </select>
                  @error('lift_stop')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
           
              <div class="col-md-2">
               <div class="form-group">
                  <label>ملاحظات</label>
                  <input name="notes" id="notes" class="form-control" value="{{ old('notes') }}"    >
                  @error('notes')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label> تاريخ انتهاء  ضمان الماكينة</label>
                  <input type="date"  name="machin_end_date" id="machin_end_date" class="form-control"   value="{{ old('machin_end_date') }}"    >
                  @error('machin_end_date')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label> تاريخ انتهاء  ضمان الكنترول</label>
                  <input type="date"  name="controll_end_date" id="controll_end_date" class="form-control"   value="{{ old('controll_end_date') }}"    >
                  @error('controll_end_date')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label> تاريخ بداية الصيانة المجانية</label>
                  <input type="date"  name="free_maintenance_start_date" id="free_maintenance_start_date" class="form-control"   value="{{ old('free_maintenance_start_date') }}"    >
                  @error('free_maintenance_start_date')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

            <div class="col-md-2">
               <div class="form-group">
                  <label> تاريخ انتهاء الصيانة المجانية</label>
                  <input type="date"  name="maintenance_end_date" id="maintenance_end_date" class="form-control"   value="{{ old('maintenance_end_date') }}"    >
                  @error('maintenance_end_date')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>


                     
           <div class="col-md-2">
            <div class="form-group">
                <label>تاريخ انتهاء الصيانة (هجري)</label>
                <input type="text" placeholder="DD-MM-YYYY" name="maintenance_end_date_hijri"
                       id="maintenance_end_date_hijri" class="form-control"
                       value="{{ old('maintenance_end_date_hijri') }}"
                       pattern="\d{4}-\d{2}-\d{2}"
                       title="التاريخ يجب أن يكون بصيغة سنة-شهر-يوم (اكتب السنة اولا ثم علامة - ثم الشهر ثم علامة - ثم اليوم)(مثال: 1446-10-30)"
                       lang="en" dir="ltr" inputmode="numeric">
                @error('maintenance_end_date_hijri')
                <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>
        </div>
        <div class="col-md-2">
         <div class="form-group">
            <label>   GPS </label>
            <input name="gps" id="gps" class="form-control" value="{{ old('gps') }}"    >
            @error('gps')
            <span class="text-danger">{{ $message }}</span>
            @enderror
         </div>
      </div>
           
             
            <div class="col-md-2">
               <div class="form-group">
                  <label>   العنوان </label>
                  <input name="address" id="name" class="form-control" value="{{ old('address') }}"    >
                  @error('address')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               
               <div class="form-group">
                  <label>   الهاتف</label>
                  <input name="phones" id="phones" class="form-control" value="{{ old('phones') }}"    >
                  @error('phones')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>   ملاحظات</label>
                  <input name="notes" id="notes" class="form-control" value="{{ old('notes') }}"    >
                  @error('notes')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
            <div class="form-group">
               <label>   الهاتف 2</label>
               <input name="phones_2" id="phones_2" class="form-control" value="{{ old('phones_2') }}"    >
               @error('phones_2')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
        
         </div>
         <div class="col-md-2">
            <div class="form-group">
               <label>   رقم الملف</label>
               <input name="file_num" id="file_num" class="form-control" value="{{ old('file_num') }}"    >
               @error('file_num')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
         </div>

            <div class="col-md-2">
               <div class="form-group">
                  <label>  حالة التفعيل</label>
                  <select name="active" id="active" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option   @if(old('active')==1  || old('active')=="" ) selected="selected"  @endif value="1"> نعم</option>
                     <option @if( (old('active')==0 and old('active')!="")) selected="selected"  @endif   value="0"> لا</option>
                  </select>
                  @error('active')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-12">
               <div class="form-group text-center">
                  <button id="do_add_item_cardd" type="submit" class="btn btn-primary btn-sm"> اضافة</button>
                  <a href="{{ route('admin.customer.index') }}" class="btn btn-sm btn-danger">الغاء</a>    
               </div>
            </div>
         </div>
      </form>
   </div>
</div>
</div>
@endsection
@section('script')




<script src="{{ asset('assets/admin/js/certificates.js') }}"></script>
@endsection
