@extends('layouts.admin')
@section('title')
ادارة العقود فنيا
@endsection
@section('contentheader')
ادارة العقود فنيا
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.contract.contract_running') }}"> ادارة العقود فنيا</a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">بيانات المراحل </h3>
      <input type="hidden" id="token_search" value="{{csrf_token() }}">
      <input type="hidden" id="ajax_search_url" value="{{ route('admin.contract.ajax_search') }}">
      @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(13))
      <a href="{{ route('admin.contract.create') }}" class="btn btn-sm btn-success">اضافة عقد جديد</a>
      @endif
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form action="{{ route('admin.contract.print_search') }}" method="post" target="_blank">
         @csrf
         <div class="row">
            <div class="col-md-4">
               <input type="radio" checked name="searchbyradio" id="searchbyradio" value="lift_num"> برقم المصعد
               <input type="radio" name="searchbyradio" id="searchbyradio" value="account_number"> برقم الحساب
               <input type="radio" name="searchbyradio" id="searchbyradio" value="name"> بالاسم
               <input autofocus style="margin-top: 6px !important;" type="text" name="search_by_text" id="search_by_text" placeholder=" اسم  - رقم الحساب  - كود العميل" class="form-control"> <br>
            </div>
            <div class="col-md-3">
               <div class="form-group">

                  <label> بحث بالتاريخ</label>
                  <input type="date" name="search_by_date1" id="search_by_date1" class="form-control" value="{{ old('maintenance_end_date1') }}">
                  <input type="date" name="search_by_date2" id="search_by_date2" class="form-control" value="{{ old('maintenance_end_date2') }}">
               </div>
            </div>
            <div class="col-md-3">
               <div class="form-group">
                  <label> بحث بحالة الرصيد</label>
                  <select name="searchByBalanceStatus" id="searchByBalanceStatus" class="form-control">
                     <option value="all"> بحث بالكل</option>
                     <option value="1"> دائن</option>
                     <option value="2"> مدين</option>
                     <option value="3"> متزن</option>
                  </select>
               </div>
            </div>
            <div class="col-md-3">
               <div class="form-group">
                  <label> بحث بحالة التعاقد</label>
                  <select name="searchByContractStatus" id="searchByContractStatus" class="form-control">
                     <option value="all"> بحث بالكل</option>
                     <option value="1"> تركيب </option>
                     <option value="2"> صيانة</option>

                  </select>
               </div>
            </div>
            <div class="col-md-3">
               <div class="form-group">
                  <label> بحث بحالة التفعيل</label>
                  <select name="searchByactiveStatus" id="searchByactiveStatus" class="form-control">
                     <option value="all"> بحث بالكل</option>
                     <option value="1"> مفعل</option>
                     <option value="0"> معطل</option>
                  </select>
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group text-rigth">
                  <button class="btn btn-sm btn-info" style="margin-top: 33px;" type="submit">طباعة البحث</button>
               </div>
            </div>
         </div>
      </form>
      <div class="clearfix"></div>
      <div id="ajax_responce_serarchDiv" class="col-md-12">
         @if (@isset($data) && !@empty($data) && count($data)>0)
         <table id="example2" class="table table-bordered table-hover">
            <thead class="custom_thead">
               <th>الاسم </th>
               <th> رقم المصعد </th>
               <th> رقم الهاتف </th>
               <th> رقم العقد </th>
               <th> قيمة العقد </th>
               <th> اجمالي المدفوع  </th>
               <th>مرحلة السكك</th>
               <th> مرحلة الكابية</th>
               <th> مرحلة الماكينة</th>
               <th> مرحلة الكهرباء والتشغيل</th>
               <th> نوع الدفع</th>

            </thead>
            <tbody>
               @foreach ($data as $info )
               <tr>
                  <td>{{ $info->name }}</td>
                  <td>{{ $info->lift_num }}</td>
                  <td>{{ $info->phones }}</td>
                 
                     <td>{{ $info->id }}</td>
                     <td>{{ $info->price }}<br>  @if($info->price_status==1) مدفوعة @else غير مدفوعة @endif</td>
                     <td>{{ $info->total_payment }}</td>
                     <td>
                        @if($info->stage1_status == 0)
                        <button type="button"  class="btn btn-sm btn-success " disabled>منتظر اصدار مرحلة سكة وباب </button>
                       
                        @elseif($info->stage1_status == 1)
                        <button type="button" class="btn btn-success" disabled>تم اصدار مرحلة سكة وباب </button>
                        @elseif ($info->stage1_status == 2)
                        <button type="button" class="btn btn-success" disabled>تم انتهاء مرحلة سكة وباب </button>
                        @endif
                     </td>
                     <td> @if($info->stage2_status == 0)
                     <button type="button" class="btn btn-success" disabled>منتظر اصدار مرحلة كابينة  </button>
                     @elseif($info->stage2_status == 1)
                     <button type="button" class="btn btn-success" disabled>تم اصدار مرحلة كابينة  </button>
                     @elseif ($info->stage2_status == 2)
                     <button type="button" class="btn btn-success" disabled>تم انتهاء مرحلة كابينة  </button>
                     @endif</td>
                     <td> @if($info->stage3_status == 0)
                     <button type="button" class="btn btn-success" disabled>منتظر اصدار مرحلة ماكينة  </button>
                     @elseif($info->stage3_status == 1)
                     <button type="button" class="btn btn-success" disabled>تم اصدار مرحلة ماكينة  </button>
                     @elseif ($info->stage3_status == 2)
                     <button type="button" class="btn btn-success" disabled>تم انتهاء مرحلة ماكينة  </button>
                     @endif</td>
                     <td> @if($info->stage4_status == 0)
                        <button type="button" class="btn btn-success" disabled>منتظر اصدار مرحلة ميكانيكا  </button>
                        @elseif($info->stage4_status == 1)
                        <button type="button" class="btn btn-success" disabled>تم اصدار مرحلة ميكانيكا  </button>
                        @elseif ($info->stage4_status == 2)
                        <button type="button" class="btn btn-success" disabled>تم انتهاء مرحلة ميكانيكا  </button>
                        @endif</td>
                        <td> @if($info->stage5_status == 0)
                           <button type="button" class="btn btn-success" disabled>منتظر اصدار مرحلة كهرباء  </button>
                           @elseif($info->stage5_status == 1)
                           <button type="button" class="btn btn-success" disabled>تم اصدار مرحلة كهرباء  </button>
                           @elseif ($info->stage5_status == 2)
                           <button type="button" class="btn btn-success" disabled>تم انتهاء مرحلة كهرباء  </button>
                           @endif</td>
                    
                     <td>{{ $info->pay_type }}</td><br> 
                     <td>@if($info->pay_type==1) دفعة واحدة @else دفعات @endif</td>
                     <td>@if($info->active==1) مفعل @else معطل @endif</td>
                     <td>@if($info->ContractStatus==1) تركيب @else غير محدد @endif</td>
                     <td>
                        @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(14))
                        <a href="{{ route('admin.contract.edit',$info->id) }}" class="btn btn-sm  btn-primary">تعديل</a>
                        <a href="{{ route('admin.contract.edit_stages',$info->id) }}" class="btn btn-sm  btn-primary">تحديث المراحل</a>    
                        @endif
                        @if( $info->CounterUsed==0)
                        @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(15))
                       
                      <a href="{{ route('admin.contract.delete',$info->id) }}" class="btn btn-sm are_you_sure  btn-danger">حذف</a>
                      <a href="{{ route('admin.contract.edit_stages',$info->id) }}" class="btn btn-sm  btn-primary">تحديث المراحل</a>    
                      @endif
                        @endif
                     </td>
               </tr>
               @endforeach
            </tbody>
         </table>
         <br>
         {{ $data->links() }}
         @else
         <div class="alert alert-danger">
            عفوا لاتوجد بيانات لعرضها !!
         </div>
         @endif
      </div>
   </div>
</div>
</div>
@endsection
@section('script')
<script src="{{ asset('assets/admin/js/contracts.js') }}"></script>
@endsection