@extends('layouts.admin')
@section('title')
العقود
@endsection
@section('contentheader')
العقود
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.contract.index') }}">    ادارة العقود </a>
@endsection
@section('contentheaderactive')
اضافة
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center"> اضافة   عقد جديد</h3>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form action="{{ route('admin.contract.store') }}" method="post" >
         <div class="row">
            @csrf
            <div class="form-group">
               <label>   بيانات العملاء
               (<a id="load_add_new_customer" title=" اضافة عميل جديد " href="#">جديد <i   class="fa fa-plus-circle  "></i> </a>) 
               </label>
               <input type="text" class="form-control" id="searchbytextforcustomer" placeholder="اسم العميل - كود العميل">
               <div id="searchbytextforcustomerDiv">
                  <select name="name" id="customer_code" class="form-control select2">
                     <option value=""> لايوجد عميل</option>
                     @if (@isset($data) && !@empty($data))
                         @foreach ($data as $info)
                             <option value="{{ $info->name }}" data-lift-num="{{ $info->lift_num }}">
                                 {{ $info->name }}--{{ $info->lift_num }}
                             </option>
                         @endforeach
                     @endif
                 </select>
      
               </div>
             </div>
        
             <div class="col-md-2">
               <div class="form-group">
                   <label>2رقم المصعد</label>
                   <input name="lift_num" id="lift_num" class="form-control" readonly style="pointer-events: none;">
                   @error('lift_num')
                   <span class="text-danger">{{ $message }}</span>
                   @enderror
               </div>
           </div>
           

            <div class="col-md-2">
               <div class="form-group">
                  <label>نوع العقد</label>
                  <select name="contract_type" id="contract_type" class="form-control">
                     <option value="">نوع العقد </option>
                     <option   @if(old('contract_type')==1) selected="selected"  @endif value="1"> عقد تركيب جديد</option>
                     <option   @if(old(' contract_type ')==2) selected="selected"  @endif value="2"> عقد استكمال تركيب</option>
                     <option   @if(old('contract_type ')==3) selected="selected"  @endif value="3"> عقد صيانة</option>
                  </select>
                  @error('contract_type')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
           
            <div class="col-md-2">
               <div class="form-group">
                  <label>المندوب </label>
                  <select name="delegate_name" id="delegate_name" class="form-control">
                     <option value="">اختر</option>
                     <option   @if(old('delegate_name')==1) selected="selected"  @endif value="1">مندوب رقم 1</option>
                     <option   @if(old('delegate_name')==2) selected="selected"  @endif value="2">مندوب رقم 2</option>
                    </select>
                  @error('delegate_name')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>نوع المصعد</label>
                  <select name="lift_type" id="lift_type" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option   @if(old('lift_type')==1) selected="selected"  @endif value="1">اتوماتيك</option>
                     <option   @if(old('lift_type')==2) selected="selected"  @endif value="2">نصف اتوماتيك</option>
                     </select>
                  @error('lift_type')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>الوقفات </label>
                  <select name="lift_stop" id="lift_stop" class="form-control">
                     <option value="">اختر عدد الوقفات</option>
                     <option   @if(old('lift_stop')==2) selected="selected"  @endif value="2">2</option>
                     <option   @if(old('lift_stop')==3) selected="selected"  @endif value="3">3</option>
                     <option   @if(old('lift_stop')==4) selected="selected"  @endif value="4">4 </option>
                     <option   @if(old('lift_stop')==5) selected="selected"  @endif value="5">5 </option>
                     <option   @if(old('lift_stop')==6) selected="selected"  @endif value="6">6 </option>
                     <option   @if(old('lift_stop')==7) selected="selected"  @endif value="7">7 </option>
                     </select>
                  @error('lift_stop')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>الطوابق </label>
                  <select name="lift_floor" id="lift_flor" class="form-control">
                     <option value="">اختر عدد الطوابق</option>
                     <option   @if(old('lift_floor')==2) selected="selected"  @endif value="2">2</option>
                     <option   @if(old('lift_floor')==3) selected="selected"  @endif value="3">3</option>
                     <option   @if(old('lift_floor')==4) selected="selected"  @endif value="4">4 </option>
                     <option   @if(old('lift_floor')==5) selected="selected"  @endif value="5">5 </option>
                     <option   @if(old('lift_floor')==6) selected="selected"  @endif value="6">6 </option>
                     <option   @if(old('lift_floor')==7) selected="selected"  @endif value="7">7 </option>
                     </select>
                  @error('lift_floor')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>المداخل</label>
                  <select name="entrances" id="entrances" class="form-control">
                     <option value="">اختر عدد الطوابق</option>
                     <option   @if(old('entrances')==1) selected="selected"  @endif value="1">1</option>
                     <option   @if(old('entrances')==2) selected="selected"  @endif value="2">2</option>
                     <option   @if(old('entrances')==3) selected="selected"  @endif value="3">3 </option>
                    </select>
                  @error('entrances')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label> سعر التعاقد</label>
                  <input  name="price" id="price" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('price') }}"    >
                  @error('price')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>طريقة السداد</label>
                  <select name="pay_type" id="pay_type" class="form-control">
                     <option value="">اختر طريقة السداد</option>
                     <option   @if(old('pay_type')==1) selected="selected"  @endif value="1">دفعات</option>
                     <option   @if(old('pay_type')==2) selected="selected"  @endif value="2">دفعة واحدة</option>
                   
                    </select>
                  @error('pay_type')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>الدفعة الاولي</label>
                  <input  name="price1" id="price1" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('price1') }}"    >
                  @error('price1')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>الدفعة الثانية</label>
                  <input  name="price2" id="price2" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('price2') }}"    >
                  @error('price2')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>الدفعة الثالثة</label>
                  <input  name="price3" id="price3" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('price3') }}"    >
                  @error('price3')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>الدفعة الرابعة</label>
                  <input  name="price4" id="price4" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('price4') }}"    >
                  @error('price4')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

            <div class="col-md-2">
               <div class="form-group">
                  <label>الحمولة</label>
                  <select name="machin_load" id="machin_load" class="form-control">
                     <option value="">اختر  الحمولة</option>
                     <option   @if(old('machin_load')==1) selected="selected"  @endif value="1">450</option>
                     <option   @if(old('machin_load')==2) selected="selected"  @endif value="2">630</option>
                    </select>
                  @error('machin_load')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>البطارية</label>
                  <select name="battery" id="battery" class="form-control">
                     <option value="">اختر  البطارية</option>
                     <option   @if(old('battery')==0) selected="selected"  @endif value="0">لا يوجد</option>
                     <option   @if(old('battery')==1) selected="selected"  @endif value="1">يوجد</option>
                    </select>
                  @error('battery')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>vvvf</label>
                  <select name="vvvf" id="vvvf" class="form-control">
                     <option value="">vvvf</option>
                     <option   @if(old('vvvf')==0) selected="selected"  @endif value="0">لا يوجد</option>
                     <option   @if(old('vvvf')==1) selected="selected"  @endif value="1">يوجد</option>
                    </select>
                  @error('vvvf')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

               <div class="col-md-2">
               <div class="form-group">
                  <label>نوع الباب</label>
                  <select name="door_type" id="door_type" class="form-control">
                     <option value="">اختر  الباب</option>
                     <option   @if(old('door_type')==1) selected="selected"  @endif value="1">سنتر</option>
                     <option   @if(old('door_type')==2) selected="selected"  @endif value="0">تليسكوبيك</option>
                     
                    </select>
                  @error('door_type')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

            <div class="col-md-2">
               <div class="form-group">
                  <label>مقاس الباب</label>
                  <select name="door_size" id="door_size" class="form-control">
                     <option value="">اختر</option>
                     <option   @if(old('door_size')==1) selected="selected"  @endif value="1">70</option>
                     <option   @if(old('door_size')==2) selected="selected"  @endif value="2">80</option>
                    </select>
                  @error('door_size')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

               <div class="col-md-2">
               <div class="form-group">
                  <label>الباب الداخلي </label>
                  <select name="in_door_type" id="in_door_type" class="form-control">
                     <option value="">اختر</option>
                     <option   @if(old('in_door_type')==1) selected="selected"  @endif value="1">سنتر</option>
                     <option   @if(old('in_door_type')==2) selected="selected"  @endif value="2">تليسكوبيك يمين</option>
                     <option   @if(old('in_door_type')==3) selected="selected"  @endif value="3">تليسكوبيك يسار</option>
                    </select>
                  @error('in_door_type')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>


            <div class="col-md-2">
               <div class="form-group">
                  <label>عرض البئر</label>
                  <input name="beer_wide" id="beer_wide" class="form-control" value="{{ old('beer_wide') }}"    >
                  @error('beer_wide')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

            <div class="col-md-2">
               <div class="form-group">
                  <label>طول البئر</label>
                  <input name="beer_tall" id="beer_tall" class="form-control" value="{{ old('beer_tall') }}"    >
                  @error('beer_tall')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

            <div class="col-md-2">
               <div class="form-group">
                  <label> مقاس الكابينة</label>
                  <input name="capin_size" id="capin_size" class="form-control" value="{{ old('capin_size') }}"    >
                  @error('capin_size')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
              <div class="col-md-2">
               <div class="form-group">
                  <label>ملاحظات</label>
                  <input name="notes" id="notes" class="form-control" value="{{ old('notes') }}"    >
                  @error('notes')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>حفرة البئر</label>
                  <input name="ber_deep" id="ber_deep" class="form-control" value="{{ old('ber_deep') }}"    >
                  @error('ber_deep')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>ارتفاع الدور الاخير</label>
                  <input name="last_floor_height" id="last_floor_height" class="form-control" value="{{ old('last_floor_height') }}"    >
                  @error('last_floor_height')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>مكان التقل</label>
                  <select name="Place_gravity" id="Place_gravity" class="form-control">
                     <option value="">اختر</option>
                     <option   @if(old('Place_gravity')==1) selected="selected"  @endif value="1">خلفي</option>
                     <option   @if(old('Place_gravity')==2) selected="selected"  @endif value="2">جانبي</option>
                    </select>
                  @error('Place_gravity')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            

            <div class="col-md-2">
               <div class="form-group">
                  <label>   جي بي اس </label>
                  <input name="gps" id="gps" class="form-control" value="{{ old('gps') }}"    >
                  @error('gps')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

            <div class="col-md-2">
               <div class="form-group">
                  <label>تاريخ انتهاء الصيانة</label>
                  <input type="date"  name="maintenance_end_date" id="maintenance_end_date" class="form-control"   value="{{ old('maintenance_end_date') }}"    >
                  @error('maintenance_end_date')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

                     
           <div class="col-md-2">
            <div class="form-group">
                <label>تاريخ انتهاء الصيانة (هجري)</label>
                <input type="text" placeholder="DD-MM-YYYY" name="maintenance_end_date_hijri"
                       id="maintenance_end_date_hijri" class="form-control"
                       value="{{ old('maintenance_end_date_hijri') }}"
                       pattern="\d{4}-\d{2}-\d{2}"
                       title="التاريخ يجب أن يكون بصيغة سنة-شهر-يوم (اكتب السنة اولا ثم علامة - ثم الشهر ثم علامة - ثم اليوم)(مثال: 1446-10-30)"
                       lang="en" dir="ltr" inputmode="numeric">
                @error('maintenance_end_date_hijri')
                <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>
        </div>
        
           
        




            
            <div class="col-md-2">
               <div class="form-group">
                  <label>   العنوان </label>
                  <input name="address" id="name" class="form-control" value="{{ old('address') }}"    >
                  @error('address')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               
               <div class="form-group">
                  <label>   الهاتف</label>
                  <input name="phones" id="phones" class="form-control" value="{{ old('phones') }}"    >
                  @error('phones')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>   ملاحظات</label>
                  <input name="notes" id="notes" class="form-control" value="{{ old('notes') }}"    >
                  @error('notes')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
            <div class="form-group">
               <label>   الهاتف 2</label>
               <input name="phones_2" id="phones_2" class="form-control" value="{{ old('phones_2') }}"    >
               @error('phones_2')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
        
         </div>
         <div class="col-md-2">
            <div class="form-group">
               <label>   رقم الملف</label>
               <input name="file_num" id="file_num" class="form-control" value="{{ old('file_num') }}"    >
               @error('file_num')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
         </div>

            <div class="col-md-2">
               <div class="form-group">
                  <label>  حالة التفعيل</label>
                  <select name="active" id="active" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option   @if(old('active')==1  || old('active')=="" ) selected="selected"  @endif value="1"> نعم</option>
                     <option @if( (old('active')==0 and old('active')!="")) selected="selected"  @endif   value="0"> لا</option>
                  </select>
                  @error('active')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-12">
               <div class="form-group text-center">
                  <button id="do_add_item_cardd" type="submit" class="btn btn-primary btn-sm"> اضافة</button>
                  <a href="{{ route('admin.customer.index') }}" class="btn btn-sm btn-danger">الغاء</a>    
               </div>
            </div>
         </div>
      </form>
   </div>
</div>
</div>
@endsection
@section('script')




<script src="{{ asset('assets/admin/js/contracts.js') }}"></script>
@endsection
