@extends('layouts.admin')
@section('title')
تعديل بيانات مراحل العقود
@endsection
@section('contentheader')
مراحل العقود
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.contract.contract_payment') }}"> متابعة المراحل </a>
@endsection
@section('contentheaderactive')
تعديل
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center"> تحديث بيانات المراحل</h3>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <div class="row">
      <div class="col-md-2">
         <div class="form-group">
            <label>اسم العميل</label>
            <input name="name" id="name" class="form-control" value="{{ old('name',$data['contract_type']) }} "  readonly style="pointer-events: none;"  >
            @error('name')
            <span class="text-danger">{{ $message }}</span>
            @enderror
         </div>
      </div>
      <div class="col-md-2">
         <div class="form-group">
            <label>نوع العقد</label>
            <select name="contract_type" id="contract_type" class="form-control" readonly style="pointer-events: none;">
               <option value="">نوع العقد </option>
               <option   @if(old('contract_type',$data['contract_type'])==1) selected="selected"  @endif value="1"> عقد صيانة  </option>
               <option   @if(old(' contract_type ',$data['contract_type'])==2) selected="selected"  @endif value="2"> عقد  تركيب</option>
               <option   @if(old('contract_type ',$data['contract_type'])==3) selected="selected"  @endif value="3"> عقد استكمال تركيب</option>
            </select>
            @error('contract_type')
            <span class="text-danger">{{ $message }}</span>
            @enderror
         </div>
      </div>
         
         <div class="col-md-2">
            <div class="form-group">
               <label>رقم المصعد</label>
               <input name="lift_num" id="lift_num" class="form-control" value="{{ old('lift_num',$data['lift_num']) }}"  readonly style="pointer-events: none;"  >
               @error('lift_num')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
         </div>
         <div class="col-md-2">
            <div class="form-group">
               <label>المندوب </label>
               <select name="delegate_name" id="delegate_name" class="form-control">
                  <option value="">اختر</option>
                  <option   @if(old('delegate_name',$data['delegate_name'])==1) selected="selected"  @endif value="1">مندوب رقم 1</option>
                  <option   @if(old('delegate_name',$data['delegate_name'])==2) selected="selected"  @endif value="2">مندوب رقم 2</option>
                 </select>
               @error('delegate_name')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
         </div>

         <div class="col-md-2">
            <div class="form-group">
               <label>نوع المصعد</label>
               <select name="lift_type" id="lift_type" class="form-control" readonly style="pointer-events: none;">
                  <option value="">اختر الحالة</option>
                  <option   @if(old('lift_type',$data['lift_type'])==1) selected="selected"  @endif value="1">اتوماتيك</option>
                  <option   @if(old('lift_type',$data['lift_type'])==2) selected="selected"  @endif value="2">نصف اتوماتيك</option>
                  </select>
               @error('lift_type')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
          
         </div>

      </div>
   </div>

</div>
    <div class="row">
     
      @php
      // الحصول على سعر العقد من old أو من بيانات العقد
      $contractPrice = old('price', $data['price']);
      // حساب 17% من سعر العقد
      $requiredAmount_stag1 = $contractPrice * 0.17;
       // حساب 33% من سعر العقد
       $requiredAmount_stag2 = $contractPrice * 0.33;
        // حساب 75% من سعر العقد
      $requiredAmount_stag3 = $contractPrice * 0.75;
       // حساب 75% من سعر العقد
       $requiredAmount_stag4 = $contractPrice * 0.75;
       // حساب 100% من سعر العقد
       $requiredAmount_stag5 = $contractPrice * 1;

  @endphp
  
  
  <div class="col-md-3" style="margin-top: 15px;">
   @if($data->total_payment >= $requiredAmount_stag1)
       @if($data->stage1_status == 0)
           <form action="{{ route('admin.contract.update_stage1', $data->id) }}" method="post" style="display:inline;">
               @csrf
               <button type="submit" class="btn btn-success">اصدار امر شغل سكة وباب</button>
           </form>
          
       @elseif($data->stage1_status == 1)
           <button type="button" class="btn btn-success" disabled>تم اصدار مرحلة سكة وباب</button>
           <form action="{{ route('admin.contract.update_stage1_2', $data->id) }}" method="post" style="display:inline;">
            @csrf
            <button type="submit" class="btn btn-success"> تسليم مرحلة سكة وباب  للتنفيذ </button>
       @elseif($data->stage1_status == 2)

           <button type="button" class="btn btn-success" disabled>مرحلة سكة وباب جاري تنفيذها    </button>
           <form action="{{ route('admin.contract.update_stage1_3', $data->id) }}" method="post" style="display:inline;">
            @csrf
            <button type="submit" class="btn btn-success"> انهاء مرحلة سكة وباب   </button>
      
       @elseif($data->stage1_status ==3)

       <button type="button" class="btn btn-success" disabled>تم انتهاء سكة وباب  </button>
       @else
 
       <button type="button" class="btn btn-danger" disabled>غير جاهز لاصدار امر شغل سكة وباب</button>
   @endif
   @endif
</div>
  
  <div class="col-md-3" style="margin-top: 15px;">
     @if($data->total_payment >= $requiredAmount_stag2)
     @if($data->stage2_status == 0)
     <form action="{{ route('admin.contract.update_stage2', $data->id) }}" method="post" style="display:inline;">
      @csrf
        <button type="submit" class="btn btn-success">اصدار امر شغل كابينة </button>
      </form>
      @elseif($data->stage2_status == 1)
      <button type="button" class="btn btn-success" disabled>تم اصدار مرحلة كابينة </button>
      @elseif($data->stage2_status == 2)
      <button type="button" class="btn btn-success" disabled>تم انتهاء مرحلة كابينة  </button>
      @endif
     @else
        <button type="button" class="btn btn-danger">غير جاهز لاصدار امر شغل كابينة </button>
     @endif
  </div>
  <div class="col-md-3" style="margin-top: 15px;">
     @if($data->total_payment >= $requiredAmount_stag3)
     @if($data->stage3_status == 0)
     <form action="{{ route('admin.contract.update_stage3', $data->id) }}" method="post" style="display:inline;">
      @csrf
        <button type="submit" class="btn btn-success">اصدار امر شغل ماكينة </button>
      </form>
      @elseif($data->stage3_status == 1)
      <button type="button" class="btn btn-success" disabled>تم اصدار مرحلة ماكينة </button>
      @elseif($data->stage3_status == 2)
      <button type="button" class="btn btn-success" disabled>تم انتهاء رفع ماكينة  </button>
      @endif
     @else
        <button type="button" class="btn btn-danger">غير جاهز لاصدار امر شغل ماكينة </button>
     @endif
  </div>
  <div class="col-md-3" style="margin-top: 15px;">
   @if($data->total_payment >= $requiredAmount_stag4)
   @if($data->stage4_status == 0)
   <form action="{{ route('admin.contract.update_stage4', $data->id) }}" method="post" style="display:inline;">
    @csrf
      <button type="submit" class="btn btn-success">اصدار امر شغل ميكانيكا </button>
    </form>
    @elseif($data->stage4_status == 1)
    <button type="button" class="btn btn-success" disabled>تم اصدار مرحلة ميكانيكا </button>
    @elseif($data->stage4_status == 2)
    <button type="button" class="btn btn-success" disabled>جاري تنفيذ ميكانيكا</button>
    @elseif($data->stage4_status == 3)
    <button type="button" class="btn btn-success" disabled>تم انتهاء  ميكانيكا</button>
    @endif
   @else
      <button type="button" class="btn btn-danger">غير جاهز لاصدار امر شغل ميكانيكا </button>
   @endif
</div>
<div class="col-md-3" style="margin-top: 15px;">
   @if($data->total_payment >= $requiredAmount_stag5)
   @if($data->stage5_status == 0)
   <form action="{{ route('admin.contract.update_stage5', $data->id) }}" method="post" style="display:inline;">
    @csrf
      <button type="submit" class="btn btn-success">اصدار امر شغل كهرباء </button>
    </form>
    @elseif($data->stage5_status == 1)
    <button type="button" class="btn btn-success" disabled>تم اصدار مرحلة كهرباء </button>
    @elseif($data->stage5_status == 2)
    <button type="button" class="btn btn-success" disabled>جاري تنفيذ كهرباء</button>
    @elseif($data->stage5_status == 3)
    <button type="button" class="btn btn-success" disabled>تم انتهاء كهرباء</button>
    @endif
   @else
      <button type="button" class="btn btn-danger">غير جاهز لاصدار امر شغل كهرباء </button>
   @endif
</div>
<div class="col-md-3" style="margin-top: 15px;">
   @if($data->total_payment >= $requiredAmount_stag5)
   @if($data->stage5_status == 3&&$data->stage6_status==0 )
   <form action="{{ route('admin.contract.update_stage6', $data->id) }}" method="post" style="display:inline;">
    @csrf
      <button type="submit" class="btn btn-success">اصدار امر شغل تسليم </button>
    </form>
    @endif
   
    @if($data->stage6_status == 1)
    <button type="button" class="btn btn-success" disabled>تم   اصدار امرشغل تسليم   </button>
    @elseif($data->stage6_status == 2)
    <button type="button" class="btn btn-success" disabled>جاري تنفيذ امر تسليم</button>
    @elseif($data->stage6_status == 3)
    <button type="button" class="btn btn-success" disabled>تم انتهاء تسليم المصعد</button>
    @endif
   @else
      <button type="button" class="btn btn-danger">غير جاهز لاصدار امر شغل تسليم  </button>
   @endif
</div>
</div>
     


      <form action="{{ route('admin.contract.update',$data['id']) }}" method="post" >
         <div class="row">
            @csrf
        
           
               
               <div class="col-md-12">
                  
                        </div>
                        

                        <div class="col-md-2">
                           <div class="form-group">
                              <label>سعر التعاقد</label>
                              <input name="price" id="price" class="form-control" oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('price', $data['price']) }}">
                              @error('price')
                              <span class="text-danger">{{ $message }}</span>
                              @enderror
                           </div>
                        </div>
                        <div class="col-md-2">
                           <div class="form-group">
                              <label>مدفوع من العقد</label>
                              <input name="total_payment" id="total_payment" class="form-control" oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ $data->total_payment }}" readonly style="pointer-events: none;">
                              @error('total_payment')
                              <span class="text-danger">{{ $message }}</span>
                              @enderror
                           </div>
                        </div>
                       



               <div class="col-md-2">
                  <div class="form-group">
                     <label>الوقفات </label>
                     <select name="lift_stop" id="lift_stop" class="form-control">
                        <option value="">اختر عدد الوقفات</option>
                        <option   @if(old('lift_stop',$data['lift_stop'])==2) selected="selected"  @endif value="2">2</option>
                        <option   @if(old('lift_stop',$data['lift_stop'])==3) selected="selected"  @endif value="3">3</option>
                        <option   @if(old('lift_stop',$data['lift_stop'])==4) selected="selected"  @endif value="4">4 </option>
                        <option   @if(old('lift_stop',$data['lift_stop'])==5) selected="selected"  @endif value="5">5 </option>
                        <option   @if(old('lift_stop',$data['lift_stop'])==6) selected="selected"  @endif value="6">6 </option>
                        <option   @if(old('lift_stop',$data['lift_stop'])==7) selected="selected"  @endif value="7">7 </option>
                        </select>
                     @error('lift_stop')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
         {{--       <div class="col-md-2">
                  <div class="form-group">
                     <label>الطوابق </label>
                     <select name="lift_floor" id="lift_flor" class="form-control">
                        <option value="">اختر عدد الطوابق</option>
                        <option   @if(old('lift_floor',$data['lift_floor'])==2) selected="selected"  @endif value="2">2</option>
                        <option   @if(old('lift_floor',$data['lift_floor'])==3) selected="selected"  @endif value="3">3</option>
                        <option   @if(old('lift_floor',$data['lift_floor'])==4) selected="selected"  @endif value="4">4 </option>
                        <option   @if(old('lift_floor',$data['lift_floor'])==5) selected="selected"  @endif value="5">5 </option>
                        <option   @if(old('lift_floor',$data['lift_floor'])==6) selected="selected"  @endif value="6">6 </option>
                        <option   @if(old('lift_floor',$data['lift_floor'])==7) selected="selected"  @endif value="7">7 </option>
                        </select>
                     @error('lift_floor')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
                  <div class="form-group">
                     <label>المداخل</label>
                     <select name="entrances" id="entrances" class="form-control">
                        <option value="">اختر عدد الطوابق</option>
                        <option   @if(old('entrances',$data['entrances'])==1) selected="selected"  @endif value="1">1</option>
                        <option   @if(old('entrances',$data['entrances'])==2) selected="selected"  @endif value="2">2</option>
                        <option   @if(old('entrances',$data['entrances'])==3) selected="selected"  @endif value="3">3 </option>
                       </select>
                     @error('entrances')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               
               <div class="col-md-2">
                  <div class="form-group">
                     <label>طريقة السداد</label>
                     <select name="pay_type" id="pay_type" class="form-control">
                        <option value="">اختر طريقة السداد</option>
                        <option   @if(old('pay_type',$data['pay_type'])==1) selected="selected"  @endif value="1">دفعات</option>
                        <option   @if(old('pay_type',$data['pay_type'])==2) selected="selected"  @endif value="2">دفعة واحدة</option>
                      
                       </select>
                     @error('pay_type')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
                  <div class="form-group">
                     <label>الدفعة الاولي</label>
                     <input  name="price1" id="price1" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('price1',$data['price1']) }}"    >
                     @error('price1')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
                  <div class="form-group">
                     <label>الدفعة الثانية</label>
                     <input  name="price2" id="price2" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('price2',$data['price2']) }}"    >
                     @error('price2')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
                  <div class="form-group">
                     <label>الدفعة الثالثة</label>
                     <input  name="price3" id="price3" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('price3',$data['price3']) }}"    >
                     @error('price3')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
                  <div class="form-group">
                     <label>الدفعة الرابعة</label>
                     <input  name="price4" id="price4" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('price4',$data['price4']) }}"    >
                     @error('price4')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
   
               <div class="col-md-2">
                  <div class="form-group">
                     <label>الحمولة</label>
                     <select name="machin_load" id="machin_load" class="form-control">
                        <option value="">اختر  الحمولة</option>
                        <option   @if(old('machin_load',$data['machin_load'])==1) selected="selected"  @endif value="1">450</option>
                        <option   @if(old('machin_load',$data['machin_load'])==2) selected="selected"  @endif value="2">630</option>
                       </select>
                     @error('machin_load')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
                  <div class="form-group">
                     <label>البطارية</label>
                     <select name="battery" id="battery" class="form-control">
                        <option value="">اختر  البطارية</option>
                        <option   @if(old('battery',$data['battery'])==0) selected="selected"  @endif value="0">لا يوجد</option>
                        <option   @if(old('battery',$data['battery'])==1) selected="selected"  @endif value="1">يوجد</option>
                       </select>
                     @error('battery')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
                  <div class="form-group">
                     <label>vvvf</label>
                     <select name="vvvf" id="vvvf" class="form-control">
                        <option value="">vvvf</option>
                        <option   @if(old('vvvf',$data['vvvf'])==0) selected="selected"  @endif value="0">لا يوجد</option>
                        <option   @if(old('vvvf',$data['vvvf'])==1) selected="selected"  @endif value="1">يوجد</option>
                       </select>
                     @error('vvvf')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
   
                  <div class="col-md-2">
                  <div class="form-group">
                     <label>نوع الباب</label>
                     <select name="door_type" id="door_type" class="form-control">
                        <option value="">اختر  الباب</option>
                        <option   @if(old('door_type',$data['door_type'])==1) selected="selected"  @endif value="1">سنتر</option>
                        <option   @if(old('door_type',$data['door_type'])==2) selected="selected"  @endif value="0">تليسكوبيك</option>
                        
                       </select>
                     @error('door_type')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
   
               <div class="col-md-2">
                  <div class="form-group">
                     <label>مقاس الباب</label>
                     <select name="door_size" id="door_size" class="form-control">
                        <option value="">اختر</option>
                        <option   @if(old('door_size',$data['door_size'])==1) selected="selected"  @endif value="1">70</option>
                        <option   @if(old('door_size',$data['door_size'])==2) selected="selected"  @endif value="2">80</option>
                       </select>
                     @error('door_size')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
   
                  <div class="col-md-2">
                  <div class="form-group">
                     <label>الباب الداخلي </label>
                     <select name="in_door_type" id="in_door_type" class="form-control">
                        <option value="">اختر</option>
                        <option   @if(old('in_door_type',$data['in_door_type'])==1) selected="selected"  @endif value="1">سنتر</option>
                        <option   @if(old('in_door_type',$data['in_door_type'])==2) selected="selected"  @endif value="2">تليسكوبيك يمين</option>
                        <option   @if(old('in_door_type',$data['in_door_type'])==3) selected="selected"  @endif value="3">تليسكوبيك يسار</option>
                       </select>
                     @error('in_door_type')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
   
   
               <div class="col-md-2">
                  <div class="form-group">
                     <label>عرض البئر</label>
                     <input name="beer_wide" id="beer_wide" class="form-control" value="{{ old('beer_wide',$data['beer_wide']) }}"    >
                     @error('beer_wide')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
   
               <div class="col-md-2">
                  <div class="form-group">
                     <label>طول البئر</label>
                     <input name="beer_tall" id="beer_tall" class="form-control" value="{{ old('beer_tall',$data['beer_tall']) }}"    >
                     @error('beer_tall')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
   
               <div class="col-md-2">
                  <div class="form-group">
                     <label> مقاس الكابينة</label>
                     <input name="capin_size" id="capin_size" class="form-control" value="{{ old('capin_size',$data['capin_size']) }}"    >
                     @error('capin_size')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
                 <div class="col-md-2">
                  <div class="form-group">
                     <label>ملاحظات</label>
                     <input name="notes" id="notes" class="form-control" value="{{ old('notes',$data['notes']) }}"    >
                     @error('notes')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
                  <div class="form-group">
                     <label>حفرة البئر</label>
                     <input name="ber_deep" id="ber_deep" class="form-control" value="{{ old('ber_deep',$data['ber_deep']) }}"    >
                     @error('ber_deep')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
                  <div class="form-group">
                     <label>ارتفاع الدور الاخير</label>
                     <input name="last_floor_height" id="last_floor_height" class="form-control" value="{{ old('last_floor_height',$data['last_floor_height']) }}"    >
                     @error('last_floor_height')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
                  <div class="form-group">
                     <label>مكان التقل</label>
                     <select name="Place_gravity" id="Place_gravity" class="form-control">
                        <option value="">اختر</option>
                        <option   @if(old('Place_gravity',$data['Place_gravity'])==1) selected="selected"  @endif value="1">خلفي</option>
                        <option   @if(old('Place_gravity',$data['Place_gravity'])==2) selected="selected"  @endif value="2">جانبي</option>
                       </select>
                     @error('Place_gravity')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               
   
               <div class="col-md-2">
                  <div class="form-group">
                     <label>   جي بي اس </label>
                     <input name="gps" id="gps" class="form-control" value="{{ old('gps',$data['gps']) }}"    >
                     @error('gps')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
   
               <div class="col-md-2">
                  <div class="form-group">
                     <label>تاريخ انتهاء الصيانة</label>
                     <input type="date"  name="maintenance_end_date" id="maintenance_end_date" class="form-control"   value="{{ old('maintenance_end_date',$data['maintenance_end_date']) }}"    >
                     @error('maintenance_end_date')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
   
                        
              <div class="col-md-2">
               <div class="form-group">
                   <label>تاريخ انتهاء الصيانة (هجري)</label>
                   <input type="text" placeholder="DD-MM-YYYY" name="maintenance_end_date_hijri"
                          id="maintenance_end_date_hijri" class="form-control"
                          value="{{ old('maintenance_end_date_hijri',$data['maintenance_end_date_hijri']) }}"
                          pattern="\d{4}-\d{2}-\d{2}"
                          title="التاريخ يجب أن يكون بصيغة سنة-شهر-يوم (اكتب السنة اولا ثم علامة - ثم الشهر ثم علامة - ثم اليوم)(مثال: 1446-10-30)"
                          lang="en" dir="ltr" inputmode="numeric">
                   @error('maintenance_end_date_hijri')
                   <span class="text-danger">{{ $message }}</span>
                   @enderror
               </div>
           </div>
           
               
               <div class="col-md-2">
                  <div class="form-group">
                     <label>   العنوان </label>
                     <input name="address" id="name" class="form-control" value="{{ old('address',$data['address']) }}"    >
                     @error('address')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
                  
                  <div class="form-group">
                     <label>   الهاتف</label>
                     <input name="phones" id="phones" class="form-control" value="{{ old('phones',$data['phones']) }}"    >
                     @error('phones')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
                  <div class="form-group">
                     <label>   ملاحظات</label>
                     <input name="notes" id="notes" class="form-control" value="{{ old('notes',$data['notes']) }}"    >
                     @error('notes')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
               <div class="form-group">
                  <label>   الهاتف 2</label>
                  <input name="phones_2" id="phones_2" class="form-control" value="{{ old('phones_2',$data['phones_2']) }}"    >
                  @error('phones_2')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
           
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>   رقم الملف</label>
                  <input name="file_num" id="file_num" class="form-control" value="{{ old('file_num',$data['file_num']) }}"    >
                  @error('file_num')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
   
               <div class="col-md-2">
                  <div class="form-group">
                     <label>  حالة التفعيل</label>
                     <select name="active" id="active" class="form-control">
                        <option value="">اختر الحالة</option>
                        <option   @if(old('active',$data['active'])==1  || old('active')=="" ) selected="selected"  @endif value="1"> نعم</option>
                        <option @if( (old('active',$data['active'])==0 and old('active')!="")) selected="selected"  @endif   value="0"> لا</option>
                     </select>
                     @error('active')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
 --}}


            <div class="col-md-12">
               <div class="form-group text-center">
                  <button id="do_add_item_cardd" type="submit" class="btn btn-primary btn-sm"> تعديل</button>
                  <a href="{{ route('admin.customer.index') }}" class="btn btn-sm btn-danger">الغاء</a>    
               </div>
            </div>
         </div>
      </form>
   </div>
</div>
</div>
@endsection
@section('script')
<script src="{{ asset('assets/admin/js/accounts.js') }}"></script>
@endsection