@extends('layouts.admin')
@section('title')
شئون الموظفين
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
الموظفين  
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.employees.index') }}">    الموظفين </a>
@endsection
@section('contentheaderactive')
اضافة
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center"> اضافة حساب موظف جديد</h3>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form action="{{ route('admin.employees.store') }}" method="post" >
         <div class="row">
            @csrf
            <div class="col-md-6">
               <div class="form-group">
                  <label>اسم   الموظف</label>
                  <input name="name" id="name" class="form-control" value="{{ old('name') }}"    >
                  @error('name')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>   الادارة التابع لها الموظف</label>
                  <select name="departements_id" id="departements_id" class="form-control select2 ">
                     <option value="">اختر الادارة</option>
                     @if (@isset($other['departements']) && !@empty($other['departements']))
                     @foreach ($other['departements'] as $info )
                     <option @if(old('departements_id')==$info->id) selected="selected" @endif value="{{ $info->id }}"> {{ $info->name }} </option>
                     @endforeach
                     @endif
                  </select>
                  @error('departements_id')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>      وظيفة الموظف</label>
                  <select name="jobs_id" id="jobs_id" class="form-control select2">
                     <option value="">اختر الوظيفة</option>
                     @if (@isset($other['jobs']) && !@empty($other['jobs']))
                     @foreach ($other['jobs'] as $info )
                     <option @if(old('jobs_id')==$info->id) selected="selected" @endif value="{{ $info->id }}"> {{ $info->name }} </option>
                     @endforeach
                     @endif
                  </select>
                  @error('jobs_id')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>   هل يمتلك شفت ثابت</label>
                  <select name="do_has_shift" id="do_has_shift" class="form-control select2">
                     <option value="">اختر الحالة</option>
                     <option   @if(old('do_has_shift')==1  ) selected="selected"  @endif value="1"> نعم</option>
                     <option @if( (old('do_has_shift')==0 and old('do_has_shift')!="")) selected="selected"  @endif   value="0"> لا</option>
                  </select>
                  @error('do_has_shift')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-6" id="relatedShift" @if(old('do_has_shift')!=1) style="display: none;" @endif>
               <div class="form-group">
                  <label>       أنواع الشفتات</label>
                  <select name="shifts_types_id" id="shifts_types_id" class="form-control select2 ">
                     <option value="">اختر الشفت</option>
                     @if (@isset($other['shifts_types']) && !@empty($other['shifts_types']))
                     @foreach ($other['shifts_types'] as $info )
                     <option @if(old('shifts_types_id')==$info->id) selected="selected" @endif value="{{ $info->id }}"> 
                        
                        @if($info->type==1) صباحي @elseif ($info->type==2) مسائي @else يوم كامل @endif
                        من
                        @php
                        $dt=new DateTime($info->from_time);
                        $time=$dt->format("h:i");
                        $newDateTime=date("A",strtotime($info->from_time));
                        $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                        @endphp
                       
                        {{ $time }}
                        {{ $newDateTimeType }}  
                        الي
                        @php
                        $dt=new DateTime($info->to_time);
                        $time=$dt->format("h:i");
                        $newDateTime=date("A",strtotime($info->to_time));
                        $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                        @endphp
                       
                        {{ $time }}
                        {{ $newDateTimeType }}  
                     عدد
                     {{ $info->total_hours*1  }} ساعات
                     
                     
                     
                     
                     </option>
                     @endforeach
                     @endif
                  </select>
                  @error('shifts_types_id')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

            <div class="col-md-6" id="total_hoursDiv" " @if(old('do_has_shift')!=0 or old('do_has_shift')=="") style="display: none;" @endif>
               <div class="form-group">
                  <label>  عدد ساعات العمل اليومي</label>
                  <input  name="total_hours" id="total_hours" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('total_hours') }}"    >
                  @error('total_hours')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

            <div class="col-md-6">
               <div class="form-group">
                  <label>   هل له تأمين اجتماعي</label>
                  <select name="does_has_social_insurance" id="does_has_social_insurance" class="form-control select2">
                     <option value="">اختر الحالة</option>
                     <option   @if(old('does_has_social_insurance')==1  ) selected="selected"  @endif value="1"> نعم</option>
                     <option @if( (old('does_has_social_insurance')==0 and old('does_has_social_insurance')!="")) selected="selected"  @endif   value="0"> لا</option>
                  </select>
                  @error('does_has_social_insurance')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

            <div class="col-md-6 rleated_social_insurance" @if(old('does_has_social_insurance')!=1)) style="display: none;" @endif>
               <div class="form-group">
                  <label> رقم التامين الاجتماعي</label>
                  <input  name="social_insurance_number" id="social_insurance_number" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('social_insurance_number') }}"    >
                  @error('social_insurance_number')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

            <div class="col-md-6 rleated_social_insurance"  @if(old('does_has_social_insurance')!=1)) style="display: none;" @endif>
               <div class="form-group">
                  <label> قيمة التأمين الاجتماعي </label>
                  <input  name="social_insurance_value" id="social_insurance_value" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('social_insurance_value') }}"    >
                  @error('social_insurance_value')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

            <div class="col-md-6">
               <div class="form-group">
                  <label>   هل للموظف حافز شهري ثابت</label>
                  <select name="do_has_Motivation" id="do_has_Motivation" class="form-control select2">
                     <option value="">اختر الحالة</option>
                     <option   @if(old('do_has_Motivation')==1  ) selected="selected"  @endif value="1"> نعم</option>
                     <option @if( (old('do_has_Motivation')==0 and old('do_has_Motivation')!=1))) selected="selected"  @endif   value="0"> لا</option>
                  </select>
                  @error('do_has_Motivation')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

            <div class="col-md-6 rleated_Motivation"  @if(old('do_has_Motivation')!=1) style="display: none;" @endif>
               <div class="form-group">
                  <label> قيمة  الحافز الشهري </label>
                  <input  name="Motivation_value" id="Motivation_value" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('Motivation_value') }}"    >
                  @error('Motivation_value')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>


            <div class="col-md-6">
               <div class="form-group">
                  <label>   هل للموظف بدلات شهرية ثابتة</label>
                  <select name="does_has_allowances" id="does_has_allowances" class="form-control select2">
                     <option value="">اختر الحالة</option>
                     <option   @if(old('does_has_allowances')==1  ) selected="selected"  @endif value="1"> نعم</option>
                     <option @if( (old('does_has_allowances')==0 and old('does_has_allowances')!="")) selected="selected"  @endif   value="0"> لا</option>
                  </select>
                  @error('does_has_allowances')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

            <div class="col-md-6 rleated_allowances"  @if(old('does_has_allowances')!=1) style="display: none;" @endif>
               <div class="form-group">
                  <label> قيمة  البدلات الشهرية الثابتة </label>
                  <input  name="allowances_value" id="allowances_value" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('allowances_value') }}"    >
                  @error('allowances_value')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>


            <div class="col-md-6 "  >
               <div class="form-group">
                  <label> قيمة  المرتب الشهري الثابت للموظف </label>
                  <input  name="salary" id="salary" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('salary') }}"    >
                  @error('salary')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>

            <div class="col-md-6">
               <div class="form-group">
                  <label>   حالة رصيد اول المدة</label>
                  <select name="start_balance_status" id="start_balance_status" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option   @if(old('start_balance_status')==1) selected="selected"  @endif value="1"> دائن</option>
                     <option   @if(old('start_balance_status')==2) selected="selected"  @endif value="2"> مدين</option>
                     <option   @if(old('start_balance_status')==3) selected="selected"  @endif value="3"> متزن</option>
                  </select>
                  @error('start_balance_status')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>   رصيد أول المدة للحساب</label>
                  <input  name="start_balance" id="start_balance" class="form-control"  oninput="this.value=this.value.replace(/[^0-9.]/g,'');" value="{{ old('start_balance') }}"    >
                  @error('start_balance')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>   العنوان </label>
                  <input name="address" id="name" class="form-control" value="{{ old('address') }}"    >
                  @error('address')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>   الهاتف</label>
                  <input name="phones" id="phones" class="form-control" value="{{ old('phones') }}"    >
                  @error('phones')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>   ملاحظات</label>
                  <input name="notes" id="notes" class="form-control" value="{{ old('notes') }}"    >
                  @error('notes')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>  حالة التفعيل</label>
                  <select name="active" id="active" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option   @if(old('active')==1  || old('active')=="" ) selected="selected"  @endif value="1"> نعم</option>
                     <option @if( (old('active')==0 and old('active')!="")) selected="selected"  @endif   value="0"> لا</option>
                  </select>
                  @error('active')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>  هل لسه سجل حضور يومي </label>
                  <select name="is_has_attendance" id="is_has_attendance" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option   @if(old('is_has_attendance')==1  || old('is_has_attendance')=="" ) selected="selected"  @endif value="1"> نعم</option>
                     <option @if( (old('is_has_attendance')==0 and old('is_has_attendance')!="")) selected="selected"  @endif   value="0"> لا</option>
                  </select>
                  @error('active')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-12">
               <div class="form-group text-center">
                  <button id="do_add_new_employee" type="submit" class="btn btn-primary btn-sm"> اضافة</button>
                  <a href="{{ route('admin.employees.index') }}" class="btn btn-sm btn-danger">الغاء</a>    
               </div>
            </div>
         </div>
      </form>
   </div>
</div>
</div>
@endsection
@section("script")
<script src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script src="{{ asset('assets/admin/js/employees.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection