@extends('layouts.admin')
@section('title')
شئون الموظفين
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
حضور الموظفين  
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.employees_attedance.index') }}">    سجلات الحضور </a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">بيانات   سجلات حضور الموظفين</h3>
      <input type="hidden" id="token_search" value="{{csrf_token() }}">
      <input type="hidden" id="ajax_search_url" value="{{ route('admin.employees_attedance.ajax_search') }}">
      @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(211)) 
      <a href="{{ route('admin.employees_attedance.create') }}" class="btn btn-sm btn-success" >اضافة جديد</a>
      @endif
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <div class="row">
         <div class="col-md-3">
            <div class="form-group">
               <label>         بحث بالشهور المالية</label>
               <select name="finance_cln_periods_id_search" id="finance_cln_periods_id_search" class="form-control select2">
                  <option value="all">     بحث بالكل</option>
                  @if (@isset( $other['finance_cln_periods']) && !@empty( $other['finance_cln_periods']))
                  @foreach ( $other['finance_cln_periods'] as $info )
                  <option  value="{{ $info->id }}"> شهر {{ $info->name }} لسنة {{ $info->FINANCE_YR }} </option>
                  @endforeach
                  @endif
               </select>
           
            </div>
        
         </div>
         <div class="col-md-3">
         <div class="form-group">
            <label>          بحث بالموظفين</label>
            <select name="employee_code_search" id="employee_code_search" class="form-control select2">
               <option value="all">     بحث بالكل</option>
               @if (@isset( $other['employees']) && !@empty( $other['employees']))
               @foreach ( $other['employees'] as $info )
               <option value="{{ $info->employee_code }}">  {{ $info->name }}  </option>
               @endforeach
               @endif
            </select>
       
         </div>
      </div>
      <div class="col-md-3">
      <div class="form-group">
         <label>   من تاريخ حضور</label>
         <input type="date" class="form-control" name="from_date_search" id="from_date_search">
    
      </div>
   </div>
   <div class="col-md-3>
      <div class="form-group">
         <label>     الي تاريخ جضور</label>
         <input type="date" class="form-control" name="to_date_search" id="to_date_search">
    
      </div>
   </div>
         <div class="clearfix"></div>
         <div class="col-md-12">
            <div id="ajax_responce_serarchDiv">
               @if (@isset($data) && !@empty($data) && count($data) >0)
               @php
               $i=1;   
               @endphp
               <table id="example2" class="table table-bordered table-hover">
                  <thead class="custom_thead">
                     <th>مسلسل</th>
                     <th> الشهر المالي</th>
                     <th>  اسم الموظف</th>
                     <th> تاريخ الحضور</th>
                     <th> تاريخ الاضافة</th>
                     <th></th>
                  </thead>
                  <tbody>
                     @foreach ($data as $info )
                     <tr>
                        <td>{{ $i }}</td>
                        <td>

                        @if(!@empty($info->finance_cln_periods_data))

                 شهر  {{ $info->finance_cln_periods_data['name'] }} لسنة {{ $info->finance_cln_periods_data['FINANCE_YR'] }}
                        @endif
                        </td>
                        <td>{{ $info->employee_name }}</td>
                        <td>{{ $info->attendace_date }}</td>
                        <td > 
                           @php
                           $dt=new DateTime($info->created_at);
                           $date=$dt->format("Y-m-d");
                           $time=$dt->format("h:i");
                           $newDateTime=date("A",strtotime($time));
                           $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء'); 
                           @endphp
                           {{ $date }} <br>
                           {{ $time }}
                           {{ $newDateTimeType }}  <br>
                           بواسطة 
                           {{ $info->added_by_admin}}
                        </td>
              
                        <td>
                      
                          @if($info->is_closed==0)
                           @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(212)) 
                           <a href="{{ route('admin.employees_attedance.delete',$info->id) }}" class="btn are_you_sure btn-sm  btn-danger">حذف</a>   
                           @endif
                           @endif

                           </td>
                     </tr>
                     @php
                     $i++; 
                     @endphp
                     @endforeach
                  </tbody>
               </table>
               <br>
               {{ $data->links() }}
               @else
               <div class="alert alert-danger">
                  عفوا لاتوجد بيانات لعرضها !!
               </div>
               @endif
            </div>
         </div>
      </div>
   </div>
</div>
@endsection
@section('script')
<script src="{{ asset('assets/admin/js/employees_attedance.js') }}"></script>
<script src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>

<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection