@extends('layouts.admin')
@section('title')
التقارير
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
تقارير حسابات  
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.accounts.index') }}">    تقرير حساب مالي عام </a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">   تقارير الحسابات المالية العامة  </h3>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form target="_blank" action="{{ route('admin.FinancialReport.generalaccountmirror') }}" method="POST">
         @csrf
         <div class="row">
            <div class="col-md-6">
               <div class="form-group">
                  <input type="hidden" id="todaydate" value="@php echo date('Y-m-d'); @endphp">
                  <label>   بيانات الحسابات المالية العامة</label>
                  <select name="account_number" id="account_number_in_geneal" class="form-control select2"  required>
                     <option value="">اختر الحساب المالي</option>
                     @if (@isset($accounts) && !@empty($accounts))
                     @foreach ($accounts as $info )
                     <option data-startdate="{{ $info->date }}" value="{{ $info->account_number }}"> {{ $info->name }} </option>
                     @endforeach
                     @endif
                  </select>
                  @error('account_number')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-6">
               <div class="form-group">
                  <label>    نوع التقرير</label>
                  <select name="report_type" id="report_type" class="form-control">
                       <option   value="1"> كشف حساب اجمالي</option>
                     <option  selected value="2"> كشف حساب تفصيلي خلال فترة</option>
                  </select>
               </div>
            </div>
       
            <div class="col-md-6 relatedDate"  >
               <div class="form-group">
                  <label>      من تاريخ </label>
                  <input name="from_date" id="from_date" class="form-control" type="date" value=""    >
               </div>
            </div>
            <div class="col-md-6 relatedDate" >
               <div class="form-group">
                  <label>     الي تاريخ  </label>
                  <input name="to_date" id="to_date" class="form-control" type="date" value=""    >
               </div>
            </div>
            <div class="col-md-12 text-center"> 
               <button style="margin-top: 31px;" type="submit" class="btn btn-sm btn-danger">عرض التقرير</button>
            </div>
         </div>
      </form>
   </div>
</div>
</div>
@endsection
@section("script")
<script  src="{{ asset('assets/admin/js/financialReport.js') }}"> </script>
<script  src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection