<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>قائمة متدرجة بثلاث مستويات مع مستويين فرعيين وفرع ثالث</title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
  <style>
    * {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
      font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    }
    body {
      background-color: #f5f7fa;
      color: #333;
      direction: rtl;
    }
    .menu-container {
      max-width: 1200px;
      margin: 30px auto;
      padding: 0 20px;
    }
    .main-menu {
      display: flex;
      background: linear-gradient(135deg, #2c3e50, #34495e);
      border-radius: 10px;
      box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
      position: relative;
    }
    .main-menu-item {
      position: relative;
      flex: 1;
      text-align: center;
      transition: background-color 0.3s ease;
    }
    .main-menu-item:hover {
      background-color: rgba(255, 255, 255, 0.1);
    }
    .main-menu-link {
      display: block;
      padding: 18px 25px;
      color: #fff;
      text-decoration: none;
      font-weight: 500;
      font-size: 16px;
      transition: all 0.3s ease;
    }
    .main-menu-link i {
      margin-left: 8px;
      font-size: 14px;
      transition: transform 0.3s ease;
    }
    .main-menu-item:hover .main-menu-link i {
      transform: translateX(-5px);
    }
    /* المستوى الفرعي (Level 2) */
    .sub-menu {
      position: absolute;
      top: 100%;
      left: 0;
      background-color: #fff;
      min-width: 220px;
      border-radius: 0 0 8px 8px;
      box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
      opacity: 0;
      visibility: hidden;
      transform: translateY(10px);
      transition: all 0.3s ease;
      z-index: 100;
    }
    .main-menu-item:hover > .sub-menu {
      opacity: 1;
      visibility: visible;
      transform: translateY(0);
    }
    /* المجموعة الفرعية (Level 2) */
    .sub-menu-group {
      position: relative;
      border-bottom: 1px solid #f1f1f1;
      padding: 5px 0;
    }
    .sub-menu-group:last-child {
      border-bottom: none;
    }
    .sub2-menu-link:hover>.sub-sub-sub-menu{
        opacity: 1;
      visibility: visible;
      transform: translateY(0);
    }
    .sub-menu-link {
      display: block;
      padding: 10px 20px;
      color: #555;
      text-decoration: none;
      font-size: 14px;
      text-align: right;
      transition: background-color 0.2s ease, padding 0.2s ease;
    }
    .sub-menu-link:hover {
      background-color: #f8f9fa;
      color: #2c3e50;
      padding-right: 25px;
    }
    .sub-menu-link i {
      margin-left: 10px;
      color: #7f8c8d;
      font-size: 12px;
    }
    /* المستوى الفرعي الثالث (Level 3) */
    .sub-sub-menu {
      position: absolute;
      top: 0;
      right: 100%;
      background-color: #fff;
      min-width: 200px;
      border-radius: 8px;
      box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15);
      opacity: 0;
      visibility: hidden;
      transform: translateX(10px);
      transition: all 0.3s ease;
      z-index: 110;
    }
    
    .sub-sub-menu :hover>.sub-sub-sub-menu {
       
      opacity: 1;
      visibility: visible;
      transform: translateY(0);
    }
    
    /* المستوى الفرعي الرابع (Level 4) */
    .sub-sub-sub-menu {
      position: absolute;
      top: 0;
      right: 100%;
      background-color: #fff;
      min-width: 200px;
      border-radius: 8px;
      box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15);
      opacity: 0;
      visibility: hidden;
      transform: translateX(10px);
      transition: all 0.3s ease;
      z-index: 110;
    }
    .sub-menu-group:hover > .sub-sub-menu {
      opacity: 1;
      visibility: visible;
      transform: translateX(0);
    }
    .sub-menu-group:hover > .sub-sub-menu {
      opacity: 1;
      visibility: visible;
      transform: translateX(0);
    }
    /* تأثير الهوفر على العناصر الرئيسية */
    .main-menu-item::after {
      content: '';
      position: absolute;
      bottom: 0;
      left: 50%;
      width: 0;
      height: 3px;
      background-color: #3498db;
      transition: all 0.3s ease;
    }
    .main-menu-item:hover::after {
      width: 100%;
      left: 0;
    }
    @media (max-width: 768px) {
      .main-menu {
        flex-direction: column;
      }
      .main-menu-item {
        text-align: right;
      }
      .sub-menu, .sub-sub-menu {
        position: static;
        min-width: 100%;
        border-radius: 0;
        box-shadow: none;
        opacity: 1;
        visibility: visible;
        transform: none;
        display: none;
        background-color: #f8f9fa;
        border-top: 1px solid #e0e0e0;
      }
      .main-menu-item:hover > .sub-menu, .main-menu-item.active > .sub-menu {
        display: block;
      }
      .sub-menu-link {
        padding-right: 30px;
      }
      .main-menu-item::after {
        display: none;
      }
    }
  </style>
</head>
<body>
  <div class="menu-container">
    <nav class="main-menu">
      <!-- المستوى الرئيسي 1 -->
      <div class="main-menu-item">
        <a href="#" class="main-menu-link">
          <i class="fas fa-home"></i>
         التركيبات
        </a>
        <div class="sub-menu">
            <!-- المجموعة الفرعية 1 -->
          <div class="sub-menu-group">
            <a href="{{ route('admin.contract.index') }}" class="sub-menu-link">  ادارة العقود</a>
            <div class="sub-sub-menu">
               
              <a href="#" class="sub-menu-link">*</a>
              <a href="#" class="sub-menu-link">*</a>
            </div>
          </div>
          <!-- المجموعة الفرعية 1 -->
          <div class="sub-menu-group">
            <a href="#" class="sub-menu-link"> السكة والباب</a>
            <div class="sub-sub-menu">
               
              <a href="{{ route('admin.contract.stag1_running') }}" class="sub-menu-link">تنفيذ سكة وباب</a>
              <a href="#" class="sub-menu-link">*</a>
            </div>
          </div>
          <!-- المجموعة الفرعية 2 -->
          <div class="sub-menu-group">
            <a href="#" class="sub-menu-link">الكابينة</a>
            <div class="sub-sub-menu">
              <a href="{{ route('admin.contract.stag2_running') }}" class="sub-menu-link">تنفيذ الكابينة</a>
              <a href="#" class="sub-menu-link">المستوى 1-2-2</a>
            </div>        
         </div>
         <!-- المجموعة الفرعية 1 -->
         <div class="sub-menu-group">
            <a href="#" class="sub-menu-link"> الماكينة </a>
            <div class="sub-sub-menu">
               
              <a href="{{ route('admin.contract.stag3_running') }}" class="sub-menu-link">رفع المكائن</a>
              <a href="#" class="sub-menu-link">***</a>
            </div>
          </div>
          <!-- المجموعة الفرعية 1 -->
          <div class="sub-menu-group">
            <a href="#" class="sub-menu-link"> الميكانيكا </a>
            <div class="sub-sub-menu">
               
              <a href="{{ route('admin.contract.stag4_running') }}" class="sub-menu-link">تنفيذ الميكانيكا</a>
              <a href="#" class="sub-menu-link">*</a>
            </div>
          </div>
          <div class="sub-menu-group">
            <a href="#" class="sub-menu-link"> الكهرباء </a>
            <div class="sub-sub-menu">
               
              <a href="{{ route('admin.contract.stag5_running') }}" class="sub-menu-link">تنفيذ الكهرباء</a>
              <a href="#" class="sub-menu-link">*</a>
            </div>
          </div>
          <div class="sub-menu-group">
            <a href="#" class="sub-menu-link"> التسليم </a>
            <div class="sub-sub-menu">
               
              <a href="{{ route('admin.contract.stag6_running') }}" class="sub-menu-link">تسليم المصاعد</a>
              <a href="#" class="sub-menu-link">*</a>
            </div>
          </div>
        </div>
      </div>
      <!-- المستوى الرئيسي 2 -->
      <div class="main-menu-item">
        <a href="#" class="main-menu-link">
          <i class="fas fa-briefcase"></i>
         الصيانة
        </a>
        <div class="sub-menu">
          <!-- المجموعة الفرعية 1 -->
          <div class="sub-menu-group">
            <a href="#" class="sub-menu-link"> انتهاء الصيانة </a>
            <div class="sub-sub-menu">
              <a href="#" class="sub-menu-link"> </a>
              <a href="{{ route('admin.contract.end_moharam_report') }}" class="sub-menu-link">(1)انتهاء محرم</a>
              <a href="{{ route('admin.contract.end_safar_report') }}" class="sub-menu-link"> (2)انتهاء صفر</a>
              <a href="{{ route('admin.contract.end_rabe1_report') }}" class="sub-menu-link"> (3)انتهاء ربيع اول</a>
              <a href="{{ route('admin.contract.end_rabe2_report') }}" class="sub-menu-link">انتهاء ربيع ثان</a>
              <a href="{{ route('admin.contract.end_gmad1_report') }}" class="sub-menu-link">انتهاء جمادي اول</a>
              <a href="{{ route('admin.contract.end_gmad2_report') }}" class="sub-menu-link">انتهاء جمادي ثاني</a>
              <a href="{{ route('admin.contract.end_ragab_report') }}" class="sub-menu-link">انتهاء رجب</a>
              <a href="{{ route('admin.contract.end_shban_report') }}" class="sub-menu-link">انتهاء شعبان</a>
              <a href="{{ route('admin.contract.end_ramadan_report') }}" class="sub-menu-link">انتهاء رمضان</a>
              <a href="{{ route('admin.contract.end_shwal_report') }}" class="sub-menu-link">انتهاء شوال</a>
              <a href="{{ route('admin.contract.end_zokeda_report') }}" class="sub-menu-link">انتهاء ذي القعدة</a>
              <a href="{{ route('admin.contract.end_zohega_report') }}" class="sub-menu-link">انتهاء ذي الحجة</a>

            </div>
          </div>
          <!-- المجموعة الفرعية 2 -->
          <div class="sub-menu-group">
            <a href="#" class="sub-menu-link">المستوى 2-2</a>
            <div class="sub-sub-menu">
              <a href="#" class="sub-menu-link">المستوى 2-2-1</a>
              <a href="#" class="sub-menu-link">المستوى 2-2-2</a>
            </div>
          </div>
        </div>
      </div>
      <!-- المستوى الرئيسي 3 -->
      <div class="main-menu-item">
        <a href="#" class="main-menu-link">
          <i class="fas fa-cogs"></i>
         الحسابات
        </a>
        <div class="sub-menu">
          <!-- المجموعة الفرعية 1 -->
          <div class="sub-menu-group">
            <a href="#" class="sub-menu-link">المستوى 3-1</a>
            <div class="sub-sub-menu">
              <a href="#" class="sub-menu-link">المستوى 3-1-1</a>
              <a href="#" class="sub-menu-link">المستوى 3-1-2</a>
            </div>
          </div>
          <!-- المجموعة الفرعية 2 -->
          <div class="sub-menu-group">
            <a href="#" class="sub-menu-link">المستوى 3-2</a>
            <div class="sub-sub-menu">
              <a href="#" class="sub-menu-link">المستوى 3-2-1</a>
              <a href="#" class="sub-menu-link">المستوى 3-2-2</a>
            </div>
          </div>
        </div>
      </div>
    </nav>
  </div>
  
  <script>
    // تفعيل النقر على عناصر القائمة للأجهزة المحمولة
    document.querySelectorAll('.main-menu-item').forEach(item => {
      item.addEventListener('click', function() {
        if (window.innerWidth <= 768) {
          document.querySelectorAll('.main-menu-item').forEach(i => {
            i.classList.remove('active');
          });
          this.classList.add('active');
        }
      });
    });
    // لإغلاق القائمة عند النقر خارجها (للأجهزة المحمولة)
    document.addEventListener('click', function(e) {
      if (window.innerWidth <= 768) {
        if (!e.target.closest('.main-menu')) {
          document.querySelectorAll('.main-menu-item').forEach(item => {
            item.classList.remove('active');
          });
        }
      }
    });
  </script>
</body>
</html>
