@extends('layouts.admin')
@section('title')
شاشة تحويل بين الخزن
@endsection
@section("css")
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2/css/select2.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/admin/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
@endsection
@section('contentheader')
تحويلات الخزن
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.TreasuriesFakaTrasaction.index') }}">  تحويل  بين الخزن </a>
@endsection
@section('contentheaderactive')
عرض
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center"> بيانات حركة تحويل النقدية بين الخزن وبعضها</h3>
      <input type="hidden" id="token_search" value="{{csrf_token() }}">
      <input type="hidden" id="ajax_url_get_account_blance" value="{{route('admin.collect_transaction.get_account_blance')}}">
      <input type="hidden" id="ajax_url_load_confrim_receive" value="{{route('admin.TreasuriesFakaTrasaction.load_confrim_receive')}}">
      <input type="hidden" id="ajax_url_ajax_search" value="{{route('admin.TreasuriesFakaTrasaction.ajax_search')}}">
      <input type="hidden" id="ajax_url_load_take_action" value="{{route('admin.TreasuriesFakaTrasaction.load_take_action')}}">

      
   </div>
   <!-- /.card-header -->

   @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(251) )
   <div class="card-body">
      @if(!@empty($user_shift))
      <button class="btn btn-warning   btn-sm" data-toggle="collapse" href="#collapseExampleSearch" style="    background-color: brown;color: white;border-color:brown;margin: 3px;" role="button" aria-expanded="false" aria-controls="collapseExampleSearch">
         اضافة حركة صرف تحويل جديد
                </button>
      <form action="{{ route('admin.TreasuriesFakaTrasaction.store') }}" method="post" class="custom_form collapse" id="collapseExampleSearch">
         <div class="   row" >
            @csrf
     
            <div class="col-md-4">
               <div class="form-group">
                  <label> الخزنة المحول لها</label>
                  <select name="treasuries_id_trasfer_to" id="treasuries_id_trasfer_to" class="form-control  ">
                     <option value="">اختر  الخزنة</option>
                     @if (@isset($treasuriesTrasferTo) && !@empty($treasuriesTrasferTo))
                     @foreach ($treasuriesTrasferTo as $info )
                     <option value="{{ $info->id }}" > {{$info->name }} </option>
                     @endforeach
                     @endif
                  </select>
                  @error('treasuries_id_trasfer_to')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-4 > 
               <div class=" form-group">
               <label> خزنتك بالشفت الحالي </label>
               <input readonly name="treasuries_id_trasfer_from" id="treasuries_id_trasfer_from" class="form-control"
                  value="{{ $user_shift['name']}}">
        
            </div>
            <div class="col-md-4 > 
               <div class=" form-group">
               <label> الرصيد المتاح بخزنتك الان </label>
               <input readonly name="treasuries_balance" id="treasuries_balance" class="form-control"
                  value="{{ $user_shift['balance']*1 }}">
               @error('treasuries_balance')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
            <div class="col-md-4 > 
               <div class=" form-group">
               <label>قيمة المبلغ المحول الآن </label>
               <input oninput="this.value=this.value.replace(/[^0-9.]/g,'');" name="money" id="money"
                  class="form-control" value="{{ old('money') }}">
               @error('money')
               <span class="text-danger">{{ $message }}</span>
               @enderror
            </div>
            <div class="col-md-8">
               <div class="form-group">
                  <label> البيان</label>
                  <textarea name="byan" id="byan" class="form-control" rows="4"
                     cols="10"> {{ old("byan","صرف تحويل نظير ") }} </textarea>
                  @error('byan')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-12">
               <div class="form-group text-center">
                  <button id="do_exchange_now_btn" type="submit" class="btn btn-success btn-sm"> صرف التحويل الان</button>
               </div>
            </div>
         </div>
   </div>
   </form>
   @else
   <div class="alert alert-warning" style="color:brown !important">
      تنبيه لايوجد شفت مفتوح لك لكي تتمكن من التحصيل
   </div>
   @endif

   @endif

   <div class="clearfix"></div>
   <form action="{{ route('admin.TreasuriesFakaTrasaction.print_search') }}" method="post" target="_blank">
      @csrf
   <div class="row" style="padding: 15px;">
  
      <div class="col-md-4">
         <div class="form-group">
            <label> بحث بالخزن</label>
            <select name="treasuries_search" id="treasuries_search" class="form-control select2">
               <option value="all">بحث بكل الخزن التي من صلاحياتي</option>
               @if (@isset($treasuries) && !@empty($treasuries))
               @foreach ($treasuries as $info )
               <option value="{{ $info->id }}"> {{ $info->name }} </option>
               @endforeach
               @endif
            </select>
         </div>
      </div>
      <div class="col-md-4">
         <div class="form-group">
            <label>  بحث بحالة الإستلام</label>
            <select name="is_deliverd_search" id="is_deliverd_search" class="form-control">
               <option   value="all"> بحث بالكل</option>
               <option   value="1"> تم الاستلام</option>
               <option  value="0"> بإنتظار الاستلام</option>
            </select>
         </div>
      </div>
      <div class="col-md-4">
         <div class="form-group">
            <label> بحث بالمستخدم المحول</label>
            <select name="admins_search" id="admins_search" class="form-control select2">
               <option value="all">بحث بكل المستخدمين</option>
               @if (@isset($admins) && !@empty($admins))
               @foreach ($admins as $info )
               <option value="{{ $info->id }}"> {{ $info->name }} </option>
               @endforeach
               @endif
            </select>
         </div>
      </div>
      <div class="col-md-4">
      <div class="form-group">
         <label> بحث بحالة المبلغ عند الاستلام</label>
      <select name="money_state_search" id="money_state_search" class="form-control">
         <option value="all">بحث بكل الحالات</option>
         <option value="0">متزن</option>
        <option value="1">يوجد عجز بالنقدية</option>
         <option value="2">يوجد زيادة بالنقدية</option>
      </select>
      </div>
   </div>
   <div class="col-md-4">
      <div class="form-group">
         <label>  بحث بحالة أخذ اجراء للعجز والزيادة</label>
         <select name="is_taken_action_search" id="is_taken_action_search" class="form-control">
            <option   value="all"> بحث بالكل</option>
            <option   value="1"> تم أخذ اجراء</option>
            <option  value="0"> بإنتظار أخذ اجراء</option>
         </select>
      </div>
   </div>
      <div class="col-md-4">
         <div class="form-group">
            <label> من تاريخ حركة</label>
            <input name="from_date" id="from_date_search" class="form-control" type="date" value="">
         </div>
      </div>
      <div class="col-md-4">
         <div class="form-group">
            <label> الي تاريخ حركة </label>
            <input name="to_date" id="to_date_search" class="form-control" type="date" value="">
         </div>
      </div>
      <div class="col-md-2">
         <div class="form-group text-center">
          <button class="btn btn-sm btn-primary" style="margin-top: 32px;"  type="submit">طباعة البحث</button>
         </div>
      </div>
    
      <div class="clearfix"></div>
   </div>
   </form>
   @if(!@empty($user_shift))
   <table style="width: 95%; margin: 0 auto;" id="example2" class="table table-bordered table-hover">
      <thead style="background-color: gray" class="custom_thead">
         <th>عدد التحويلات المحولة لك بإنتظار الإستلام منك</th>
         <th>عدد التحويلات المحولة في نظاق صلاحياتك  بلإنتظار الإستلام</th>

      </thead>
      <tbody>
         <tr>
        <td style="background-color: lightgreen"> عدد
   {{  $user_shift['counterOpenTransferMove']*1 }} تحويل  بإجمالي ({{  $user_shift['SumcounterOpenTransferMove']*1 }} ) جنيه

        </td>
        <td  style="background-color: yellow">
  عدد
  {{  $other['counterOpenTransferMove']*1 }} تحويل  بإجمالي ({{  $other['SumcounterOpenTransferMove']*1 }} ) جنيه


        </td>
         </tr>
      </tbody>
   </table>

   @endif
   <div id="ajax_responce_serarchDiv">
      @if (@isset($data) && !@empty($data) && count($data)>0)
      <table id="example2" class="table table-bordered table-hover">
         <thead class="custom_thead">
            <th> خزنة التحويل</th>
            <th> خزنة الاستلام</th>
            <th> المبلغ المحول</th>
            <th>المحول</th>
            <th> حالة الاستلام</th>
            <th> حالة المبلغ عند الاستلام</th>
            <th>البيان</th>
            <th></th>
            <th>  إجراء </th>
         </thead>
         <tbody>
            @foreach ($data as $info )
            <tr>
               <td>{{ $info->treasuries_name_trasfer_from }}
                  <br>
                  شفت ({{ $info->shift_code_trasfer_from	 }})
               </td>
               <td>
                  {{ $info->treasuries_name_trasfer_to }}
                  @if($info->is_delivered==1) 
                  <br>
                  شفت ({{ $info->shift_code_trasfer_to	 }})
                  @endif

               </td>
               <td>{{ $info->money_should_deviled*(1) }}</td>
               
               <td>
                  @php
                  $dt=new DateTime($info->created_at);
                  $date=$dt->format("Y-m-d");
                  $time=$dt->format("h:i");
                  $newDateTime=date("A",strtotime($info->created_at));
                  $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء');
                  @endphp
                  {{ $date }} <br>
                  {{ $time }}
                  {{ $newDateTimeType }} <br>
                  بواسطة
                  {{ $info->added_by_admin}}
               </td>
               <td @if($info->is_delivered==1) class="bg-success"   @else class="bg-danger"   @endif >@if($info->is_delivered==1) تم الاستلام @else بإنتظار الاستلام @endif
               @if($info->is_delivered==1) <br>
           @php 
               $dt=new DateTime($info->is_delivered_at);
               $date=$dt->format("Y-m-d");
               $time=$dt->format("h:i");
               $newDateTime=date("A",strtotime($info->is_delivered_at));
               $newDateTimeType= (($newDateTime=='AM')?'صباحا ':'مساء');
               @endphp
               {{ $date }} <br>
               {{ $time }}
               {{ $newDateTimeType }} <br>
               بواسطة
               {{ $info->is_delivered_by_admin}}
@endif
</td>

<td
@if($info->is_delivered==1) 
 @if($info->money_state==1) class="bg-danger" 
   @elseif($info->money_state==2) class="bg-danger" 
   @else  
   class="bg-success" 
   @endif
   @endif
   >
   @if($info->is_delivered==1) 
@if($info->money_state==1) عجز بقيمة {{ $info->money_state_value*1  }} جنيه 
@elseif($info->money_state==2) زيادة بقيمة {{ $info->money_state_value*1  }} جنيه 
@else  
متزن
@endif
   @else
  يحدد عند الاستلام
   @endif

</td>
<td>
   {{ $info->byan }}
</td>
               <td>

                  @if( auth()->user()->is_master_admin==1 or  check_permission_sub_menue_actions(254) )
                  <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.TreasuriesFakaTrasaction.printsaleswina4_Exchange',[$info->id,'A4']) }}" class="btn btn-info btn-xs">  طباعة صرف A4</a>
                  <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.TreasuriesFakaTrasaction.printsaleswina4_Exchange',[$info->id,'A6']) }}" class="btn btn-dark btn-xs">  طباعة صرف A6</a>              
                  @endif




                  @if($info->is_delivered==1)
                  
               
                  @if( auth()->user()->is_master_admin==1 or  check_permission_sub_menue_actions(254) )
                  <br>
                  <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.TreasuriesFakaTrasaction.printsaleswina4_collect',[$info->id,'A4']) }}" class="btn btn-info btn-xs">  طباعة تحصيل A4</a>
                  <a style="font-size: .875rem; padding: 0.25rem 0.5rem;color:white" target="_blank" href="{{ route('admin.TreasuriesFakaTrasaction.printsaleswina4_collect',[$info->id,'A6']) }}" class="btn btn-dark btn-xs"> طباعة تحصيل A6 </a>              
                  @endif

                  @else
                  @if(!@empty($user_shift))

                  @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(253))
                  @if($user_shift['shift_code']!=$info->shift_code_trasfer_from and $user_shift['treasuries_id']==$info->treasuries_id_trasfer_to)
                  <button data-id="{{ $info->id }}"    class="btn btn-success load_confrim_receive btn-xs"> إستلام التحويل</button>
                 @endif
                   @endif

                   @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(252))

                   @if($user_shift['shift_code']==$info->shift_code_trasfer_from and $user_shift['treasuries_id']==$info->treasuries_id_trasfer_from and $info->added_by==auth()->user()->id)
                   <a href="{{ route('admin.TreasuriesFakaTrasaction.destroy',$info->id) }}" style="    padding: 0.25rem 0.5rem;font-size: .875rem;"     class="btn btn-danger are_you_sure btn-xs"> حذف ورد التحويل</a>
                  @endif

                   @endif


                  @endif


                  @endif

               </td>
               <td>
                  @if($info->is_delivered==1 and $info->money_state >0)
                  @if ($info->is_taken_action==1) 
                  تم
                 @else
            لا
                 @endif
                 @endif
                 
                 
                  @if( auth()->user()->is_master_admin==1 or check_permission_sub_menue_actions(258))

                  @if($info->is_delivered==1 and $info->money_state >0)
                 @if ($info->is_taken_action==1) 
       
        <button class="btn btn-success load_take_action btn-sm" data-id="{{ $info->id }}">تحديث</button>
        @else

<button class="btn btn-danger load_take_action btn-sm" data-id="{{ $info->id }}">أخذ</button>
                 @endif    
             
                 @endif
                  @endif
               </td>
            </tr>
            @endforeach
         </tbody>
      </table>
      <br>
      {{ $data->links() }}
      @else
      <div class="alert alert-danger">
         عفوا لاتوجد بيانات لعرضها !!
      </div>
      @endif
   </div>
</div>
<div class="modal fade  "   id="load_confrim_receiveModal">
   <div class="modal-dialog modal-xl"  >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title text-center">           مراجعة وإستلام نقدية محولة من خزنة أخري </h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body"  style="background-color: white !important; color:black;" id="load_confrim_receiveModalBody">


         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
<div class="modal fade  "   id="load_take_actionModal">
   <div class="modal-dialog modal-xl"  >
      <div class="modal-content bg-info">
         <div class="modal-header">
            <h4 class="modal-title text-center">           اخذ اجراء في الاستلامات التي بها عجز او زيادة نقدية </h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
         </div>
         <div class="modal-body"  style="background-color: white !important; color:black;" id="load_take_actionModalBody">


         </div>
         <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-outline-light" data-dismiss="modal">اغلاق</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>
@endsection
@section("script")
<script src="{{ asset('assets/admin/plugins/select2/js/select2.full.min.js') }}"> </script>
<script src="{{ asset('assets/admin/js/TreasuriesFakaTrasaction.js') }}"> </script>
<script>
   //Initialize Select2 Elements
   $('.select2').select2({
     theme: 'bootstrap4'
   });
</script>
@endsection