@extends('layouts.admin')
@section('title')
تعديل بيانات الزيارة
@endsection
@section('contentheader')
الزيارات
@endsection
@section('contentheaderlink')
<a href="{{ route('admin.visit.index') }}">    الزيارات </a>
@endsection
@section('contentheaderactive')
تعديل
@endsection
@section('content')
<div class="card">
   <div class="card-header">
      <h3 class="card-title card_title_center">  تعديل بيانات الزيارات  </h3>
   </div>
   <!-- /.card-header -->
   <div class="card-body">
      <form action="{{ route('admin.visit.update',$data['id']) }}" method="post" >
         <div class="row">
            @csrf
            <div class="col-md-2">
               <div class="form-group">
                  <label>  حالة الزيارة</label>
                  <select name="visit_status" id="visit_status" class="form-control">
                     <option value="">اختر الحالة</option>
                     <option @if(old('visit_status',$data['visit_status'])==1  || old('active')=="" ) selected="selected"  @endif value="1"> زيارة مطلوبة</option>
                     <option @if( (old('visit_status',$data['visit_status'])==2 ) )selected="selected"  @endif   value="2"> تمت بتوقيع العميل</option>
                     <option @if( (old('visit_status',$data['visit_status'])==3 )  ) selected="selected"  @endif   value="3"> تمت برسالة</option>
                     <option @if( (old('visit_status',$data['visit_status'])==4 ) )selected="selected"  @endif   value="4"> تمت والمكان مغلق</option>
                     <option @if( (old('visit_status',$data['visit_status'])==5 ) )selected="selected"  @endif   value="5"> اغلقت من الحسابات</option>
                  </select>
                  @error('visit_status')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>اسم العميل</label>
                  <input name="name" id="name" class="form-control" value="{{ old('name',$data['name']) }}" readonly style="pointer-events: none;"   >
                  @error('name')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
              
               <div class="col-md-2">
                  <div class="form-group">
                     <label>رقم المصعد</label>
                     <input name="lift_num" id="lift_num" class="form-control" value="{{ old('lift_num',$data['lift_num']) }}" readonly style="pointer-events: none;"   >
                     @error('lift_num')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               {{-- <div class="col-md-2">
                  <div class="form-group">
                     <label>المندوب </label>
                     <select name="delegate_name" id="delegate_name" class="form-control">
                        <option value="">اختر</option>
                        <option   @if(old('delegate_name',$data['delegate_name'])==1) selected="selected"  @endif value="1">مندوب رقم 1</option>
                        <option   @if(old('delegate_name',$data['delegate_name'])==2) selected="selected"  @endif value="2">مندوب رقم 2</option>
                       </select>
                     @error('delegate_name')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div> --}}
              
         
   
               <div class="col-md-2">
                  <div class="form-group">
                     <label>   جي بي اس </label>
                     <input name="gps" id="gps" class="form-control" value="{{ old('gps',$data['gps']) }}"   readonly style="pointer-events: none;" >
                     @error('gps')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
   
               <div class="col-md-2">
                  <div class="form-group">
                     <label>تاريخ انتهاء الصيانة</label>
                     <input type="date"  name="maintenance_end_date" id="maintenance_end_date" class="form-control"   value="{{ old('maintenance_end_date',$data['maintenance_end_date']) }}"  readonly style="pointer-events: none;"  >
                     @error('maintenance_end_date')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
   
                        
              <div class="col-md-2">
               <div class="form-group">
                   <label>تاريخ انتهاء الصيانة (هجري)</label>
                   <input type="text" placeholder="DD-MM-YYYY" name="maintenance_end_date_hijri"
                          id="maintenance_end_date_hijri" class="form-control"
                          value="{{ old('maintenance_end_date_hijri',$data['maintenance_end_date_hijri']) }}"
                          pattern="\d{4}-\d{2}-\d{2}"
                          title="التاريخ يجب أن يكون بصيغة سنة-شهر-يوم (اكتب السنة اولا ثم علامة - ثم الشهر ثم علامة - ثم اليوم)(مثال: 1446-10-30)"
                          lang="en" dir="ltr" inputmode="numeric"  readonly style="pointer-events: none;">
                   @error('maintenance_end_date_hijri')
                   <span class="text-danger">{{ $message }}</span>
                   @enderror
               </div>
           </div>
           
              
           
   
   
   
   
               
               <div class="col-md-2">
                  <div class="form-group">
                     <label>   العنوان </label>
                     <input name="address" id="name" class="form-control" value="{{ old('address',$data['address']) }}"   readonly style="pointer-events: none;" >
                     @error('address')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
                  
                  <div class="form-group">
                     <label>   الهاتف</label>
                     <input name="phones" id="phones" class="form-control" value="{{ old('phones',$data['phones']) }}"   readonly style="pointer-events: none;" >
                     @error('phones')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
                  <div class="form-group">
                     <label>   ملاحظات</label>
                     <input name="notes" id="notes" class="form-control" value="{{ old('notes',$data['notes']) }}"    >
                     @error('notes')
                     <span class="text-danger">{{ $message }}</span>
                     @enderror
                  </div>
               </div>
               <div class="col-md-2">
               <div class="form-group">
                  <label>   الهاتف 2</label>
                  <input name="phones_2" id="phones_2" class="form-control" value="{{ old('phones_2',$data['phones_2']) }}"   readonly style="pointer-events: none;" >
                  @error('phones_2')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
           
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label>   رقم الملف</label>
                  <input name="file_num" id="file_num" class="form-control" value="{{ old('file_num',$data['file_num']) }}"  readonly style="pointer-events: none;"  >
                  @error('file_num')
                  <span class="text-danger">{{ $message }}</span>
                  @enderror
               </div>
            </div>
   
               



            <div class="col-md-12">
               <div class="form-group text-center">
                  <button id="do_add_item_cardd" type="submit" class="btn btn-primary btn-sm"> تعديل</button>
                  <a href="{{ route('admin.customer.index') }}" class="btn btn-sm btn-danger">الغاء</a>    
               </div>
            </div>
         </div>
      </form>
   </div>
</div>
</div>
@endsection
@section('script')
<script src="{{ asset('assets/admin/js/accounts.js') }}"></script>
@endsection